Disclaimer

Questo help online vuole essere una guida operativa per quanti vogliono incominciare a lavorare subito con WebSite X5 per creare il proprio Sito, Blog o Negozio di e-commerce.
Seguendo passo per passo il percorso di sviluppo proposto, viene data una descrizione puntuale dell'interfaccia del programma, illustrando tutti i comandi e le opzioni presenti nei menu, nei pannelli e nelle finestre previste.
Le spiegazioni e gli approfondimenti qui proposti, uniti all'intuitività della logica di lavoro e alla disponibilità delle numerose anteprime sempre aggiornate in tempo reale, permetteranno a chiunque di lavorare al meglio con WebSite X5 e di ottenere siti accattivanti, coinvolgenti e professionali.

La presente guida di WebSite X5 fa riferimento alla versione EVOLUTION v. 9 ma, tenendo in considerazione le limitazioni specifiche, può essere utilmente consultata anche per lavorare con altre versioni del Programma.

Nello specifico, la guida è articolata nelle seguenti sezioni:
- | L'ambiente di lavoro Vengono illustrate tutte le funzioni messe a disposizione dal software, nelle diverse finestre che vengono presentate durante la creazione e pubblicazione di un Sito.
- | Tutorial Vengono proposti alcuni tutorial che simulano alcune procedure per risolvere compiti specifici come la creazione di un modulo per la raccolta dati o l'impostazione di un'area riservata attraverso password.
- | Approfondimenti Vengono proposte delle schede di approfondimento su vari temi connessi alla creazione di un sito Web.
- | Integrazione con Google Vengono proposti degli approfondimenti relativi all'utilizzo di alcuni strumenti messi a disposizione da Google, finalizzati principalmente all'ottimizzazione dei Siti.

Ultimo aggiornamento: versione 9.0.0


Sommario

Crea Siti Web, Negozi Online e Blog in 5 passi

WebSite X5 è il software ideale per creare i Siti Web che avresti sempre voluto avere. Non richiede nessuna conoscenza di programmazione e consente di lavorare in modo completamente visuale attraverso un'interfaccia intuitiva e ricca di numerose anteprime, aggiornate in tempo reale.

In questo modo, WebSite X5 guida fino alla pubblicazione del Sito garantendo semplicità d'uso, flessibilità e ampi spazi di personalizzazione.

In base alle scelte fatte e alle impostazioni definite, WebSite X5 genera in automatico il codice delle Pagine in HTML5 + CSS 2.1 o 3 garantendo, così, piena compatibilità con tutti i Browser e i dispositivi mobili, oltre che una corretta indicizzazione da parte dei Motori di ricerca.

Strumenti Web professionali

Occorre sottolineare che, pur essendo così semplice da usare, WebSite X5 mette a disposizione un'ampia gamma di strumenti professionali per:
- | Negozi online con carta di credito | - | Zoom e immagini panoramiche
- | Blog con Podcast e Videocast | - | Gallerie immagini e video
- | Motore di ricerca interno | - | Gestione accessi e Aree riservate
- | Moduli e-mail con filtri anti-spam | - | Gestione banner pubblicitari
- | News e Feed RSS | - | Creazione di siti multi-lingua

Una soluzione all-in-one

In più, WebSite X5 permette di risparmiare tempo e fatica includendo già tutto ciò che occorre per la creazione di un Sito:
- | Editor per i template | - | 1.500 modelli personalizzabili
- | Editor per le immagini | - | 6.000 immagini royalty free
- | Generatore dei menu | - | Librerie di pulsanti
- | Motore FTP interno | - | Raccolta di Widget

Questo mix di semplicità e completezza di prestazioni è il motivo del successo di WebSite X5: il software giusto per chiunque voglia creare Siti Web.


Incomedia WebSite X5: Cosa fa

Incomedia WebSite X5 permette di costruire in modo semplice e veloce Siti Web, carrelli di e-commerce, Blog, album fotografici digitali o presentazioni interattive. I Progetti possono essere sviluppati secondo una struttura reticolare e articolati tramite Menu a livelli: in questo modo il numero delle Pagine inseribili diventa infinito.

L'utente ha la possibilità di definire l'impaginazione di ciascuna Pagina e di completarla inserendo i diversi Oggetti messi a disposizione dal programma: Testi, Immagini, Tabelle, Animazioni Flash™, Video, Suoni, Gallerie, Oggetti HTML, Moduli Invio E-mail.

WebSite X5 presenta numerose interessanti funzioni per l'editing delle Immagini, in modo da rendere superfluo il ricorso a programmi di grafica esterni. Grazie al salvataggio automatico delle immagini in formato compresso, l'utente non deve neanche preoccuparsi di ottimizzare le foto prima del loro inserimento.

Il vasto archivio di modelli grafici, l'editor interno per la crezione di pulsanti tridimensionali, le ampie possibilità di personalizzazione grafica, l'introduzione di una intro, l'impostazione della scelta delle lingue di consultazione, la creazione di un'area ad accesso riservato attraverso password, la possibilità di creare e gestire Blog, Feed RSS e negozi on-line abilitati per il pagamento con carta di credito, permettono di arricchire il sito rendendolo completo e professionale.

Alla fine, WebSite X5 consente di pubblicare direttamente in rete il progetto realizzato, senza dover ricorrere a programmi di FTP (File Transfer Protocol) esterni.

Lavorare con WebSite X5

WebSite X5 si presenta come un wizard, ovvero come una condotta guidata visuale, che accompagna, passo dopo passo, nella creazione di un Sito completo, funzionale e graficamente attraente.

I passi che portano dalla semplice idea al Sito pubblicato e visibile su Web sono soltanto 5:
1. | Definizione delle impostazioni generali Dopo aver specificato il Progetto a cui lavorare e aver inserito alcune informazioni di carattere generale, tra cui la Descrizione e le Parole Chiave per l'indicizzazione dei nei Motori di Ricerca, WebSite X5 permette di definire la grafica del Sito. E' possibile scegliere fra oltre 1.500 modelli predefiniti o dare libero sfogo alla propria creatività e impostare un proprio Modello da zero. Grazie all'apposito editor interno l'Intestazione e il Piè di Pagina dei Modelli possono essere liberamente personalizzati.
2. | Creazione della Mappa Incominciando dalla Home Page, WebSite X5 consente di procedere alla definizione della struttura ad albero del Sito. Si possono prevedere tutti i Livelli di approfondimento necessari per organizzare un numero illimitato di Pagine. In base alla Mappa verrà dinamicamente creato il Menu di navigazione. La Mappa potrà essere modificata in qualsiasi momento in modo da poter effettuare facilmente l'aggiornamento del Sito.
3. | Creazione delle Pagine La creazione e l'impaginazione di ogni Pagina viene ottenuta con il semplice trascinamento e posizionamento degli Oggetti disponibili: Testi, Tabelle, Immagini, Animazioni, Video e Audio, Gallerie, Moduli per la raccolta dati e l'invio di e-mail, Elenco Prodotti, Codice HTML e Widget. Gli Oggetti importati possono essere personalizzati e completati con l'inserimento di Collegamenti a risorse sia interne che esterne. Grazie all'editor grafico interno è possibile ruotare, correggere o applicare filtri, maschere e cornici sulle Immagini importate senza ricorrere a software esterni.
4. | Definizione delle impostazioni avanzate Per completare la personalizzazione del Sito, è possibile procedere alla definizione dello Stile di elementi come i Menu di navigazione, i Testi, la finestra ShowBox e le E-mail. Grazie ad un apposito editor interno, è possibile procedere alla creazione di Pulsanti tridimensionali per i quali si può prevedere l'effetto corrispondente al passaggio del puntatore del mouse (effetto di mouseover). Inoltre, il Sito può essere completato con strumenti come: Pagina di Benvenuto con colonna sonora e scelta della lingua di consultazione; Aree riservate con gestione delle accessi e degli utenti; Messaggi pubblicitari; Feed RSS; Blog; Carrello di e-commerce.
5. | Esportazione WebSite X5 consente di procedere anche alla pubblicazione in rete del Sito creato: viene avviata una sessione FTP attraverso la quale vengono trasferiti su server tutti i file necessari per rendere il Sito immediatamente visibile sul Web. WebSite X5 supporta la connessione sicura e permette di risparmiare tempo lavorando in multi-connessione e pubblicando solo i file modificati. Oltre alla pubblicazione su Internet è possibile prevedere l'esportazione del Progetto su un diverso disco del proprio computer o creare agevolmente una copia di backup.


Differenze fra le versioni

Versioni disponibili

WebSite X5 è disponibile in diverse versioni fra cui le principali sono: Evolution e Compact.

Per una panoramica delle differenze frale versioni disponibili consulta la pagina: http://www.websitex5.com/compare


L'ambiente di lavoro

Proponendosi come una condotta guidata, WebSite X5 si presenta come una serie di finestre attraverso le quali l'Utente giunge ad inserire tutte le informazioni necessarie per creare e pubblicare un Sito Internet completo, funzionale e graficamente accattivante.

Tutte le videate presentate dal Programma sono accomunate da un'identica interfaccia grafica che prevede una pulsantiera superiore, una laterale e una inferiore sempre invariate, e una finestra centrale che cambia in relazione alla fase di lavoro e, di conseguenza, alle informazioni richieste.

Pulsantiera superiore

-

Aiuto: permette di richiamare la presente Guida in linea. Tramite la freccia a sinistra del pulsante Aiuto è possibile accedere anche ai comandi:
- | Sommario: per richiamare la presente Guida in linea.
- | Video Tutorial: per accedere a una serie di Video Tutorial appositamente realizzati per spiegare come incominciare a lavorare con il Programma.
- | WebSite X5 Gallery: per accedere a una ricca e variegata Galleria di Siti creati con WebSite X5 e segnalati direttamente dai loro autori.
- | WebSite X5 Templates: per visualizzare e scaricare nuovi modelli grafici, scegliendo fra quelli proposti da Incomedia o da altri autori, sia gratuiti che a pagamento.
- | Supporto Tecnico: per accedere al servizio di Supporto Tecnico in modo da poter consultare l'archivio delle FAQ o aprire un ticket di assistenza.
- | www.websitex5.com: per accedere al Sito Internet di riferimento per il Programma.
- | Informazioni su WebSite X5: per visualizzare una finestra in cui vengono presentate alcune informazioni sul Programma.

-

Salva [CTRL + S]: permette di procedere al salvataggio del Progetto. Il Progetto viene automaticamente archiviato nella Cartella dei Progetti specificata nella finestra Preferenze.

Per creare una copia del Progetto, invece di usare un comando Salva come, è sufficiente utilizzare il comando Duplica disponibile nella finestra Scelta del Progetto.

-

Prova: permette di visualizzare tramite il Browser interno un'Anteprima in locale del Sito realizzato.

Se viene lasciata attiva l'opzione Crea le Pagine durante la modifica del Progetto disponibile nella finestra Preferenze, ogni volta che viene portata a termine una modifica (e, per esempio, si clicca su un pulsante OK o su un pulsante Avanti), il Programma ricrea tutto ciò che è stato interessato dalla modifica stessa. Questo permette di mantenere sempre aggiornata l'Anteprima del Sito in locale e di poterla visualizzare senza tempi di attesa.
In più, è possibile attivare anche l'opzione Salva ad ogni Anteprima, sempre presente finestra Preferenze, in modo che cliccando sul pulsante Prova viene anche effettuato il salvataggio del Progetto.
Per forzare la creazione dell'Anteprima del Sito è possibile tenere premuto il tasto CTRL cliccando sul tasto Prova.

Pulsantiera laterale

WebSite X5 permette di giungere alla realizzazione di un Sito Internet procedendo attraverso soli 5 passi. I pulsanti che rimangono sempre a disposizione nella colonna sinistra della finestra del Programma servono, dunque, per indicare quale fase del processo di creazione del Sito si sta affrontando o per consentire di passare direttamente a una di esse, a prescindere dall'ordine con cui sono presentate.

 | Scelta del Progetto
1. | Impostazioni Generali
2. | Creazione Mappa
3. | Creazione Pagine
4. | Impostazioni Avanzate
5. | Esportazione

Pulsantiera inferiore

- | Indietro: permette di tornare alla finestra precedente per modificare impostazioni già definite.
- | Avanti: permette di passare alla finestra successiva per proseguire nella creazione del Sito.


Benvenuti in Incomedia WebSite X5

Questa finestra di Benvenuto è la prima a cui si accede dopo aver aperto WebSite X5 ed ha la funzione di proporre dei link a risorse e materiali online utili per lavorare al meglio con il software. Nello specifico, questi link sono presentati attraverso una pulsantiera laterale organizzata come segue:

 Video Tutorial
Per visualizzare una serie di Video Tutorial utili per comprendere come incominciare a lavorare con il Programma.

Gallery
Per visitare la Gallery, ovvero l'archivio online dei Siti realizzati con WebSite X5 che sono stati segnalati direttamente dai loro autori.

Scarica nuovi Modelli
Per accedere alla sezione Templates X5 del sito ufficiale di WebSite X5 e scaricare nuovi modelli da aggiungere alla lista di quelli preinstallati.

Supporto
Per collegarsi al Centro Assistenza, disponibile in italiano, inglese e tedesco, e consultare le risposte alle domande più frequenti o richiedere assistenza.

Preferenze
Per richiamare la finestra Preferenze attraverso la quale è possibile impostare alcuni parametri generali inerenti al funzionamento del Programma.

Ricerca Aggiornamenti
Per verificare la disponibilità di aggiornamenti online per la versione installata di WebSite X5.

Oltre a questa pulsantiera, la finestra di Benvenuto presenta dei contenuti che, se è attivo il collegamento a Internet, possono essere aggiornati nel tempo proponendo argomenti come: informazioni sullo stato di aggiornamento del Programma installato, News, Contenuti Speciali (Articoli di approfondimento, WhitePaper, Tips&Tricks), nuovi Video Tutorial, offerte e promozioni in corso.

Se non è disponibile il collegamento a Internet, come contenuto della finestra di Benvenuto viene caricata una pagina standard. Questa stessa pagina standard viene proposta anche se viene disattivata l'opzione Cerca aggiornamenti all'avvio del Programma disponibile nella finestra Preferenze.

Esplorati i contenuti della finestra di Benvenuto è possibile entrare nel vivo della creazione di un Sito semplicemente cliccando sul pulsante Avvia.


Finestra Preferenze

Questa finestra, richiamata dal pulsante Preferenze della Pagina di Benvenuto, permette di impostare alcuni parametri generali inerenti al funzionamento del Programma.

Le opzioni disponibili sono:

-

Cartella dei Progetti: permette di specificare la cartella all'interno della quale verrà salvato il file di Progetto (file Project.IWP), sia nel caso di creazione di un nuovo Progetto, sia nel caso di importazione di un Progetto già esistente (vedere, Scelta del Progetto | Importa Progetto). Venendo qui specificata, cliccando sul pulsante Salva durante il lavoro di sviluppo del Sito, il Progetto verrà salvato senza che venga richiesta la cartella di destinazione.

-

Cerca aggiornamenti all'avvio del Programma: attivo di default, permette di verificare automaticamente la disponibilità di aggiornamenti ad ogni avvio del Programma. Per effettuare questa ricerca, il Programma si connette al Server Incomedia via Internet.

Si consiglia di lasciare attiva questa opzione in modo da avere la certezza di lavorare sempre con la versione più aggiornata di WebSite X5.

-

Salva ad ogni Anteprima: permette di salvare automaticamente il Progetto ogni volta che attraverso il comando Prova se ne visualizza l'Anteprima nel Browser in locale.

-

Crea Backup ad ogni salvataggio: attiva di default, fa in modo che venga automaticamente creata una copia di Backup (file Backup.IWP) prima di ogni salvataggio del Progetto.

-

Crea Backup ad ogni pubblicazione: fa in modo che venga automaticamente creata una copia di Backup (file Uploaded_TimesTemp.IWP, dove "TimesTemp" indica la data e l'ora relativi alla creazione del backup) del Progetto ogni volta che si procede alla pubblicazione online del Sito (vedere, Esportazione del Sito su Internet).

A seconde dell'opzione impostata, ad ogni salvataggio o ad ogni pubblicazione, viene automaticamente creata una copia di Backup della versione del Progetto precedente al salvataggio o alla pubblicazione: questa copia viene archiviata con il nome Backup.IWP o Uploaded_TimesTemp.IWP all'interno della Cartella dei Progetti.
Per ripristinare una copia di Backup occorre, dopo aver eliminato il file di Progetto Project.IWP, rinominare il file Backup.IWP o il file Uploaded_TimesTemp.IWP in Project.IWP.

-

Crea le Pagine durante la modifica del Progetto: attiva di default, permette di fare in modo che le Pagine relative al Sito vengano create già durante la modifica del Progetto.

Nello specifico, ogni volta che viene portata a termine una modifica (e, per esempio, si clicca su un pulsante OK o su un pulsante Avanti), il Programma ricrea tutto ciò che è stato interessato dalla modifica stessa. Questo permette di mantenere sempre aggiornata l'Anteprima del Sito in locale e di poterla visualizzare senza tempi di attesa.

-

Numero massimo di processi simultanei: permette di impostare il numero di processi (o Thread) avviati dal Programma che devono essere eseguiti simultaneamente dal computer.

La tecnica di suddividere un processo in più processi che poi vengono eseguiti contemporaneamente viene indicata come Multithreading e, per funzionare, deve essere supportata dal computer. In parole semplici, il Multithread cerca di sfruttare al meglio l'unità di calcolo del computer facendogli eseguire più thread in parallelo. Grazie a questa tecnica, quindi, un programma che, come WebSite X5, è stato sviluppato suddividendo il carico di lavoro su più thread può registrare notevoli miglioramenti nelle prestazioni.
Per ottenere un reale vantaggio dal Multithreading occorre valutare la configurazione hardware del computer su cui si lavora. Si consiglia di partire da 5 processi simultanei e provare a modificare tale parametro, incrementandolo progressivamente, in modo da identificare il numero migliore per le proprie esigenze.

-

Script per l'invio delle e-mail: permette di scegliere quale script deve essere utilizzato per l'invio delle e-mail gestito dal Programma in relazione, per esempio, all'utilizzo dell'Oggetto Modulo Invio E-mail o alla creazione di un Carrello e-commerce. Di default viene utilizzato lo Script completo: nel caso tale script non funzioni a causa delle configurazioni del Server impiegato, è consigliabile provare a sostituirlo e ad impostare le opzioni Server di bassa qualità o Script a basso livello.

-

Metodo di invio dei dati dei Moduli e-mail: permette di scegliere quale metodo di invio dei dati deve essere utilizzato per l'invio dei dati dell'Oggetto Modulo Invio E-mail. Di default viene utilizzato il metodo POST ma, dal momento che alcuni Server potrebbero non essere adeguatamente impostati per supportarlo, è possibile scegliere di utilizzare il metodo GET.

Com'è noto il protocollo HTTP (Hypertext Transfer Protocol) è quello utilizzato come principale sistema per la trasmissione di informazioni sul Web. Questo protocollo funziona in base a un meccanismo di richiesta/risposta in cui il Client esegue una richiesta e il Server restituisce una risposta. In genere, il Client corrisponde al Browser e il Server al Sito Web.
I messaggi HTTP di richiesta/risposta hanno, ovviamente, una loro sintassi. In particolare, nei messaggi di richiesta è necessario specificare un metodo e, fra quelli disponibili, i più comuni sono GET e POST.
Il metodo GET è usato per ottenere il contenuto della risorsa indicata come oggetto della richiesta (ad esempio la pagina web che si intende avere).
Il metodo POST, invece, è usato di norma per inviare informazioni al Server (ad esempio i dati di una form).
Dunque, per il caso specifico delle form e-mail è più corretto utilizzare il metodo POST ma, dal momento che può non essere supportato dal Server, WebSite X5 permette di sfruttare in sostituzione il metodo GET.


Scelta del Progetto

Avviato WebSite X5, dopo la Pagina di Benvenuto iniziale, si accede alla finestra Scelta del Progetto dove viene richiesto di specificare a quale Progetto si intende lavorare.

E' possibile scegliere se creare un nuovo Progetto o se procedere alla modifica di un Progetto già realizzato in precedenza.

-

Crea un nuovo Progetto: attivando questa opzione si procede alla realizzazione di un nuovo Sito di cui occorre specificare subito il nome digitandolo nell'apposito campo sottostante. Sarà possibile salvare il Progetto creato attraverso il pulsante Salva sempre disponibile nella pulsantiera superiore.

Durante le operazioni di salvataggio non è necessario specificare il percorso poiché i Progetti vengono automaticamente gestiti dal Programma e salvati nella Cartella dei Progetti impostata attraverso la finestra Preferenze.

-

Modifica un Progetto già esistente: attivando questa opzione si apre un Progetto creato in precedenza in modo da poter procedere alla sua modifica o aggiornamento.

Tutti i Progetti già esistenti vengono visualizzati nell'apposita lista. Per selezionare più facilmente il Progetto da aprire, è possibile scegliere fra diverse visualizzazioni: Icone grandi, [image] Titoli, [image] Lista e [image] Dettagli. In più, attraverso il comando [image] Mostra Gruppi è possibile fare in modo che tutti i Progetti vengano raggruppati e visualizzati in base alla data dell'ultima modifica.

La lista dei progetti esistenti può essere gestita attraverso i seguenti comandi:
- | Importa: permette di importare, attraverso la finestra Importa Progetto richiamata, un Progetto precedentemente creato ed esportato (vedere, Esporta il Progetto) con WebSite X5 da un PC diverso.
- | Rinomina: permette di modificare il nome del Progetto selezionato.
- | Duplica: permette di creare una copia del Progetto selezionato.
- | Elimina: permette di eliminare il Progetto selezionato.

Argomenti correlati:
- | Importa Progetto
- | Esporta il Progetto


Esporta ed ottimizza il Progetto

Scelta del Progetto | Importa Progetto

Questa finestra, richiamata dal pulsante Importa presente in Scelta del Progetto, permette di importare un Progetto precedentemente creato su un computer diverso ed esportato attraverso la funzione Esporta il Progetto. Grazie a questa specifica funzione di esportazione, infatti, è possibile ottenere un unico file compresso (file in formato .IWZIP) contenente sia il file di Progetto originario (file in formato .IWP) che tutti i file ad esso collegati (per esempio, relativi a Immagini, Video o Animazioni importate).

Nello specifico la finestra Importa Progetto presenta le seguenti voci:
- | File di Progetto da importare: permette di selezionare il file di Progetto (file in formato .IWZIP) da importare.
- | Cartella dove copiare i file collegati al Progetto: permette di specificare la cartella all'interno della quale devono essere copiati i file collegati al file di Progetto. In questo modo è possibile sapere quale cartella aprire per poter riprendere i file collegati al Progetto.

In pratica

Creato un Progetto sul computer A, se si desidera spostarlo su un computer B, occorre procedere nel seguente modo:

-

Sul computer A
- | Aprire il Progetto e, al Passo 5 - Esportazione, scegliere l'opzione Esporta il Progetto.
- | Specificare la Cartella di destinazione per il Progetto e confermare.

-

Trasferire il file compresso ottenuto dall'esportazione (ovvero, il file MioProgetto.iwzip, dove "MioProgetto" è il nome del Progetto di partenza) dal computer A al computer B.

-

Sul computer B
- | Aprire il Programma e nella finestra Scelta del Progetto cliccare sul pulsante Importa: utilizzare la finestra Importa Progetto richiamata per selezionare il file compresso precedentemente esportato e trasferito (ovvero, MioProgetto.iwzip).
- | Sempre nella finestra Importa Progetto specificare la cartella all'interno della quale si desidera che vengano copiati tutti i file collegati al file di Progetto.
- | Conclusa la fase di importazione, selezionare il Progetto e cliccare sul pulsante Avanti per procedere con lo sviluppo o l'aggiornamento del Sito.

Come detto il file .IWZIP ottenuto con l'esportazione è un file compresso in cui sono inclusi sia il file di Progetto originario che i file ad esso collegati. Una volta importato, questo file viene automaticamente decompresso:

-

il file di Progetto .IWP viene salvato nella Cartella dei Progetti impostata attraverso la finestra Preferenze e viene visualizzato nella Lista dei Progetti nella finestra Scelta del Progetto;

-

i file collegati vengono invece salvati nella cartella indicata che viene organizzata in sotto-cartelle in base al seguente criterio:
- | Sotto-cartella General: contiene i file definiti nelle Impostazioni generali come l'icona del Sito, le immagini/animazioni utilizzate nel Modello personalizzato o per la personalizzazione dell'Intestazione del Sito.
- | Sotto-cartelle ObjImage, ObjVideo, ObjFlash, ecc.: contengono i file utilizzati per la composizione dei singoli Oggetti utilizzati nelle diverse Pagine del Sito.
- | Sotto-cartella Advanced: contiene i file definiti nelle Impostazioni avanzate come il cursore per i link, le immagini per il punto elenco dei sotto-menu, le icone del Carrello di e-commerce, le bandiere per la scelta della lingua di consultazione, ecc.
- | Sotto-cartella Links: contiene i file collegati ai link presenti in qualsiasi punto del Sito.
- | Sotto-cartella Aspect: contiene i file utilizzati per definire l'aspetto delle Celle della Griglia di impaginazione.

Argomenti correlati:
- | Scelta del Progetto
- | Esporta il Progetto


Impostazioni Generali

Questa finestra iniziale, la prima del Passo 1, ha l'obiettivo di raccogliere attraverso opportuni campi alcune informazioni necessarie per configurare i parametri di base del Progetto a cui si sta lavorando.

E' importante, per esempio, definire un titolo, specificare la URL, impostare una lingua e prevedere codici e metatag necessari per l'attivazione di servizi aggiuntivi come quello per le statistiche di accesso.
Tutti questi parametri possono essere impostati subito o anche in un secondo momento.

Nello specifico, le opzioni disponibili vengono presentate nelle seguenti sezioni:
- | Sezione Base
- | Sezione Esperto


Impostazioni Generali - Sezione Base

Impostazioni Generali | Sezione Base

Nella Sezione Base della finestra Impostazioni Generali è possibile specificare i seguenti parametri:

-

Titolo del Sito: in questo campo si può digitare il titolo da dare al Sito. Questo titolo verrà visualizzato nella Barra del titolo del Browser ed è, ovviamente, un parametro importante per permettere a utenti e Motori di ricerca di individuare correttamente il Sito.
Come Titolo del Sito viene automaticamente ripreso il nome assegnato al Progetto (vedere: Scelta del Progetto): in qualsiasi caso, il Titolo del Sito può essere modificato e stabilito in base all'argomento trattato e alle specifiche esigenze di ottimizzazione.

-

Autore del Sito: in questo campo si può digitare il nome della persona o della società che si desidera figuri come autore del Sito. Il nome dell'autore viene riportato nel codice HTML delle pagine realizzate come valore del metatag <author>: in questo modo si appone la firma sul lavoro fatto.

-

Indirizzo URL del Sito: in questo campo si può immettere l'indirizzo URL (per esempio, http://www.miosito.com) al quale sarà raggiungibile il Sito una volta pubblicato. Questa informazione è necessaria per il corretto funzionamento di eventuali Feed RSS, del Carrello di e-commerce e della SiteMap che viene automaticamente creata e collegata dal Programma.

-

Descrizione del Sito: in questo campo si può digitare una breve descrizione del Sito. E' bene che il contenuto della descrizione sia conciso, efficace e significativo per il Sito a cui fa riferimento: questa descrizione, infatti, verrà utilizzata nel codice HTML come contenuto del metatag <description> e sarà analizzata dagli spider dei Motori di ricerca.

-

Parole chiave per la ricerca: in questo campo si può digitare un elenco di parole chiave (fra loro separate da una virgola) importanti per il Sito. Le parole chiave verranno inserite nel codice HTML come valore del metatag <keywords> e potranno essere utilizzate dai Motori di ricerca.

La Descrizione del Sito e la lista di Parole chiave inserite attraverso questi campi vengono automaticamente associate alla Home Page del Sito.
Per una migliore ottimizzazione del Sito è però consigliabile associare a ciascuna Pagina, o almeno alle più importanti, una Descrizione e un elenco di Parole chiave specifici. Per far questo è sufficiente accedere alla finestra Creazione della Mappa, selezionare la Pagina su cui si vuole lavorare e cliccare sul comando Proprietà Pagina.

Maggiori indicazioni sul comportamento dei Motori di ricerca e su come individuare e utilizzare parole chiave e descrizioni per il posizionamento del sito sono disponibili alla pagina: Motori di ricerca.

-

Lingua dei contenuti: in questo campo è possibile specificare quale Lingua impostare per il Sito. In base alla Lingua scelta, viene utilizzata la corrispondente versione dei testi inseriti in automatico dal programma: link ad ancore interne, etichette dell'Oggetto Modulo Invio E-mail, etichette e testi dei Carrello di e-commerce, testi della Mappa del Sito.

Per poter agire sui testi inseriti in automatico dal Programma o aggiungere nuove lingue è sufficiente cliccare sul pulsante [image] e utilizzare le opzioni disponibili nella finestra richiamata Gestione Contenuti in Lingua. (vedere, Come gestire le Lingue per i testi inseriti in automatico).

-

Icona per il Sito: in questo campo è possibile specificare quale icona (file .ico o .png) associare alle pagine Web del Sito. Questa icona verrà visualizzata alla sinistra dell'URL nella barra degli indirizzi del Browser Internet.

Come icona associata a un Sito (o favicon, dall'inglese di favorites icon) può essere utilizzate un'immagine in formato .ICO, .PNG, .GIF e .JPG.
Mentre i file .ICO vengono utilizzati così come sono, per i file in formato .PNG, .GIF e .JPG, di qualsiasi dimensioni essi siano, WebSite X5 crea automaticamente una copia come file .PNG di 16x16 pixel e utilizza tale copia come favicon.

Argomenti correlati:
- | HTML, XHTML & CSS.
- | Motori di ricerca
- | Come gestire le Lingue per i testi inseriti in automatico


Impostazioni Generali - Sezione Esperto

Impostazioni Generali | Sezione Esperto

Nella Sezione Esperto della finestra Impostazioni Generali è possibile specificare i seguenti parametri:

-

Codice personalizzato per la sezione HEAD: in questo campo è possibile digitare il codice HTML che si vuole inserire all'interno della sezione <head> di tutte le Pagine. Questa funzione è particolarmente utile se si vogliono includere delle librerie o dei Fogli di stile (CSS) esterni o interni.

-

Metatag di verifica per Google Webmaster Central: in questo campo è possibile inserire il metatag di verifica necessario per poter utilizzare gli strumenti messi a disposizione da Google Webmaster Central.

Per maggiori informazioni sul servizio Google WebMaster Central e per ottenere un account, cliccare su pulsante [image] e accedere al Sito ufficiale: http://www.google.com/webmasters/.

-

Codice per attivazione delle Statistiche: in questo campo è possibile inserire il codice necessario per attivare i servizi di statistiche sul Sito, come per esempio Google Analytics, e avere utili informazioni sulla quantità e la qualità delle visite ricevute.

Per maggiori informazioni sul servizio Google Analytics e per ottenere un account, cliccare su pulsante [image] e accedere al Sito ufficiale: http://www.google.it/analytics/.

-

Crea automaticamente la SiteMap: attiva di default, questa opzione fa in modo che venga automaticamente creata e collegata la SiteMap del sito.

Perché la SiteMap venga costruita e funzioni correttamente è necessario indicare un indirizzo URL valido nel campo Indirizzo URL del Sito presente nella Sezione Base della finestra Impostazioni Generali.

-

Attiva protezione accesso codice HTML: attivando questa opzione, le Pagine del Sito pubblicato vengono protette disabilitando il click del tasto desto del mouse per richiedere la visualizzazione del codice sorgente o la copia delle immagini presenti.

Argomenti correlati:
- | Cosa fare per poter usare Google WebMaster Tools
- | Come attivare un servizio di statistiche come, per esempio, Google Analytics
- | Come creare e collegare la SiteMap del sito


Scelta del Modello

Uno dei fattori che concorrono a determinare il successo di un Sito Web è sicuramente il layout grafico. Ancor prima di arrivare ai contenuti e alla struttura di navigazione, infatti, l'aspetto del Sito colpisce il navigatore, influenzando in maniera determinante il giudizio che se ne farà. E' facile comprendere che un design curato e professionale viene interpretato come un indizio di un Sito di qualità, del quale varrà la pena approfondire i contenuti.

WebSite X5 permette di definire l'aspetto del Sito scegliendo il modello grafico da applicare da una galleria di oltre 1.500 template, oppure creando un proprio modello personalizzato partendo da zero.

Tutti i modelli predefiniti sono stati studiati nei minimi dettagli in modo da garantire un ottimo risultato e si presentano in 4 diverse varianti di stile per potersi adattare più facilmente ad esigenze specifiche. Grazie all'apposito Editor interno, tutti i modelli predefiniti possono comunque essere ampiamente personalizzati.

Per prima cosa, quindi, per definire lo stile grafico del Sito occorre selezionare una delle seguenti opzioni:
- | Modello Personalizzato: per procedere alla definizione di un proprio modello di stile partendo da zero.
- | Modello Predefinito: per applicare uno dei modelli predefiniti, scelto fra quelli proposti.

Se si decide di utilizzare un modello predefinito, è possibile scegliere quale modello applicare esplorando l'elenco dei modelli disponibili. Dato il numero elevato, per renderne più semplice la scelta, i modelli disponibili sono stati divisi in categorie tematiche. Una volta selezionata una categoria attraverso l'apposito menu, viene visualizzata una miniatura di tutti i modelli in essa compresi. Selezionata una miniatura, ne viene visualizzata un'Anteprima di dimensioni maggiori.

Dopo aver selezionato un modello è possibile procedere alla definizione delle seguenti Opzioni:

-

Tipo di Menu: permette di definire la struttura del Sito scegliendo, in pratica, come impostare il menu di navigazione fissa. E' possibile scegliere fra le strutture con Menu Verticale e con Menu Orizzontale.

Nelle precedenti versioni di WebSite X5, la scelta tra Menu Orizzontale e Menu Verticale veniva effettuata nella finestra Scelta del tipo di menu che nell'attuale versione 9 non è più presente.

-

Varianti: per ogni modello sono disponibili 4 diverse varianti di stile, ciascuna rappresentata da una piccola immagine di anteprima. Per visualizzare l'Anteprima ingrandita relativa a una variante o per selezionarla è sufficiente cliccare in sua corrispondenza.

Nelle precedente versione 8 di WebSite X5, per ciascun modello erano disponibili 4 Varianti di colore: le attuali Varianti di stile si distinguono perché non presentano solo palette di colori diverse, ma anche impostazioni ed elementi grafici differenti.

-

Tonalità: oltre alle 4 Varianti di stile predefinite, attraverso l'apposito cursore è possibile agire sulla Tonalità per virare il modello in una nuova e originale variante di colore. Grazie a questa opzione, le varianti grafiche diventano potenzialmente infinite.

I modelli sono ottimizzati per una visualizzazione a 1024 x 768 pixel. Se si desidera realizzare un sito ottimizzato con una risoluzione diversa, è possibile utilizzare il Modello personalizzato.

Argomenti correlati:
- | Com'è organizzata la cartella Templates relativa ai modelli preinstallati
- | Dove trovare nuovi modelli per WebSite X5


Com'è organizzata la cartella Templates relativa ai modelli preinstallati

Nel caso si voglia modificare un modello preinstallato o aggiungere nella lista dei modelli disponibili un proprio modello, può essere utile comprendere come e dove vengono salvati durante l'installazione di WebSite X5.

I file grafici relativi ai diversi modelli predefiniti sono archiviati nella sottocartella /Templates della cartella di installazione del Programma.

Per esempio, i file relativi al modello "City" presente nella categoria "2.Travel" sono salvati con i seguenti percorsi:
- | /Templates/2.Travel/City/Hor - per i template con il Menu di navigazione orizzontale;
- | /Templates/2.Travel/City/Ver - per i template con il Menu di navigazione verticale.
Nelle sottocartelle /Hor e /Ver sono presenti altre sottocartelle nominate con un numero da 1 a 4. Ognuna di queste 4 sottocartelle corrisponde a una Variante di stile del modello. Infatti, nella finestra Scelta del Modello, posizionando il mouse sui pulsanti che consentono di scegliere la Variante di stile da applicare, viene visualizzata in una ToolTip l'indicazione del numero corrispondente al nome della sottocartella.

Nella sottocartella del modello (/Templates/2.Travel/City) è anche presente il file settings.xml. Questo file di testo contiene alcuni parametri di base come: ContentHorWidth e ContentVerWidth (la larghezza dei contenuti per modello con menu orizzontale o verticale), MenuHorWidth (la larghezza del menu orizzontale), MenuHorHeight (l'altezza del menu orizzontale). I valori di questi parametri sono espressi in pixel.

All'interno delle sottocartelle #1, #2, #3 e #4 si trovano, infine i file grafici (file JPG) relativi alle immagini utilizzate per la composizione del modello.

Oltre alle 4 sottocartelle citate, nelle cartelle /Hor e /Ver sono presenti anche i seguenti file, comuni a tutte e 4 le varianti di stile:
- | index.html: contiene il codice relativo alla struttura di base del modello.
- | template.css: è il foglio di stile in cui sono contenute le istruzioni necessarie per definire alcune impostazione di base sulla presentazione dei contenuti.

Argomenti correlati:

-

Scelta del Modello


Dove trovare nuovi modelli per WebSite X5

Se sei alla ricerca di un nuovo modello da utilizzare nella creazione o nel restyling del tuo sito Web, puoi trovare tanti nuovi modelli in WebSite X5 Templates, la sezione del sito ufficiale di WebSite X5 raggiungibile all'indirizzo www.websitex5.com/templates.

Su WebSite X5 Templates troverai numerosi nuovi modelli grafici, realizzati da Incomedia o da altri utenti, sia gratuiti che a pagamento, e potrai scaricarli e utilizzarli per il tuo progetto.

Potrai, inoltre, collaborare tu stesso alla crescita dell'archivio dei modelli proponendo i tuoi lavori. Se sei un appassionato di grafica Web, infatti, puoi diventare un nostro autore affiliato, proporre i tuoi template e guadagnare da questa tua attività. Per maggiori informazioni sull'affiliazione www.websitex5.com/templates/affiliates

Non dimenticare, dunque, di far visita periodicamente a WebSite X5 Templates per vedere cosa c'è di nuovo: se vuoi, puoi sottoscrivere il Feed RSS e mantenerti costantemente aggiornato sulle ultime novità.

Argomenti correlati:

-

Scelta del Modello


Modello Personalizzato

WebSite X5 consente di creare un proprio modello di stile personalizzato partendo da zero: per farlo è sufficiente selezionare l'opzione Modello Personalizzato presente nella finestra Scelta del Modello e cliccare sul pulsante Avanti.

Per facilitare il lavoro, la finestra Modello Personalizzato offre un'Anteprima in cui viene visualizzata una rappresentazione schematica della Pagina. E' possibile scegliere la sezione da modificare dalla lista oppure è anche possibile cliccare direttamente sulle diverse aree della struttura della Pagina per poterle selezionare, modificarne l'aspetto attraverso gli appositi comandi e vedere subito il risultato delle azioni eseguite.

Innanzi tutto, per procedere alla creazione di un modello personalizzato è necessario specificare il Tipo di Menu, ovvero dove e come deve essere posizionato il Menu di navigazione all'interno di tutte le Pagine del Sito.
Le possibili alternative sono: Orizzontale - Menu sopra l'Intestazione, [image] Orizzontale - Menu sotto l'Intestazione, [image] Verticale - Menu a sinistra.

 Nelle precedenti versioni di WebSite X5, la scelta tra Menu Orizzontale e Menu Verticale veniva effettuata nella finestra Scelta del tipo di menu che nell'attuale versione 9 non è più presente.

Scelto il tipo di Menu, occorre selezionare la Sezione della Pagina sulla quale si vuole lavorare.

Le sezioni in cui è suddivisa la Pagina sono:

 Sfondo della Pagina: è l'area esterna alla Pagina e viene visualizzata quando la finestra del Browser viene aperta con dimensioni superiori rispetto alla risoluzione del Sito.

Intestazione: è l'header, o banner superiore, una sezione prevalentemente grafica ideale per ospitare elementi come titolo e sottotitolo del Sito, logo aziendale, campi di ricerca, menu di servizio con i link, per esempio, per la visualizzazione della mappa o per la scelta della lingua di consultazione.

Menu: è l'area destinata ad ospitare la navigazione fissa, ovvero le voci di primo livello del menu che devono essere presenti, inalterate, in ogni pagina del Sito. La posizione di quest'area, ovviamente, varia in base alla struttura del Sito scelta.

Contenuto della Pagina: è l'area destinata ad ospitare il contenuto vero e proprio delle Pagine ed, eventualmente, i sottomenu di navigazione.

Piè di Pagina: è il footer, altra sezione prevalentemente grafica che ha lo scopo di chiudere visivamente la Pagina. In genere, in quest'area trovano collocazione elementi come note, disclaimer, copyright, partita IVA, indirizzi e-mail.

Sfondo del piè di Pagina: è la parte dello Sfondo del Sito che inizia esattamente all'altezza del Piè di pagina. Se impostato come Trasparente lo Sfondo del piè di Pagina viene trattato come parte integrante dello Sfondo della Pagina e ne assume lo stesso aspetto. In casi particolari (per esempio, se si vuole una banda per il footer che occupi tutta la larghezza della finestra del Browser), può essere utile disporre lo Sfondo del piè di Pagina diverso dallo Sfondo della Pagina.

Per tutte le aree sopra menzionate è possibile agire sulle seguenti opzioni:
- | Colore: permette di specificare, attraverso la finestra Colore richiamata, il colore di sfondo per l'area della Pagina selezionata.
- | File Immagine: permette di specificare un'immagine (.jpg, .gif o .png) da inserire come sfondo per l'area della Pagina selezionata. Nel caso dell'Intestazione o del Piè di Pagina è possibile prevedere anche un'animazione Flash (.swf).
- | Disposizione: permette di specificare se l'immagine inserita come sfondo deve essere ripetuta o meno. L'immagine può essere ripetuta solo in senso orizzontale, solo in senso verticale o in entrambe i sensi, in modo da giungere ad occupare l'intero spazio a disposizione. In più, solo per la sezione Sfondo della Pagina, è possibile fare in modo che l'immagine venga adattata, ovvero ridimensionata in modo da coprire tutto lo sfondo: in questo caso, possono non venir rispettate le proporzioni originali.
- | Allineamento: permette di specificare come deve essere allineata l'immagine inserita rispetto all'area della Pagina selezionata.

Solo per l'area Sfondo della Pagina è disponibile l'opzione:

-

Immagine di sfondo fissa: attivando questa opzione, l'immagine inserita come sfondo della Pagina viene mantenuta fissa anche quando il contenuto della Pagina viene fatto scorrere mediante la barra di scroll.

Per le aree Intestazione e Menu è disponibile l'opzione:

-

Larghezza: riporta il valore espresso in pixel della larghezza dell'area della Pagina selezionata. Per il Tipo di Menu Verticale, il valore della Larghezza è impostato di default a 960 pixel per la sezione Intestazione e a 120 pixel per la sezione Menu ma, in qualsiasi caso, è liberamente modificabile. Per il Tipo di Menu Orizzontale, invece, il valore della Larghezza impostato per l'Intestazione viene automaticamente ripreso anche per il Menu, il Contenuto della Pagina e il Piè di Pagina.

Il valore della larghezza impostato di default è calcolato per ottenere un Sito ottimizzato per una visualizzazione a 1024x768 pixel.

Per le aree Intestazione, Menu (solo per il Tipo di Menu Orizzontale) e Piè di Pagina è disponibile l'opzione:

-

Altezza: riporta il valore espresso in pixel dell'altezza dell'area della Pagina selezionata.

Infine, per le sezioni Sfondo della Pagina, Menu e Contenuto della Pagina sono disponibili le opzioni:

-

Margine Superiore / Margine Inferiore: permettono di specificare, rispettivamente, il valore in pixel da impostare per i margini superiore e inferiore. Il margine è lo spazio vuoto tra il bordo della sezione e il suo contenuto.

Solo per le sezioni Menu e Contenuto della Pagina sono disponibili anche le opzioni:

-

Margine Sinistro / Margine Destro: permettono di specificare, rispettivamente, il valore in pixel da impostare per i margini sinistro e destro.

L'effettiva larghezza delle Pagine del Sito è data dalla larghezza della sezione Contenuto della Pagina (dipendente da quella dell'area Intestazione) meno il margine sinistro e il margine destro.

L'intestazione del modello realizzato può essere completato con l'inserimento di testi, immagini, animazioni Flash, SlideShow, campi di ricerca e collegamenti: le opzioni necessarie sono presentate nella finestra Modifica del Modello a cui si accede cliccando sul pulsante Avanti.

Argomenti correlati:
- | Scelta del Modello
- | Modifica del Modello


Modifica del Modello

Dopo aver scelto uno dei modelli predefiniti nella finestra Scelta del Modello o dopo aver creato un modello da zero attraverso la finestra Modello Personalizzato, si accede alla finestra Modifica del Modello. Attraverso le sezioni Intestazione e Piè di Pagina di questa finestra è possibile personalizzare, rispettivamente, l'Intestazione e/o il Piè di Pagina del modello stesso aggiungendo Testi, Immagini, Animazioni Flash, SlideShow, Codice HTML, Campi di Ricerca e Collegamenti.

 Sia lavorando sull'immagine dell'Intestazione che su quella del Piè di Pagina, i comandi e le opzioni disponibili sono identici.

Se nelle sezioni Intestazione o Piè di Pagina è inserita come sfondo un'Animazione Flash, la finestra Modifica del Modello non ne permette la personalizzazione.

Come si vede, la finestra presenta un editor grafico all'interno del quale, subito sotto la Barra Strumenti, viene automaticamente ripresa l'immagine utilizzata come sfondo dell'Intestazione o del Piè di Pagina del modello scelto (sia predefinito che personalizzato): l'immagine viene visualizzata in scala 1:1 e, se necessario, può essere fatta scorrere attraverso l'apposita barra di scroll orizzontale. Su questa immagine vengono visualizzate in tempo reale tutte le modifiche apportate attraverso i comandi disponibili.

Subito sotto l'immagine caricata è presente una Barra di Stato in cui viene riportato:
- | Posizione: visualizza le coordinate x e y che identificano la posizione dell'angolo superiore destro dell'Oggetto selezionato.
- | Dimensione: visualizza il valore espresso in pixel della larghezza e dell'altezza dell'Oggetto selezionato.

Una volta inserito un Oggetto attraverso l'apposito comando della Barra Strumenti, è possibile selezionarlo e procedere alla sua modifica attraverso le opzioni presenti nel riquadro che prende il nome dell'oggetto stesso.

Si può, dunque, avere un Riquadro Intestazione / Piè di pagina, un Riquadro Testo, un Riquadro Immagine, un Riquadro Animazione Flash, un Riquadro SlideShow, un Riquadro Codice HTML e un Riquadro Campo di Ricerca.

In più, comune agli Oggetti Testo, Immagine e SlideShow, è disponibile il Riquadro Effetti.

Argomenti correlati:
- | Scelta del Modello
- | Modello personalizzato


Modifica del Modello | Barra Strumenti

Nella finestra Modifica del Modello, la barra strumenti dell'editor grafico presenta i seguenti comandi:

 Taglia [CTRL+X] - Copia [CTRL+C] - Incolla [CTRL+V]
Permettono, rispettivamente, di tagliare, copiare e incollare l'Oggetto selezionato.

Annulla [CTRL+Z]
Permette di annullare l'ultima azione eseguita.

Porta in primo piano - Porta in secondo piano
Permettono, rispettivamente, di portare l'Oggetto selezionato in primo o in secondo piano, ovvero sopra o sotto tutti gli altri Oggetti eventualmente sovrapposti.

Associa un Collegamento
Permette di impostare un link sul testo, sull'immagine o sulle immagini dello SlideShow selezionate. E' possibile definire le impostazioni del collegamento attraverso la finestra richiamata Collegamento.

Posizione e Dimensioni
Permette di definire, attraverso la finestra richiamata, le coordinate che determinano la posizione e le dimensioni dell'Oggetto selezionato. L'opzione Mantieni proporzioni, attiva di default, fa in modo che nelle operazioni di ridimensionamento vengano mantenute le proporzioni originarie dell'Oggetto.

Inserisci Testo - Inserisci Immagine - Inserisci Animazione Flash - Inserisci SlideShow - Inserisci Codice HTML - Inserisci Campo di Ricerca
Permettono, rispettivamente, di inserire un Testo, un'Immagine, un'Animazione Flash, uno SlideShow, del codice HTML o un Campo di Ricerca.
Lo SlideShow è costituito da una sequenza di immagini che scorrono automaticamente una di seguito all'altra: può essere utile per creare dei banner anche a scopo pubblicitario.
Attraverso l'inserimento di Codice HTML è possibile aggiungere qualsiasi tipo di contenuto: in questo modo si può andare ben oltre le possibilità offerte dai comandi.
Infine, il Campo di Ricerca sfrutta un Motore interno per permettere all'utente di compiere delle ricerche sui contenuti dell'intero Sito.

Le Animazione Flash e gli Oggetti Codice HTML inseriti vengono visualizzati solo quando il sito viene aperto nel Browser.

Argomenti correlati:

-

Modifica del Modello


Modifica del Modello | Riquadro Intestazione / Piè di pagina

Nella finestra Modifica del Modello, cliccando direttamente sull'immagine di sfondo delle sezioni Intestazione e Piè di Pagina la si seleziona e diventa possibile agire sulle seguenti opzioni presenti nel riquadro Intestazione / Piè di Pagina:
- | File Immagine: permette di visualizzare il percorso del file grafico utilizzato. L'immagine presente può essere sostituita con una nuova immagine: possono essere utilizzati file in formato JPG, GIF, PNG, BMP, PSD, TIF, DIB, PCX, RLE, TGA, WMF.
- | Salva come immagine in formato JPG: in fase di creazione del Sito, gli Oggetti Testo e gli Oggetti Immagine aggiunti nell'Intestazione/Piè di Pagina verranno fusi con l'immagine di sfondo utilizzata che sarà automaticamente salvata come un nuovo file in formato PNG. La scelta del formato PNG permette di mantenere eventuali trasparenze impostate. Se non occorre gestire trasparenza particolari, è possibile attivare l'opzione Salva come immagine in formato JPG per ottenere un'immagine di sfondo di dimensioni inferiori.

 Conoscere il percorso del file grafico utilizzato come sfondo dell'Intestazione/Piè di Pagina può essere utile per poter identificare più facilmente tale file, aprirlo, modificarlo con un editor esterno e salvarne una copia da sostituire all'originale.

Argomenti correlati:

-

Modifica del Modello


Modifica del Modello | Riquadro Testo

Nella finestra Modifica del Modello, selezionando un Oggetto Testo inserito nelle sezioni Intestazione e Piè di Pagina è possibile agire sulle seguenti opzioni presenti nel riquadro Testo:
- | Contenuto: permette di digitare il contenuto del testo.
- | Tipo di Font: permette di definire, attraverso la finestra richiamata, il tipo di carattere, lo stile e la dimensione in punti per il testo.
- | Colore Testo / Colore Sfondo: permettono di definire, attraverso la finestra Colore richiamata, il colore per la scritta e per lo sfondo del testo inserito.

Argomenti correlati:

-

Modifica del Modello


Modifica del Modello | Riquadro Immagine

Nella finestra Modifica del Modello, selezionando un Oggetto Immagine inserito nelle sezioni Intestazione e Piè di Pagina è possibile agire sulle seguenti opzioni presenti nel riquadro Immagine:
- | File Immagine: permette di selezionare il file grafico relativo all'immagine da inserire. Possono essere utilizzati file in formato JPG, GIF, PNG, BMP, PSD, TIF, DIB, PCX, RLE, TGA, WMF.
- | File Immagine su passaggio del mouse: permette di selezionare un secondo e diverso file grafico che verrà visualizzato in corrispondenza del passaggio del mouse sull'immagine stessa. Questa opzione è particolarmente utile per la creazione di pulsanti con effetto premuto/rilasciato.
- | Abilita Trasparenza: attivando questa opzione viene applicata la trasparenza sull'immagine, rendendo non visibile il colore specificato.
- | Colore Trasparenza: permette di specificare, attraverso la finestra Colore richiamata, il colore dell'immagine inserita che deve essere reso invisibile se viene attivata l'opzione Abilita trasparenza. In questi casi, risulta particolarmente utile lo strumento "contagocce" che permette di catturare il colore direttamente dall'immagine.
- | Tolleranza: permette di specificare il fattore di tolleranza per applicare la trasparenza. Maggiore è il valore impostato per la tolleranza, più ampia sarà l'area dell'immagine resa trasparente.

Argomenti correlati:

-

Modifica del Modello


Modifica del Modello | Riquadro Animazione Flash

Nella finestra Modifica del Modello, selezionando un Oggetto Animazione Flash inserito nelle sezioni Intestazione e Piè di Pagina è possibile agire sulle seguenti opzioni presenti nel riquadro Animazione Flash:
- | File Animazione: permette di selezionare il file SWF relativo all'Animazione Flash da inserire.
- | Sfondo Trasparente: attivando questa opzione lo sfondo dell'Animazione viene reso non visibile.

Argomenti correlati:

-

Modifica del Modello


Modifica del Modello | Riquadro SlideShow

Nella finestra Modifica del Modello, selezionando un Oggetto SlideShow inserito nelle sezioni Intestazione e Piè di Pagina è possibile agire sulle seguenti opzioni presenti nel riquadro SlideShow:
- | Lista di immagini da visualizzare: visualizza la lista delle immagini che compongono lo SlideShow. Per ogni immagine inserita, viene riportato il percorso del file oltre che, se presenti, l'indicazione dell'effetto e del collegamento associati. Selezionando un file della lista se ne ottiene la visualizzazione nell'anteprima. E' anche possibile effettuare una selezione multipla dei file utilizzando i comandi CTRL + click e SHIFT + click.
- | Aggiungi / Rimuovi: permettono, rispettivamente, di aggiungere nuove immagini o di eliminare le immagini selezionate dalla lista di quelle che compongono lo SlideShow. La finestra di Selezione File richiamata consente di selezionare anche più file contemporaneamente.
- | Sposta sopra / Sposta sotto: permettono, rispettivamente, di spostare l'immagine selezionata prima o dopo a quella precedente/successiva nella Lista di immagini da visualizzare nello SlideShow.
- | Effetto: permette di richiamare la finestra Proprietà Effetto attraverso la quale è possibile impostare effetti di entrata, movimento, zoom oltre che i collegamenti per le immagini dello SlideShow selezionate fra quelle presenti nella Lista di immagini da visualizzare.
- | Avvio automatico: attiva di default, questa opzione si fa in modo che lo SlideShow parta automaticamente.
- | Visualizza in ordine casuale: attivando questa opzione le immagini inserite nello SlideShow vengono riprodotte in ordine casuale e non in base all'ordine di inserimento nella Lista di immagini da visualizzare.

Argomenti correlati:
- | Modifica del Modello
- | Finestra Proprietà Effetto


Modifica del Modello | Riquadro Codice HTML

Nella finestra Modifica del Modello, selezionando un Oggetto HTML inserito nelle sezioni Intestazione e Piè di Pagina è possibile agire sulle seguenti opzioni presenti nel riquadro Codice HTML:
- | Codice HTML: permette di immettere il codice HTML relativo all'Oggetto che si vuole creare.
- | Visualizza Barre di Scorrimento: attivando questa opzione si fa in modo che vengano visualizzate le barre di scorrimento.

In più è possibile cliccare sul pulsante [image] Inserisci Snippet e, attraverso il menu richiamato, scegliere se inserire:

-

La Data di pubblicazione [DATE]: permette di inserire automaticamente la data di pubblicazione della Pagina. Per esempio, si può scrivere: "Pagina aggiornata il [DATE]".

-

L'Ora corrente [HOUR]: permette di inserire automaticamente l'indicazione dell'ora corrente. Per esempio, si può scrivere: "Sono le ore [HOUR]".

-

La Data corrente [NOW]: permette di inserire automaticamente l'indicazione del giorno corrente. Per esempio, si può scrivere: "Oggi è il [NOW]".

-

Il Logout dall'Area Riservata [LOGOUT]: permette di inserire automaticamente la scritta Logout con già impostato il collegamento necessario per permettere all'utente di uscire dall'Area Riservata (composta dalle Pagine Protette alle quali può avere accesso tramite le sue credenziali) e tornare alla Home Page del Sito. Questo link per il Logout viene visualizzato solo se l'Utente ha precedentemente effettuato il Login.

La dicitura "Logout" può essere modificata attraverso la finestra Gestione Contenuti in Lingua.

Argomenti correlati:

-

Modifica del Modello


Modifica del Modello | Riquadro Campo di Ricerca

Nella finestra Modifica del Modello, selezionando il Campo di Ricerca inserito nelle sezioni Intestazione e Piè di Pagina è possibile agire sulle seguenti opzioni presenti nel riquadro Campo di Ricerca:
- | Etichetta Pulsante: permette di specificare il testo che deve essere visualizzato all'interno del pulsante che lancia la ricerca.
- | Tipo di Font: permette di definire, attraverso la finestra richiamata, il tipo di carattere, lo stile e la dimensione in punti per il testo.
- | Colori Campo: permette di definire, attraverso la finestra Colore richiamata, il colore per il testo e per lo sfondo del campo.
- | Colori Pulsante: permette di definire, attraverso la finestra Colore richiamata, il colore per il testo e lo sfondo del pulsante.

 I risultati delle ricerche effettuate all'interno del Sito vengono restituiti in Pagine automaticamente create dal Programma: l'aspetto grafico di tali Pagine è stabilito sulla base delle impostazioni di stile dei testi (vedi Stili e Modelli nel Passo 4 - Impostazioni Avanzate).

Argomenti correlati:
- | Modifica del Modello
- | Come funzione il Motore di Ricerca interno di WebSite X5


Modifica del Modello | Riquadro Effetti

Nella finestra Modifica del Modello, selezionando un Oggetto Testo, un Oggetto Immagine o un Oggetto SlideShow inserito è possibile agire sulle seguenti opzioni presenti nel riquadro Effetti:

-

Tipo di Effetto: permette di selezionare e attivare uno o più effetti da applicare sull'Oggetto selezionato.

Su ciascun Oggetto Testo, Immagine e Slide Show possono essere applicati anche più effetti contemporaneamente; per ogni effetto è possibile agire su diverse impostazioni:

Effetto | Impostazioni
Ombra | - | Diffusione: permette di definire quanto deve essere diffusa l'ombra da applicare.
 | - | Colore: permette di definire, attraverso la finestra Colore richiamata, il colore dell'ombra da applicare.
 | - | Distanza X / Distanza Y: permettono di definire di quanto deve essere spostata orizzontalmente l'ombra rispetto all'oggetto a cui viene applicata. Inserendo un valore positivo si ottiene uno spostamento dell'ombra, rispettivamente, verso destra o verso il basso; al contrario, inserendo un valore negativo si ottiene uno spostamento dell'ombra verso sinistra o verso l'alto.
Riflesso | - | Diffusione: permette di definire quanto deve essere diffuso, ovvero quanto deve essere grande, il riflesso da applicare.
 | - | Distanza: permette di definire quanto deve essere distante il riflesso rispetto all'oggetto a cui si applica.
Bordo colorato | - | Spessore: permette di definire il valore in pixel dello spessore del bordo da applicare.
 | - | Colore: permette di definire, attraverso la finestra Colore richiamata, il colore del bordo da applicare.
Bagliore esterno | - | Diffusione: permette di definire quanto deve essere diffuso il bagliore da applicare.
 | - | Colore: permette di definire, attraverso la finestra Colore richiamata, il colore del bagliore da applicare.
Bombato | - | Profondità: permette di definire quanto deve essere accentuata la bombatura da applicare.
 | - | Diffusione: permette di definire quanto deve essere diffusa la bombatura da applicare.
 | - | Angolo: permette di definire l'angolo della bombatura da applicare.
Rotazione | - | Angolo: permette di impostare il valore dell'angolo della rotazione (effettuata in senso orario) da applicare.
Opacità | - | Opacità: permette di impostare un valore da 0 a 255 per definire il grado di opacità dell'immagine. Per valori tendenti allo 0 diminuisce l'opacità dell'immagine che, quindi, diventa sempre più trasparente.
Sfocatura | - | Diffusione: permette di definire quanto deve essere diffusa la sfocatura da applicare.
Onda | - | Diffusione: permette di definire l'ampiezza dell'onda.
 | - | Frequenza: permette di definire quanto devono essere vicine le onde fra loro.
Prospettiva | - | Orizzontale: permette di impostare l'angolo di fuga per ottenere una effetto di prospettiva verso destra (con valori positivi) o verso sinistra (con valori negativi).
 | - | Verticale: permette di impostare l'angolo di fuga per ottenere una effetto di prospettiva verso il basso (con valori positivi) o verso l'alto (con valori negativi).
Distorsione | - | Orizzontale: permette di posizionare il punto verso il quale impostare la distorsione lungo un piano orizzontale, a destra (con valori positivi) o a sinistra (con valori negativi).
 | - | Verticale: permette di posizionare il punto verso il quale impostare la distorsione lungo un piano verticale, in alto (con valori positivi) o in basso (con valori negativi).

Argomenti correlati:

-

Modifica del Modello


Creazione della Mappa

Un Sito Web può essere definito come un insieme strutturato di Pagine. Definire correttamente questa struttura è molto importante dal momento che essa determina come le Pagine sono fra loro collegate e, di conseguenza, definisce i percorsi di navigazione disponibili per arrivare alle singole informazioni.
Una buona struttura farà sì che l'utente non si perda durante la navigazione, sappia sempre dove si trova e riesca a raggiungere in pochi passaggi le informazioni che cerca. Al contrario, una cattiva struttura genererà disorientamento e frustrazione e, nel peggiore dei casi, porterà l'utente ad abbandonare il Sito.

La finestra Creazione della Mappa permette, dunque, di definire la struttura del Sito inserendo tutte le Pagine necessarie e organizzandole in Livelli e sotto-livelli. Una volta disegnata la Mappa come una struttura ancora vuota di contenuti, è poi possibile procedere all'effettiva creazione di ogni singola Pagina.

La finestra presenta le seguenti sezioni attraverso le quali lavorare:
- | Una rappresentazione schematica della Mappa;
- | Una Barra Strumenti posizionata sopra la rappresentazione della Mappa;
- | Una serie di comandi per disegnare la Mappa.

Argomenti correlati:

-

Struttura di navigazione


Lo schema della Mappa del Sito

Nella finestra Creazione della Mappa la maggior parte dello spazio è occupato dalla rappresentazione schematica della Mappa che si va a costruire.

Di base viene proposta una struttura composta da una Home Page e da una cartella Menu contenente 3 Pagine. Aggiungendo i Livelli e le Pagine attraverso gli appositi comandi, questi verranno inseriti nella cartella Menu della Mappa che, in questo modo, andrà via via prendendo forma e completandosi.
Se, attraverso le sezioni del Passo 4 - Impostazioni Avanzate, il Sito viene completato con l'inserimento di una Pagina di Benvenuto, un Blog, un'Area Riservata (è sufficiente che anche solo una Pagina sia stata impostata come Pagina Protetta) o un Carrello di e-commerce, alla struttura della Mappa viene aggiunta anche la cartella Pagine Speciali con le voci corrispondenti: Pagina di Benvenuto, Blog, Pagina di Login e Carrello e-commerce.

Oltre a vedere la struttura ad albero della Mappa, per le Pagine inserite vengono visualizzate alcune utili informazioni aggiuntive quali il Titolo per esteso e la Descrizione. Ovviamente, perché queste informazioni vengano visualizzate, è necessario che siano state precedentemente definite attraverso la finestra Proprietà Pagina.

Lavorando direttamente sulla Mappa è possibile portare a termine alcune operazioni:
- | Cliccando nuovamente su un Livello o su una Pagina, inclusa la Home Page, già selezionata è possibile rinominarla (in alternativa al pulsante Rinomina). Anche gli Alias delle Pagine Speciali inseriti nella cartella Menu possono essere rinominati, mentre le Pagine Speciali no.
- | Dopo aver selezionato una Pagina, cliccando direttamente sul Titolo per esteso o sulla Descrizione riportate si possono modificare i testi inseriti (in alternativa si deve riaprire la finestra Proprietà Pagina).
- | Facendo doppio click su un Livello è possibile espanderlo, e vedere tutte le Pagine in esso contenute, o contrarlo (in alternativa ai pulsanti Espandi e Contrai). Analogamente, si può espandere e contrarre un Livello anche cliccando sulla freccina riportata prima del nome.
- | Facendo doppio click su una Pagina si passa alla finestra Creazione della Pagina per procedere alla sua costruzione.
- | Facendo doppio click su una Pagina Speciale si accede alla finestra del Passo 4 - Impostazioni Avanzate che ne consente la creazione/aggiornamento.
- | Selezionando un Livello e trascinandolo in una nuova posizione, lo si sposta con tutte le Pagine in esso contenute (in alternativa ai pulsanti Sposta Sopra e Sposta Sotto).
- | Selezionando una o più Pagine è possibile trascinarle e spostarle in una nuova posizione (in alternativa ai pulsanti Sposta Sopra e Sposta Sotto). Per effettuare una selezione multipla è possibile ricorrere alle combinazioni CTRL + click o SHIFT + click.
- | Selezionando una Pagina Speciale e trascinandola all'interno della cartella Menu, ovvero fra le Pagine e i Livelli che andranno a comporre il menu di navigazione, viene creato un Livello che si comporta come Alias della Pagina Speciale stessa. Tale Livello ha, quindi, lo stesso nome della Pagina Speciale ed ha impostato il link alla Pagina Speciale stessa. In questo modo, dunque, è possibile inserire nel Menu di navigazione una voce attiva che da l'accesso alla Pagina di Benvenuto, al Blog, alla Pagina di Login o al Carrello di e-commerce.
- | Selezionando una o più Pagine è possibile copiarle in incollarle all'interno dello stesso Progetto o in un diverso Progetto aperto in un'altra finestra del Programma. Le operazioni di Copia e Incolla possono essere effettuate attraverso gli appositi comandi della Barra Strumenti, del menu contestuale richiamato attraverso il click del tasto destro del mouse, o mediante le consuete combinazioni di tasti CTRL+C e CTRL+V. Ovviamente non è possibile utilizzare i comandi Copia e Incolla con le Pagine Speciali.

Argomenti correlati:
- | Creazione della Mappa
- | I comandi per disegnare la Mappa
- | La Barra Strumenti della Mapa


Lo schema della mappa del Sito

La Barra Strumenti della Mappa del Sito

Nalla finestra Creazione della Mappa, immediatamente sopra la rappresentazione schematica della Mappa, è disponibile una Barra Strumenti con i seguenti comandi:

 Taglia [CTRL+X] - Copia [CTRL+C] - Incolla [CTRL+V]
Permettono, rispettivamente, di tagliare, copiare e incollare, all'interno dello stesso Progetto o fra Progetti diversi, le Pagine selezionate. Questi comandi sono presenti anche nel menu contestuale richiamato attraverso il click del tasto destro del mouse sulla Mappa.

Pagina non visibile sul Menu
Attivando questa opzione, la Pagina o il Livello selezionato non viene visualizzato nel Menu di navigazione. Rendendo non visibile un Livello, tutte le Pagine in esso contenute diventano automaticamente non visibili. Le Pagine non visibili sul Menu possono essere utilmente impiegate come pagine di approfondimento ed essere richiamate tramite collegamenti interni. E' necessario ricordare di creare almeno un collegamento che porti alle Pagine non visibili.

Anche l'Home Page può essere resa non visibile dal Menu: si consiglia di rendere l'Home Page non visibile solo quando si prevede di mettere il collegamento che porta ad essa in altri punti del Sito, per esempio nell'Intestazione.

Pagina Protetta
Permette di richiamare la finestra Pagina Protetta, attraverso la quale è possibile impostare la Pagina come Protetta semplicemente spuntando l'opzione Imposta questa Pagina come Protetta. Fatto questo è necessario specificare da quali Gruppi e/o singoli Utenti tale Pagina Protetta potrà essere visualizzata, cliccando in loro corrispondenza nell'elenco proposto. Attivare un Gruppo o attivare tutti gli Utenti appartenenti a un Gruppo non è la stessa cosa: solo nel primo caso, infatti, se in un secondo momento verranno aggiunti nuovi Utenti al Gruppo, per questi varrà automaticamente abilitata la visualizzazione della Pagina Protetta.
Per creare nuovi Gruppi/Utenti è sufficiente accedere alla finestra Gestione Accessi del Passo 4 - Impostazioni Avanzate.

Per maggiori informazioni su come impostare un'Area Riservata e gestirne l'accesso attraverso la creazione di Gruppi Utente, vedere Come creare un'Area Riservata.

Proprietà della Pagina
Attivo quando viene selezionata una Pagina della Mappa, permette di richiamare la finestra Proprietà Pagina attraverso la quale è possibile definire una serie di proprietà necessarie per l'ottimizzazione, per la personalizzazione grafica e per l'aggiunta di eventuali porzioni di codice.

Le opzioni disponibili sono raccolte in 3 sezioni:
- | Sezione Generale
- | Sezione Grafica
- | Sezione Esperto

Proprietà del Livello
Attivo quando viene selezionato un Livello della Mappa, permette di richiamare la finestra Proprietà Livello attraverso la quale è possibile definire le seguenti proprietà:

-

Non visualizzare il Menu a comparsa per questo Livello: attivando questa opzione, il Menu a comparsa relativo alla voce di Livello non viene visualizzato su passaggio del mouse.

-

Collegamento su click sulla voce di Livello: permette di associare, attraverso la finestra Collegamento richiamata, un collegamento direttamente alla voce di Livello.

Scegliere di "non visualizzare il Menu a comparsa per un Livello" attivando un "collegamento su click sulla voce dello stesso Livello" è utile, per esempio, se si vuole inserire un link a un Sito esterno direttamente come voce di Menu, oppure nel caso si voglia sostituire un sotto-menu contenente un numero elevato di voci con l'apertura di una Pagina creata apposta per dare l'accesso alle diverse sezioni interne.

-

Icona da visualizzare sul Menu: permette di selezionare un'immagine (file .JPG, .GIF, .PNG) che verrà visualizzata sul Menu di navigazione, a fianco della voce.

Se, attraverso le sezioni del Passo 4 - Impostazioni Avanzate, il Sito viene completato con l'inserimento di una Pagina di Benvenuto, un Blog, un'Area Riservata (è sufficiente che anche solo una Pagina sia stata impostata come Pagina Protetta) o un Carrello di e-commerce, alla struttura della Mappa viene aggiunta anche la cartella Pagine Speciali con le voci corrispondenti. Sulle Pagine Speciali tutti i comandi della Barra Strumenti non hanno effetto.

Argomenti correlati:
- | Creazione della Mappa
- | La rappresentazione schematica della Mappa
- | I comandi per disegnare la Mappa


Creazione della Mappa | Proprietà Pagina | Sezione Generale

Le opzioni presenti nella sezione Generale della finestra Proprietà Pagina permettono di impostare una serie di parametri necessari per la corretta ottimizzazione della Pagina stessa:

-

Titolo per esteso: permette di specificare un titolo diverso da quello inserito nella Mappa.
Il nome dato alla Pagina in fase di costruzione della Mappa viene mantenuto come voce nel Menu di navigazione; l'eventuale Titolo esteso specificato nelle Proprietà della pagina viene, invece, visualizzato come Titolo effettivo della Pagina.
Nel caso della Home Page, il titolo non viene visualizzato all'interno della Pagina ma è comunque possibile specificare il Titolo per esteso: il titolo specificato viene comunque utilizzato nel menu, mentre il titolo o, se presente, il Titolo per esteso viene utilizzato per comporre il metatag <title> nel codice HTML della Pagina.

-

Descrizione della Pagina: permette di inserire una descrizione specifica per la Pagina. La descrizione della Pagina deve essere sintetica e significativa: viene inserita come valore del metatag <description> nel codice HTML della Pagina e utilizzata dai Motori di ricerca per l'indicizzazione.

-

Parole chiave per la ricerca: permette di inserire una serie di parole chiave specifiche per la Pagina. Le parole chiave vengono inserite come valore del metatag <keywords> nel codice HTML della Pagina e utilizzate dai Motori di ricerca per l'indicizzazione.

-

Nome del file generato: permette di specificare il nome del file HTML relativo alla Pagina.
Se non diversamente specificato, come nome del file HTML viene automaticamente ripreso il nome dato alla Pagina durante la costruzione della Mappa. Dare nomi brevi e significativi ai file permette di ottenere indirizzi semplici e facilmente memorizzabili e ha risvolti positivi anche sull'indicizzazione da parte dei Motori di ricerca. Questa opzione non è disponibile per l'Home Page.

Maggiori indicazioni sul comportamento dei Motori di ricerca e su come individuare e utilizzare parole chiave e descrizioni per il posizionamento del sito sono disponibili alla pagina: Motori di ricerca.

Argomenti correlati:
- | Finestra Proprietà Pagina
- | HTML, XHTML & CSS
- | Motori di ricerca


Creazione della mappa | Proprietà Pagina | Sezione Grafica

Le opzioni presenti nella sezione Grafica della finestra Proprietà Pagina permettono di agire su alcuni importanti aspetti grafici della Pagina su cui si sta lavorando:
- | Icona da visualizzare sul Menu: permette di selezionare un'immagine (file .JPG, .GIF, .PNG) che verrà visualizzata sul Menu di navigazione, a fianco della voce.
- | Immagine di sfondo della Pagina: permette di selezionare un'immagine (.JPG, .GIF, .PNG) che verrà visualizzata come sfondo della Pagina al posto dell'immagine o del colore previsto in base al Modello impostato (vedere, Scelta del Modello).
- | Immagine di sfondo del Contenuto della Pagina: permette di selezionare un'immagine (file .JPG, .GIF, .PNG) che verrà visualizzata come sfondo del Contenuto della Pagina. Questa immagine viene sovrapposta al colore o all'immagine prevista in base al Modello impostato (vedere, Scelta del Modello).
- | Disposizione: permette di specificare se l'immagine inserita come sfondo del Contenuto della Pagina deve essere ripetuta o meno. L'immagine può essere ripetuta solo in senso orizzontale, solo in senso verticale o in entrambe i sensi, in modo da giungere ad occupare l'intero spazio a disposizione.
- | Allineamento: permette di specificare come deve essere allineata l'immagine inserita come sfondo del Contenuto della Pagina.
- | Crea la Pagina senza applicare il Modello: permette di fare in modo che alla Pagina non venga applicato il Modello di stile scelto o creato come Modello Personalizzato (vedere, Scelta del Modello). Attivando questa opzione, dunque, la Pagina viene creata mantenendo solo i contenuti in essa inseriti ma non viene applicato né il Modello di stile né il menu di navigazione.
- | Larghezza Pagina / Colore di Sfondo: disponibili solo se è stata attivata l'opzione Crea la Pagina senza applicare il Modello, permettono rispettivamente di specificare il valore in pixel della larghezza della Pagina e il colore di Sfondo da applicare.

Argomenti correlati:
- | Finestra Proprietà Pagina
- | Scelta del Modello


Creazione della Mappa | Proprietà Pagina | Sezione Esperto

Le opzioni presenti nella sezione Esperto della finestra Proprietà Pagina permettono di lavorare sulla SiteMap del Sito e di agire manualmente sul codice HTML generato per la Pagina a cui si sta lavorando:

-

Estensione del file generato: permette di specificare l'estensione con la quale verrà salvato il file relativo alla Pagina. Di default viene proposta l'estensione .html ma, in alternativa, è possibile scegliere fra .php, .asp, .cfm e .jsp. Anche il file index.html relativo all'Home Page può essere salvato con un'estensione diversa: la stessa estensione verrà eventualmente ripresa anche per la Pagina di Benvenuto. Solo per le Pagine Protette (vedi il comando [image] Pagina Protetta nella Barra Strumenti della Mappa) non è possibile modificare il formato del file generato che rimane necessariamente .php.

-

Inserisci questa Pagina nella SiteMap: questa opzione, attiva di default, fa in modo che la Pagina venga inclusa nella creazione della SiteMap del Sito.

-

Frequenza aggiornamento: permette di specificare con quale frequenza viene aggiornata la Pagina. Questo parametro viene riportato all'interno della SiteMap generata.

-

Priorità dei contenuti: permette di assegnare un punteggio alla Pagina, per indicarne l'importanza in relazione alle altre Pagine del Sito. Questo parametro viene riportato all'interno della SiteMap generata.

-

Codice personalizzato da inserire: permette di inserire delle porzioni di codice all'interno del codice HTML della Pagina. Attraverso l'apposito menu è possibile definire la posizione all'interno del codice della Pagina in cui deve essere inserito il codice personalizzato: Prima del tag <HTML>, Prima del tag </HEAD>, All'interno del tag <BODY> (ovvero all'interno dell'istruzione <BODY>, ad esempio: <BODY onload="alert('Hello!')">), Prima del tag </BODY>, Dopo il tag </BODY>. Selezionata la posizione, è disponibile un campo in cui digitare o incollare la porzione di codice da inserire.

L'opzione Codice personalizzato da inserire è utile quando, per esempio, si vogliono collegare dei particolari fogli di stile (CSS), oppure quando si devono lanciare degli eventi sull'onload della Pagina. In particolare, per il corretto funzionamento di alcuni JavaScript, che possono essere inseriti attraverso l'apposito Oggetto HTML e Widgets, è richiesto l'inserimento di opportune righe di codice sia nella sezione <HEAD> che nella sezione <BODY> del file HTML della Pagina.

Argomenti correlati:
- | Finestra Proprietà Pagina
- | Come creare e collegare la SiteMap del sito
- | HTML, XHTML & CSS


Creare la Mappa del Sito

In WebSite X5 la Mappa assume la tipica struttura ad albero: si parte da una Home Page e si scende ai diversi Livelli, trovando le diverse Pagine inserite. La creazione della Mappa prevede, dunque, che oltre all'Home Page, sempre presente, vi siano una serie di Pagine collegate attraverso il Menu: per questo motivo è necessario inserire tutte le Pagine organizzando, contemporaneamente, i diversi Livelli del Menu.

I comandi attraverso i quali procedere nella definizione della Mappa del Sito sono:

-

Nuovo Livello [CTRL+L]: permette di inserire un nuovo Livello di menu. Non ci sono limiti al numero di Livelli e di sotto-livelli inseribili.

-

Nuova Pagina [CTRL+P]: permette di creare una nuova Pagina che verrà automaticamente inserita all'interno del Livello selezionato.

-

Separatore: permette di inserire un separatore in modo da poter organizzare anche visivamente le voci dei Menu. Un separatore può essere uno spazio o un titolo ed è particolarmente utile per creare dei menu su più colonne (vedere, Stile del Menu a Comparsa | Sezione Voci Menu al Passo 4 - Impostazioni Avanzate).

-

Rimuovi [CANC]: permette di eliminare la Pagina o il Livello selezionato.

-

Rinomina [F2]: permette di modificare il nome dell'Home Page, della Pagina o del Livello selezionato. E' opportuno nominare correttamente i Livelli e le Pagine inserite dal momento che le voci della Mappa verranno automaticamente riprese nel Menu di navigazione, come titoli delle singole Pagine e come nomi dei file HTML corrispondenti alla Pagine stesse, se non diversamente specificato attraverso la finestra Proprietà Pagina.

-

Sposta Sopra [CTRL+U] / Sposta Sotto [CTRL+D]: permettono di modificare l'ordine delle Pagine o dei Livelli. Agiscono sulla Pagina o sul Livello selezionato spostandolo, rispettivamente, sopra o sotto a quello precedente o seguente.

Per modificare l'ordine dei Livelli e delle Pagine è anche possibile agire direttamente sulla Mappa: è sufficiente selezionare la voce su cui si intende agire, trascinarla e rilasciarla nella posizione che deve assumere (Drag&Drop). E' possibile selezionare più Livelli e/o Pagine utilizzando i tasti CTRL e SHIFT.

-

Espandi / Contrai: permettono, rispettivamente, di espandere o contrarre il Livello selezionato in modo da visualizzare o meno le Pagine in esso contenute.

Se, attraverso le sezioni del Passo 4 - Impostazioni Avanzate, il Sito viene completato con l'inserimento di una Pagina di Benvenuto, un Blog, un'Area Riservata (è sufficiente che anche solo una Pagina sia stata impostata come Pagina Protetta) o un Carrello di e-commerce, alla struttura della Mappa viene aggiunta anche la cartella Pagine Speciali con le voci corrispondenti. Sulle Pagine Speciali i comandi Rimuovi, Rinomina, Sposta Sopra, Sposta Sotto, Espandi e Contrai non hanno effetto. Per gli Alias delle Pagine Speciali (ottenuti trascinando le Pagine Speciali fra le Pagine e i Livelli del Menu), invece, i comandi Rimuovi, Rinomina, Sposta Sopra, Sposta Sotto rimangono attivi dal momento che non agiscono direttamente sulla Pagina di Benvenuto, il Blog, la Pagina di Login o il Carrello di e-commerce ma solo sulle voci che ad esse fanno riferimento, presenti nel Menu di navigazione.

In seguito all'articolazione della Mappa, WebSite X5 propone di procedere all'effettiva composizione delle singole Pagine del Sito, presentandole una di seguito all'altra. E' possibile utilizzare la Mappa per passare direttamente alla finestra del Programma che consente di lavorare a una determinata Pagina: per far questo, è sufficiente fare doppio click sulla voce corrispondente oppure selezionarla e cliccare sul pulsante Avanti.

Argomenti correlati:
- | Creazione della Mappa
- | La Barra Strumenti della Mapa
- | I comandi per disegnare la Mappa


Mappa del Sito e SiteMap

Sulla base della Mappa definita al Passo 2 viene automaticamente creata una Pagina che propone la Mappa del Sito. Le voci della Mappa del Sito sono collegamenti attivi alle singole Pagine: la Mappa rappresenta, pertanto, un utile strumento di orientamento e di navigazione messo a disposizione dell'Utente. La visualizzazione delle voci della Mappa può essere gestita attraverso i comandi Espandi tutto e Contrai tutto.
La Mappa del Sito può essere resa disponibile inserendo appositi collegamenti su testi e immagini delle Pagine (vedere, nella finestra Collegamenti l'azione Mappa del Sito) o attraverso il Menu di fondo Pagina in cui il collegamento con la Mappa viene inserito automaticamente (attivando l'opzione Visualizza per l'elemento Menu di fondo Pagina in Stili e Modelli | Sezione Testi).

Anche se si decide di non rendere disponibile la Mappa del Sito, il Programma può procedere ugualmente alla sua creazione sottoforma di SiteMap XML collegata nel codice HTML delle Pagine attraverso il metatag <sitemap>. Nello specifico, una SiteMap non è altro che un file XML contenente un elenco delle Pagine di un Sito e serve per accertarsi che i Motori di Ricerca le scansiscano tutte. Attraverso la SiteMap è, inoltre, possibile dare ai Motori alcune utili informazioni sulle Pagine:
- | la frequenza con la quale viene aggiornata ciascuna Pagina;
- | la data dell'ultima modifica delle Pagine;
- | l'importanza di ciascuna Pagina nell'economia del Sito (tale priorità non influisce in alcun modo posizionamento delle Pagine nei risultati delle ricerche).

Perché venga generata la SiteMap del Sito occorre attivare l'opzione Crea automaticamente la SiteMap presente in Impostazioni Generali | Sezione Esperto. Perché nella SiteMap siano inclusi anche informazioni riguardanti la frequenza di aggiornamento e l'importanza relativa delle Pagine di un Sito, occorre sfruttare le opzioni disponibili nella finestra Proprietà della Pagina | Esperto che può essere richiamata durante la Creazione della Mappa.

Argomenti correlati:
- | Creazione della Mappa
- | Come creare e collegare la SiteMap del Sito


Creazione della Pagina

Dopo aver articolato la Mappa del Progetto, è possibile procedere alla creazione delle singole Pagine inserite nel Sito. La finestra Creazione della Pagina permette, quindi, di definire la struttura di impaginazione e di procedere all'inserimento dei contenuti.

Il percorso e il Titolo della Pagina alla quale si sta lavorando viene riportato come Pagina corrente.

La finestra presenta le seguenti sezioni attraverso le quali lavorare:
- | una rappresentazione schematica (o Griglia) della Pagina, la cui funzione è di permettere la definizione dell'impaginazione da applicare;
- | l'elenco dei tipi di Oggetti disponibili per la composizione delle Pagine;
- | l'Anteprima per la visualizzazione dell'Oggetto contenuto nella cella selezionata della Griglia di impaginazione.


La Griglia di impaginazione nella Creazione della Pagina

Per rendere più intuitiva l'impaginazione dei contenuti, WebSite X5 propone una Griglia che, di default, è composta da 2 righe e 2 colonne: è sufficiente trascinare gli Oggetti disponibili all'interno delle Celle di tale Griglia (un Oggetto per Cella), per comporre la Pagina.

Ovviamente, è possibile aggiungere righe e colonne in modo da disporre di un numero superiore di Celle e, in più, è possibile definire manualmente la larghezza delle singole colonne. Come vedremo, grazie a queste possibilità di disegno della Griglia e al fatto di poter disporre un Oggetto anche su più Celle adiacenti, è possibile ottenere impaginazioni anche molto raffinate.

Una precisazione importante: l'impiego della Griglia serve unicamente per semplificare e guidare l'impaginazione dei contenuti. Fatta eccezione per pochi e specifici casi particolari, rappresentati da combinazioni di impaginazione molto complesse, la Griglia di impaginazione non viene "tradotta" come tabella nel codice HTML delle Pagine. In tutti i casi, la Griglia di impaginazione non sarà mai visibile durante la navigazione con il Browser.

Come anticipato, ogni Cella della Griglia può contenere un unico Oggetto ma ciascun Oggetto può essere disposto anche su più Celle adiacenti orizzontalmente o verticalmente, in modo da occupare uno spazio superiore della Pagina.

L'aspetto delle Celle della Griglia di impaginazione cambia a seconda dei diversi stati che può assumere:
- | se contiene un Oggetto che ancora non è stato costruito, riporta l'icona corrispondente al tipo di Oggetto su uno sfondo di righe oblique grigie;
- | se contiene un Oggetto che è già stato costruito, riporta l'icona corrispondente al tipo di Oggetto su uno sfondo azzurro uniforme;
- | se contiene l'Oggetto selezionato, vengono visualizzati il perimetro e le maniglie di selezione.

Attraverso i comandi riportati nella Barra Strumenti è possibile procedere alla definizione della struttura e delle impostazioni grafiche della Griglia di impaginazione.

Nello specifico, i comandi disponibili per agire sulla Griglia di impaginazione sono:

 Contenuto Oggetto: attivo quando è selezionato un Oggetto già inserito in una Cella, permette di accedere alla finestra che consente di procedere alla creazione effettiva dell'Oggetto stesso. La finestra richiamata varia in base al tipo di Oggetto.

Stile della Cella: attivo quando è selezionato un Oggetto già inserito in una Cella, permette di richiamare la finestra Stile della Cella attraverso la quale è possibile definire l'aspetto grafico della Cella corrente.

Margini della Cella: attivo quando è selezionato un Oggetto già inserito in una Cella, permette di richiamare la finestra Margine Cella attraverso la quale è possibile impostare il valore in pixel per il margine Esterno ed Interno della Cella corrente. E' anche possibile attivare l'opzione Margini personalizzati per avere la possibilità di definire valori diversi per il margine di ciascun lato della Cella: Superiore, Destro, Inferiore e Sinistro. (vedere, Il Box Model in WebSite X5)

Allineamento del contenuto della Cella: attivo quando è selezionato un Oggetto già inserito in una Cella, permette di allineare l'Oggetto in Alto/Centro/Basso e a Sinistra/Centro/Destra rispetto alla Cella stessa in cui è contenuto.

Aggiungi Riga / Rimuovi Riga: permettono, rispettivamente, di aggiungere una nuova riga prima della riga contenente la Cella selezionata e di eliminare la riga contenente la Cella selezionata. Si possono creare griglie con un massimo di 64 righe.

Aggiungi Colonna / Rimuovi Colonna: permettono, rispettivamente, di aggiungere una nuova colonna prima della colonna contenente la Cella selezionata e di eliminare la colonna contenente la Cella selezionata. Si possono creare griglie con un massimo di 12 colonne.

Nel caso sia selezionata una Cella vuota, le nuove righe/colonne vengono inserite immediatamente prima di tale Cella. Se, invece, è selezionato un Oggetto, le nuove righe/colonne vengono inserite in modo da precedere la prima Cella occupata dall'Oggetto stesso. Infine, nel caso non sia selezionato alcuna Cella/Oggetto, le nuove righe/colonne vengono inserite al fondo della Griglia.

In automatico, tutte le righe e le colonne della Griglia di impaginazione hanno la stessa larghezza e altezza. E' possibile impostare manualmente il valore assoluto (in pixel) o relativo (in percentuale) delle colonne agendo sui cursori presenti sul fondo della Griglia di impaginazione:
- | Cliccando e trascinando un cursore, si sposta la linea che delimita la colonna. In questo modo la colonna assume la larghezza specificata nella nota visualizzata durante il trascinamento del cursore. Tenendo premuto il tasto CTRL durante il trascinamento del cursore, lo si sposta di un pixel per volta: in caso contrario, lo spostamento avviene con un passo pari a un decimo della spazio disponibile.
- | Cliccando con il tasto destro del mouse su un cursore e scegliendo Imposta Larghezza Colonna dal menu contestuale, si può digitare direttamente il valore in pixel della larghezza della colonna.
- | Cliccando con il tasto destro del mouse su un cursore e scegliendo Reimposta larghezza Colonne uguali dal menu contestuale, si riportano tutte le colonne alla stessa larghezza.

Argomenti correlati:
- | Creazione della Pagina
- | L'elenco degli Oggetti nella Creazione della Pagina
- | Il Box Model in WebSite X5


L'elenco degli Oggetti nella Creazione della Pagina

Per inserire un Oggetto in una Pagina è sufficiente selezionare l'icona che lo rappresenta dall'elenco degli Oggetti disponibili, trascinarla e rilasciarla sulla Griglia di impaginazione, in corrispondenza della Cella che deve occupare.

Ciascuna Cella della Griglia di impaginazione può contenere un unico Oggetto, ma un Oggetto può occupare più Celle adiacenti sia in senso orizzontale che verticale.
L'icona dell'Oggetto selezionato può essere, infatti, trascinata in corrispondenza dei bordi delle Celle: in questi caso l'oggetto occuperà lo spazio delle Celle interessate. In più, è possibile agire sulle ancore di selezione dell'Oggetto inserito per estenderlo su più Celle.

Una volta definito il numero di Celle che deve essere occupato da un Oggetto, questo viene mantenuto, compatibilmente con la presenza di altri Oggetti, anche se l'Oggetto viene spostato in altri punti della Griglia. Per maggior comodità, è possibile lavorare sulla Griglia utilizzando i tasti freccia:
- | tasti freccia: spostano la selezione da una Cella all'altra della Griglia di impaginazione.
- | CTRL + tasti freccia: spostano l'Oggetto selezionato (mantenendone le dimensioni) fra le Celle della Griglia di impaginazione.
- | SHIFT + tasti freccia: modificano le dimensioni dell'Oggetto selezionato estendendole (compatibilemnte con altri Oggetti presenti) o comprimendole su un numero diverso di Celle della Griglia di impaginazione.

Cliccando con il tasto destro del mouse sull'icona dell'Oggetto inserito in una Cella, o in una Cella vuota della Griglia di impaginazione, viene richiamato un menu contestuale con i comandi Taglia, Copia, Incolla, Rimuovi, Proprietà della Cella, Inserisci Riga, Inserisci Colonna, Rimuovi Riga e Rimuovi Colonna.
Tramite questi comandi è possibile, per esempio, creare una copia di un Oggetto incollandolo in un'altra Cella o in un'altra Pagina, o eliminarlo. Un Oggetto inserito può essere rimosso dalla Pagina anche trascinandolo all'esterno della Griglia di impaginazione o attraverso il tasto CANC. In qualsiasi caso, inserendo un nuovo Oggetto in una Cella già occupata, si ottiene automaticamente la cancellazione del primo Oggetto e la sua sostituzione con il secondo. Se, però, si trascina un Oggetto già esistente su una Cella già occupata, i due Oggetti vengono scambiati di posizione.

I comandi Copia stile e Incolla stile, presenti nel sotto-menu richiamato dal comando Stile della Cella, permettono invece di fare in modo che le impostazioni definite nella finestra Stiele della Cella per una Cella vengano automaticamente applicate anche ad una seconda Cella.

Dopo aver inserito un Oggetto si può richiamare la finestra attraverso la quale procedere all'effettiva definizione del suo contenuto (Oggetto Testo, Oggetto Tabella, Oggetto Immagine, Oggetto Animazione Flash, Oggetto Video/Suono, Oggetto Galleria, Oggetto Modulo Invio E-mail, Oggetto Elenco Prodotti, Oggetto HTML e Widgets), facendo doppio click sulla Cella della Griglia di impaginazione che lo contiene o selezionando l'Oggetto e cliccando sul pulsante [image] Contenuto Oggetto.

Non è obbligatorio riempire tutte le Celle della Griglia di impaginazione: si deve considerare, però, che una Cella vuota corrisponderà ad uno spazio vuoto nella Pagina.

Per meglio comprendere come sfruttare al meglio le possibilità di impaginazione, occorre ricordare che il funzionamento del software si attiene alle seguenti regole:
- | La larghezza della Pagina è determinata dal Modello.
- | La larghezza delle colonne della Griglia di impaginazione è ottenuta dividendo la larghezza della Pagina per il numero delle colonne inserite. Di default, tutte le colonne hanno uguale larghezza ma è poi possibile modificare manualmente tale parametro.
- | Tutte le Celle disposte in una stessa riga della Griglia di impaginazione hanno uguale altezza: di default, questo valore è determinato dall'Oggetto più alto fra quelli contenuti in tali Celle.
- | Gli Oggetti inseriti vengono automaticamente ridimensionati in base alle dimensioni assunte dalle Celle della Griglia di impaginazione.

Argomenti correlati:
- | Creazione della Pagina
- | La Griglia di impaginazione nella Creazione della Pagina


Inserimento oggetto Testo

Oggetto Testo

Al di là delle Immagini, dei Video e delle Animazioni che si possono utilizzare, nella maggior parte dei casi, i contenuti principali di un Sito vengono veicolati attraverso i Testi.

Scrivere per la Rete non è la stessa cosa che scrivere pensando di dover poi andare in stampa: ogni mezzo ha le sue peculiarità e Internet si distingue principalmente per il supporto (il monitor di un computer o lo schermo di un dispositivo mobile), la modalità di lettura che ispira (più vicina a una rapida scansione che a una lettura sequenziale) e la disponibilità di un numero potenzialmente illimitato di alternative (consideriamo quanti Siti si occupano dello stesso argomento).

Per catturare l'attenzione di un lettore, indurlo a leggere e, nella migliore delle ipotesi, persuaderlo della bontà di quello che stiamo proponendo è quindi necessario che i contenuti testuali siano scritti in modo da essere adatti per la pubblicazione in Rete: innanzi tutto devono presentare dei contenuti di interesse e poi devono riuscire a farlo in modo conciso, ma non criptico, ed efficace. E' bene che il discorso sia spezzato in periodi brevi, sia perché risulta di più semplice comprensione, sia perché visivamente risulterà meno compatto e opprimente. Infine, per aumentare la leggibilità dei testi è importante curarne la tipografia, ovvero l'impostazione che si dà ai caratteri per titoli, evidenze, corpo principale, didascalie e altro.

Riflettere su questi aspetti e curare la redazione dei testi è sicuramente molto importante per riuscire a creare un Sito Web che possa essere giudicato positivamente da quanti lo visiteranno. Niente come un contenuto poco interessante, espresso in modo approssimativo e con frasi sgrammaticate o punteggiate da errori ortografici, porta a bollare un Sito come sciatto e non meritevole di una seconda visita.

Fatte queste brevi ma doverose considerazioni sul tema del Web Writing, WebSite X5 permette di comporre i Testi necessari attraverso un apposito editor interno e di procedere alla loro formattazione. Ovviamente è anche possibile riprendere i testi già creati con altri programmi e inserirli attraverso una semplice operazione di Copia e Incolla.

In pratica

Facendo doppio click sull'Oggetto Testo inserito all'interno della Griglia di impaginazione si accede alla finestra Oggetto Testo. Attraverso questa finestra, che propone un editor, è possibile procedere direttamente alla digitazione e alla formattazione dei testi.

L'editor di testo si presenta come nell'immagine seguente:

Come si vede, vengono messi a disposizione i seguenti comandi:

 Taglia [CTRL+X] - Copia [CTRL+C] - Incolla [CTRL+V]
Permettono, rispettivamente, di tagliare, copiare e incollare il testo selezionato. In questo caso, prima di essere incollato, al testo vengono tolte tutte le formattazioni eventualmente associate in origine e assume quelle definite nell'editor.

Incolla speciale
Permette di incollare il testo precedentemente tagliato o copiato attraverso i comandi Taglia e Copia. Il testo incollato mantiene tutte le formattazioni originali.

Grazie ai comandi Taglia, Copia e Incolla è possibile riprendere brani da file di testo già creati in precedenza anche con altri editor.

Annulla [CTRL+Z] - Ripristina [ALT+MAIUSC+BACKSPACE]
Permettono, rispettivamente, di annullare e ripristinare l'ultima operazione eseguita/annullata.

Inserisci Collegamento [CTRL+L]
Permette di impostare un link ipertestuale sulla/e parola/e selezionata/e. E' possibile definire le impostazioni del collegamento attraverso la finestra richiamata Collegamento.

Inserisci Immagine
Permette di inserire un'immagine (in formato .JPG, .GIF, .PNG, .BMP) all'interno del testo. Le immagini inserite nell'oggetto Testo vengono automaticamente ridimensionate se di dimensioni superiori a quella della Cella della Griglia di impaginazione. In più, le immagini inserite possono essere liberamente ridimensionate attraverso le apposite maniglie di selezione: per impaginazioni particolari è consigliabile, comunque, ricorrere all'apposito Oggetto Immagine.

Abilita Codice HTML
Permette di immettere direttamente il codice HTML all'interno della pagina di testo. In pratica, in modalità HTML, i caratteri < e > non sono interpretati come "minore" e "maggiore" e ciò che è inserito al loro interno viene interpretato come un tag HTML.

Impostazioni RollOver
Permette di fare in modo che sul testo venga impostato il RollOver: in questo modo il testo non è più statico ma scorrevole. E' possibile definire le impostazioni del RollOver attraverso la finestra richiamata Impostazioni RollOver.

Adatta alla larghezza della cella
Permette di simulare l'aspetto che il testo assumerà in relazione alle dimensioni della Cella di impaginazione che lo contiene.

Sfondo chiaro/scuro
Permette di impostare un colore chiaro o scuro per lo sfondo della finestra dell'editor di testo: in questo modo è più semplice, per esempio, comporre dei testi che, per avere un giusto contrasto rispetto allo sfondo previsto dal Modello grafico applicato, devono essere di colore bianco.

Scelta del font - Dimensione del font
Permettono, rispettivamente, di scegliere il tipo di carattere (font) da utilizzare e di definirne le dimensioni.

Il menu a tendina propone tutti i font installati sul computer su cui si sta lavorando. E' necessario considerare che se il font utilizzato non è installato anche sul computer di chi navigherà nel Sito, questo verrà automaticamente sostituito con un font di sistema simile a quello di partenza.

Grassetto [CTRL+B] - Corsivo [CTRL+I] - Sottolineato [CTRL+U]
Permettono, rispettivamente, di rendere in grassetto, corsivo e sottolineato il testo selezionato.

Colore del Testo - Colore di Sfondo del Testo
Permettono di impostare, attraverso la finestra Colore richiamata, il colore da applicare al testo selezionato o allo sfondo del testo selezionato.

Elenco puntato
Permette di creare un elenco puntato di voci.

Aumenta rientro / Riduci rientro
Permettono, rispettivamente, di aumentare e ridurre il rientro del paragrafo selezionato.

Allineamento a sinistra - Allineamento centrato - Allineamento a destra - Allineamento giustificato
Permettono, rispettivamente, di allineare a sinistra, al centro, a destra o di giustificare il testo selezionato.

Disponi Testo a destra - Disposizione normale - Disponi Testo a sinistra
Attivi quando viene selezionata un'immagine inserita nel testo, permettono di fare in modo che il testo scorra lungo il lato destro dell'immagine, che l'immagine rimanga inserita nel flusso del testo come una qualsiasi parola, che il testo scorra lungo il lato sinistro dell'immagine.

Attraverso il click del tasto destro del mouse è anche possibile richiamare un menu contestuale che ripropone i seguenti comandi: Annulla, Taglia, Copia, Incolla, Incolla speciale, Cancella e Seleziona tutto.

Argomenti correlati:
- | La Griglia di impaginazione nella Creazione della Pagina
- | L'elenco degli Oggetti nella Creazione della Pagina
- | Inserisci Collegamento
- | Impostazioni RollOver


Impostazioni RollOver

Questa finestra, richiamata attraverso il pulsante [image] dell'Editor dell'Oggetto Testo o dell'Oggetto Tabella, permette di definire le impostazioni per il RollOver dei testi.

Innanzitutto, occorre attivare l'effetto selezionando l'opzione Abilita RollOver.

Abilitato l'effetto, è possibile definire come deve presentarsi attraverso le opzioni del riquadro Modalità:

-

Movimento: permette di definire il tipo di scorrimento del testo. E' possibile scegliere tra le seguenti opzioni:

 Nessuno - Mostra barra di scorrimento: il testo non scorre ma, dal momento che viene fissata l'altezza della Cella (vedere dopo l'opzione Altezza), se questa non è sufficiente per permette la visualizzazione del testo intero, verrà automaticamente inserita la barra di scorrimento.

Scorrimento singolo: il testo scorre nella direzione specificata e, giunto al termine, si ferma.

Scorrimento continuo: il testo scorre nella direzione specificata e, giunto al termine, ricomincia daccapo, senza stacchi.

Scorrimento alternato: il testo scorre nella direzione specificata e, giunto al termine, ricomincia nella direzione opposta.

Scorrimento a schede: il testo viene virtualmente scomposto in schede, ovvero in blocchi di altezza pari a quanto impostato per l'opzione Altezza. Lo scorrimento del testo porta alla visualizzazione della prima scheda, poi segue una pausa prima di procedere con lo scorrimento per la visualizzazione della seconda scheda. Prosegue in questo modo, ricominciando daccapo dopo la visualizzazione dell'ultima scheda. Perché l'effetto abbia una resa ottimale è necessario che il testo sia scritto e formattato in modo tale che sia poi possibile dividerlo in schede impostando adeguatamente l'Altezza.

-

Direzione: permette di definire la direzione dello scorrimento del testo. Lo scorrimento può avvenire verso l'Alto, il Basso, Sinistra o Destra.

In più, nel riquadro Opzioni sono disponibili le seguenti voci:
- | Effetto: permette di scegliere tra gli effetti Lineare, Rimbalzo e Decelerazione per tutti i tipi di movimento, tranne che per lo Scorrimento continuo.
- | Altezza: permette di impostare il valore per l'altezza della Cella in cui è contenuto il testo.
- | Durata (sec.): permette di impostare per quanti secondi deve durare l'effetto. Nel caso sia stato attivato lo Scorrimento singolo, continuo o alternato, la durata definisce l'intervallo di tempo in cui si sviluppa il movimento, prima che ricominci. Nel caso, invece, sia stato attivato lo Scorrimento a schede, la durata definisce il tempo di visualizzazione di una scheda, prima che si passi alla successiva.
- | Ferma il movimento al passaggio del mouse: permette di fare in modo che lo scorrimento si interrompa al passaggio del mouse.

 L'opzione Altezza è disponibile solo se il RollOver impostato è verticale (direzione: verso l'alto o verso il basso). Se, invece, il RollOver impostato è orizzontale (direzione: verso sinistra o verso destra), l'effetto è migliore se l'Oggetto Testo occupa una riga intera della Griglia di impaginazione.

Argomenti correlati:
- | Oggetto Testo
- | Oggetto Tabella


Oggetto Immagine

Le Immagini sono uno degli elementi maggiormente utilizzati nella creazione di una Pagina Web. Fra le altre cose, possono servire per illustrare un concetto, per mostrare un prodotto, per veicolare un messaggio o semplicemente per abbellire. In qualsiasi caso, le Immagini sono importanti perché concorrono a definire l'aspetto complessivo del Sito e a fare in modo che venga percepito come un qualcosa di bello, curato e professionale.

WebSite X5 permette di importare tutti i principali formati grafici e mette a disposizione un funzionale Editor grafico interno per portare a termine tutte le più comuni operazioni di fotoritocco: taglio, rotazione, correzione, aggiunta di maschere, filtri e cornici. In più, permette di lavorare sulle Immagini per ottenere spettacolari visioni panoramiche e zoom.

E' da sottolineare che WebSite X5 affronta anche il problema della copia non autorizzata delle Immagini da Internet mettendo a disposizione un sistema di protezione che impedisce di risalire al file originario e che può prevedere l'applicazione di filigrana e indicazione di copyright.

 Se hai bisogno di immagini di alta qualità da utilizzare nei tuoi siti, accedi al tuo pannello di controllo su my.websitex5.com: troverai a tua disposizione 6.000 immagini esclusive e royalty free fra cui scegliere.

In pratica

Facendo doppio click sull'Oggetto Immagine inserito all'interno della Griglia di impaginazione si accede alla finestra Oggetto Immagine. Attraverso questa finestra è possibile specificare il file da importare, definirne le proprietà, impostare effetti di zoom e panoramica, decidere se includerlo nella SiteMap e, in caso positivo, inserire le informazioni necessarie.

I comandi necessari per procedere alla creazione di un Oggetto Immagine sono articolati in tre sezioni:
- | Sezione Generale
- | Sezione Visualizzazione
- | Sezione SiteMap

Argomenti correlati:
- | La Griglia di impaginazione nella Creazione della Pagina
- | L'elenco degli Oggetti nella Creazione della Pagina
- | Editor grafico


Oggetto Immagine | Sezione Generale

Attraverso i comandi della Sezione Generale della finestra Oggetto Immagine è possibile procedere alla definizione e all'editing dell'Oggetto Immagine.

WebSite X5 permette di importare tutti i più diffusi formati grafici (.JPG,.GIF, .PNG, .PSD, .BMP, .TIF, .DIB, .PCX, .RLE, .TGA, .WMF) semplicemente selezionando la risorsa da utilizzare fra quelle presenti in locale sul PC o, in alternativa, online direttamente su Internet.

L'anteprima dell'Immagine importata viene visualizzata nel riquadro Anteprima. Cliccando sul pulsante Modifica presente sotto l'anteprima è possibile richiamare l'Editor grafico interno per modificare l'Immagine importata.

Per l'Immagine inserita è possibile definire una serie di Proprietà:

-

Titolo: è il titolo dell'immagine; nel codice HTML delle Pagine, il testo immesso verrà assegnato all'attributo title del tag <img>.

-

Testo alternativo: è il testo che viene presentato in alternativa all'Immagine quando questa non può essere visualizzata. Nel codice HTML delle Pagine, il testo immesso verrà assegnato all'attributo alt del tag <img>.

Il Titolo e il Testo Alternativo sono due parametri che devono essere valutati e composti con attenzione dal momento che risultano importanti sia per l'accessibilità che per l'ottimizzazione dei Siti Web.

-

Collegamento: permette di impostare un link sull'Immagine. Cliccando sul pulsante [image] viene richiamata la finestra Collegamento attraverso la quale è possibile scegliere il tipo di azione oltre che le relative opzioni.

-

Qualità: permette di specificare il livello di qualità da mantenere nel salvataggio dell'Immagine in .JPG.
Tutte le Immagini importate vengono automaticamente convertite in formato .JPG o, nel caso venga impostata la trasparenza, in formato .PNG. Nel caso di salvataggio in .JPG, maggiore è il fattore di compressione impostato, minore sarà la qualità mantenuta.

E' consigliabile inserire file grafici in formato .GIF o .JPG. Tutte le Immagini inserite, se in formato diverso da .JPG, .GIF e .PNG, vengono automaticamente convertite in formato JPG, in base al livello di compressione specificato. La conversione in .JPG o, nel caso di immagini su cui è stata impostata la trasparenza, in .PNG viene effettuata anche se l'Immagine ha dimensioni maggiori rispetto a quelle della Cella della Griglia di impaginazione che la contiene e se viene modificata attraverso l'Editor grafico.
In tutti gli altri casi, l'Immagine viene copiata così come è. Questo è necessario per mantenere l'effetto di trasparenza applicato alle .GIF.

Infine, è possibile sfruttare le opzioni di Protezione per tentare di contrastare la pratica della copia non autorizzata delle Immagini:
- | Proteggi Immagine dalla copia: attivando questa opzione, è possibile proteggere l'Immagine impedendo che possa essere facilmente copiata attraverso comandi come Salva immagine con nome messi a disposizione dai menu contestuali dei diversi Browser. In pratica, l'immagine viene incorporata all'interno di un Oggetto Flash: in questo modo, non solo non può essere facilmente copiata, ma non è neanche possibile risalire al nome del file visualizzando il codice HTML della Pagina.
- | Aggiungi filigrana e indicazioni sul Copyright: come ulteriore protezione, attivando anche questa opzione, l'Immagine viene "mascherata" attraverso la visualizzazione di un'immagine di filigrana sovrapposta. Oltre alla filigrana viene aggiunta una scritta con l'indicazione del Copyright: questa dicitura viene composta automaticamente riprendendo l'Autore specificato nella finestra Impostazioni generali | Sezione Base, al Passo 1.

 Alcune note circa il funzionamento del sistema di protezione delle Immagini:
- | Attivando il sistema di protezione, le Immagini vengono inserite all'interno di un oggetto Flash: in questo modo Titolo e Testo alternativo non possono essere mantenuti all'interno del codice HTML e quindi non sarà possibile sfruttarli al fine dell'ottimizzazione delle Pagine.
- | Le Immagini protette non possono essere inserite nella SiteMap. Perchè il sistema di protezione sia pienamente efficace, infatti, è necessario che le Immagini protette non vengano poi inserite nella SiteMap: in caso contrario, infatti, attraverso il file XML della SiteMap sarebbe possibile risalire al nome del file immagine originale e, quindi, riuscire a scaricarlo.
- | Se non si desidera attivare il sistema di protezione proposto, è sempre possibile agire direttamente sulle Immagini attraverso l'Editor grafico impostando, attraverso l'apposita sezione, un'immagine di filigrana.

Argomenti correlati:
- | Oggetto Immagine
- | Editor grafico


Oggetto Immagine | Sezione Visualizzazione

Attraverso i comandi della Sezione Visualizzazione della finestra Oggetto Immagine è possibile definire alcune Modalità di visualizzazione per ottenere un'Immagine panoramica con effetti di zoom e spostamento.

Le Modalità di visualizzazione disponibili sono:

 Ridimensionamento automatico dell'Immagine: attiva di default, questa opzione fa in modo che l'Immagine inserita venga automaticamente ridimensionata per adattarsi alle dimensioni assunte dalla Cella della Griglia di impaginazione che la contiene.

Zoom e spostamento manuale dell'Immagine: attivando questa opzione l'Immagine potrà essere ingrandita, tramite click del mouse, fino a raggiungere le dimensioni previste dal fattore di zoom impostato. Una volta ingrandita, l'Immagine potrà anche essere spostata in modo da portare in primo piano il particolare desiderato. In questo caso specifico, lo spostamento deve essere effettuato manualmente, cliccando sull'Immagine e trascinandola fino alla posizione voluta.
Per ottenere questo effetto le dimensioni dell'Immagine vengono prima ridotte a quelle della Cella della Griglia di impaginazione e di conseguenza ricalcolate o in base al fattore impostato per lo Zoom Iniziale (se si sceglie come Modalità di spostamento lo Spostamento libero) o in proporzione all'Altezza stabilita (se si imposta come Modalità di spostamento l'opzione Foto panoramica orizzontale o l'opzione Foto panoramica verticale). In questo modo, l'Immagine risulterà essere più grande rispetto all'area di visualizzazione e potrà muoversi al suo interno.

Zoom e spostamento automatico dell'Immagine: analoga all'opzione precedente, si distingue per il fatto che lo spostamento avviene semplicemente avvicinando il mouse ai bordi dell'Immagine.

Dopo aver selezionato l'opzione Zoom e spostamento manuale dell'Immagine o l'opzione Zoom e spostamento automatico dell'Immagine, è possibile agire sulle seguenti Impostazioni Zoom:

-

Modalità di spostamento: permette di specificare in che direzione l'Immagine può essere spostata manualmente o automaticamente.

-

Spostamento libero: l'Immagine può essere trascinata sia in senso orizzontale che verticale. In questo caso occorre specificare il valore dello Zoom Massimo: per esempio, un fattore di ingrandimento impostato al 200% porta a raddoppiate le dimensioni originali dell'Immagine.

Immagine inserita | Immagine con effetto

-

Foto panoramica orizzontale: l'Immagine può essere trascinata solo in senso orizzontale. Per sfruttare al meglio questo effetto occorre inserire Immagini con la base molto maggiore dell'altezza. In questo caso occorre specificare il valore in pixel dell'altezza dell'Immagine nell'apposito campo Altezza.
Immagine inserita | Immagine con effetto

-

Foto panoramica verticale: l'Immagine può essere trascinata solo in senso verticale. Questa volta occorre utilizzare Immagini con altezza molto maggiore della base e impostare nel campo Altezza il valore in pixel dell'altezza che si desidera mantenere per la Cella della Griglia di impaginazione interessata.
Immagine inserita | Immagine con effetto

-

Zoom Massimo: disponibile solo per la modalità di spostamento Spostamento libero, permette di impostare il fattore di ingrandimento che deve essere applicato all'Immagine perché possa risultare più grande rispetto all'area in cui verrà visualizzata. Se l'Immagine non venisse ingrandita non potrebbe, infatti, essere trascinata.

-

Altezza: disponibile solo per le modalità di spostamento Foto panoramica orizzontale e Foto panoramica verticale, permette di impostare, nel primo caso, il valore in pixel dell'altezza dell'Immagine, o, nel secondo caso, dell'altezza della Cella della Griglia di impaginazione in cui viene visualizzata l'Immagine.

-

Consenti l'ingrandimento dell'Immagine: attivata di default, questa opzione fa in modo che l'Immagine possa essere ingrandita e rimpicciolita dall'utente attraverso il click del mouse. All'apertura della Pagina, l'Immagine viene visualizzata alle dimensioni originali e l'icona presente nell'angolo inferiore destro indica la possibilità di farne lo zoom. Al click del mouse l'Immagine viene quindi ingrandita in base al fattore di fattore di zoom impostato.

-

Mostra la Barra dello Zoom: disponibile solo se viene attivata l'opzione Consenti l'ingrandimento dell'Immagine, permette di visualizzare sulla finestra Immagine una barra attraverso la quale l'utente potrà regolare e impostare lo zoom.

-

Mostra il navigatore: attivando questa opzione, viene messo a disposizione dell'utente un navigatore. Il navigatore è una piccola finestra posizionata sull'Immagine e contenente una miniatura dell'Immagine stessa. La funzione del navigatore è di far vedere l'Immagine completa e di evidenziarne, attraverso un riquadro, la porzione attualmente visibile. Le azioni possibili sono:
- | Cliccare sul riquadro che evidenzia la porzione visibile dell'Immagine e trascinarlo nella posizione desiderata: equivale a spostare manualmente l'Immagine.
- | Cliccare all'interno del navigatore, al di fuori del riquadro che evidenzia la porzione visibile dell'Immagine, e trascinarlo: consente di spostare il navigatore all'interno della finestra Immagine.
- | Cliccare sull'angolo inferiore destro del navigatore e trascinare in obliquo: consente di ridimensionare il navigatore.
Spostando il mouse al di fuori della finestra Immagine, il navigatore scompare con un effetto di movimento in uscita verso il lato più vicino.

-

Abilita il movimento automatico continuo: fa in modo che l'Immagine continui a spostarsi automaticamente durante tutto il tempo in cui viene visualizzata. Può essere utile per far capire all'utente che l'Immagine può essere ingrandita. L'utente può assumere il controllo del movimento semplicemente avvicinando il mouse ai bordi dell'Immagine, mentre può zoomare semplicemente cliccando una prima volta per ingrandire e una seconda volta per rimpicciolire.

Argomenti correlati:
- | Oggetto Immagine
- | Editor grafico


Oggetto Immagine | Sezione SiteMap

Attraverso i comandi della Sezione SiteMap della finestra Oggetto Immagine è possibile fare in modo che nella SiteMap del Sito vengano inserite informazioni aggiuntive sull'Immagine su cui si sta lavorando.

Innanzi tutto occorre attivare l'opzione Aggiungi Immagine alla SiteMap: in questo modo la SiteMap che viene creata automaticamente da WebSite X5 (vedere, Crea automaticamente la SiteMap in Impostazioni generali | Sezione Esperto) viene completata con le informazioni relative all'Immagine. Fatto questo è quindi necessario definire le seguenti impostazioni:
- | Titolo: è un parametro opzionale che permette di specificare un titolo per l'Immagine.
- | Descrizione breve: è un parametro opzionale che permette di specificare una descrizione o didascalia per l'Immagine.
- | Posizione geografica: è un parametro opzionale che permette di specificare informazioni, come indirizzo, città o Nazione, che servono a localizzare geograficamente l'Immagine.
- | URL del file di licenza: è un parametro opzionale che permette di specificare la URL del file contenente la licenza d'uso dell'Immagine.

 Non è possibile inserire nella SiteMap Immagini su cui è stata attivata la protezione per salvaguardarle dallo scaricamento e utilizzo non autorizzato (vedere, Protezione in Oggetto Immagine | Sezione Generale).

Argomenti correlati:
- | Oggetto Immagine
- | Editor grafico
- | Come creare e collegare la SiteMap del sito


Oggetto Tabella

Le tabelle sono un ottimo strumento per organizzare e presentare dei dati.

In molti casi attraverso una tabella è possibile riassumere e presentare i maniera efficace una quantità di dati che altrimenti richiederebbero la stesura di un lungo e prolisso testo descrittivo. Per semplificare, una tabella con le tariffe di un albergo, distinte per tipologia di stanza e periodo dell'anno, è molto più semplice da leggere e interpretare che un testo che riporta in maniera estesa le stesse informazioni.

In più, le tabelle offrono anche in vantaggio di rappresentare un elemento grafico, in grado di abbellire la Pagina e di spezzare la monotonia di un lungo testo.

Ovviamente, perché queste considerazioni mantengano la loro validità è necessario che le tabelle siano ben strutturate, non risultino troppo complesse, e abbiano un bell'aspetto.

In pratica

Facendo doppio click sull'Oggetto Tabella inserito all'interno della Griglia di impaginazione si accede alla finestra Oggetto Tabella. Attraverso questa finestra, che propone un editor, è possibile procedere direttamente all'effettiva creazione della Tabella.

Di default, viene proposta una Tabella composta da due righe e tre colonne, dimensionata in modo da occupare completamente in larghezza la Cella della Griglia di impaginazione che la contiene. Naturalmente, è possibile aggiungere o rimuovere righe e colonne, definirne le dimensioni, unire e dividere le celle per creare Tabelle più o meno complesse.

Come si vede, vengono messi a disposizione i seguenti comandi:

 Taglia [CTRL+X] - Copia [CTRL+C] - Incolla [CTRL+V]
Permettono, rispettivamente, di tagliare, copiare e incollare il testo selezionato. In questo caso, prima di essere incollato, il testo perde tutte le formattazioni eventualmente associate in origine e assume quelle definite nell'editor.

Incolla speciale
Permette di incollare il testo precedentemente tagliato o copiato attraverso i comandi Taglia e Copia. Il testo incollato mantiene tutte le formattazioni originali.

Annulla [CTRL+Z] - Ripristina [ALT+MAIUSC+BACKSPACE]
Permettono, rispettivamente, di annullare e ripristinare l'ultima operazione eseguita/annullata.

Inserisci Collegamento [CTRL+L]
Permette di impostare un link ipertestuale sulle parole e/o sulle immagini selezionate. E' possibile definire le impostazioni del Collegamento attraverso la finestra richiamata Collegamento.

Inserisci Immagine
Permette di inserire un'immagine (in formato .JPG, .GIF, .PNG, .BMP) all'interno della cella della Tabella. Le Immagini inserite possono essere liberamente ridimensionate attraverso le apposite maniglie di selezione.

Abilita Codice HTML
Permette di immettere direttamente il codice HTML all'interno della Tabella. In pratica, in modalità HTML, i caratteri < e > non sono interpretati come "minore" e "maggiore" e ciò che è inserito al loro interno viene interpretato come un tag HTML.

Impostazioni RollOver
Permette di fare in modo che sul testo venga impostato il RollOver: in questo modo il testo non è più statico ma scorrevole. E' possibile definire le impostazioni del RollOver attraverso la finestra richiamata Impostazioni RollOver.

Sfondo chiaro/scuro
Permette di impostare un colore chiaro o scuro per lo sfondo della finestra dell'editor della Tabella: in questo modo è più semplice, per esempio, comporre i testi che, per avere un giusto contrasto rispetto allo sfondo previsto dal Modello grafico applicato, devono essere di colore bianco.

Aggiungi Riga / Rimuovi Riga / Aggiungi Colonna / Rimuovi Colonna
Permettono, rispettivamente, di aggiungere una riga o una colonna dopo quella in cui è posizionato il cursore del mouse, o di rimuovere la riga o la colonna in cui il cursore è posizionato.

Unisci Celle - Dividi Celle
Permettono, rispettivamente, di unire più celle adiacenti selezionate in modo da formare un'unica cella, o di dividere la cella su cui si sta agendo in due celle affiancate orizzontalmente.

Scelta del font - Dimensione del font
Permettono, rispettivamente, di scegliere il tipo di carattere (font) da utilizzare e di definirne le dimensioni.

Il menu a tendina propone tutti i font installati sul computer su cui si sta lavorando. E' necessario considerare che se il font utilizzato non è installato anche sul computer di chi navigherà nel Sito, questo verrà automaticamente sostituito con un font di sistema simile a quello di partenza.

Grassetto [CTRL+B] - Corsivo [CTRL+I] - Sottolineato [CTRL+U]
Permettono, rispettivamente, di rendere in grassetto, corsivo e sottolineato il testo selezionato.

Colore del Testo - Colore di Sfondo della Cella
Permettono di impostare, attraverso la finestra Colore richiamata, il colore da applicare al testo selezionato o allo sfondo della cella in cui è posizionato il cursore del mouse.

Stile del bordo della Cella
Permette di impostare, attraverso l'apposita finestra richiamata, lo stile dei bordi della cella corrente. E' possibile definire sia il colore che lo spessore dei bordi che delimitano le righe e/o le colonne della Tabella.

Elenco puntato
Permette di creare un elenco puntato di voci.

Allineamento a sinistra - Allineamento centrato - Allineamento a destra - Allineamento giustificato
Permettono, rispettivamente, di allineare a sinistra, al centro, a destra o di giustificare il testo selezionato.

Disponi Testo a destra - Disposizione normale - Disponi Testo a sinistra
Attivi quando viene selezionata un'immagine inserita in una Cella insieme a del testo, permettono di fare in modo che il testo scorra lungo il lato destro dell'immagine, che l'immagine rimanga inserita nel flusso del testo come una qualsiasi parola, o che il testo scorra lungo il lato sinistro dell'immagine.

Allineamento in alto - Allineamento nel centro - Allineamento in basso
Permettono, rispettivamente, di allineare verticalmente in alto, al centro o in basso il testo selezionato.

Attraverso il click del tasto destro del mouse è anche possibile richiamare un menu contestuale che oltre a riproporre i comandi Annulla, Taglia, Copia, Incolla, Incolla speciale, Cancella, presenta anche i comandi:

-

Altezza righe
Permette di impostare, attraverso la finestra richiamata, il valore in pixel per definire l'altezza delle righe selezionate. Impostando come valore 0, le righe assumono automaticamente l'altezza minima necessaria per visualizzare il contenuto inserito.

-

Larghezza colonne
Permette di impostare, attraverso la finestra richiamata, il valore in pixel per definire la larghezza delle colonne selezionate.

Le dimensioni delle righe, delle colonne o delle singole celle possono essere modificate anche posizionando il mouse in corrispondenza dei bordi e trascinandoli fino alla posizione desiderata tenendo premuto il tasto sinistro del mouse. Selezionando una cella e spostandone il bordo sinistro e/o destro vengono modificate solo le dimensioni della cella in questione.

Se una Tabella non contiene alcun testo, viene considerata vuota e non viene visualizzata.

Argomenti correlati:
- | La Griglia di impaginazione nella Creazione della Pagina
- | L'elenco degli Oggetti nella Creazione della Pagina
- | Inserisci Collegamento
- | Impostazioni RollOver


Oggetto Animazione Flash

WebSite X5 consente di inserire all'interno delle pagine svariati tipi di Animazioni ed effetti in modo da renderle più accattivanti e spettacolari.

Può essere importata qualsiasi animazione Flash (formato SWF): dal semplice banner con testi e immagini, a filmati più complessi ed interattivi, sia salvati sul pc locale che già pubblicati in Internet.
Grazie alle funzioni avanzate disponibili, infatti, è anche possibile allegare eventuali file necessari per la corretta riproduzione dell'Animazione stessa.

In pratica

Facendo doppio click sull'Oggetto Animazione Flash inserito all'interno della Griglia di impaginazione si accede alla finestra Oggetto Animazione Flash. Attraverso questa finestra è possibile specificare il file da importare, definirne le proprietà e allegare eventuali file associati.

I comandi disponibili sono articolati in due sezioni:
- | Sezione Base
- | Sezione Esperto

Argomenti correlati:
- | La Griglia di impaginazione nella Creazione della Pagina
- | L'elenco degli Oggetti nella Creazione della Pagina

 Per realizzare le tue animazioni Flash in modo semplice e veloce prova il software SWiSH Max (in Italiano).
Per maggiori informazioni: www.swishzone.it.


Oggetto Animazione Flash | Sezione Base

Attraverso i comandi della Sezione Base della finestra Oggetto Animazione Flash è possibile scegliere quale file utilizzare per la composizione dell'Oggetto Animazione Flash.

L'Animazione Flash può essere inserita importando o un file presente in locale o un file già pubblicato su Internet. Nel primo caso occorre attivare l'opzione File su PC locale, cliccare sul pulsante [image] per sfogliare le risorse disponibili e individuare un file in formato SWF. Nel secondo caso, invece, è necessario attivare l'opzione File su Internet e digitare nell'apposito campo l'indirizzo al quale la risorsa è già disponibile on-line.

L'anteprima dell'Animazione importata può essere visualizzata all'interno dell'apposita finestra, attivando l'opzione Anteprima.

 Per poter visualizzare l'anteprima dell'animazione è necessario installare il Player di Macromedia Flash.

Per l'Animazione inserita sono disponibili le seguenti Proprietà:
- | Testo alternativo: permette di inserire il testo che viene presentato in alternativa all'Animazione Flash quando questa non può essere visualizzata.
- | Larghezza: permette di specificare le dimensioni in pixel della larghezza dell'Animazione Flash. Nella dicitura tra parentesi è riportato il valore massimo che può essere assunto in larghezza dall'Oggetto: questo valore è determinato dalla Griglia di impaginazione impostata.
- | Altezza: permette di specificare le dimensioni in pixel dell'altezza dell'Animazione Flash.
- | Versione Player: permette di specificare quale versione del Player Flash richiedere per la visualizzazione dell'Animazione inserita. Se l'utente non disporrà della versione del Player Flash specificata, verrà automaticamente visualizzata una finestra con la richiesta di aggiornamento.
- | Sfondo trasparente: se attivata, permette di rendere trasparente lo sfondo dell'Animazione inserita.

Argomenti correlati:

-

Oggetto Animazione Flash

Per realizzare le tue animazioni Flash in modo semplice e veloce prova il software SWiSH Max (in Italiano).
Per maggiori informazioni: www.swishzone.it.


Oggetto Animazione Flash | Sezione Esperto

Attraverso i comandi della Sezione Esperto della finestra Oggetto Animazione Flash è possibile specificare, se necessario, quali file associati all'Animazione Flash occorre importare perché possa funzionare correttamente.

Tutti i file collegati all'Animazione Flash specificati vengono visualizzati attraverso una tabella riassuntiva in cui, oltre al nome del file, viene riportato anche il Percorso relativo su Server.

Per comporre la lista dei file collegati all'Animazione Flash è possibile utilizzare i seguenti comandi:
- | Aggiungi: permette, attraverso la finestra Pubblica file collegato richiamata, di inserire un nuovo file collegato.
- | Modifica: permette di richiamare la finestra Pubblica file collegato per modificare le impostazioni definite per il file selezionato nella tabella riassuntiva dei File collegati.
- | Rimuovi: permette di eliminare il file selezionato fra quelli presenti nella tabella riassuntiva dei File collegati.

Infine, è disponibile l'opzione:

-

Percorso relativo di pubblicazione del file Flash: permette di specificare il percorso relativo della cartella in cui deve essere pubblicato il file SWF relativo all'Animazione Flash.

Argomenti correlati:

-

Oggetto Animazione Flash

Per realizzare le tue animazioni Flash in modo semplice e veloce prova il software SWiSH Max (in Italiano).
Per maggiori informazioni: www.swishzone.it.


Oggetto Video/Suono

Con WebSite X5 è possibile creare siti capaci anche di intrattenere piacevolmente gli utenti proponendo, per esempio, video e brani musicali.

Attualmente i video stanno conoscendo un grado di diffusione impensabile fino a poco tempo fa: fare un filmato, riversarlo su computer, editarlo e quindi metterlo online è diventato un processo alla portata di tutti.

Con WebSite X5 è possibile importare molto semplicemente qualsiasi tipo di video, inserirlo nel proprio Sito e, in questo modo, condividerlo. WebSite X5 accetta tutti i principali formati e utilizza un Player interno per la riproduzione dei file FLV e MP4. Permette di importare sia file locali che file già pubblicati online, inclusi quelli di portali come YouTube e Vimeo.

In pratica

Facendo doppio click sull'Oggetto Video/Audio inserito all'interno della Griglia di impaginazione si accede alla finestra Oggetto Video/Audio. Attraverso questa finestra è possibile specificare il file da importare, definirne le proprietà, decidere se includerlo nella SiteMap e, in caso positivo, inserire le informazioni necessarie.

I comandi necessari per procedere alla creazione di un Oggetto Video/Audio sono articolati in due sezioni:
- | Sezione Generale
- | Sezione SiteMap

Argomenti correlati:
- | La Griglia di impaginazione nella Creazione della Pagina
- | L'elenco degli Oggetti nella Creazione della Pagina


Oggetto Video/Suono | Sezione Generale

Attraverso i comandi della Sezione Generale della finestra Oggetto Video/Suono è possibile scegliere quale file utilizzare per la creazione dell'oggetto Video/Suono oltre a definirne alcune impostazioni inerenti la modalità di riproduzione.

L'oggetto Video/Suono può essere inserito in modi diversi a seconda di dove risieda la risorsa da importare:

-

File locale su PC: attivata questa opzione, è sufficiente cliccare sul pulsante [image] per sfogliare le risorse disponibili e individuare il file in formato .MP4, .FLV, .AVI, .WMV, .MPG, .MOV, .MP3, .WMA, .WAV, .MID, .AIF, .M4A da importare.

-

File su Internet: attivata questa opzione, è necessario digitare nell'apposito campo l'indirizzo URL presso il quale il file del Video o dell'Audio è già disponibile online.

-

URL del Video YouTube/Vimeo: attivata questa opzione, occorre digitare nell'apposito campo l'indirizzo URL della pagina di portali come YouTube o Vimeo contenente il Video/Audio che si vuole importare.

Inserendo in questo modo un Video pubblicato su YouTube, le dimensioni originarie vengono modificate in base alle impostazioni di WebSite X5. Se si vuole mantenere un maggior controllo, si consiglia di importare il video YouTube attraverso l'Oggetto HTML e Widgets piuttosto che attraverso l'Oggetto Video/Suono.

L'anteprima dell'Oggetto Video/Suono importato può essere visualizzata nell'apposita finestra, attivando l'opzione Anteprima.

A seconda del formato del file Video/Audio importato, viene utilizzato un Player diverso per la visualizzazione/riproduzione:

Player | File Video | File Audio
WebSite X5 Media Player | .MP4 e .FLV | .MP3
Microsoft Windows Media Player | .AVI, .WMV e .MPG | .WAV e .WMA
QuickTime Player | .MOV e .AIF | .M4A

A prescindere dal Player utilizzato per la visualizzazione/riproduzione del file importato, è possibile definire le seguenti Proprietà:
- | Testo alternativo: permette di inserire il testo che viene presentato in alternativa al Video o al Suono quando questo non può essere visualizzato.
- | Larghezza: permette di specificare le dimensioni in pixel della larghezza del Video o della Barra Controlli per il Suono. Nella dicitura tra parentesi è riportato il valore massimo che può essere assunto in larghezza dall'Oggetto: questo valore è determinato dalla Griglia di impaginazione impostata.
- | Altezza: permette di specificare le dimensioni in pixel dell'altezza del Video o della Barra Controlli per il Suono. Nella dicitura tra parentesi viene ricordato che il valore massimo per l'altezza della Barra Controlli del Suono è di 35 pixel. Il valore minimo è, invece, di 15 pixel.
- | Mostra Barra Controlli: permette di impostare la visualizzazione di una pulsantiera con tutti i comandi necessari per gestire la riproduzione del Video o del Suono.
- | Avvia automaticamente: permette di impostare l'avvio automatico della riproduzione del Video o dell'Audio.

Solo nel caso in cui per la visualizzazione/riproduzione del file importato venga utilizzato il WebSite X5 Media Player, oltre a quelle citate, sono disponibili anche le seguenti Proprietà:
- | Abilita visualizzazione a pieno schermo: attivando questa opzione, viene reso disponibile nella Barra Controlli il comando per portare a pieno schermo la finestra in cui viene visualizzato il Video.
- | Nascondi automaticamente Barra Controlli: attivando questa opzione, la Barra Controlli viene visualizzata solo in concomitanza del passaggio del mouse sulla finestra in cui viene riprodotto il Video/Audio.
- | Colore Barra Controlli: permette di specificare, attraverso la finestra Colore richiamata, il colore della Barra Controlli.

Argomenti correlati:

-

Oggetto Video/Suono


Oggetto Video/Suono | Sezione SiteMap

Attraverso i comandi della Sezione SiteMap della finestra Oggetto Video/Suono è possibile fare in modo che nella SiteMap del Sito vengano inserite informazioni aggiuntive sul Video su cui si sta lavorando.

Innanzi tutto occorre attivare l'opzione Aggiungi Video alla SiteMap: in questo modo la SiteMap che viene creata automaticamente da WebSite X5 (vedere, Crea automaticamente la SiteMap in Impostazioni generali | Sezione Esperto) viene completata con le informazioni relative al Video. Fatto questo è quindi necessario definire le seguenti impostazioni:
- | Titolo: è un parametro obbligatorio che richiede di specificare un titolo per il Video. Il limite imposto da Google per la lunghezza dei titoli è di 100 caratteri.
- | Descrizione breve: è un parametro obbligatorio che richiede di specificare un breve testo descrittivo per il Video. Il limite imposto da Google per la lunghezza delle descrizioni è di 2048 caratteri: descrizioni più lunghe vengono troncate.
- | Categoria: è un parametro opzionale che permette di specificare una categoria a cui il Video, per il suo contenuto, potrebbe appartenere. Google specifica che ogni Video può appartenere a un'unica categoria e impone il limite per la lunghezza del nome della categoria a 256 caratteri.
- | Parole chiave per la ricerca: è un parametro opzionale che permette di specificare una lista di tag, ovvero di brevi descrizioni dei concetti chiave associati al Video. Google specifica che ogni Video può avere fino a un massimo di 32 tag.
- | Immagine di anteprima del Video: è un parametro obbligatorio che richiede di specificare un'Immagine di anteprima da associare al Video. Google consiglia di utilizzare per queste miniature una dimensione minima di 120x90 pixel e di salvarle in formato .JPG, .PNG o .GIF.
- | Data di pubblicazione: è un parametro opzionale che permette di specificare la data di pubblicazione del Video.
- | Durata: è un parametro opzionale che permette di specificare la durata in secondi del Video. Google raccomanda fortemente di inserire questa informazione e specifica che il valore inserito deve essere compreso tra 0 e 28800 (equivalente a 8 ore).
- | Contenuto adatto a minorenni: è un parametro opzionale che permette di specificare se il contenuto del Video è idoneo per la visione da parte di un pubblico minorenne. Google avverte che se un Video non viene impostato come adatto ai minorenni, sarà disponibile solo per utenti con il filtro SafeSearch disattivo. Ricordiamo che la funzione SafeSearch di Google filtra i Siti con contenuti sessuali o pornografici espliciti e li rimuove dai risultati di ricerca.

Argomenti correlati:
- | Oggetto Video/Suono
- | Come creare e collegare la SiteMap del sito


Oggetto Galleria

L'incredibile diffusione delle fotocamere digitali e dei servizi online rende straordinariamente semplice pubblicare e condividere intere collezioni di fotografie attraverso il Web.
In questo modo è possibile pubblicare le foto di famiglia per farle vedere a parenti e amici lontani, oppure creare album e cataloghi per hobby o per lavoro.

Con WebSite X5 è possibile inserire stupefacenti Gallerie attraverso le quali far vedere non solo le proprie fotografie ma anche i propri video. Le Gallerie disponibili sono fatte in Flash o in JavaScript e adottano effetti e metodi di navigazione e visualizzazione diversi: possono, per esempio, presentare un barra di controllo, una sequenza o una griglia di miniature.

In generale, le Gallerie in JavaScript si distinguono dalle Gallerie in Flash, oltre che per la tecnologia utilizzata, per l'utilizzo della finestra ShowBox per la visualizzazione delle Immagini ingradite. In questi casi, l'utente clicca su una delle miniature disponibili e l'Immagine o il Video corrispondente viene aperto in un'apposita finestra sovrapposta alla Pagina principale. A questo punto, posizionando il mouse sull'Immagine richiamata vengono visualizzati i pulsanti che permettono di passare direttamente all'Immagine precedente/seguente senza dover ritornare alle miniature.

L'aspetto della finestra ShowBox può essere completamente personalizzato: attraverso le opzioni presenti nella sezione Stili e Modelli | Sezione ShowBox del Passo 4 - Impostazioni Avanzate è, per esempio, possibile impostare colori, ombra, opacità ed effetti di apertura.

In pratica

Facendo doppio click sull'Oggetto Galleria inserito all'interno della Griglia di impaginazione si accede alla finestra Oggetto Galleria. Attraverso questa finestra è possibile scegliere il tipo di Galleria in Flash o in JavaScript da realizzare, creare la lista di Immagini/Video da utilizzare, definire le impostazioni necessarie per personalizzarla e, se necessario, lavorare sull'aspetto grafico delle miniature.

I comandi necessari per procedere alla creazione di una Galleria sono articolati in tre sezioni:
- | Sezione Stile
- | Sezione Elenco
- | Sezione Miniature

 Le Gallerie in JavaScript possono essere lanciate anche attraverso un apposito collegamento inserito all'interno delle Pagine: per maggiori informazioni vedere Collegamento.

Argomenti correlati:
- | La Griglia di impaginazione nella Creazione della Pagina
- | L'elenco degli Oggetti nella Creazione della Pagina
- | Stili e Modelli | Sezione ShowBox


Oggetto Galleria | Sezione Stile

Attraverso i comandi della Sezione Stile della finestra Oggetto Galleria è possibile scegliere il tipo di Galleria che si intende realizzare e definirne delle impostazioni generali.

Come anticipato, WebSite X5 permette di scegliere fra 2 tipologie di Galleria: le Gallerie in Flash e le Gallerie in JavaScript.

Le Gallerie in Flash disponibili sono:
- | SlideShow Classico E' una Galleria in cui le Immagini e i Video vengono presentati in sequenza, uno dopo l'altro: se impostato, la modalità di visualizzazione delle Immagini dipende dal tipo di effetto di entrata. Il passaggio da un'Immagine all'altra può essere gestito attraverso i comandi della Barra Controlli. All'interno della Barra Controlli è possibile prevedere la visualizzazione di piccole Miniature per permettere all'utente di aprire subito le Immagini o i Video di suo interesse.
- | Galleria Orizzontale In questa Galleria viene proposta una serie di Miniature, posizionate in orizzontale sopra o sotto l'Immagine in primo piano. E' sufficiente posizionare il mouse sopra le Miniature perché queste scorrano verso destra/sinistra: cliccando su una Miniatura, l'Immagine o il Video corrispondente viene visualizzato in primo piano. Le Immagini ingrandite vengono visualizzate in base all'effetto di entrata eventualmente impostato.
- | Galleria Verticale Analoga alla precedente, questa Galleria si distingue solo per il fatto che le Miniature vengono visualizzate in verticale, a destra o a sinistra rispetto all'Immagine in primo piano.

Le Gallerie in JavaScript disponibili sono:
- | Miniature Anche in questa Galleria viene presentata una griglia con tutte le Miniature: cliccando su una Miniatura, l'Immagine o il Video corrispondente viene aperto in primo piano attraverso la finestra ShowBox.
- | Miniature su più schede Questa Galleria è analoga alla precedente ma, soprattutto nel caso in cui le Immagini da includere siano molte, permette di dividerle in schede permettendo di impostare il numero massimo di righe di Miniature da visualizzare: l'utente potrà passare da una scheda all'altra, rimanendo sempre nella stessa Pagina del Sito, attraverso un'apposita pulsantiera.
- | Miniature Orizzontale In questa Galleria viene visualizzata un'unica striscia orizzontale di Miniature. Cliccando su una Miniatura, l'Immagine o il Video viene visualizzato attraverso la finestra ShowBox.
- | Miniature Verticale Analoga alla precedente, questa Galleria si distingue solo per il fatto che le Miniature vengono visualizzate in verticale.

A seconda del tipo di Galleria selezionato, vengono proposte Impostazioni diverse su cui agire.

Per le Gallerie in Flash le Impostazioni disponibili sono:
 |  | SlideShow Classico | Galleria Orizzontale | Galleria Verticale
- | Larghezza Permette di definire la dimensione massima in pixel della larghezza che le Immagini possono assumere. | Sì | Sì | Sì
- | Altezza Permette di definire la dimensione massima in pixel dell'altezza che le Immagini possono assumere. | Sì | Sì | Sì
- | Visualizza Miniatura nella Barra Controlli: Attiva di default, questa opzione fa in modo che nella Barra Controlli che viene visualizzata su passaggio del mouse, oltre ai pulsanti, siano presenti anche le Miniature di tutte le Immagini. In questo modo, l'utente non è vincolato a una consultazione sequenziale ma può visualizzare subito le Immagini o i Video che più gli interessano. | Sì | No | No
- | Miniature visibili Permette di impostare il numero di Miniature che devono essere visualizzate a lato dell'Immagine principale. | No | Sì | Sì
- | Posizione Miniature Permette di definire dove devono essere visualizzate le Miniature rispetto all'Immagine principale. | No | Sì | Sì

Per le Gallerie in Flash è anche possibile agire sulle seguenti Proprietà:
- | Mostra Barra Controlli: attiva di default, permette di impostare la visualizzazione su passaggio del mouse di una Barra Controlli attraverso la quale l'utente potrà gestire la navigazione fra le Immagini e i Video della Galleria. Di base, la Barra Controlli presenta i pulsanti [image] Avvia presentazione, [image] Immagine precedente e [image] Immagine successiva.
- | Avvia automaticamente: permette di fare in modo che la riproduzione di Immagini e Video parta automaticamente non appena la Galleria viene visualizzata.
- | Riproduci in ordine casuale: permette di fare in modo che le immagini e i video vengano proposti non in base all'ordine di inserimento ma in base a una sequenza determinata casualmente.
- | Colore Barra Controlli: permette di specificare, attraverso la finestra Colore richiamata, il colore per la Barra Controlli.
- | Colore Sfondo: permette di specificare, attraverso la finestra Colore richiamata, il colore dello sfondo della Galleria.
- | Dimensione Font: permette di impostare la dimensione del testo riportato come didascalia dell'Immagine o del Video in primo piano.
- | Colonna Sonora: permette di impostare un file musicale (file in formato .MP3) da riprodurre come colonna sonora durante la visualizzazione della Galleria.

Per le Galleria in JavaScript le Impostazioni disponibili sono:
- | Miniature visibili: permette di impostare quante Miniature devono essere effettivamente visualizzate.
- | Numero di righe per scheda: disponibile solo per la Galleria Miniature su più schede, permette di impostare il numero di righe della matrice in cui le Miniature vengono organizzate.
- | Mostra ingrandimento su click tramite ShowBox: attiva di default, questa opzione permette di impostare sulla Miniatura il collegamento che porta alla visualizzazione dell'Immagine o del Video corrispondente all'interno della finestra ShowBox.
- | Larghezza / Altezza: disponibili solo nel caso in cui sia attiva l'opzione Mostra ingrandimento su click tramite ShowBox, permettono di impostare il valore massimo della larghezza e dell'altezza della finestra ShowBox.

Argomenti correlati:
- | Oggetto Galleria
- | Stili e Modelli | Sezione ShowBox


Oggetto Galleria | Sezione Elenco

Attraverso i comandi della Sezione Elenco della finestra Oggetto Galleria è possibile procedere alla composizione della lista delle Immagini e dei Video che devono essere inseriti nella Galleria.

Tutti i file già importati vengono visualizzati nella Lista di file: selezionando un file fra quelli inseriti in tale lista se ne può visualizzare l'anteprima nell'apposita finestra.
Nella Lista di file, per ogni Immagine e Video inserito viene riportato il percorso del file, l'effetto di comparsa eventualmente associato, un segno di spunta per indicare l'associazione di un collegamento e di una descrizione.

I comandi disponibili per comporre l'Oggetto Galleria sono:

-

Aggiungi / Rimuovi: permettono, rispettivamente, di aggiungere nuovi file o di rimuovere quelli selezionati fra quelli già inseriti. Possono essere importati file grafici in formato: .JPG, .GIF, .PNG, .PSD, .BMP, .TIF, .DIB, .PCX, .RLE, .TGA, .WMF. In più, possono essere importati file video in formato: .FLV e .MP4.
Cliccando sul triangolino presente sul pulsante Aggiungi è possibile visualizzare un sotto-menu con le seguenti voci: Aggiungi Immagine, Aggiungi Video e Aggiungi Video YouTube/Vimeo.

Tramite la finestra richiamata dal comando Aggiungi Video YouTube/Vimeo è possibile specificare l'indirizzo URL del video già pubblicato su portali come YouTube o Vimeo che si vuole inserire.

-

Sposta sopra / Sposta sotto: permettono di spostare il file selezionato prima o dopo rispetto al file precedente o successivo nella Lista dei file.

-

Modifica: permette di richiamare l'Editor grafico interno per modificare l'Immagine selezionata nella Lista dei file.

In base al tipo di Galleria scelta (vedi Oggetto Galleria | Sezione Stile), per ciascun Immagine/Video inserito può essere possibile definire alcune Opzioni:
- | Effetto: cliccando sul pulsante [image] viene richiamata la finestra Proprietà Effetto attraverso la quale è possibile impostare effetto di entrata, movimento e zoom per le Immagini e i Video della Galleria selezionate fra quelle presenti nella Lista di file. Gli effetti impostati vengono riprodotti solo nelle Galleria in Flash. Nelle Gallerie in JavaScript, invece, è previsto l'effetto Dissolvenza su tutte le Immagini e i Video inseriti.
- | Collegamento: cliccando sul pulsante [image] viene richiamata la finestra Collegamento che permette di definire il collegamento da associare all'Immagine selezionata fra quelle presenti nella Lista di file. Nel caso delle Gallerie JavaScript, il collegamento così impostato sostituisce quello con l'Immagine ingrandita anche se viene attivata l'opzione Mostra ingrandimento su click tramite ShowBox. Nel caso delle Gallerie in Flash, il collegamento può essere impostato anche sui Video.
- | Descrizione: permette di inserire un testo di descrizione per l'Immagine o il Video selezionato nella Lista dei file. Il testo di descrizione viene riportato in calce nella finestra che visualizza l'Immagine o il Video ingrandito.

Argomenti correlati:
- | Oggetto Galleria
- | Editor grafico
- | Finestra Proprietà Effetto


Oggetto Galleria | Sezione Miniature

Attraverso i comandi della Sezione Miniatura della finestra Oggetto Galleria è possibile definire le impostazioni relative all'aspetto grafico delle Miniature delle Gallerie che le prevedono.

La Miniatura è una versione rimpicciolita dell'Immagine o del Video inserito nella Galleria e viene creata automaticamente dal Programma. Per renderle più belle, le Miniature vengono presentate all'interno di telai che le rendono simili a diapositive, fotogrammi di una pellicola, post-it, ecc.

Per definire l'aspetto delle Miniature è possibile scegliere se usare:

-

Immagine predefinita: permette di scegliere il telaio da applicare alle Miniature selezionandolo direttamente fra quelli proposti.

-

Immagine personalizzata: permette di richiamare il file grafico (in formato .JPG, .GIF, .PNG, .BMP, .PSD, .TIF, .DIB, .PCX, .RLE, .TGA, .WPG) corrispondente al telaio che si intende utilizzare.

Per creare un nuovo telaio è sufficiente preparare l'immagine e salvarla in un apposito file: è preferibile che l'immagine del telaio sia quadrata e, se è necessario mantenere una trasparenza esterna, salvarla in formato .PNG.

Per le Miniature è anche possibile agire sulle seguenti Opzioni:

-

Margine esterno all'Immagine (%): permette di definire il margine che deve essere mantenuto fra l'Immagine della Miniatura e il telaio circostante.

-

Attiva variante di colore: se attiva permette di specificare, attraverso la finestra Colore richiamata, il colore su cui si desidera virare il telaio delle Miniature. In pratica, viene applicato un effetto "colorize" sull'Immagine del telaio in modo da virarla sul colore desiderato.

L'effetto relativo alla variante di colore può essere utilmente impiegato solo su telai che non siano di colore nero o bianco: in questi casi, infatti, il "colorize" non apporta alcuna variazione di tinta.

Argomenti correlati:

-

Oggetto Galleria


Oggetto Modulo Invio E-mail

Navigando in Internet, capita spesso di visualizzare pagine contenenti dei Moduli di cui viene richiesta la compilazione per l'invio tramite E-mail di dati raccolti. Tali Moduli vengono utilizzati come semplici form di contatto, per richiedere la registrazione a particolari servizi o l'accesso ad aree riservate attraverso password o, ancora, per realizzare sondaggi e ricerche.

Qualsiasi sia la finalità, WebSite X5 consente di creare un Modulo di Invio E-mail in maniera molto semplice, permettendo di specificare i campi necessari, di agire sull'impaginazione e l'aspetto grafico e, soprattutto, di stabilire come deve avvenire l'invio e la raccolta dei dati.

In pratica

Facendo doppio click sull'Oggetto Modulo Invio E-mail inserito all'interno della Griglia di impaginazione si accede alla finestra Oggetto Modulo Invio E-mail. Attraverso questa finestra è possibile definire i campi di cui il Modulo deve comporsi, la modalità di invio e raccolta dei dati, l'aspetto grafico del Modulo.

Le diverse opzioni sono presentate in apposite sezioni:
- | Sezione Elenco
- | Sezione Invio
- | Sezione Stile

 Quando si testa il funzionamento del Sito creato in locale, una finestra d'avviso avverte che le E-mail con i dati raccolti attraverso il Modulo non verranno inviate. Il Modulo E-mail funziona pienamente solo con la pubblicazione del Sito su Server.

Per il corretto funzionamento del Modulo Invio E-mail è necessario che il Server sul quale il Sito verrà pubblicato supporti il linguaggio di programmazione PHP e che sia attivo il comando MAIL. Attraverso la sezione WebSite Test del Pannello di Controllo online è possibile avere queste informazioni di diagnostica sul Server.

Se si verificano dei problemi nell'invio delle e-mail è probabile che il Server utilizzato non sia configurato in modo standard. In questi casi è consigliabile provare a modificare le impostazioni relative allo script e al metodo utilizzati per l'invio delle e-mail attraverso le apposite opzioni presenti nella finestra Preferenze. Per ulteriori informazioni in merito, contattare il proprio Provider di spazio Web.

Argomenti correlati:
- | La Griglia di impaginazione nella Creazione della Pagina
- | L'elenco degli Oggetti nella Creazione della Pagina
- | Pannello di Controllo online
- | Finestra Preferenze
- | Come creare un Modulo per l'Invio di E-mail


Oggetto Modulo Invio E-mail | Sezione Elenco

Attraverso i comandi della Sezione Elenco della finestra Oggetto Modulo E-mail si può definire la lista di Campi di cui si deve comporre un Modulo (o Form) E-mail.

Tutti i Campi già creati vengono visualizzati nella Tabella riassuntiva che, per ciascuno di essi, riporta: Nome Campo, Tipo di Campo, Larghezza, se la risposta è stata impostata come Obbligatoria o meno e Descrizione. Tutti questi parametri possono essere impostati in fase di creazione del Campo, attraverso l'apposita finestra Inserimento Campo.

La Tabella, oltre a riassumere i principali dati su tutti i Campi inseriti, è anche un utile strumento di lavoro permettendo varie operazioni:
- | Facendo doppio click su un Campo, si apre la finestra Inserimento Campo e si può procedere alla sua modifica;
- | Cliccando una seconda volta su un Campo già selezionato se ne può modificare il Nome: equivale ad aprire la finestra Inserimento Campo e a cambiare il testo inserito come Etichetta;
- | Dopo aver selezionato un Campo è possibile utilizzare i comandi della pulsantiera a lato per crearne una copia, eliminarlo, spostarlo in alto o in basso, modificarne le impostazioni.
In più, attraverso la Tabella è anche possibile controllare la disposizione dei Campi nel Modulo. Innanzitutto, un leggero tratteggio indica le righe su cui si svilupperà il Modulo. Inoltre, se un Campo viene affiancato al precedente, accanto all'indicazione della sua larghezza, viene visualizzata l'icona [image] . Infine, se le larghezze dei Campi impostati come affiancati sulla stessa riga eccedono il 100% dello spazio disponibile, l'icona con un punto esclamativo [image] segnala l'imprecisione: se non si modificano le larghezze, i Campi rimarranno disposti su righe diverse.

A fianco alla Tabella sono presenti i comandi utili per procedere alla creazione della lista dei Campi che andranno a comporre il Modulo:
- | Aggiungi: permette di richiamare la finestra Inserimento Campo per procedere all'inserimento di un nuovo Campo all'interno del Modulo.
- | Duplica: permette di creare una copia del Campo selezionato fra quelli già inseriti nel Modulo.
- | Rimuovi: permette di eliminare il Campo selezionato fra quelli già inseriti nel Modulo.
- | Sposta Sopra / Sposta Sotto: permettono, rispettivamente, di spostare il Campo selezionato prima o dopo del campo precedente o successivo fra quelli già inseriti nel Modulo.
- | Modifica: permette di richiamare la finestra Inserimento Campo tramite la quale modificare le impostazioni del Campo selezionato fra quelli già inseriti nel Modulo.

La finestra Inserimento Campo richiamata dai comandi Aggiungi e Modifica è quella attraverso la quale è possibile procedere effettivamente alla definizione dei Campi. Questa finestra presenta due sezioni:
- | Sezione Tipo di Campo
- | Sezione Opzioni

 I pulsanti Invia, per l'invio del modulo compilato, e Reset, per cancellare tutti i dati eventualmente inseriti nel modulo, vengono automaticamente creati dal Programma e posizionati al termine della Form.

Argomenti correlati:
- | Oggetto Modulo Invio E-mail
- | Come creare un Modulo per l'Invio di E-mail


Oggetto Modulo Invio E-mail | Sezione Elenco | Tipo di Campo

Le opzioni presenti nella sezione Tipo di Campo della finestra Inserimento Campo permettono di creare la lista di Campi di cui si dovrà comporre il Modulo Invio E-mail.

I tipi di Campo fra cui è possibile scegliere sono:

 Campo Testo: campo di testo disposto su una sola riga che viene visualizzato come un riquadro vuoto all'interno del quale l'utente può digitare liberamente la risposta che reputa più opportuna.

Posta elettronica: campo di testo specifico per richiedere all'utente di fornire un indirizzo di posta elettronica. In questi casi, viene automaticamente impostato un filtro per controllare l'esattezza del dato immesso: per esempio, per essere ritenuto valido un indirizzo deve contenere il carattere "@" e presentare un punto nel testo a seguire.

Area di Testo: campo di testo disposto su più righe specifico per permettere all'utente di lasciare un proprio commento o domanda.

Data: campo di testo specifico per richiedere all'utente di fornire una data. La data richiesta può essere digitata o impostata attraverso un apposito calendario.

Lista a discesa: le possibili risposte, fra cui l'utente è chiamato a selezionarne una sola, sono presentate come voci di una lista a tendina.

Lista: le possibili risposte, fra cui l'utente è chiamato a selezionarne una sola, sono presentate come voci di una lista.

Scelta Multipla: le possibili risposte, fra cui l'utente può selezionarne anche più di una, sono presentate una di seguito all'altra, come in un elenco puntato.

Scelta Singola: le possibili risposte, fra cui l'utente può selezionarne una sola, sono presentate una di seguito all'altra, come in un elenco puntato.

Password: campo di testo in cui i caratteri digitati vengono automaticamente nascosti, ovvero visualizzati come dei "pallini" o degli asterischi (in base al Sistema Operativo in uso). E' utile per permettere agli utenti di specificare la password con cui vogliono registrarsi per accedere a un servizio.

File Allegato: campo di testo in cui l'utente, attraverso il pulsante [image] per sfogliare le risorse disponibili, può specificare il file che desidera inviare come allegato.

Per il corretto funzionamento dei file allegati è necessario contattare il proprio Provider dello Spazio Web per verificare che il servizio sia attivo.

Domanda di Controllo: campo di testo in cui l'utente deve digitare la risposta a una domanda posta con l'intento di discriminare fra utenti reali e programmi che sfruttano i moduli di contatto pubblicati online per l'invio di posta indesiderata.

Condizioni di Accettazione: campo di testo in cui vengono riportate le condizioni che l'utente deve accettare per procedere nell'invio dei dati. Tale campo può essere utilizzato, per esempio, per presentare la norme a cui ci si attiene per la tutela della privacy nel trattamento dei dati raccolti.

A seconda del tipo di Campo selezionato, vengono presentate diverse opzioni sulle quali è possibile agire. Le opzioni comuni a tutti i Campi sono:
- | Etichetta: permette di inserire la descrizione del Campo. Questo testo verrà visualizzato sopra, a fianco o all'interno del Campo a cui fa riferimento e deve essere utilizzato per specificare l'informazione richiesta o per riportare il testo della domanda che si vuole porre all'utente.
- | Larghezza: permette di definire la larghezza del Campo e può assumere un valore variabile dal 5% al 100% dello spazio disponibile.
- | Visualizza nella stessa riga del Campo precedente: attivando questa opzione, il Campo non viene posizionato in una nuova riga ma affiancato al Campo precedente. L'effettivo affiancamento di due Campi sulla stessa riga è possibile solo se hanno larghezze tali che sommate non superano il 100% dello spazio disponibile.
- | Imposta come Campo Obbligatorio: attivando questa opzione si rende obbligatoria la risposta da parte dell'utente. L'opzione non è disponibile per i Campi Scelta multipla ed è attivata di default per i Campi Domanda di controllo.

Oltre a quelle comuni, per ciascun tipo di Campo si aggiungono le seguenti opzioni specifiche:
Campo Testo:

-

Numero massimo caratteri: attivando questa opzione è possibile specificare il numero massimo di caratteri digitabili nel Campo. Per esempio, si può fissare a 15 il numero massimo di caratteri per un Campo di testo destinato a raccogliere il Codice Fiscale dell'utente.

-

Filtro sull'inserimento del testo: permette di impostare un controllo sulla correttezza dei dati inseriti dall'utente nel Campo. E' possibile scegliere fra i seguenti filtri:
- | Nessuno: viene accettato l'inserimento sia di caratteri che di numeri.
- | Numerico: viene accettato solo l'inserimento di numeri.
- | Numero di Telefono/Fax: viene accettato l'inserimento di numeri, del carattere "-" e dello spazio.
- | Data: viene accettato l'inserimento di numeri e del carattere "/".
Posta elettronica:

-

Richiedi conferma correttezza indirizzo e-mail: attivando questa opzione viene automaticamente aggiunto un Campo dove l'utente deve digitare una seconda volta il proprio indirizzo e-mail. In automatico verrà controllata l'esatta corrispondenza dell'indirizzo e-mail digitato nei due Campi e, se necessario, visualizzato un messaggio di avviso.
Area di Testo:

-

Numero massimo caratteri: attivando questa opzione è possibile specificare il numero massimo di Caratteri digitabili nel campo.

-

Numero di righe: permette di definire l'altezza del Campo, specificando il numero di righe sulle quali si può disporre il testo (con un massimo di 30).
Data:

-

Formato data: permette di scegliere in che formato deve essere digitata la data riportando le consuete formulazioni nazionali e internazionali.

-

Mostra icona "Calendario": attiva di default, permette di visualizzare accanto al Campo Data l'icona "Calendario". Cliccando su questa icona viene visualizzato un calendario attraverso il quale l'utente può impostare la data richiesta senza doverla digitare manualmente..
Lista:

-

Numero di righe: permette di definire l'altezza del Campo, specificando il numero di righe visualizzate (con un massimo di 30).
Scelta Multipla/Singola:

-

Numero di colonne: permette di definire il numero di colonne su cui devono essere disposte le possibili modalità di risposta.
Password:

-

Richiedi conferma correttezza password: attivando questa opzione viene automaticamente aggiunto un Campo dove l'utente deve digitare una seconda volta la password scelta. In automatico verrà controllata l'esatta corrispondenza della password digitata nei due Campi e, se necessario, visualizzato un messaggio di avviso.
Domanda di controllo:

-

Risposta corretta: permette di specificare la risposta corretta che verrà confrontata con quella data dall'utente.
Condizioni di Accettazione:

-

Testo della condizione: permette di inserire il testo delle condizioni che l'utente dovrà accettare prima di poter procedere all'effettivo invio dei dati.

Infine, occorre specificare che per i campi Lista a discesa, Lista, Scelta Multipla e Scelta Singola è possibile creare l'elenco delle risposte possibili attraverso i seguenti comandi:
- | Aggiungi / Rimuovi: permettono, rispettivamente, di aggiungere un nuova modalità di risposta o di eliminare la modalità di risposta selezionata. E' sufficiente cliccare una seconda volta su una voce selezionata per poterla modificare.
- | Sposta Sopra / Sposta sotto: permettono, rispettivamente, di agire sull'ordine di visualizzazione delle possibili risposte, spostando verso l'alto o verso il basso quella selezionata.
- | Modifica: permette di modificare la modalità di risposta selezionata.

Argomenti correlati:
- | Oggetto Modulo Invio E-mail | Sezione Elenco
- | Come creare un Modulo per l'Invio di E-mail


Oggetto Modulo invio e-mail - Sezione Elenco

Oggetto Modulo Invio E-mail | Sezione Elenco | Opzioni

Le voci presenti nella sezione Opzioni della finestra Inserimento Campo permettono di gestire alcune proprietà avanzate dei Campi di un Modulo Invio E-mail.

Nello specifico, le opzioni disponibili sono:
- | Descrizione del Campo: permette di inserire un messaggio la cui funzione è spiegare il tipo di informazione che deve essere digitata dall'utente nel Campo. Nel caso in cui sia presente, di fianco al Campo viene visualizzata un'icona (personalizzabile) che comunica la disponibilità di maggiori informazioni: al passaggio del mouse su tale icona viene visualizzata una Tip con le informazioni disponibili.
- | Attributo <name>: permette di specificare il valore da associare all'attributo <name> del Campo nel momento in cui viene generato il codice HTML relativo alla Form. Questa opzione è utile, per esempio, quando come metodo di Invio dei dati (vedere: Oggetto Modulo Invio E-mail | Sezione Invio) si imposta Invia i dati ad un file.
- | Nome campo database: permette di specificare il nome da attribuire al campo perché il dato raccolto possa essere correttamente riconosciuto e inserito all'interno di un database. Questa opzione è utile, per esempio, quando come metodo di Invio dei dati (vedere: Oggetto Modulo Invio E-mail | Sezione Invio) si imposta Invia i dati ad un Database.

Argomenti correlati:
- | Oggetto Modulo Invio E-mail | Sezione Elenco
- | Oggetto Modulo Invio E-mail | Sezione Invio
- | Come creare un Modulo per l'Invio di E-mail


Oggetto Modulo invio e-mail - Sezione Invio

Oggetto Modulo Invio E-mail | Sezione Invio

Attraverso i comandi della Sezione Invio della finestra Oggetto Modulo E-mail si possono definire la modalità relative all'invio tramite e-mail dei dati raccolti attraverso la Form creata.

Nel riquadro Invio dei dati viene richiesto di specificare come i dati raccolti attraverso la Form devono essere inviati al gestore del Sito. E' possibile scegliere fra 3 alternative:

Invia i dati per e-mail: è l'opzione prevista di default. I dati raccolti attraverso la Form vengono automaticamente inviati tramite e-mail, sfruttando uno script PHP già predisposto.

Invia i dati ad un Database: i dati raccolti attraverso la Form vengono inviati automaticamente al database MySQL specificato, tramite uno script PHP già predisposto.

Invia i dati ad un file: i dati raccolti attraverso la Form vengono gestiti sfruttando lo script che viene specificato (PHP, ASP, ecc.). Questa opzione è utile se si vuole utilizzare un proprio script, per esempio per procedere all'invio dei dati se PHP non è disponibile sul proprio Server, oppure se si vogliono attivare procedure e gestioni particolari.

In base al metodo di invio selezionato occorre specificare una serie di parametri:
Invia i dati per e-mail: | - | E-mail mittente: attivando questa opzione, è possibile specificare quale indirizzo utilizzare come mittente della e-mail che viene inviata con i dati raccolti attraverso il Modulo creato. Di default come e-mail del mittente viene utilizzata la stessa e-mail del destinatario che, in questo caso, corrisponde con il gestore del Sito. Specificando di usare come e-mail del mittente quella dell'utente che ha compilato la Form sarà possibile, per esempio, utilizzare direttamente il comando Rispondi del programma di Posta Elettronica.
 | - | E-mail destinatario: permette di specificare a quale indirizzo e-mail devono essere inviati i dati raccolti attraverso il modulo creato. E' possibile specificare più di un indirizzo e-mail: per farlo occorre digitare tutti gli indirizzi e-mail separati da un punto e virgola.
 | - | Oggetto: permette di specificare l'oggetto della e-mail con i dati raccolti attraverso il Modulo creato.
 | - | Messaggio: permette di digitare il testo che nella e-mail introduce ai dati raccolti attraverso il Modulo creato.
 | - | Includi in coda i dati raccolti in formato CSV: permette di fare in modo che i dati raccolti vengano salvati anche in un file di formato CSV, incluso in coda alla e-mail. In un file CSV i dati vengono riportati in forma testuale, come un lungo elenco di voci separate da un punto e virgola: tali file possono essere agevolmente importati nei programmi per la gestione dei fogli di calcolo (per esempio, Microsoft Excel).
Invia i dati ad un Database: | - | Nome Host: è l'indirizzo URL del Server MySQL su cui risiede il Database online che si vuole utilizzare. Nella maggior parte dei casi il Database risiede sullo stesso Server che ospita anche il sito Web a cui è collegato e quindi può essere individuato con l'espressione "localhost". In qualsiasi caso è bene verificare il dato con il proprio Provider.
 | - | Nome Database: in questo campo si deve inserire il nome del Database su cui si vuole lavorare (dato fornito dal Provider).
 | - | Nome Tabella: in questo campo si deve inserire il nome della Tabella, all'interno del Database, in cui si vogliono raccogliere i dati. Le Tabelle possono essere create accedendo al Database attraverso l'apposita applicazione online. In qualsiasi caso, se si inserisce il nome di una Tabella non ancora esistente, questa verrà creata automaticamente.
 | - | Username: in questo campo si deve inserire la Username stabilita per poter accedere al proprio Database online (dato fornito dal Provider).
 | - | Password: in questo campo si deve inserire la Password stabilita per poter accedere al proprio Database online (dato fornito dal Provider).
Invia i dati ad un file: | - | File di elaborazione dati (es: PHP, ASP): permette di importare il file di elaborazione che si vuole utilizzare per raccogliere i dati dalla Form e inviarli. In questo caso il file di elaborazione deve essere creato manualmente per risolvere il compito desiderato.

Nel riquadro E-mail di conferma all'utente, invece, vengono presentate le seguenti opzioni:
- | Invia e-mail di conferma all'utente: attivando questa opzione, è possibile fare in modo che dopo aver compilato il modulo e inviato i dati, l'utente riceva automaticamente una e-mail di conferma.
- | E-mail mittente: attivando questa opzione, è possibile digitare un indirizzo e-mail valido e attivo da utilizzare come mittente dell'e-mail di conferma. Di default come e-mail del mittente, che in questo caso è l'e-mail del gestore del Sito, viene utilizzato l'indirizzo introdotto come E-mail destinatario specificata nella sezione Invio dei dati. Digitando una diversa E-mail mittente è possibile inviare le e-mail di conferma da un indirizzo diverso da quello su cui si ricevono le e-mail provenienti dalla Form. Questa opzione è utile nel caso in cui si preferisca utilizzare per le comunicazioni con gli utenti un indirizzo generico (info@miaazienda.com oppure noreply@miaazienda.com) piuttosto che un indirizzo personale (nome.cognome@miaazienda.com).
- | E-mail destinatario: permette di specificare da quale dei Campi inseriti nel Modulo prendere l'indirizzo di posta elettronica dell'utente a cui inviare la e-mail di conferma.
- | Oggetto: permette di specificare l'oggetto della e-mail di conferma.
- | Messaggio: permette di specificare il messaggio della e-mail di conferma.
- | Includi in coda i dati raccolti: permette di aggiungere in coda alla e-mail di conferma i dati raccolti attraverso il Modulo compilato.

Infine, nel riquadro Opzioni vengono presentate le seguenti opzioni:
- | Attiva controllo anti-spam "Captcha": permette di aggiungere al termine della form il controllo anti-spam del Captcha. In pratica, viene inserita l'immagine di alcune lettere visualizzate in maniera distorta su uno sfondo confuso: l'utente deve ricopiare correttamente le lettere in un apposito Campo al fine di poter inviare il messaggio.
- | Pagina di Conferma dopo l'invio dei dati: permette di accedere alla Mappa del Sito per definire quale Pagina deve essere automaticamente visualizzata una volta che il Modulo è stato compilato e i dati raccolti sono stati inviati per e-mail. Piuttosto che rimandare direttamente all'Home Page, è meglio predisporre una Pagina specifica con un messaggio di ringraziamento: questa Pagina dovrà essere resa Non visibile sul menu attraverso l'apposito comando disponibile nel Passo 2 - Creazione della Mappa.

 Per la personalizzazione dell'aspetto grafico delle e-mail inviate automaticamente attraverso il Modulo creato è necessario agire sulle opzioni proposte nella finestra Stili e Modelli | Sezione E-mail del Passo 4 - Impostazioni Avanzate.

Argomenti correlati:
- | Oggetto Modulo Invio E-mail
- | Come creare un Modulo per l'invio di E-mail
- | Stili e Modelli | Sezione E-mail


Oggetto Modulo Invio E-mail | Sezione Stile

Attraverso i comandi della Sezione Stile della finestra Oggetto Modulo Invio E-mail si possono definire alcune impostazioni grafiche relative all'aspetto della Form che si sta creando.

Innanzi tutto occorre selezionare l'Elemento del Modulo su cui si intende lavorare: è possibile farlo attraverso il menu a discesa dell'omonima opzione oppure cliccando direttamente sull'elemento nella finestra di Anteprima disponibile.

Gli elementi su cui è possibile agire sono:

 Etichette di testo: è il testo di descrizione del Campo e serve per specificare l'informazione richiesta o immettere il testo della domanda che si vuole porre.

Campi: è il riquadro all'interno del quale l'utente potrà immettere l'informazione richiesta.

Pulsanti di "Invio" e "Reset": sono i pulsanti inseriti automaticamente al termine del Modulo di Invio E-mail. Servono, rispettivamente, per inviare tutti i dati immessi nei Campi e per svuotare i Campi dei valori eventualmente presenti.

Informazione e Validazione dei dati: si tratta dei messaggi visualizzati per dare informazioni aggiuntive su come compilare i Campi, per invitare a correggere un dato immesso o per esortare a completare un Campo Obbligatorio lasciato vuoto.

In base all'elemento del Modulo selezionato è possibile agire su diverse opzioni presentate nella sezione Stile:
Etichette di testo: | - | Font: permette di specificare, attraverso la finestra richiamata, il Tipo di carattere, lo Stile e le dimensioni del testo.
 | - | Colore: permette di specificare, attraverso la finestra Colore richiamata, il colore che deve essere utilizzato per il testo.
 | - | Disposizione: permette di definire dove deve essere posizionata l'Etichetta rispetto al Campo. E' possibile scegliere fra tre opzioni: Mostra Etichetta sopra ai Campi, Mostra Etichetta dentro i Campi e Mostra Etichetta alla sinistra dei Campi. Se si sceglie di posizionare le Etichette a sinistra dei Campi è possibile definire la Larghezza (%), ovvero la percentuale dello spazio della riga che dovrà essere occupato dall'Etichetta stessa.
Campi: | - | Colore: permette di specificare, attraverso la finestra Colore richiamata, il colore che deve essere utilizzato per il testo (nello stato normale e "su selezione"), per lo sfondo (nello stato normale e "su selezione") e per il bordo (nello stato normale e "su errore").
Pulsanti di Invio e Reset: | - | Colore: permette di specificare, attraverso la finestra Colore richiamata, il colore che deve essere utilizzato per il testo, per lo sfondo e per il bordo dei pulsanti.
 | - | Immagine di sfondo: permette di importare un file grafico (formato .JPG, .GIF e .PNG) da utilizzare come immagine di sfondo dei pulsanti.
 | - | Mostra Pulsante "Reset": attiva di default, fa in modo che al termine della form venga automaticamente inserito anche il pulsante "Reset" (utile per svuotare i campi già compilati) oltre al pulsante "Invio".
Informazione e Validazione dei dati: | - | File icona per Descrizione Campo: permette di importare un file grafico (formato .JPG, .GIF e .PNG) da utilizzare come icona da affiancare al Campo per indicare la disponibilità di maggiori informazioni.
 | - | Visualizza la Descrizione su selezione del Campo: attivando questa opzione il messaggio con le informazioni aggiuntive viene automaticamente visualizzato non appena si clicca all'interno del Campo.
 | - | In presenza di errori durante la validazione dei dati: permette di scegliere come deve essere visualizzato il messaggio previsto nel caso in cui un Campo non sia stato compilato correttamente o, se impostato come Obbligatorio, sia stato lasciato vuoto. E' possibile scegliere fra una delle seguenti opzioni: Mostra finestra di dialogo del Browser, Mostra finestra di PopUp interna o Mostra Tip a fianco del Campo non valido.

 Per la personalizzazione dell'aspetto grafico delle e-mail inviate automaticamente attraverso il Modulo creato è necessario agire sulle opzioni proposte nella finestra Stili e Modelli | Sezione E-mail del Passo 4 - Impostazuioni Avanzate.

Argomenti correlati:
- | Oggetto Modulo Invio E-mail
- | Come creare un Modulo per l'invio di E-mail
- | Stili e Modelli | Sezione E-mail


Oggetto Elenco Prodotti

Una delle funzioni più interessanti di WebSite X5 è quella di permettere la creazione e gestione di Siti di E-commerce, attraverso i quali è possibile non solo presentare i propri Prodotti su una vetrina potenzialmente affacciata sul mondo intero, ma anche venderli direttamente on-line.

Oltre a permettere l'inserimento dei Prodotti e la gestione del carrello, WebSite X5 permette di approntare un vero e proprio catalogo online attraverso un apposito Oggetto, chiamato Elenco Prodotti. Questo Oggetto consente di presentare un gruppo di Prodotti, selezionati fra quelli già inseriti nel Carrello e-commerce, attraverso delle Schede Prodotto che ne riassumono le informazioni principali e ne permettono l'acquisto.

In pratica

Facendo doppio click sull'Oggetto Elenco Prodotti inserito all'interno della Griglia di impaginazione si accede alla finestra Elenco Prodotti. Attraverso questa finestra è possibile creare la lista di tutti i Prodotti che si vogliono presentare e definire la modalità di visualizzazione delle relative Schede Prodotto.

I comandi disponibili sono articolati in due sezioni:
- | Sezione Elenco
- | Sezione Impostazioni

 Perché l'Oggetto Elenco Prodotti funzioni correttamente, è necessario aver precedentemente inserito dei Prodotti all'interno del Carrello di e-commerce attraverso i comandi della sezione Carrello e-commerce del Passo 4 - Impostazioni avanzate.

Argomenti correlati:
- | La Griglia di impaginazione nella Creazione della Pagina
- | L'elenco degli Oggetti nella Creazione della Pagina
- | Carrello e-commerce


Oggetto Elenco Prodotti | Sezione Elenco

Attraverso la Sezione Elenco della finestra Oggetto Elenco Prodotti è possibile specificare quali Prodotti devono essere visualizzati nell'Oggetto Elenco Prodotti.

La finestra presenta l'Elenco completo delle Categorie e dei Prodotti inseriti durante la creazione del Carrello e-commerce disponibile al Passo 4 - Impostazioni Avanzate.

Di fianco a ciascuna Categoria e a ciascun Prodotto è presente un check box: è sufficiente cliccare sui check box corrispondenti alle Categorie e/o ai Prodotti che si intendono attivare per fare in modo che vengano inseriti all'interno dell'Oggetto Elenco Prodotti che si sta componendo.

Attivare una Categoria o attivare tutti i Prodotti appartenenti a una Categoria non è la stessa cosa: solo nel primo caso, infatti, se in un secondo momento verranno aggiunti nuovi Prodotti a una Categoria, questi verranno automaticamente aggiunti negli Oggetti Elenco Prodotti a cui sono collegati.

Argomenti correlati:
- | Oggetto Elenco Prodotti
- | Carrello e-commerce


Oggetto Elenco Prodotti | Sezione Impostazioni

Attraverso le opzioni proposte nella Sezione Impostazioni della finestra Oggetto Elenco Prodotti è possibile definire alcune impostazioni grafiche relative alle Schede attraverso le quali vengono presentati i Prodotti inseriti nell'elenco.

Innanzi tutto occorre specificare il Tipo di visualizzazione scegliendo tra le seguenti tipologie di Schede Prodotto:

 Solo Testo
Nella Scheda Prodotto vengono riportate, una di seguito all'altra, le seguenti informazioni: Nome del Prodotto, descrizione, lista a discesa con le varianti (se disponibili), costo e affiancato campo per la quantità con il pulsante "Acquista".

Immagine e Testo
Nella Scheda Prodotto viene visualizzata sulla sinistra l'immagine del Prodotto e sulla destra tutte le informazioni ad esso relative.

Testo e Immagine
Analogo al tipo di presentazione precedente, posiziona il testo sulla sinistra e l'immagine sulla destra.

Solo Immagine
In questo caso, sotto all'immagine vengono riportate tutte le informazioni associate tranne la descrizione estesa.

Alterna Immagine e Testo
In questo caso vengono alternate Schede Prodotto con Immagine e Testo a destra e Schede Prodotto con Immagine e Testo a sinistra.

Tramite le funzioni del riquadro Impostazioni Schede è quindi possibile definire:
- | Schede per riga: permette di specificare quante Schede Prodotto devono essere affiancate su un'unica riga.
- | Altezza schede: permette di specificare il valore in pixel che deve essere assunto in altezza dalla singole Schede Prodotto. In base a tale parametro, le immagini associate ai Prodotti vengono automaticamente ridimensionate. Se i testi di descrizione dei Prodotti sono troppo lunghi per poter essere visualizzati in maniera completa, viene visualizzata la barra di scorrimento.
- | Larghezza immagine (%): permette di specificare, nel caso in cui sia stato scelto un tipo di presentazione in cui testo e immagine sono affiancati, quanto spazio della Scheda Prodotto deve essere occupato dall'immagine e quanto dal testo. In pratica, se l'immagine occupa il 30% della larghezza della Scheda Prodotto, il restante 70% sarà occupato dal testo.
- | Margine interno: il margine è lo spazio tra il bordo della Scheda Prodotto e il suo contenuto. Attraverso questa opzione è possibile, dunque, definire quanto spazio deve esserci attorno al contenuto all'interno della Scheda Prodotto.

Tramite le funzioni del riquadro Grafica è poi possibile definire:
- | Tipo di font: permette di definire, attraverso la finestra richiamata, il tipo di carattere, lo stile e la dimensione in punti per il testo.
- | Colore Testo / Colore Sfondo / Colore Bordo: permettono, rispettivamente, di definire attraverso la finestra Colore richiamata, il colore per il testo, lo sfondo e il bordo delle Schede Prodotto.
- | Spessore Bordo: permette di specificare lo spessore del bordo della Scheda Prodotto.

Infine, sono disponibili anche le seguenti Opzioni:
- | Mostra Campo Quantità: attivando questa opzione nella Scheda Prodotto viene visualizzato il Campo Quantità utile per permettere all'utente di specificare la quantità del Prodotto che intende inserire nel carrello.
- | Mostra prezzo: attivando questa opzione, nella Scheda Prodotto viene visualizzato anche il prezzo associato al Prodotto.
- | Attiva collegamento su immagine: attivando questa opzione viene automaticamente impostato sulle diverse immagini delle Schede Prodotto il collegamento con le relative immagini ingrandite. Tali immagini ingrandite vengono visualizzate attraverso la finestra ShowBox.

 L'aspetto della finestra ShowBox può essere completamente personalizzato: attraverso le opzioni presenti nella sezione Stili e Modelli | Sezione ShowBox del Passo 4 - Impostazioni Avanzate è, per esempio, possibile impostare colori, ombra, opacità ed effetti di apertura.

Argomenti correlati:
- | Oggetto Elenco Prodotti
- | Stili e Modelli | Sezione ShowBox


Oggetto HTML e Widgets

WebSite X5 propone un Oggetto specifico per ogni tipo di contenuto che si può voler inserire all'interno di una Pagina: testo, immagine, animazione, modulo e-mail, ecc. Grazie alla possibilità, poi, di gestire anche l'Oggetto HTML e Widgets, le possibilità diventano virtualmente illimitate. Grazie all'Oggetto HTML e Widgets, infatti, è possibile inserire direttamente porzioni di codice e risolvere così funzioni particolari, anche inizialmente non previste.

Particolarmente utili sono le Widget messe a disposizione: piccole applicazioni già pronte e funzionanti create per risolvere un compito particolare. L'esempio più semplice è quello della Widget per Google Maps: con la definizione di pochi parametri, permette di creare e inserire la cartina del luogo desiderato, senza doverla configurare direttamente sul Sito di Google Maps.

Per una breve introduzione sui linguaggi HTML e XHTML oltre che sui Fogli di Stile, vedi: HTML, XHTML & CSS.

In pratica

Facendo doppio click sull'Oggetto HTML e Widgets inserito all'interno della Griglia di impaginazione si accede alla finestra Oggetto HTML e Widgets. Attraverso questa finestra si ha a disposizione un editor di testo attraverso il quale è possibile procedere alla digitazione di codice HTML e/o CSS. Il codice può essere scritto da zero, copiato e incollato da Siti che lo mettono a disposizione, inserito attraverso la semplice scelta di una Widget.

Nello specifico, vengono presentate le seguenti sezioni:
- | Sezione Codice HTML
- | Sezione Esperto

Argomenti correlati:
- | La Griglia di impaginazione nella Creazione della Pagina
- | L'elenco degli Oggetti nella Creazione della Pagina
- | HTML, XHTML & CSS


Oggetto HTML e Widgets | Sezione Codice HTML

Attraverso i comandi della Sezione Codice HTML della finestra Oggetto HTML e Widgets è possibile disporre di un editor attraverso il quale comporre il codice HTML che si vuole introdurre nella Pagina, digitandolo manualmente o facendo doppio click su una delle Widgets disponibili.

L'editor disponibile nel riquadro Codice HTML mette a disposizione i seguenti comandi:

 Taglia [CTRL+X] - Copia [CTRL+C] - Incolla [CTRL+V]
Permettono, rispettivamente, di tagliare, copiare e incollare la porzione di codice selezionato.

Annulla [CTRL+Z] - Ripristina [ALT+MAIUSC+BACKSPACE]
Permettono, rispettivamente, di annullare e ripristinare l'ultima operazione eseguita/annullata.

Per facilitare la scrittura/lettura del codice, nell'editor HTML è stata introdotta l'evidenziazione della sintassi (Syntax highlighting). Questa funzione fa in modo che determinati elementi del codice vengano distinti attraverso l'uso di colori, senza che per questo sia modificato in alcun modo il significato del testo. Grazie all'evidenziazione la struttura del codice diventa chiara e, di conseguenza, è più semplice individuare eventuali errori.

Nel riquadro Elenco Widgets, invece, viene proposta la lista di tutte le Widgets disponibili. Facendo doppio click sulla Widget desiderata viene richiamata la finestra Widget attraverso la quale è possibile definire i parametri previsti. Confermando, il codice HTML relativo alla Widget viene composto e automaticamente inserito nell'editor.

Infine, nel riquadro Proprietà sono disponibili le seguenti opzioni:
- | Larghezza: permette di visualizzare il valore della larghezza dell'Oggetto HTML e Widgtes; tale valore viene automaticamente definito in base allo spazio disponibile nella Griglia di impaginazione.
- | Altezza: permette di impostare il valore dell'altezza dell'Oggetto HTML e Widgtes.
- | Visualizza Barre di Scorrimento: attiva di default, fa in modo che venga automaticamente inserita la barra di scorrimento se l'Oggetto HTML e Widgtes ha altezza superiore a quella impostata attraverso l'apposita opzione Altezza.

Argomenti correlati:
- | Oggetto HTML e Widgets
- | HTML, XHTML & CSS


Oggetto HTML e Widgets | Sezione Esperto

Attraverso i comandi della Sezione Esperto della finestra Oggetto HTML e Widgets è possibile creare un Foglio di stile (CSS) e/o definire la lista dei file da allegare all'Oggetto HTML e Widgtes a cui si sta lavorando.

Nel riquadro Codice CSS è disponibile un editor (analogo a quello presente nella Sezione Codice HTML) attraverso il quale è possibile digitare le istruzioni per comporre il Foglio di stile. Ricordiamo che lo scopo dei CSS è di definire l'aspetto grafico delle pagine HTML a cui sono collegati.

Nel riquadro File allegati al codice, invece, tutti i file collegati vengono visualizzati attraverso una tabella riassuntiva in cui, oltre al nome del file, viene riportato anche il Percorso relativo su Server.

Per comporre la lista dei file collegati al Codice HTML è possibile utilizzare i seguenti comandi:
- | Aggiungi: permette, attraverso la finestra Pubblica file collegato richiamata, di inserire un nuovo file collegato.
- | Modifica: permette di richiamare la finestra Pubblica file collegato per modificare le impostazioni definite per il file selezionato nella tabella riassuntiva dei File collegati.
- | Rimuovi: permette di eliminare il file selezionato fra quelli presenti nella tabella riassuntiva dei File collegati.

Argomenti correlati:
- | Oggetto HTML e Widgets
- | HTML, XHTML & CSS
- | Finestra Pubblica file collegato


Editor grafico

WebSite X5, oltre a procedere automaticamente all'ottimizzazione delle Immagini importate, mette a disposizione un versatile editor grafico interno per poter compiere operazioni di fotoritocco.
L'editor grafico può essere richiamato attraverso il pulsante Modifica disponibile, in genere, nelle finestre in cui è possibile importare un file grafico come, per esempio, quelle relative all'Oggetto Immagine, all'Oggetto Galleria, alla creazione di un nuovo Prodotto nel Carrello e-commerce.

L'editor grafico è organizzato nelle seguenti sezioni:
- | Sezione Taglio e Rotazione
- | Sezione Filtri
- | Sezione Filigrana
- | Sezione Maschera
- | Sezione Cornice
- | Sezione Effetti
- | Sezione Libreria

L'editor grafico è completato dai seguenti pulsanti:
- | OK: permette di chiudere l'editor grafico e tornare alla finestra principale salvando e applicando tutte le modifiche apportate all'immagine.
- | Annulla: permette di chiudere l'editor grafico e tornare alla finestra principale annullando le modifiche apportate alle immagine.
- | Salva come: permette di salvare una copia dell'immagine originale in formato .PNG.

Argomenti correlati:
- | Oggetto Immagine
- | Oggetto Galleria
- | Carrello e-commerce


Editor grafico | Sezione Taglio e Rotazione

Attraverso i comandi della Sezione Taglio e Rotazione dell'Editor grafico è possibile ritagliare l'area dell'immagine che si desidera venga visualizzata, eliminando il resto.

E' possibile disegnare l'area del taglio direttamente sull'anteprima dell'immagine e agire sulle ancore per modificarla. La selezione del taglio può essere spostata in modo da mettere in primo piano l'area desiderata: per farlo è sufficiente cliccare su di essa e, tenendo premuto il tasto sinistro del mouse, posizionarla adeguatamente.

Non è necessario confermare il taglio: la porzione esterna alla selezione del taglio (più scura rispetto all'originale) non verrà comunque considerata. Per annullare il taglio, invece, è sufficiente cliccare sull'immagine, al di fuori dell'area selezionata.

A lato dell'immagine sono presenti i seguenti riquadri:
- | Taglio: riporta i valori in pixel della Coordinata X e della Coordinata Y che identificano la posizione del vertice superiore sinistro dell'area selezionata con il taglio, oltre che i valori della Larghezza e dell'Altezza da questa assunta. Oltre che essere ripresi direttamente in base all'area di taglio disegnata, i valori dei parametri citati possono anche essere digitati negli appositi campi o impostati attraverso i cursori.
- | Riflessione: permette di riflettere l'Immagine in senso orizzontale (secondo l'asse verticale) e/o verticale (secondo l'asse orizzontale).
- | Rotazione: permette di ruotare l'Immagine in senso orario di 0°, 90°, 180° o 270°.

Argomenti correlati:

-

Editor grafico


Editor grafico | Sezione Filtri

Attraverso i comandi della Sezione Filtri dell'Editor grafico è possibile correggere le principali regolazioni di colore e impostare alcuni filtri grafici sull'Immagine importata.

- | Filtri: riporta l'elenco dei filtri che è possibile applicare all'Immagine. L'elenco comprende: Luminosità e Contrasto, Bilanciamento (RGB), Intensità (HSL), Dettaglio, Sfocatura, Bianco e nero, Seppia, Mosaico, Ritratto, Diffusione, Dipinto a olio, Tela, Rumore, Marmo. Per applicare un filtro è sufficiente cliccare in sua corrispondenza in modo da far comparire il segno di spunta sul relativo check box.
- | Impostazioni: riporta le impostazioni su cui è possibile agire per definire il filtro selezionato.

Le modifiche relative ai filtri impostati vengono immediatamente applicate e visualizzate nell'Immagine di anteprima.

Argomenti correlati:

-

Editor grafico


Editor grafico | Sezione Filigrana

Attraverso i comandi della Sezione Filigrana dell'Editor grafico è possibile applicare una filigrana all'Immagine importata in modo da proteggerla dalla copia non autorizzata. Lo scopo della filigrana, infatti, è di alterare l'immagine, magari riportando esplicitamente l'indicazione del copyright, in modo da scoraggiarne la copia e l'utilizzo.

- | Filigrana: riporta l'elenco delle filigrane che è possibile applicare all'Immagine. Oltre alle immagini di filigrana messe a disposizione, è possibile applicare una filigrana personale: è sufficiente selezionare la seconda anteprima dell'elenco (Personale...) e importare il file grafico appositamente preparato.
- | Impostazioni: permette di ruotare di 90°, 180° o 270° o di riflettere orizzontalmente o verticalmente la filigrana applicata all'Immagine.

 Una filigrana deve essere preparata come file grafico in formato .GIF, .PNG, .PSD o .WMF per il quale viene impostata la trasparenza: la filigrana viene sovrapposta all'Immagine originale in modo da permettere la visualizzazione solo delle parti corrispondenti alle aree trasparenti.
Dal momento che il formato .GIF gestisce un unico livello di trasparenza, mentre i formati .PNG e .PSD ne gestiscono fino a 256 è consigliabile salvare le filigrane in uno di questi ultimi formati.

+

=

Argomenti correlati:

-

Editor grafico


Editor grafico | Sezione Maschera

Attraverso i comandi della Sezione Maschera dell'Editor grafico è possibile applicare una maschera all'Immagine importata in modo da modificarne la forma.

- | Maschera: riporta l'elenco delle maschere che è possibile applicare all'Immagine. Oltre alle maschere messe a disposizione, è possibile applicare una maschera personale: è sufficiente selezionare la seconda anteprima dell'elenco (Personale...) e importare il file grafico appositamente preparato.
- | Impostazioni: permette di ruotare di 90°, 180° o 270° o di riflettere orizzontalmente o verticalmente la maschera applicata all'Immagine.

 Una maschera non è altro che un'immagine a 256 colori in scala di grigi: la maschera viene applicata sull'Immagine originale in modo che le parti coperte dal nero vengono rese invisibili e quelle coperte dal bianco vengono mantenute visibili.

+

=

Argomenti correlati:

-

Editor grafico


Editor grafico | Sezione Cornice

Attraverso i comandi della Sezione Cornice dell'Editor grafico è possibile applicare una cornice all'Immagine importata.

- | Cornice: riporta l'elenco delle cornici che è possibile applicare all'Immagine. Oltre alle cornici messe a disposizione, è possibile applicare una cornice personale: è sufficiente selezionare la seconda anteprima dell'elenco (Personale...) e importare il file grafico appositamente preparato.
- | Impostazioni: permette di ruotare di 90°, 180° o 270° o di riflettere orizzontalmente o verticalmente la cornice applicata all'Immagine.

 Una cornice deve essere preparata come file grafico in formato .GIF, .PNG, .PSD o .WMF per il quale viene impostata la trasparenza: la cornice viene sovrapposta all'Immagine originale in modo da permettere la visualizzazione solo delle parti corrispondenti alle aree trasparenti.
Dal momento che il formato .GIF gestisce un unico livello di trasparenza, mentre i formati .PNG e .PSD ne gestiscono fino a 256 è consigliabile salvare le cornici in uno di questi ultimi formati.

+

=

Argomenti correlati:

-

Editor grafico


Editor grafico | Sezione Effetti

Attraverso i comandi della Sezione Effetti dell'Editor grafico è possibile correggere le principali regolazioni di colore e impostare alcuni effetti grafici sull'Immagine importata.

- | Effetti: riporta l'elenco degli effetti che è possibile applicare all'Immagine. L'elenco comprende: Ombra, Riflesso, Bagliore esterno, Bordo colorato, Cornice, Bordo sfumato, Altorilievo, Bassorilievo, Bombato, Opacità, Distorsione, Prospettiva e Rotazione. Per applicare un effetto è sufficiente cliccare in sua corrispondenza in modo da far comparire il segno di spunta sul relativo check box.
- | Impostazioni: riporta le impostazioni su cui è possibile agire per definire l'effetto selezionato.

Le modifiche relative agli effetti impostati vengono immediatamente applicate e visualizzate nell'Immagine di anteprima.

Argomenti correlati:

-

Editor grafico


Editor grafico | Sezione Libreria

Attraverso la Sezione Libreria dell'Editor grafico è possibile scegliere un set di impostazioni, salvate come Stile, e applicarle all'Immagine corrente o, al contrario, salvare le impostazioni definite per l'Immagine corrente in un nuovo Stile che potrà poi essere ripreso e applicato ad altre Immagini.

La Libreria presenta un elenco di tutti gli Stili Predefiniti e degli Stili Personalizzati già creati. In più sono disponibili i seguenti comandi:
- | Applica: permette di applicare all'Immagine corrente tutte le impostazioni previste per lo Stile selezionato.
- | Aggiungi: permette di salvare tutte le impostazioni definite nelle sezioni precedenti dell'Editor grafico per l'Immagine corrente in uno Stile e di aggiungerlo alla lista degli Stili Personalizzati.
- | Rimuovi: permette di eliminare lo Stile selezionato fra quelli presenti nell'elenco Stili Personalizzati. Non è possibile rimuovere gli Stili Predefiniti.

In pratica

Grazie alla Libreria è possibile ridurre i tempi di lavoro: se si prevede di dover dare a più Immagini le stesse impostazioni rese disponibili dall'Editor, è conveniente definirle per la prima Immagine, salvare lo Stile e applicarlo, senza ricrearlo tutte le volte, alle altre immagini.

Per creare un nuovo Stile:
- | Aprire la sezione Generale della finestra Oggetto Immagine e cliccare sul pulsante Modifica, posizionato sotto l'Anteprima, per accedere all'Editor grafico.
- | Utilizzare le opzioni messe a disposizione nelle diverse sezioni dell'Editor grafico per ottenere il risultato desiderato.
- | Aprire la sezione Libreria e cliccare sul pulsante Aggiungi: in base alle impostazioni definite viene creato uno nuovo Stile. Un'anteprima dello Stile creato viene aggiunta alla lista degli Stili Personalizzati.

Per applicare uno Stile:
- | Aprire la sezione Generale della finestra Oggetto Immagine e cliccare sul pulsante Modifica, posizionato sotto l'Anteprima, per accedere all'Editor grafico.
- | Aprire direttamente la sezione Libreria e selezionare l'anteprima dello Stile che si vuole utilizzare, scegliendolo nella lista degli Stili Predefiniti o in quella degli Stili Personalizzati.
- | Cliccare sul pulsante Applica.

Argomenti correlati:

-

Editor grafico


Stile della Cella

WebSite X5 permette di procedere alla creazione di ciascuna Pagina di un Sito attraverso una Griglia di impaginazione che suddivide lo spazio disponibile in Celle. Il numero di Celle disponibili dipende dal numero di Righe e Colonne inserite e, per ogni Cella è possibile inserire un diverso contenuto (tramite il semplice Drag & Drop degli Oggetti disponibili).

La Cella equivale, dunque, ad uno spazio determinato della Pagina: ha un suo contenuto e può avere un aspetto grafico del tutto particolare. Agendo su margini, bordi e sfondo della Cella è possibile, quindi, creare dei box all'interno della Pagina mediante i quali organizzare i contenuti e dare il giusto risalto a quelli che si desidera mettere in primo piano.

In pratica

Lavorando alla Creazione di una Pagina, dopo aver trascinato uno degli Oggetti disponibili all'interno di una Cella della Griglia di impaginazione, è possibile definire l'aspetto grafico di tale Cella cliccando sul pulsante [image] e utilizzando le opzioni proposte dalla finestra Stile della Cella richiamata.

Le opzioni disponibili sono articolate in 2 sezioni:
- | Sezione Stile
- | Sezione Testi
- | Sezione Libreria

Argomenti correlati:
- | Creazione di una Pagina
- | Griglia di impaginazione


Stile della Cella | Sezione Stile

Attraverso i comandi della Sezione Stile della finestra Stile della Cella si possono definire le impostazioni grafiche della Cella corrente della Griglia di impaginazione.

Per prima cosa è necessario definire il tipo di Sfondo che si vuole impostare per la Cella, scegliendo tra:

 Cella con sfondo colorato: lo sfondo della Cella viene colorato in tinta unita.

Cella con sfondo sfumato: lo sfondo della Cella viene riempito con un gradiente di cui si possono definire i colori di partenza e di fine e la direzione della sfumatura.

Cella con immagine di sfondo: lo sfondo della Cella viene creato attraverso l'importazione di un'immagine.

Cella con immagine adattata: lo sfondo della Cella viene creato attraverso l'importazione di un'immagine che viene tagliata in blocchi e ricomposta in modo da potersi adattare perfettamente alle dimensioni della Cella stessa. (vedere, Come creare un'immagine di sfondo che si adatta alle dimensioni della Cella)

A seconda del tipo di Sfondo, è possibile agire su diverse opzioni del riquadro Impostazioni.

Per la Cella con sfondo colorato, le opzione disponibili sono:
- | Colore Sfondo: permette di specificare, attraverso la finestra Colore richiamata, il colore da utilizzare per il riempimento dello sfondo della Cella.
- | Opacità: permette di impostare il grado di opacità del colore di sfondo applicato. Per valori tendenti allo 0 diminuisce l'opacità e lo sfondo della Cella diventa più trasparente lasciando vedere lo sfondo della Pagina.

Per la Cella con sfondo sfumato, le opzioni disponibili sono:
- | Colore iniziale / Colore finale: permettono di specificare, attraverso la finestra Colore richiamata, i colori di partenza e di arrivo da utilizzare per comporre la sfumatura.
- | Diffusione: permette di stabilire se nella sfumatura deve essere predominante il colore iniziale o il colore finale, definendo lo spazio (in pixel) entro il quale deve avvenire la transizione dal primo al secondo. Per esempio, in una sfumatura verticale in cui si passa dal grigio al bianco con una diffusione a 250, il gradiente viene composto nei primi 250 px, dopodiché lo sfondo rimarrà uniformemente bianco.
- | Direzione: permette di scegliere il tipo di sfumatura che deve essere applicato, scegliendo tra dall'Alto, dal Basso, da Sinistra, da Destra.
- | Opacità: permette di impostare il grado di opacità della sfumatura di sfondo applicata. Per valori tendenti allo 0 diminuisce l'opacità e lo sfondo della Cella diventa più trasparente lasciando vedere lo sfondo della Pagina.

Per la Cella con immagine di sfondo, le opzioni disponibili sono:
- | Colore Sfondo: permette di specificare, attraverso la finestra Colore richiamata, il colore da utilizzare per il riempimento dello sfondo della Cella.
- | File Immagine: permette di selezionare il file grafico relativo all'immagine da utilizzare come sfondo della Cella. Possono essere utilizzati file in formato .JPG, .GIF, .PNG.
- | Disposizione: permette di specificare se l'immagine inserita come sfondo deve essere ripetuta o meno. L'immagine può essere ripetuta solo in senso orizzontale, solo in senso verticale o in entrambe i sensi, in modo da giungere ad occupare l'intero spazio a disposizione.
- | Allineamento: permette di specificare come deve essere allineata l'immagine inserita come sfondo rispetto all'area occupata dalla Cella.
- | Variante colore: permette di specificare, attraverso la finestra Colore richiamata, il colore su cui si desidera virare l'immagine inserita come sfondo della Cella. In pratica, viene applicato un effetto "colorize" sull'immagine in modo da virarla sul colore desiderato.
- | Opacità: permette di impostare il grado di opacità dell'immagine di sfondo applicata. Per valori tendenti allo 0 diminuisce l'opacità e lo sfondo della Cella diventa più trasparente lasciando vedere lo sfondo della Pagina.

Per la Cella con immagine adattata, le opzioni disponibili sono:
- | Colore Sfondo: permette di specificare, attraverso la finestra Colore richiamata, il colore da utilizzare per il riempimento dello sfondo della Cella.
- | File Immagine: permette di selezionare il file grafico relativo all'immagine da utilizzare come sfondo della Cella. Possono essere utilizzati file in formato .JPG, .GIF, .PNG.
- | Larghezza blocco / Altezza blocco: permettono di impostare le dimensioni dei blocchi in cui viene tagliata l'immagine di sfondo in modo da determinare quali porzioni dell'immagine devono essere mantenute inalterate e quali devono essere ripetute. (vedere, Come creare un'immagine di sfondo che si adatta alle dimensioni della Cella)
- | Variante colore: permette di specificare, attraverso la finestra Colore richiamata, il colore su cui si desidera virare l'immagine inserita come sfondo della Cella. In pratica, viene applicato un effetto "colorize" sull'immagine in modo da virarla sul colore desiderato.
- | Opacità: permette di impostare il grado di opacità dell'immagine di sfondo applicata. Per valori tendenti allo 0 diminuisce l'opacità e lo sfondo della Cella diventa più trasparente lasciando vedere lo sfondo della Pagina.

Infine, tramite le opzioni del riquadro Bordo è possibile definire:
- | Colore e Spessore: la prima opzione permette di specificare, attraverso la finestra Colore richiamata, il colore del bordo della cella, la seconda di impostarne lo spessore.
- | Bordi personalizzati: attivando questa opzione è possibile definire indipendentemente il colore e lo spessore di ciascun bordo della Cella.

 Il colore del bordo viene utilizzato anche come colore per la trasparenza dell'immagine.

Argomenti correlati:
- | Stile della Cella
- | Come creare un'immagine di sfondo che si adatta alle dimensioni della Cella


Stile della Cella | Sezione Testi

Attraverso i comandi della Sezione Testi della finestra Stile della Cella è possibile inserire e definire l'aspetto grafico degli elementi di testo che completano lo stile della Cella corrente della Griglia di impaginazione.

Innanzi tutto occorre definire l'elemento, Testo o Immagine, che si vuole inserire e su cui si vuole lavorare. E' possibile scegliere tra le seguenti opzioni:

 Titolo: è il testo che viene visualizzato come titolo della Cella corrente.

Immagine intestazione: è un'immagine che può essere inserita nell'intestazione della Cella corrente, eventualmente affiancata al Titolo.

Testo di descrizione: è il testo che viene visualizzato come didascalia della Cella corrente.

Una volta inseriti, i diversi elementi possono essere selezionati o attraverso l'apposito menu a discesa o cliccando direttamente sull'immagine di Anteprima.

A seconda del tipo di elemento selezionato è possibile agire su diverse opzioni del riquadro Impostazioni.

Per gli elementi Titolo e per il Testo di descrizione, le opzioni disponibili sono:
- | Contenuto: permette di digitare il Titolo o il Testo di descrizione della Cella.
- | Colore testo: permette di specificare, attraverso la finestra Colore richiamata, il colore del testo su cui si sta lavorando.
- | Tipo di Font: permette di specificare, attraverso la finestra richiamata, il tipo di carattere, lo stile e la dimensione in punti del testo.
- | Allineamento: permette di specificare se il testo deve essere allineato a Sinistra, in Centro o a Destra rispetto alla Cella.
- | Margine orizzontale / Margine verticale: permettono di impostare il valore in pixel per i margini del testo, in modo da poterlo posizionare con precisione decidendo quanto deve essere distante dai bordi della Cella.

Per l'elemento Immagine intestazione, invece, le opzioni disponibili sono:
- | File Immagine: permette di selezionare il file grafico relativo all'immagine da utilizzare. Possono essere utilizzati file in formato .JPG, .GIF, .PNG.
- | Allineamento: permette di specificare se l'immagine inserita deve essere allineata a Sinistra, in Centro o a Destra rispetto alla Cella.
- | Margine orizzontale / Margine verticale: permettono di impostare il valore in pixel per i margini dell'immagine inserita, in modo da poterla posizionare con precisione rispetto ai bordi della Cella e, di conseguenza, rispetto al Titolo eventualmente presente.

Argomenti correlati:

-

Stile della Cella


Stile della Cella | Sezione Libreria

Attraverso la Sezione Libreria della finestra Stile della Cella è possibile scegliere un set di impostazioni, salvate come Stile, e applicarle alla Cella corrente o, al contrario, salvare le impostazioni definite per la Cella corrente in un nuovo Stile che potrà poi essere ripreso e applicato ad altre Celle.

La Libreria presenta un elenco di tutti gli Stili Predefiniti e degli Stili Personalizzati già creati. In più sono disponibili i seguenti comandi:
- | Applica: permette di applicare alla Cella corrente tutte le impostazioni previste per lo Stile selezionato.
- | Aggiungi: permette di salvare tutte le impostazioni grafiche definite nelle Sezioni Stile e Testi per la Cella corrente in uno Stile e di aggiungerlo alla lista degli Stili Personalizzati.
- | Rimuovi: permette di eliminare lo Stile selezionato fra quelli presenti nell'elenco Stili Personalizzati. Non è possibile rimuovere gli Stili Predefiniti.

 Nella composizione di uno Stile vengono mantenute tutte le impostazioni grafiche definite per la Cella ma non i contenuti che potrebbero dover variare da una Cella all'altra. In questo modo, per esempio, nello Stile viene salvato il Colore Testo o il Tipo di Font ma non il Contenuto specificato per elementi come il Titolo e il Testo di descrizione associato a una Cella.

In pratica

Grazie alla Libreria è possibile ridurre i tempi di lavoro: se si prevede di dover dare a più Celle le stesse impostazioni grafiche, è conveniente definirle per la prima Cella, salvare lo Stile e applicarlo, senza ricrearlo tutte le volte, alle altre Celle.

Per creare un nuovo Stile:
- | Nella Griglia di impaginazione selezionare la Cella sulla quale si intende lavorare e cliccare sul pulsante [image] per richiamare la finestra Stile della Cella.
- | Utilizzare le opzioni messe a disposizione nelle diverse sezioni Stile e Testi per ottenere il risultato desiderato.
- | Aprire la sezione Libreria e cliccare sul pulsante Aggiungi: in base alle impostazioni definite viene creato uno nuovo Stile. Un'anteprima dello Stile creato viene aggiunta alla lista degli Stili Personalizzati.

Per applicare uno Stile:
- | Nella Griglia di impaginazione selezionare la Cella sulla quale si intende lavorare e cliccare sul pulsante [image] per richiamare la finestra Stile della Cella.
- | Aprire direttamente la sezione Libreria e selezionare l'anteprima dello Stile che si vuole utilizzare, scegliendolo nella lista degli Stili Predefiniti o in quella degli Stili Personalizzati.
- | Cliccare sul pulsante Applica.

Argomenti correlati:

-

Stile della Cella


Collegamento

Oltre ai menu di navigazione fissa, creati in automatico in base alla Mappa, WebSite X5 consente di inserire su Testi e Immagini i Collegamenti necessari per risolvere una serie di operazioni diverse: aprire pagine interne o esterne, richiamare file, visualizzare immagini, aggiungere un prodotto al carrello, ecc.

Nel'impostare un Collegamento è possibile, non solo scegliere il tipo di azione, ma anche definire e personalizzare la tooltip associata in modo da fornire una spiegazione di ciò che accadrà in conseguenza al click.

In pratica

Ogni volta che è possibile inserire un Collegamento su un Testo o su un'Immagine, è disponibile il comando [image] Associa/Inserisci Collegamento: cliccando su questo pulsante viene richiamata l'omonima finestra che permette di definire il tipo di Collegamento ipertestuale che deve essere inserito.

 Per maggiori informazioni su come progettare l'architettura di navigazione del sito e su come impostare aspetto e testo dei collegamenti, vedi: Navigazione.

Le diverse opzioni sono presentate in apposite sezioni:
- | Sezione Azione
- | Sezione Descrizione

Argomenti correlati:
- | Modifica del Modello | Barra Strumenti
- | Oggetto Testo
- | Oggetto Immagine
- | Oggetto Galleria
- | Navigazione


Collegamento | Sezione Azione

Attraverso i comandi della Sezione Azione della finestra Collegamento è possibile specificare il tipo di azione da associare al Collegamento stesso:

 Pagina del sito
Permette di impostare un Collegamento con un'altra Pagina del Sito. Cliccando sul pulsante [image] è possibile sfogliare la Mappa del Sito e selezionare la Pagina da collegare. E' possibile specificare se la Pagina collegata deve essere visualizzata nella stessa finestra, in una nuova finestra del Browser o in una finestra di PopUp. In questo ultimo caso, come PopUp viene aperta una nuova finestra del Browser di cui di si possono impostare le dimensioni (Larghezza e Altezza).

File o URL
Permette di impostare un Collegamento con una qualsiasi risorsa, file o pagina HTML, presente sul computer sul quale si sta lavorando o già pubblicato sul Web. Per specificare quale file collegare è sufficiente attivare l'opzione File Locale e cliccare sul pulsante [image] per sfogliare le risorse salvate sul sistema, oppure attivare l'opzione URL o File su Internet e digitare l'indirizzo (URL) che ne identifica la posizione in rete.
Anche in questo caso, è possibile specificare se la risorsa collegata deve essere visualizzata nella stessa finestra, in una nuova finestra del Browser o in una finestra di PopUp di cui di si possono impostare le dimensioni (Larghezza e Altezza).

File o URL con ShowBox
Permette di impostare un Collegamento attraverso il quale visualizzare un qualsiasi file, presente sul computer sul quale si sta lavorando o già pubblicato su Web, in una apposita finestra ShowBox. A differenza di quanto accade per la finestra di PopUp, con la finestra ShowBox il file richiamato viene visualizzato in primo piano sullo sfondo della Pagina originale, resa automaticamente più opaca e chiara/scura.
Per specificare quale file collegare è sufficiente attivare l'opzione File Locale e cliccare sul pulsante [image] per sfogliare le risorse salvate sul sistema, oppure attivare l'opzione URL o File su Internet e digitare l'indirizzo (URL) che ne identifica la posizione in rete. Tramite le opzioni disponibili, è possibile impostare le dimensioni (Larghezza e Altezza) della finestra ShowBox oltre che una Didascalia che verrà visualizzata in calce.
Il collegamento con finestra ShowBox è particolarmente indicato per la visualizzazione di immagini, ma può essere utilizzato anche per la visualizzazione di risorse diverse come, per esempio, i documenti .PDF.

Galleria File con ShowBox
Permette di impostare un Collegamento attraverso il quale lanciare la riproduzione di una Galleria di immagini all'interno di una finestra ShowBox. Per creare l'elenco delle immagini è sufficiente utilizzare i comandi disponibili: Aggiungi, Rimuovi, Sposta Sopra e Sposta Sotto. In più, è possibile impostare le dimensioni (Larghezza e Altezza) delle finestra ShowBox.

L'aspetto della finestra ShowBox può essere completamente personalizzato: attraverso le opzioni presenti nella sezione Stili e Modelli | Sezione ShowBox del Passo 4 - Impostazioni Avanzate è, per esempio, possibile impostare colori, ombra, opacità ed effetti di apertura.

Posta elettronica
Permette di impostare un Collegamento attraverso il quale aprire il programma di posta elettronica predefinito al fine di inviare una e-mail. Per definire questo tipo di collegamento è sufficiente digitare l'indirizzo e-mail al quale il messaggio deve essere inviato.
Attivando l'opzione Attiva protezione indirizzo e-mail è possibile fare in modo che l'indirizzo e-mail specificato venga riportato in forma criptata all'interno del codice HTML della Pagina: in questo modo non verrà riconosciuto dai robot che scandagliano la rete alla ricerca di indirizzi per campagne di spam.

Chiamata Internet
Permette di impostare un collegamento attraverso il quale aprire il programma associato alle chiamate via Internet (per esempio, Skype) al fine di poter dialogare con l'utente definito. L'utente da chiamare deve essere specificato attraverso l'apposito campo. In più, è possibile specificare il Tipo di azione scegliendo tra: Avvia chiamata, Aggiungi contatto, Avvia chat, Visualizza profilo, Avvia Skype VoiceMail e Invia file.

Suono
Permette di impostare un Collegamento attraverso il quale lanciare la riproduzione di un suono. Per specificare quale file collegare è sufficiente attivare l'opzione File Locale e cliccare sul pulsante [image] per sfogliare le risorse salvate sul sistema, oppure attivare l'opzione File su Internet e digitare l'indirizzo (URL) che ne identifica la posizione in rete. E' possibile collegare file in formato .MP3.
Cliccando sul link viene visualizzata una ToolTip contente il pulsante Play/Pause per avviare/interrompere la riproduzione del suono. Facendo uscire il mouse dalla Tooltip, questa si chiude e la riproduzione del suono viene interrotta.

La ToolTip sul link con il suono viene creata automaticamente dal Programma: l'aspetto viene definito in base alla impostazioni attivate nella finestra Stili e Modelli | Sezione ToolTip del Passo 4 - Impostazioni Avanzate.

Stampa Pagina
Permette di impostare un Collegamento attraverso il quale avviare la stampa della Pagina visualizzata.

Messaggio di Avviso
Permette di impostare un Collegamento attraverso il quale visualizzare un messaggio di avviso. Per definire questo tipo di collegamento è sufficiente digitare il Testo del messaggio nell'apposito campo. Attivando l'opzione Visualizza come finestra di PopUp, il messaggio di avviso viene visualizzato in una finestra di dialogo stile Windows.

Preferiti e Pagina di Default
Permette di impostare un Collegamento attraverso il quale aprire la finestra di Internet Explorer che consente di aggiungere il sito Internet indicato all'interno dei Siti preferiti dall'utente che si collega alle nostre Pagine (Aggiungi il Sito tra i Preferiti) o impostare il Sito specificato come Pagina di Default per l'apertura del Browser Internet (Imposta il Sito come Pagina di Default del Browser).
Per definire questo tipo di collegamento è sufficiente specificare l'URL del Sito e il Titolo del Sito che si vuole proporre.

Feed RSS
Permette di visualizzare il Feed RSS del Sito: il collegamento è attivo solo se è stato effettivamente creato un Feed RSS attraverso l'apposita finestra del Passo 4 - Impostazioni Avanzate.

Quando si testa il funzionamento del Sito creato in locale, una finestra d'avviso avverte che i Feed RSS saranno visualizzati solo una volta che il Sito sarà pubblicato online.

Blog
Permette di impostare un Collegamento attraverso il quale aprire il Blog collegato al Sito corrente. Perché questo collegamento funzioni correttamente, è necessario aver precedentemente creato un Blog attraverso l'apposita sezione del Passo 4 - Impostazioni Avanzate.
Attraverso le opzioni disponibili è possibile specificare se il Blog collegato deve essere visualizzata nella stessa finestra o in una nuova finestra del Browser.

Mappa del Sito
Permette di impostare un Collegamento attraverso il quale visualizzare la Mappa del Sito completa in un'apposita Pagina. Le voci della Mappa del Sito, creata in automatico, sono Collegamenti attivi alle singole Pagine: la Mappa rappresenta, pertanto, un utile strumento di orientamento e di navigazione messo a disposizione dell'Utente. La visualizzazione delle voci della Mappa può essere gestita attraverso i comandi Espandi tutto e Contrai tutto.

Anche se il collegamento Mappa del Sito non viene utilizzato, la SiteMap XML viene comunque creata e collegata nel codice HTML delle Pagine attraverso il metatag <sitemap>, al fine di permettere una miglior indicizzazione dei contenuti da parte dei Motori di Ricerca.

Mostra il Carrello
Permette di impostare un Collegamento attraverso il quale visualizzare la Pagina del Carrello con l'elenco di tutti i Prodotti già ordinati.

Aggiungi al Carrello
Permette di impostare un Collegamento attraverso il quale consentire all'Utente di accedere al Carrello di e-commerce per procedere all'ordine o di inserire direttamente un Prodotto specificato fra quelli da acquistare.
Nel primo caso occorre attivare l'opzione Visualizza l'elenco dei Prodotti della Categoria selezionata e selezionare la Categoria desiderata attraverso lo schema che ripropone tutto il catalogo dei Prodotti.
Nel secondo caso, invece, occorre attivare l'opzione Aggiungi direttamente nel Carrello il Prodotto selezionato e selezionare il Prodotto sempre attraverso l'apposita lista. In più, è anche possibile specificare la Variante e la Quantità del Prodotto che verrà inserita nel Carrello.

Perché i collegamenti Mostra il Carrello e Aggiungi al Carrello funzionino correttamente, è necessario aver precedentemente creato il Carrello di e-commerce attraverso i comandi della sezione Carrello e-commerce del Passo 4 - Impostazioni Avanzate.

Argomenti correlati:

-

Collegamento


Collegamento | Sezione Descrizione

Attraverso i comandi della Sezione Descrizione della finestra Collegamento è possibile associare una descrizione al Collegamento. Questa descrizione viene inserita come valore dell'attributo <title> dell'elemento <a> nel codice HTML e utilizzata per comporre una nota esplicativa, detta "ToolTip" o "Tip". La ToolTip viene visualizzata di fianco al puntatore del mouse quando questo viene posizionato in corrispondenza del Collegamento stesso e dovrebbe servire per spiegare cosa accadrà cliccando: si passerà a una Pagina o a un Sito diverso, si visualizzerà un'immagine, si avvierà il download di un file, ecc.

I comandi disponibili per la composizione della ToolTip sono:
- | Testo: permette di specificare la descrizione del Collegamento.
- | Immagine: permette di specificare un'immagine che verrà visualizzata nella ToolTip insieme o al posto della descrizione del Collegamento.
- | Larghezza: permette di impostare la larghezza in pixel della ToolTip.

 Testo, Immagine e Larghezza sono parametri che variano per ciascun Collegamento e, quindi, devono essere impostati di volta in volta. Altre impostazioni grafiche, relative all'aspetto della ToolTip e quindi comuni per tutto il Progetto, possono essere definite nella finestra Stili e Modelli | Sezione ToolTip del Passo 4 - Impostazioni Avanzate.

Argomenti correlati:
- | Collegamento
- | Stili e Modelli | Sezione ToolTip


Finestra Colore

Ogni volta che è possibile definire il colore di un elemento, viene presentata l'opzione Colore con a lato un pulsante del colore impostato di default o impostato all'ultimo utilizzo.

Cliccando sul pulsante a fianco dell'opzione Colore, viene visualizzato un menu che presenta una palette di 48 colori: per selezionare quello che si desidera utilizzare è sufficiente cliccare in sua corrispondenza.

Oltre alla palette principale, la finestra presenta anche i seguenti elementi:
- | Trasparente: questo comando, proposto solo quando è possibile, permette di rendere invisibile anziché colorato l'elemento sul quale si sta agendo.
- | Ultimi colori: la riga sotto la palette principale ripropone gli ultimi 8 colori utilizzati.
- | Altri colori...: questo comando permette di aprire un'ulteriore finestra attraverso la quale è possibile procedere alla definizione di colori personalizzati.
- | Contagocce: questo strumento permette di riprendere il colore di un qualsiasi elemento visualizzato a video, anche esterno alla finestra di WebSite X5. E' sufficiente cliccare sullo strumento contagocce e mantenere premuto il tasto de-stro del mouse fino a che il puntatore non è posizionato in corrispondenza del colore che si vuole "catturare".


Finestra Proprietà Effetto

Questa finestra presenta i comandi necessari per impostare un effetto di entrata sulle Immagini selezionate dell'Oggetto SlideShow, disponibile nell'editor per la Modifica del Modello, e sulle Immagini selezionate dell'Oggetto Galleria.

I comandi disponibili sono articolati nelle seguenti sezioni:

1. Sezione Tipo di Effetto
In questa sezione è possibile scegliere il tipo di effetto in entrata da applicare alle Immagini su cui si sta lavorando:
- | Elenco Effetti: presenta la lista di tutti gli effetti disponibili. Selezionando la voce "1 - Casuale" l'effetto da applicare viene scelto automaticamente in maniera casuale. Una volta selezionato, di ciascun effetto viene visualizzata un'anteprima attraverso l'apposita finestra.
- | Tempo di visualizzazione: permette di impostare il tempo (in secondi) per la visualizzazione dell'immagine.

2. Sezione Movimento e Zoom
In questa sezione è possibile definire il tipo di movimento e di ingrandimento da applicare alle Immagini su cui si sta lavorando.
- | Posizione iniziale: permette di definire il fattore di ingrandimento e le Coordinate X e Y che definiscono la posizione iniziale da cui parte il movimento dell'Immagine.
- | Posizione finale: permette di definire il fattore di ingrandimento e le Coordinate X e Y che definiscono la posizione finale in cui termina il movimento dell'Immagine.
In entrambe i casi, è possibile agire direttamente sull'Immagine di anteprima per trascinarla nella posizione desiderata e definire così le posizioni iniziale e finale del movimento.

 Su una stessa Immagine è possibile impostare sia un effetto in entrata che un effetto che prevede il movimento e lo zoom. In questo caso, viene prima applicato l'effetto in entrata e l'Immagine viene visualizzata secondo le coordinate e le dimensioni definite per la posizione iniziale. Di conseguenza, viene riprodotto lo spostamento, ed eventualmente il ridimensionamento, che porta l'Immagine a raggiungere le coordinate e le dimensioni definite per la posizione finale.

Solo nel caso di Immagini dell'Oggetto SlideShow, disponibile nell'editor per la personalizzazione del Modifica del Modello, è disponibile anche la seguente sezione:

3. Sezione Pagina
In questa sezione è possibile specificare le Pagine del Sito in cui le Immagini selezionate dello SlideShow devono essere visualizzate. Per farlo è sufficiente mettere un segno di spunta accanto alle Pagine interessate, direttamente sulla Mappa del Sito proposta.

Specificare in quali Pagine di un Sito devono essere visualizzate determinate immagini di uno SlideShow può essere particolarmente utile nel caso, per esempio, di messaggi pubblicitari. Attraverso lo SlideShow si impostano tutti i banner da usare nel Sito e poi si fa in modo che per ciascuna Pagina o sezione vengano visualizzati solo i messaggi pertinenti.

Argomenti correlati:
- | Modifica del Modello | Riquadro SlideShow
- | Oggetto Galleria | Sezione Elenco


Finestra Pubblica file collegato

Questa finestra viene richiamata dal pulsante Aggiungi... relativo alla composizione delle lista dei file collegati o a un'Animazione Flash (vedere, Oggetto Animazione Flash | Sezione Esperto) o a un Codice HTML (vedere, Oggetto HTML e Widgets | Sezione Esperto).

I comandi disponibili sono:
- | File collegato da pubblicare sul Server: permette di importare un file collegato all'Animazione Flash su cui si sta lavorando.
- | Percorso relativo sul Server: permette di specificare il percorso relativo della cartella in cui il file importato, perché collegato all'Oggetto, deve essere pubblicato.
- | Collega il file alla Pagina (solo per file .js e .css): se il file importato è un file JavaScript (formato .js) o un Foglio di Stile (formato .css), per poter funzionare deve essere collegato alla Pagina. In questi casi, attivando questa opzione, il codice necessario viene automaticamente inserito nella sezione <HEAD> del codice HTML della Pagina.

Argomenti correlati:
- | Oggetto Animazione Flash | Sezione Esperto
- | Oggetto HTML e Widgets | Sezione Esperto


Impostazioni Avanzate

Dopo aver disegnato la Mappa del Sito al Passo 2 e creato le singole Pagine inserendo tutti i contenuti necessari al Passo 3, è possibile procedere al Passo 4 dove vengono proposte una serie di sezioni contenti numerose funzioni avanzate. E' così possibile procedere alla definizione dello Stile dei diversi Menu di navigazione e dei testi ma anche alla creazione di sezioni di Sito importanti come il Carrello di e-commerce, il Blog o l'Area Riservata.

Nello specifico, le funzioni avanzate disponibili sono:

 Menu Principale
In questa sezione è possibile definire l'aspetto grafico delle voci del Menu di primo livello, ovvero del Menu sempre visibile nella parte superiore (struttura con Menu orizzontale) o laterale (struttura con Menu verticale) del Sito che risolve la navigazione fissa.

Menu a Comparsa
In questa sezione è possibile definire l'aspetto grafico delle voci del Menu a Comparsa, ovvero il Menu che viene visualizzato passando con il mouse su una voce del Menu Principale.

Menu di Pagina
In questa sezione è possibile definire l'aspetto grafico del Menu di Pagina, ovvero del Menu che propone l'elenco delle Pagine del Livello corrente.

Stili e Modelli
In questa sezione è possibile definire gli stili da applicare ai diversi elementi di testo presenti nelle Pagine, alla finestra ShowBox legata all'Oggetto Galleria, alle ToolTip che possono essere associate ai Collegamenti e alle e-mail generate se si utilizza l'Oggetto Modulo Invio E-mail o se si crea un Carrello e-commerce.

Pagina di Benvenuto
In questa sezione è possibile impostare una Pagina di Benvenuto che fa da introduzione al Sito, prevedendo una colonna sonora e i collegamenti necessari per la scelta della lingua di consultazione.

Messaggio Pubblicitario
In questa sezione è possibile impostare e personalizzare un messaggio pubblicitario che verrà visualizzato nella sola Home Page o in tutte le pagine del Sito, nella posizione specificata.

Blog e Gestione Commenti
In questa sezione è possibile creare e gestire un Blog, una sorta di diario su Web in cui pubblicare notizie che gli utenti potranno commentare.

Feed RSS
In questa sezione è possibile creare e gestire un Feed RSS, utile come canale di informazioni costantemente aggiornate.

Gestione Accessi
In questa sezione è possibile creare i profili Utente che potranno accedere alla Pagine Protette del Sito e gestirli in Gruppi. Le Pagine Protette, definite al Passo 2, durate la Creazione della Mappa, vanno a comporre un'Area Riservata a cui gli Utenti potranno accedere solo attraverso il login: le credenziali d'accesso utilizzate determinano quali Pagine Protette potranno essere effettivamente visualizzate.

Carrello e-commerce
In questa sezione è possibile creare e gestire un carrello di e-commerce, definendo aspetti come: l'elenco dei Prodotti, i metodi di Spedizione e Pagamento, la composizione del modulo da compilare per l'invio dell'ordine.

Per maggiori informazioni sulla creazione della mappa e la distinzione fra voci di primo e secondo livello, menu a comparsa e sotto menu, fare riferimento a quanto spiegato in Creazione della mappa.


Stile del Menu Principale

Questa finestra presenta i comandi attraverso i quali è possibile procedere alla definizione di alcune impostazioni avanzate sullo stile grafico dei Pulsanti relativi alle voci di primo livello del Menu.

I Menu vengono creati e aggiornati in automatico dal Programma in base alla Mappa del Sito disegnata al Passo 2 - Creazione della Mappa. Il Menu Principale è quello che presenta le voci di primo Livello della Mappa che vanno a comporre la navigazione fissa del Sito. Nei Siti con struttura con Menu Orizzontale, il Menu Principale è sempre visibile, posizionato immediatamente sopra o sotto l'Intestazione. Nei Siti con struttura con Menu Verticale, invece, il Menu Principale è sempre visibile, posizionato in un'apposita colonna a sinistra o a destra del contenuto della Pagina.

In base alle impostazioni di Stile definite, WebSite X5 creerà i Pulsanti relativi alle voci del Menu Principale in uno dei seguenti modi:
- | Pulsante Grafico: se si mantiene una forma rettangolare, scegliendo un colore piatto in tinta unita, i Pulsanti del Menu vengono creati in testo e il loro aspetto viene definito attraverso l'impiego di Fogli di Stile (CSS). I Pulsanti Grafici offrono il vantaggio di essere più leggeri nel caricamento e nella visualizzazione online.
- | Pulsante 3D: se si sceglie una qualsiasi forma diversa dal rettangolo e si imposta uno stile 3D, i Pulsanti del Menu vengono creati in grafica, ovvero per ogni Pulsante viene salvata un'immagine. I Pulsanti 3D offrono il vantaggio di permettere un maggior grado di libertà nella scelta delle impostazioni grafiche e del font del testo.

In pratica

Dopo aver impostato la struttura del Sito scegliendo tra Menu Orizzontale o Menu Verticale (Passo 1 - Scelta del Modello o Passo 1 - Modello Personalizzato) e aver disegnato la Mappa del Sito (Passo 2 - Creazione della Mappa), WebSite X5 è in grado di creare il Menu e di permettere la navigazione tra le Pagine. Accedendo al Passo 4 - Impostazioni Avanzate e cliccando su Stile del Menu principale, si può personalizzare l'aspetto del Menu di navigazione fissa.

I comandi necessari per procedere alla personalizzazione dei Pulsanti sono organizzati nelle seguenti sezioni:
- | Sezione Generale
- | Sezione Voci Menu
- | Sezione Stile 3D

Argomenti correlati:
- | Impostazioni Avanzate
- | Navigazione


Stile del Menu Principale | Sezione Generale

Attraverso le opzioni proposte nella Sezione Generale della finestra Stile del Menu Principale è possibile procedere alla definizione di alcune impostazioni generali del Menu Principale.

Le opzioni disponibili nel riquadro Stile sono:
- | Larghezza: permette di impostare il valore in pixel della larghezza dei Pulsanti contenenti le voci di Menu.
- | Margine orizzontale / Margine verticale: il margine è lo spazio tra il bordo del Pulsante e il testo contenuto. Attraverso queste opzioni è possibile, dunque, definire quanto spazio deve esserci orizzontalmente e/o verticalmente attorno al testo all'interno del Pulsante.
- | Distanza tra i Pulsanti: permette di impostare il margine esterno, ovvero lo spazio presente tra un Pulsante e l'altro.

Le opzioni presenti nel riquadro Testo sono:
- | Tipo di Font: permette di specificare, attraverso la finestra richiamata, il Tipo di carattere, lo Stile e le dimensioni del testo
- | Allineamento: permette di definire l'allineamento del testo a Sinistra, al Centro o a Destra rispetto al Pulsante.
- | Usa antialias per visualizzare il testo: attivando questa opzione viene applicato un effetto di antialiasing sul testo, in modo da renderne i contorni meno frastagliati.

Infine, il riquadro Opzioni propone:

-

Scorrimento automatico del Menu Verticale: attivando questa opzione, il Menu di navigazione scorre automaticamente insieme al Contenuto della Pagina, in modo da rimanere sempre visibile e disponibile.

La larghezza dei Pulsanti deve essere definita anche in considerazione dello spazio complessivamente disponibile per il Menu: tale parametro può essere liberamente modificato nel caso non si utilizzi un Modello grafico predefinito (vedere, Modello personalizzato).

Argomenti correlati:

-

Stile del Menu Principale


Stile del Menu Principale | Sezione Voci Menu

Attraverso le opzioni proposte nella Sezione Voci Menu della finestra Stile del Menu Principale è possibile definire i colori, le immagini di sfondo e lo stile dei testi per i diversi stati dei Pulsanti del Menu Principale.

Anche in questo caso occorre, per prima cosa, selezionare l'Elemento del Menu su cui si vuole lavorare: è possibile definire l'aspetto sia della [image] Voce Attiva che della [image] Voce su passaggio del mouse / Pagina corrente. Per selezionare l'Elemento del Menu è possibile utilizzare o l'apposito menu a tendina o agire direttamente sull'immagine di Anteprima che viene costantemente aggiornata in base alle modifiche apportate.

Per entrambe gli Elementi del Menu è possibile agire sulle seguenti opzioni del riquadro Stile:
- | Colore Sfondo / Colore Testo / Colore Bordo: permettono di definire, attraverso la finestra Colore richiamata, il colore per lo sfondo, per il testo e per il bordo del Pulsante.
- | Immagine di Sfondo: permette di definire l'Immagine che deve essere visualizzata come sfondo del Pulsante. Per selezionare l'Immagine da utilizzare è sufficiente cliccare sul pulsante [image] per sfogliare le risorse disponibili: possono essere utilizzati file in formato .JPG, .GIF, .PNG.
- | Stile Font: per l'Elemento Voce Attiva, permette di definire lo stile del testo del Pulsante scegliendo tra Nessuno, Bassorilievo, Altorilievo e Ombra. L'Elemento Voce su passaggio del mouse / Pagina corrente eredita automaticamente l'impostazione definita per l'Elemento Voce Attiva: in più, è possibile aggiungere uno dei seguenti stili: Normale, Grassetto, Corsivo e Grassetto Corsivo.

Argomenti correlati:

-

Stile del Menu Principale


Stile del Menu Principale | Sezione Stile 3D

Attraverso i comandi proposti nella Sezione Stile 3D della finestra Stile del Menu Principale è possibile definire forma e aspetto 3D dei Pulsanti.

Attraverso le opzioni disponibili nel riquadro Forma è possibile definire:
- | Forma: permette di definire la forma del Pulsante, scegliendola fra quelle proposte.
- | Fattore Smusso: permette di definire il fattore di smusso su forme di Pulsante che prevedono gli angoli arrotondati o, comunque, diversi da quelli di un rettangolo.
- | Unisci forma Pulsanti: attivando questa opzione i Pulsanti vengono uniti e la forma scelta viene applicata al blocco dei Pulsanti considerati nel loro insieme.

Nel riquadro Aspetto 3D sono disponibili le opzioni:
- | Aspetto: permette di definire l'aspetto del Pulsante come Bombato, Piatto, Bombato piatto, Incavato, ecc.
- | Direzione Luce: permette di definire la direzione dell'effetto luce impostato sul Pulsante.
- | Fattore Sfumatura: permette di definire il fattore di sfumatura da applicare sul Pulsante.
- | Trasparenza Immagine: permette di definire il fattore di trasparenza per le Immagini inserite sui Pulsanti del Menu attraverso le apposite opzioni della sezione Voci Menu.

Infine, il riquadro Bordo 3D presenta le seguenti opzioni:
- | Stile Bordo: permette di definire lo stile del bordo del Pulsante come Normale, Bombato, Incavato.
- | Spessore esterno / Spessore interno: permettono, rispettivamente, di definire lo spessore esterno ed interno del bordo del Pulsante
- | Bordo esterno unico: attivando questa opzione il bordo viene disegnato, in base alle impostazioni definite, non per ogni singolo Pulsante ma solo per tutto il blocco dei Pulsanti considerati nel loro insieme.

Argomenti correlati:

-

Stile del Menu Principale


Stile del Menu a Comparsa

Questa finestra presenta i comandi attraverso i quali è possibile procedere alla definizione di alcune impostazioni avanzate relative allo stile grafico dei Menu a Comparsa.

I Menu vengono creati e aggiornati in automatico dal programma in base alla Mappa del Sito disegnata al Passo 2 - Creazione della Mappa. I Menu a Comparsa sono quelli che vengono visualizzati al passaggio del mouse su una voce di Livello del Menu Principale.

Come per il Menu Principale, in base alle impostazioni di Stile definite, WebSite X5 creerà i Pulsanti relativi alle voci dei Menu a Comparsa o come Pulsanti Grafici o come Pulsanti 3D (vedere, Stile del Menu Principale).

In pratica

Dopo aver impostato la struttura del Sito scegliendo tra Menu Orizzontale o Menu Verticale (Passo 1 - Scelta del Modello o Passo 1 - Modello Personalizzato) e aver disegnato la Mappa del Sito (Passo 2 - Creazione della Mappa), WebSite X5 è in grado di creare il Menu e di permettere la navigazione tra le Pagine. Accedendo al Passo 4 - Impostazioni Avanzate e cliccando su Stile del Menu a Comparsa, si può personalizzare l'aspetto di tale Menu.

I comandi necessari per procedere alla personalizzazione dei Pulsanti sono organizzati nelle seguenti sezioni:
- | Sezione Generale
- | Sezione Voci Menu
- | Sezione Stile 3D

Argomenti correlati:
- | Impostazioni Avanzate
- | Navigazione


Stile del Menu a Comparsa | Sezione Generale

Attraverso le opzioni proposte nella Sezione Generale della finestra Stile del Menu a Comparsa è possibile procedere alla definizione di alcune impostazioni generali.

Innanzi tutto occorre definire il Tipo di Menu che si vuole realizzare scegliendo tra:

 Disposizione su una colonna: tutte le voci del Menu a Comparsa vengono organizzate in un'unica colonna, una di seguito all'altra.

Disposizione su più colonne: le voci del Menu a Comparsa vengono organizzate in più colonne affiancate. Viene automaticamente creata una nuova colonna quando:
- | il numero di voci raggiunge supera il valore impostato per l'opzione Max Voci per Colonna;
- | l'elenco delle Pagine è interrotto da un Separatore (vedere, Creare la Mappa del Sito).

In più, se nella finestra Scelta del Modello o nella finestra Modello Personalizzato è stato impostato il Menu Verticale, è disponibile anche:

 Apertura a fisarmonica: tutte le voci del Menu a Comparsa vengono organizzate in un'unica colonna; cliccando su una voce, tutte le voci successive si muovono verso il basso in modo da lasciare spazio per la visualizzazione delle sotto-voci correlate.

Una volta scelto il Tipo di Menu, è possibile definire le opzioni proposte nel riquadro Stile:
- | Larghezza: permette di impostare il valore in pixel della larghezza dei Pulsanti contenenti le voci di Menu.
- | Margine orizzontale / Margine verticale: il margine è lo spazio tra il bordo del Pulsante e il testo contenuto. Attraverso queste opzioni è possibile, dunque, definire quanto spazio deve esserci orizzontalmente e/o verticalmente attorno al testo all'interno del Pulsante.
- | Max Voci per Colonna: attivo solo per il Tipo di Menu Disposizione su più colonne, permette di impostare il numero massimo di voci che possono essere contenute in ciascuna colonna del Menu a Comparsa.

Le opzioni presenti nel riquadro Testo sono:
- | Tipo di Font: permette di specificare, attraverso la finestra richiamata, il Tipo di carattere, lo Stile e le dimensioni del testo.
- | Allineamento: permette di definire l'allineamento del testo a Sinistra, al Centro o a Destra rispetto al Pulsante.

Infine, il riquadro Opzioni propone:

-

Effetto: permette di definire l'effetto di visualizzazione per il Menu a Comparsa, scegliendo tra Nessuno, Dissolvenza, Scorrimento dall'alto, Scorrimento da sinistra, Scorrimento dall'alto sinistra.

Argomenti correlati:

-

Stile del Menu a Comparsa


Stile del Menu a Comparsa | Sezione Voci Menu

Attraverso le opzioni proposte nella Sezione Voci Menu della finestra Stile del Menu a Comparsa è possibile definire i colori, le immagini di sfondo e lo stile dei testi per i diversi stati dei Pulsanti del Menu a Comparsa.

Anche in questo caso occorre, per prima cosa, selezionare l'Elemento del Menu su cui si vuole lavorare: è possibile definire l'aspetto della [image] Voce Attiva, della [image] Voce su passaggio del mouse e del [image] Separatore. Per selezionare l'Elemento del Menu è possibile utilizzare o l'apposito menu a tendina o agire direttamente sull'immagine di Anteprima che viene costantemente aggiornata in base alle modifiche apportate.

Per gli Elementi del Menu è possibile agire sulle seguenti opzioni del riquadro Stile:
- | Colore Sfondo / Colore Testo / Colore Bordo: permettono di definire, attraverso la finestra Colore richiamata, il colore per lo sfondo, per il testo e per il bordo del Pulsante. Per l'elemento Separatore è disponibile solo il comando Colore Testo.
- | Immagine di Sfondo: per gli elementi Voce Attiva e Voce su passaggio del mouse, permette di definire l'Immagine che deve essere visualizzata come sfondo del Pulsante. Per selezionare l'Immagine da utilizzare è sufficiente cliccare sul pulsante [image] per sfogliare le risorse disponibili: possono essere utilizzati file in formato .JPG, .GIF, .PNG.
- | Stile Font: per gli elementi Voce su passaggio del mouse e Separatore, permette di definire lo stile del testo scegliendo tra Normale, Grassetto, Corsivo e Grassetto Corsivo.
- | Icona punto elenco: permette di definire l'immagine che deve essere utilizzata come punto elenco a fianco delle voci dei Pulsanti o dei Separatori inseriti. Anche in questo caso occorre cliccare sul pulsante [image] e selezionare un file in formato .JPG, .GIF, .PNG.

Argomenti correlati:

-

Stile del Menu Principale


Stile del Menu a Comparsa | Sezione Stile 3D

Attraverso i comandi proposti nella Sezione Stile 3D della finestra Stile del Menu a Comparsa è possibile definire forma e aspetto 3D dei Pulsanti.

Attraverso le opzioni disponibili nel riquadro Forma è possibile definire:
- | Forma: permette di definire la forma del Pulsante, scegliendola fra quelle proposte.
- | Fattore Smusso: permette di definire il fattore di smusso su forme di Pulsante che prevedono gli angoli arrotondati o, comunque, diversi da quelli di un rettangolo.
- | Unisci forma Pulsanti: attivando questa opzione i Pulsanti vengono uniti e la forma scelta viene applicata al blocco dei Pulsanti considerati nel loro insieme.

Nel riquadro Aspetto 3D sono disponibili le opzioni:
- | Aspetto: permette di definire l'aspetto del Pulsante come Bombato, Piatto, Bombato piatto, Incavato, ecc.
- | Direzione Luce: permette di definire la direzione dell'effetto luce impostato sul Pulsante.
- | Fattore Sfumatura: permette di definire il fattore di sfumatura da applicare sul Pulsante.
- | Trasparenza Immagine: permette di definire il fattore di trasparenza per le Immagini inserite sui Pulsanti del Menu attraverso le apposite opzioni della sezione Voci Menu.

Infine, il riquadro Bordo 3D presenta le seguenti opzioni:
- | Stile Bordo: permette di definire lo stile del bordo del Pulsante come Normale, Bombato, Incavato.
- | Spessore esterno / Spessore interno: permettono, rispettivamente, di definire lo spessore esterno ed interno del bordo del Pulsante.
- | Bordo esterno unico: attivando questa opzione il bordo viene disegnato, in base alle impostazioni definite, non per ogni singolo Pulsante ma solo per tutto il blocco dei Pulsanti considerati nel loro insieme.

Argomenti correlati:

-

Stile del Menu Principale


Stile del Menu di Pagina

Questa finestra presenta i comandi attraverso i quali è possibile procedere alla definizione di alcune impostazioni avanzate relative allo stile grafico dei Pulsanti dei Menu di Pagina.

I Menu vengono creati e aggiornati in automatico dal programma in base alla Mappa del Sito disegnata al Passo 2 - Creazione della Mappa. I Menu di Pagina sono quelli che, opzionalmente, possono essere visualizzati per proporre l'elenco delle Pagine del Livello corrente. In altre parole, se si apre una Pagina che appartiene a un Livello e questo Livello contiene anche altre Pagine, il Menu di Pagina propone l'elenco di tutte le Pagine di tale Livello. I Menu di Pagina vengono sempre proposti come menu verticali, posizionati a destra o a sinistra dei contenuti di Pagina.

Come per il Menu Principale, in base alle impostazioni di Stile definite, WebSite X5 creerà i Pulsanti relativi alle voci dei Menu di Pagina o come Pulsanti Grafici o come Pulsanti 3D (vedere, Stile del Menu Principale).

In pratica

Dopo aver impostato la struttura del Sito scegliendo tra Menu Orizzontale o Menu Verticale (Passo 1 - Scelta del Modello o Passo 1 - Modello Personalizzato) e aver disegnato la Mappa del Sito (Passo 2 - Creazione della Mappa), WebSite X5 è in grado di creare il Menu e di permettere la navigazione tra le Pagine. Accedendo al Passo 4 - Impostazioni Avanzate e cliccando su Stile del Menu di Pagina, si può personalizzare l'aspetto di tale Menu.

I comandi necessari per procedere alla personalizzazione dei Pulsanti sono organizzati nelle seguenti sezioni:
- | Sezione Generale
- | Sezione Voci Menu

Argomenti correlati:
- | Impostazioni Avanzate
- | Navigazione


Stile del Menu di Pagina | Sezione Generale

Attraverso le opzioni proposte nella Sezione Generale della finestra Stile del Menu di Pagina è possibile procedere alla definizione di alcune impostazioni generali del Menu di Pagina.

Innanzi tutto, se si desidera che venga visualizzato un Menu di Pagina contenente l'elenco delle Pagine del Livello corrente, occorre attivare l'opzione Visualizza Menu di Pagina.

Fatto questo, è possibile agire sulle opzioni del riquadro Stile:
- | Posizione Menu: permette di specificare se il Menu di Pagina deve essere visualizzato sul lato destro o sinistro della Pagina.
- | Larghezza: permette di definire la larghezza in pixel dei Pulsanti che compongono il Menu di Pagina.
- | Margine orizzontale / Margine verticale: il margine è lo spazio tra il bordo del Pulsante e il testo contenuto. Attraverso queste opzioni è possibile, dunque, definire quanto spazio deve esserci orizzontalmente e/o verticalmente attorno al testo all'interno del Pulsante.
- | Distanza tra i Pulsanti: permette di impostare il margine esterno, ovvero lo spazio presente tra un Pulsante e l'altro.

Le opzioni presenti nel riquadro Testo sono:
- | Tipo di Font: permette di specificare, attraverso la finestra richiamata, il Tipo di carattere, lo Stile e le dimensioni del testo.
- | Allineamento: permette di definire l'allineamento del testo a Sinistra, al Centro o a Destra rispetto al Pulsante.

Infine, il riquadro Bordo presenta le seguenti opzioni:
- | Colore Bordo: permette di definire, attraverso la finestra Colore richiamata, il colore per il bordo del Pulsante.
- | Spessore: permette di definire lo spessore del bordo del Pulsante.

Argomenti correlati:

-

Impostazioni Avanzate


Stile del Menu di Pagina | Sezione Voci Menu

Attraverso le opzioni proposte nella Sezione Voci Menu della finestra Stile del Menu di Pagina è possibile procedere alla definizione di alcune parametri grafici per definire l'aspetto delle voci del Menu di Pagina.

Anche in questo caso occorre, per prima cosa, selezionare l'Elemento del Menu su cui si vuole lavorare: è possibile definire l'aspetto della [image] Voce Attiva, della [image] Voce su passaggio del mouse / Pagina corrente, del [image] Separatore e della [image] Linea di separazione. Per selezionare l'Elemento del Menu è possibile utilizzare o l'apposito menu a tendina o agire direttamente sull'immagine di Anteprima che viene costantemente aggiornata in base alle modifiche apportate.

- | Colore Sfondo / Colore Testo / Colore Linea: permettono di definire, attraverso la finestra Colore richiamata, il colore per lo sfondo e per il testo della Voce Attiva, della Voce su passaggio del mouse / Pagina corrente e del Separatore, oltre che il colore della linea per la Linea di separazione.
- | Icona punto elenco: disponibile per gli Elementi Voce Attiva, Voce su passaggio del mouse / Pagina corrente e Separatore, permette di importare l'immagine (file in formato file in formato .JPG, .GIF, .PNG) che deve precedere le voci del Menu di Pagina, come se si trattasse di un punto elenco.
- | Stile Font: per gli Elementi Voce su passaggio del mouse / Pagina corrente e Separatore permette di definire lo stile del testo del Pulsante scegliendo tra Normale, Grassetto, Corsivo e Grassetto Corsivo.
- | Stile Linea: disponibile solo per l'Elemento Linea di separazione permette di impostare il tipo di tratto scegliendo tra Pieno, Tratteggiato, Punti, Bassorilievo, Altorilievo.

Argomenti correlati:

-

Impostazioni Avanzate


Stili e Modelli

Questa finestra presenta i comandi attraverso i quali è possibile definire gli stili da applicare ai diversi elementi di testo presenti nelle Pagine, alla finestra ShowBox legata ad elementi come l'Oggetto Galleria e l'Oggetto Elenco Prodotti, alle ToolTip che possono essere associate ai Collegamenti e alle e-mail create se si utilizza l'Oggetto Modulo Invio E-mail o se si crea un Carrello e-commerce.

Uno Stile può essere genericamente definito come un insieme di impostazioni relative alla formattazione del testo e alla grafica che può essere applicato ad un elemento per modificarne l'aspetto. L'applicazione di uno Stile, dunque, consente di associare più formati contemporaneamente con una singola operazione.

In pratica

Dopo aver disegnato la Mappa del Sito (Passo 2 - Creazione della Mappa) e inserito i contenuti delle Pagine (Passo 3 - Creazione Pagine), è possibile accedere al Passo 4 - Impostazioni Avanzate e andare a definire gli Stili per personalizzare l'aspetto di alcuni elementi ricorrenti del Sito.

Le diverse opzioni sono presentate in apposite sezioni:
- | Sezione Testi
- | Sezione ShowBox
- | Sezione ToolTip
- | Sezione E-mail

Argomenti correlati:

-

Impostazioni Avanzate


Stili e Modelli | Sezione Testi

Attraverso i comandi della Sezione Testi della finestra Stili e Modelli è possibile definire gli Stili utilizzabili per i Testi presenti nel Sito.

Innanzi tutto, occorre scegliere l'Elemento di Pagina del quale si vuole definire lo Stile, selezionandolo attraverso l'apposito menu a tendina o, in alternativa, cliccando direttamente in sua corrispondenza sull'Anteprima.

Nello specifico, gli Elementi di Pagina per i quali viene identificato e applicato uno Stile sono:

 Titolo della Pagina: è il Titolo delle varie Pagine del Sito. Viene ripreso dal nome dato alle Pagine in fase di costruzione della Mappa nella finestra Creazione della Mappa o, se diversamente specificato, dal Titolo per esteso della finestra Proprietà Pagina.

Percorso della Pagina: è il testo riportato immediatamente sotto al Titolo della Pagina, mediante il quale viene ricostruito il percorso logico (navigazione a briciole di pane) che porta alla Pagina stessa. Il percorso logico viene ricreato automaticamente dal Programma.

Testo della Pagina: è il testo dei singoli paragrafi inseriti attraverso l'Oggetto Testo. Lo stile di questo elemento viene applicato di default quando si apre l'editor relativo all'Oggetto Testo: tramite i comandi messi a disposizione dall'editor stesso è poi possibile procedere a ulteriori modifiche e personalizzazioni. Lo Stile definito per questo tipo di elemento viene applicato anche a tutti i testi creati e inseriti in automatico dal Programma come, per esempio, le Pagine dell'Area riservata, del Blog, del Motore di ricerca interno e della Mappa del Sito.

Collegamento attivo / Collegamento su passaggio del mouse / Collegamento già visitato: sono i collegamenti ipertestuali creati attraverso l'Oggetto Testo. Un collegamento può presentare un aspetto diverso a seconda dello stato assunto: attivo, su passaggio del mouse (effetto mouseover) o visitato. Distinguere visivamente un collegamento attivo da un collegamento già visitato è utile per semplificare la navigazione dell'utente, ricordandogli quali sezioni ha già esplorato.

Menu di fondo Pagina: è il Menu, riportato al fondo di ciascuna Pagina, in cui vengono riproposte le voci del Menu Principale.

Selezionato l'Elemento di Pagina, è possibile modificarne lo stile agendo sulle seguenti opzioni comprese nel riquadro Stile:
- | Visualizza: attivando questa opzione è possibile fare in modo che l'elemento di Pagina sia visibile o meno. Questa opzione, ovviamente, non è disponibile per il Testo della Pagina e i diversi stati del Collegamento che non possono essere invisibili. E' importante specificare che rendere non visibile un Elemento della Pagina non significa eliminarlo anche dal codice della Pagina stessa: si può, per esempio, rendere non visibile il Titolo della Pagina perché si preferisce inserirlo come immagine ma, anche in questo caso, non verrà eliminato il tag <title> dal codice HTML.
- | Colore Sfondo / Colore Testo: permettono di specificare, attraverso la finestra Colore richiamata, il colore dello sfondo e del testo dell'Elemento di Pagina selezionato. Solo per il Testo della Pagina non è possibile definire il colore dello sfondo dal momento che viene impostato in base al Modello scelto (vedere, Scelta del Modello, o Modello Personalizzato) e/o all'Aspetto della Cella in cui è inserito l'Oggetto Testo.
- | Tipo di Font: permette di specificare, attraverso la finestra richiamata, il tipo di carattere, lo stile e la dimensione in punti del testo.
- | Allineamento: permette di specificare l'allineamento dell'Elemento di Pagina, scegliendo tra Sinistra, Centro e Destra. Questa opzione non è disponibile per i diversi stati del Collegamento dal momento che l'allineamento dei link ipertestuali viene definito, indipendentemente dallo Stile, in fase di creazione dell'Oggetto Testo.
- | Stile Testo: disponibile solo per il Collegamento nei diversi stati, permette di impostare lo stile del testo come Normale o Sottolineato.
- | Puntatore: disponibile solo per il Collegamento attivo, ed ereditato automaticamente anche dagli altri due stati del Collegamento, permette di specificare l'aspetto assunto dal puntatore del mouse su passaggio sul link. Cliccando su [image] si può selezionare il file .CUR, .ICO da utilizzare.
- | Bordo superiore / Bordo inferiore: permette di specificare, attraverso la finestra Colore richiamata, il colore del bordo superiore e/o inferiore che può essere aggiunto al Titolo della Pagina, al Percorso della Pagina e al Menu di fondo Pagina.

Argomenti correlati:

-

Stili e Modelli


Stili e Modelli | Sezione ShowBox

Attraverso i comandi della Sezione ShowBox della finestra Stili e Modelli è possibile definire lo Stile della finestra ShowBox utilizzata nelle Gallerie in JavaScript (vedere, Oggetto Galleria), nel Collegamento Galleria con ShowBox (vedere, Collegamento | Sezione Azione) e nell'Oggetto Elenco prodotti. In tutti i casi la finestra ShowBox viene aperta su collegamento e serve per visualizzare un'Immagine ingrandita, un Video o un'intera sequenza di immagini: al click sul collegamento la finestra del Browser viene oscurata per dare risalto alla finestra ShowBox, visualizzata sovrapposta in base all'effetto di entrata impostato.

Le opzioni disponibili nella sezione Stile sono:
- | Effetto di comparsa: permette di impostare un effetto di entrata per la finestra ShowBox scegliendo tra Nessuno, Dissolvenza e Discesa dall'alto.
- | Colore Sfondo esterno / Colore Sfondo interno: permettono di definire, attraverso la finestra Colore richiamata, il colore dello sfondo esterno e/o interno alla finestra ShowBox. Il colore dello sfondo esterno è quello che viene reso semi-trasparente (in base al valore impostato per l'opzione Opacità Sfondo) e utilizzato per oscurare la finestra del Browser sottostante.
- | Opacità Sfondo: permette di impostare il valore di opacità dello sfondo esterno alla finestra ShowBox. Più è alto il valore dell'opacità, meno la finestra del Browser sottostante sarà visibile.
- | Mostra Ombra: permette di aggiungere un'ombra alla finestra ShowBox. Tale ombra verrà visualizzata solo su Browser che supportano CSS3.

Il riquadro Bordo presenta le seguenti opzioni:
- | Colore Bordo: permette di definire, attraverso la finestra Colore richiamata, il colore per il bordo della finestra ShowBox.
- | Spessore: permette di definire lo spessore del bordo della finestra ShowBox.

Infine, le opzioni presenti nel riquadro Testo sono:
- | Tipo di Font: permette di specificare, attraverso la finestra richiamata, il Tipo di carattere, lo Stile e le dimensioni del testo della finestra ShowBox.
- | Allineamento: permette di definire l'allineamento del testo a Sinistra, al Centro o a Destra rispetto alla finestra ShowBox.
- | Colore Testo: permette di definire, attraverso la finestra Colore richiamata, il colore per il testo della finestra ShowBox.

Argomenti correlati:
- | Stili e Modelli
- | Oggetto Galleria
- | Collegamento | Sezione Azione
- | Oggetto Elenco prodotti


Stili e Modelli | Sezione ToolTip

Attraverso i comandi della Sezione ToolTip della finestra Stili e Modelli è possibile definire lo Stile da applicare alle ToolTip associate ai Collegamenti inseriti su Testi o Immagini attraverso l'apposito comando Inserisci collegamento Inserisci Collegamento. La ToolTip è un breve testo di aiuto, visualizzato all'interno di un box in relazione al passaggio del mouse su un Collegamento: la sua funzione è di offrire una spiegazione su cosa accadrà cliccando.

Per definire l'aspetto delle ToolTip è possibile, in primo luogo, utilizzare le opzioni presenti nel riquadro Stile:
- | Posizione: permette di specificare la posizione delle ToolTip rispetto al Collegamento a cui sono associate, scegliendo tra Alto, Basso, Sinistra e Destra.
- | Effetto di comparsa: permette di scegliere se le ToolTip devono essere visualizzate con un effetto di comparsa come la Dissolvenza o il Rimbalzo.
- | Colore Sfondo: permette di specificare, attraverso la finestra Colore richiamata, il colore dello sfondo delle ToolTip.
- | Fattore Smusso: permette di definire quanto devono essere arrotondati gli angoli delle ToolTip.
- | Mostra Ombra: permette di impostare un'ombra attorno alla sagoma delle ToolTip.
- | Mostra Freccia: permette di aggiungere al baloon (ovvero la forma, il fumetto) delle ToolTip una freccia in direzione del collegamento a cui sono associate.

Il riquadro Bordo presenta le seguenti opzioni:
- | Colore Bordo: permette di definire, attraverso la finestra Colore richiamata, il colore per il bordo delle ToolTip.
- | Spessore: permette di definire lo spessore del bordo delle ToolTip.

Infine, le opzioni presenti nel riquadro Testo sono:
- | Tipo di Font: permette di specificare, attraverso la finestra richiamata, il Tipo di carattere, lo Stile e le dimensioni del testo delle ToolTip.
- | Allineamento: permette di definire l'allineamento del testo a Sinistra, al Centro o a Destra rispetto alla ToolTip.
- | Colore Testo: permette di definire, attraverso la finestra Colore richiamata, il colore per il testo delle ToolTip.

 Le impostazioni di Stile sono valide per il Progetto intero e quindi tutte le ToolTip avranno lo stesso aspetto grafico. Per definire il contenuto (testo e immagine) di ciascuna ToolTip è necessario, invece, agire attraverso la Sezione Descrizione della finestra Collegamento.

Argomenti correlati:
- | Stili e Modelli
- | Inserisci Collegamento | Sezione Descrizione


Stili e Modelli | Sezione E-mail

Attraverso i comandi della Sezione E-mail della finestra Stili e Modelli è possibile definire lo Stile delle E-mail create dall'Oggetto Modulo Invio E-mail o dal Carrello e-commerce.

Innanzi tutto, occorre selezionare l'Elemento della e-mail del quale si vuole definire lo Stile selezionandolo attraverso l'apposito menu a tendina o, in alternativa, cliccando direttamente in sua corrispondenza sull'Anteprima.

Nello specifico, gli Elementi della e-mail per i quali viene identificato e applicato uno Stile sono:

 Struttura della e-mail: le e-mail create dal programma hanno tutte un'identica struttura che prevede un telaio esterno di sfondo e un corpo centrale con il messaggio. Fra il telaio esterno e il corpo centrale può essere previsto anche un bordo che separa o crea profondità e spessore.

Immagine/Logo azienda: è un'immagine che può essere aggiunta nell'intestazione della e-mail. Può essere inserito un semplice logo aziendale o un banner che giunge ad occupare l'intera larghezza dell'e-mail.

Contenuto del messaggio: è il corpo della e-mail dove viene riportato il messaggio.

Note a piè di Pagina: sono le note di chiusura dell'e-mail che, in genere, riportano un messaggio standard e si distinguono visivamente dal corpo del messaggio almeno per il fatto di avere una dimensione del font inferiore.

In base all'Elemento della e-mail selezionato è possibile agire su diverse opzioni presentate nella sezione Stile:
Struttura della e-mail:

-

Colore Sfondo esterno / Colore Sfondo interno: permettono di specificare, attraverso la finestra Colore richiamata, il colore dello sfondo esterno, ovvero del telaio, e dello sfondo interno, ovvero del corpo centrale, della e-mail.

-

Colore Bordo / Spessore: permettono, rispettivamente, di specificare il colore e lo spessore del bordo che separa il telaio esterno dal corpo della e-mail.
Immagine/Logo azienda:

-

File Immagine: permette di selezionare l'immagine da inserire nell'intestazione della e-mail. E' sufficiente cliccare su [image] per selezionare il file grafico in formato .JPG, .GIF o .PNG da importare.

-

Allineamento: permette di specificare l'allineamento dell'Immagine inserita, scegliendo tra Sinistra, Centro e Destra.

-

Posizione: permette di specificare se l'Immagine inserita deve essere posizionata Dentro o Fuori il riquadro relativo al corpo della e-mail.

-

Larghezza: riporta in automatico la larghezza originale dell'Immagine e permette di modificarla liberamente.

La larghezza massima per le Immagini è di 700 pixel e dipende dalla struttura della e-mail. Tale parametro garantisce una corretta visualizzazione da parte di tutti i client di posta.
Contenuto del messaggio:

-

Colore Testo: permette di specificare, attraverso la finestra Colore richiamata, il colore del testo del messaggio dell'e-mail.

-

Tipo di Font: permette di specificare, attraverso la finestra richiamata, il tipo di carattere, lo stile e la dimensione in punti del testo del messaggio dell'e-mail.
Note a piè di Pagina:

-

Colore Testo: permette di specificare, attraverso la finestra Colore richiamata, il colore del testo delle note riportate in chiusura dell'e-mail.

-

Tipo di Font: permette di specificare, attraverso la finestra richiamata, il tipo di carattere, lo stile e la dimensione in punti del testo delle note riportate in chiusura dell'e-mail.

-

Allineamento: permette di specificare l'allineamento delle Note a piè di Pagina, scegliendo tra Sinistra, Centro e Destra.

-

Posizione: permette di specificare se le Note a piè di Pagina devono essere posizionate Dentro o Fuori il riquadro relativo al corpo della e-mail.

-

Testo: permette di comporre il testo che deve essere riportato come Nota a Piè di Pagina. Di default viene proposto un testo sulla riservatezza del messaggio.

Argomenti correlati:
- | Stili e Modelli
- | Oggetto Modulo Invio E-mail
- | Carrello e-commerce


Pagina di Benvenuto

Questa finestra presenta i comandi attraverso i quali è possibile procedere alla creazione di una Pagina di introduzione al Sito e alla predisposizione per la sua consultazione in diverse Lingue.

Come dice il nome, la Pagina di Benvenuto è una specie di copertina iniziale del Sito: in genere presenta semplicemente un'Immagine, un Video o un'Animazione Flash e permette di accedere alla vera Home Page allo scadere di un tempo prefissato o al click su un collegamento. Se necessario, questa Pagina introduttiva può presentare anche i collegamenti per permettere la scelta della Lingua di consultazione del Sito.

In pratica

Dal momento che la Pagina di Benvenuto è un elemento facoltativo di un Sito, perché venga inserita è necessario, per prima cosa, attivare l'opzione Visualizza Pagina di Benvenuto. Se presente, la Pagina di Benvenuto è la prima ad essere visualizzata e solo allo scadere di un tempo prefissato o al click su un collegamento appositamente predisposto viene visualizzata l'Home Page del Sito.

E' possibile comporre la Pagina di Benvenuto definendone lo Sfondo e il Contenuto, oltre che impostando un'eventuale Colonna Sonora.

Le opzioni presentate nel riquadro Sfondo della Pagina sono:
- | Colore Sfondo: permette di specificare, attraverso la finestra Colore richiamata, il colore di sfondo della Pagina di Benvenuto.
- | File Immagine: permette di importare il file grafico (in formato .JPG, .GIF, .PNG) da utilizzare come sfondo della Pagina di Benvenuto.
- | Disposizione: permette di specificare se l'Immagine inserita come sfondo deve essere ripetuta o meno. L'Immagine può essere ripetuta solo in senso orizzontale, solo in senso verticale o in entrambe i sensi, in modo da giungere ad occupare l'intero spazio a disposizione. In più, è possibile fare in modo che l'immagine venga adattata, ovvero ridimensionata in modo da coprire tutto lo sfondo: in questo caso, possono non venir rispettate le proporzioni originali.
- | Allineamento: permette di specificare come deve essere allineata l'Immagine inserita rispetto alla finestra del Browser.

Le opzioni presentate nel riquadro Contenuto della Pagina sono:
- | Tipo: permette di specificare che tipo di contenuto si desidera inserire nella Pagina di Benvenuto, scegliendo tra Immagine, Animazione Flash, Video e Codice HTML.
- | File: nel caso si scelga come Tipo di contenuto l'Immagine, l'Animazione Flash o il Video, permette di importare il file grafico (in formato .JPG, .GIF, .PNG), il file Animazione Flash (in formato .SWF) o il File Video (in formato .FLV, .MP4) da utilizzare.
- | Codice HTML: nel caso si scelga come Tipo di contenuto Codice HTML, permette di digitare il codice da inserire nella Pagina di Benvenuto.
- | Larghezza / Altezza: permettono di specificare la larghezza e l'altezza in pixel dell'Immagine, dell'Animazione Flash, del Video o del Codice HTML inseriti.

Infine, il riquadro Opzioni presenta le seguenti opzioni:
- | Suono in ingresso: permette di specificare il file audio (in formato .MP3) da utilizzare come sottofondo musicale durante la visualizzazione della Pagina di Benvenuto.
- | Salta alla Home Page dopo sec.: attivando questa opzione, è possibile specificare il numero di secondi per la visualizzazione della Pagina di Benvenuto. Trascorso l'intervallo di tempo impostato, viene automaticamente visualizzata l'Home Page del Sito.

Lingua di consultazione - In pratica

Se il Sito deve poter essere consultato in Lingue diverse e si desidera dare la possibilità all'utente di selezionare quella da utilizzare attraverso dei Pulsanti inseriti nella Pagina di Benvenuto è necessario, innanzi tutto, attivare l'opzione Visualizza collegamento ad altre Lingue.

Nel riquadro Elenco Lingue è necessario comporre le la lista delle Lingue in cui il Sito sarà disponibile. Di default viene proposto un elenco composto da 5 Lingue che, in qualsiasi caso, può essere liberamente modificato attraverso i comandi disponibili:
- | Aggiungi / Rimuovi: permettono di comporre l'elenco delle Lingue di consultazione consentendo, rispettivamente, di aggiungere una nuova Lingua (tramite la finestra richiamata Impostazioni Lingua) o di cancellare una Lingua già inserita.
- | Sposta Sopra / Sposta Sotto: permettono di modificare l'ordine delle Lingue già presenti nell'Elenco, spostando verso l'alto o verso il basso la Lingua selezionata.
- | Predefinito: permette di impostare la Lingua selezionata all'interno dell'Elenco Lingue come "predefinita". Deve essere impostata come "predefinita" la Lingua del Sito a cui gli utenti devono accedere immediatamente, prima ancora di effettuare la scelta della Lingua di consultazione preferita. Il Sito nella Lingua predefinita è l'unico che presenta la Pagina di Benvenuto (per maggiori informazioni, vedere Come creare un Sito multi-lingua tramite la Pagina di Benvenuto).
- | Modifica: permette di richiamare la finestra Impostazioni Lingua in modo da modificare i parametri impostati per la Lingua selezionata fra quelle già inserite nell'Elenco.

La finestra Impostazioni Lingua presenta le seguenti voci:
- | Nome della Lingua da visualizzare: permette di inserire il nome della Lingua che si desidera rendere disponibile. Cliccando sulla freccia affiancata al campo è possibile aprire un menu a tendina con un elenco di Lingue e selezionare quella da inserire: in alternativa, è comunque possibile digitare direttamente in nome della Lingua.
- | File Immagine per la Lingua (es: bandiera): permette di importare il file grafico da utilizzare per creare il Pulsante associato alla Lingua. Cliccando su [image] si può selezionare il file .JPG, .GIF o .PNG da utilizzare, per esempio, per creare un Pulsante con l'Immagine della bandiera relativa alla Lingua. Nel caso non venga associata alcuna Immagine, invece di un Pulsante grafico verrà automaticamente creato un collegamento testuale utilizzando il Nome della Lingua come testo e impostando il colore che meglio contrasta rispetto a quello dello sfondo della Pagina.
- | Cartella su Server o URL del Sito per questa Lingua: permette di specificare il nome della sotto-cartella sul Server all'interno della quale verrà pubblicato il Sito relativo alla Lingua su cui si sta lavorando, per esempio "En" per il Sito in Lingua Inglese. In alternativa, è anche possibile digitare la URL completa del Sito che si vuole collegare, per esempio "http://www.miosito.com/en/index.html". Nel caso si stia lavorando sulla Lingua impostata come Predefinita non è possibile specificare una URL per la pubblicazione ma solo una sotto-cartella su Server.
- | Visualizza la scelta per questa Lingua ma avvisa che non è ancora disponibile: attivando questa opzione è possibile prevedere una Lingua di consultazione per la quale non è ancora stato creato e/o pubblicato il Sito. Cliccando sul Pulsante (o il collegamento testuale) relativo a tale Lingua, all'utente verrà automaticamente visualizzato un messaggio di avviso che la Lingua richiesta non è ancora disponibile.

Infine, è disponibile l'opzione:

-

Esegui collegamento in una nuova finestra: attivando questa opzione, il Sito viene aperto in una nuova finestra del Browser, diversa da quella in cui è già aperta la Pagina di Benvenuto.

Anche se nella finestra relativa alla Pagina di Benvenuto si parla esplicitamente di Lingue, è possibile sfruttare questa gestione per permettere all'utente di scegliere non solo fra Lingue di consultazione diverse ma, più genericamente, fra diverse versioni di uno stesso Sito. Per esempio, si potrebbe impostare la scelta tra "Versione HTML / Versione Flash" o tra "Versione adatta ai minori / Versione solo per adulti".

Argomenti correlati:
- | Impostazioni Avanzate
- | Come gestire le Lingue per i testi inseriti in automatico
- | Come creare un Sito multi-lingua tramite la Pagina di Benvenuto


Messaggio Pubblicitario

Questa finestra presenta i comandi attraverso i quali è possibile procedere all'impostazione di un Messaggio Pubblicitario sull'Home Page o su tutte le Pagine del Sito.

Il Messaggio Pubblicitario può essere creato come un'Immagine o un'Animazione Flash, visualizzata in una posizione determinata della Pagina, sulla quale viene impostato un collegamento a una Landing Page (o Pagina di destinazione). Ovviamente la Landing Page, che non è altro che una Pagina interna del Sito, dovrà essere studiata per riuscire a convincere l'utente a portare a termine l'azione desiderata: compilare un form, effettuare un acquisto, ecc.

In pratica

Se si desidera inserire un Messaggio Pubblicitario occorre, per prima cosa, attivare l'opzione Visualizza Messaggio Pubblicitario.

E' possibile scegliere il Tipo di messaggio da impostare, selezionando una delle seguenti voci:

 Messaggio sull'angolo superiore destro: corrisponde all'effetto che viene generalmente indicato come PagePeel in cui, posizionando il mouse sull'angolo superiore destro della Pagina, lo si "sfoglia" scoprendo il messaggio pubblicitario sottostante.

Messaggio in riquadro: il messaggio pubblicitario viene inserito in un riquadro, visualizzato in una posizione specificata della finestra del Browser, in sovrimpressione rispetto ai contenuti della Pagina.

Messaggio su barra orizzontale: il messaggio pubblicitario viene proposto attraverso una barra orizzontale visualizzata in cima della finestra del Browser, prima del contenuto reale della Pagina, o sul fondo della finestra del Browser, in sovrimpressione rispetto ai contenuti della Pagina.

Per qualsiasi Tipo di messaggio selezionato, è possibile agire sull'opzione del riquadro Impostazioni:

-

File Immagine/Animazione: permette di specificare il file grafico (in formato .JPG, .GIF, .PNG) o il file dell'Animazione Flash (in formato .SWF) contenente il Messaggio Pubblicitario che si vuole proporre.

Per il Messaggio sull'angolo superiore destro le altre opzioni disponibili sono:
- | Stile: permette di scegliere, oltre al classico effetto dell'angolo della Pagina arricciato (PagePeel), anche fra altre animazioni a tema. Il funzionamento dell'effetto rimane comunque inalterato: al passaggio del mouse sull'animazione, l'utente apre il Messaggio Pubblicitario vero e proprio.
- | Larghezza/Altezza: permette di specificare il valore in pixel che devono avere la larghezza e l'altezza dell'area destinata a visualizzare il Messaggio Pubblicitario.

Per il Messaggio in riquadro le altre opzioni disponibili sono:
- | Posizione: permette di stabilire la posizione dove verrà visualizzato il Messaggio Pubblicitario all'interno della finestra del Browser. E' possibile posizionarlo al Centro, in Alto a Sinistra, in Alto a Destra, in Basso a Sinistra e in Basso a Destra.
- | Effetto: permette di impostare un effetto di visualizzazione scegliendo tra Dissolvenza, Comparsa dall'alto, Comparsa dal basso, Comparsa da sinistra, Comparsa da destra.
- | Visualizza messaggio solo una volta: se attivata, questa opzione fa in modo che il Messaggio Pubblicitario venga visualizzato solo una volta, alla prima apertura di una Pagina del Sito. Aprendo una nuova sessione di navigazione, il Messaggio Pubblicitario verrà comunque riproposto.

Infine, per il Messaggio su barra orizzontale le altre opzioni disponibili sono:
- | Posizione: permette di definire se la barra con il Messaggio Pubblicitario deve essere visualizzato in alto, prima dei contenuti della Pagina, o al fondo, in sovrimpressione sulla parte terminale della Pagina.
- | Colore Sfondo: permette di definire, attraverso la finestra Colore richiamata, il colore per lo sfondo della barra orizzontale contenente il Messaggio Pubblicitario.
- | Visualizza messaggio solo una volta: se attivata, questa opzione fa in modo che il Messaggio Pubblicitario venga visualizzato solo una volta, alla prima apertura di una Pagina del Sito. Aprendo una nuova sessione di navigazione, il Messaggio Pubblicitario verrà comunque riproposto.

Le voci presenti nel riquadro Opzioni, comuni a tutti i tipi di messaggio, sono:

-

Suono in ingresso: permette di importare il file audio (in formato .MP3) che deve essere riprodotto durante la visualizzazione del Messaggio Pubblicitario.

-

Pagina collegata: permette di specificare la Pagina (Landing Page) che deve essere collegata al Messaggio Pubblicitario, selezionandola direttamente dalla Mappa del Sito richiamata attraverso il pulsante [image] .

Cos'è una Landing page?
La Landing Page è una Pagina destinata ad accogliere un visitatore e viene visualizzata perché collegata, per esempio, ad un link o ad un banner pubblicitario. Come suggerisce il nome, è la Pagina in cui l'utente "atterra" e deve essere costruita in maniera da permettergli di trovare subito le informazioni desiderate, evitandogli di dover navigare nel Sito alla loro ricerca.
Il meccanismo può essere efficacemente spiegato con un esempio: pubblichiamo un banner per reclamizzare la vendita di un prodotto. Le informazioni veicolate dal banner sono poche ed essenziali ma possiamo impostare un link per guidare l'utente interessato al nostro Sito. In questo caso, è controproducente linkare direttamente la Home Page del nostro Sito: è troppo generica e costringerebbe l'utente ad intraprendere una navigazione interna prima di trovare le informazioni necessarie sul prodotto e su come procedere all'acquisto. Il rischio è di perdere subito un potenziale cliente. La soluzione migliore, invece, è di costruire una Pagina ad hoc in cui presentare, con un layout semplice e funzionale, tutte le informazioni che l'utente si aspetta di trovare sul prodotto reclamizzato nel banner, incluse le istruzioni per procedere nell'acquisto. Molto spesso una Pagina di questo tipo deve essere costruita appositamente ma, se ben fatta, ha il vantaggio di guidare verso l'obiettivo desiderato (nell'esempio, l'acquisto di un prodotto) l'utente attirato dal nostro messaggio pubblicitario.

Infine, nel riquadro Modalità di visualizzazione sono disponibili le opzioni:

-

Mostra solo nella Home Page / Mostra in tutte le Pagine del Sito: permettono di definire dove deve essere visualizzato il Messaggio Pubblicitario, se solo nella Home Page oppure in tutte le Pagine del Sito.

Argomenti correlati:

-

Impostazioni Avanzate


Blog

Questa finestra propone gli strumenti e le opzioni necessarie per procedere alla creazione di un Blog e alla gestione dei commenti che possono essere lasciati dagli utenti in risposta agli Articoli pubblicati.

Un Blog è una sorta di diario in rete in cui l'autore racconta ciò di cui vuole parlare attraverso una serie di Articoli (o Post) pubblicati con frequenza e regolarità variabile.

Una volta pubblicato, il Blog creato con WebSite X5 rappresenta una sezione a se stante del Sito principale e nella Mappa viene automaticamente aggiunto all'interno della cartella Pagine Speciali (vedere, Creazione della Mappa). Se si desidera inserire la voce "Blog" all'interno del Menu di navigazione, occorre creare un'Alias della Pagina Speciale selezionandola e trascinandola all'interno della cartella Menu.

Essendo parte integrante del Sito Web, il Blog ne condivide la grafica, riprendendo automaticamente il template grafico impostato.

Il Blog creato viene pubblicato all'URL www.miosito.it/blog dove www.miosito.it è l'URL del sito a cui è collegato.

Nella Pagina principale del Blog viene visualizzato l'elenco di tutti gli Articoli (o Post) pubblicati, disposti in ordine cronologico partendo dal più recente.
Per tutti gli Articoli viene riportato il titolo, l'indicazione di autore, categoria, data e ora di pubblicazione, la descrizione breve e il link "Leggi tutto". Solo per il primo Articolo, al posto della decrizione breve, viene proposto il contenuto per intero.
Il link "Leggi tutto" porta ad una Pagina interamente dedicata ad un singolo Post: in questo caso viene visualizzato tutto il testo dell'Articolo, seguito dalla lista dei commenti già pubblicati e dalla form che i lettori possono utilizzare per inviare un nuovo commento.

Al di là dei singoli contenuti, tutte le Pagine del Blog presentano una struttura analoga che prevede una colonna posizionata sulla destra, dedicata alla presentazione di strumenti come: la sezione con gli Articoli Recenti, l'Archivio per mese o per categorie, le Nuvole. In base alle proprie esigenze, è possibile personalizzare questa colonna e decidere quali strumenti rendere disponibili e in che ordine presentarli.

Infine, come detto, una delle peculiarità dei Blog è quella di permettere a chi legge gli articoli di lasciare un commento: in questo modo, partendo dallo spunto rappresentato dal Post pubblicato, si può sviluppare una discussione tra chi scrive e coloro che leggono. Per evitare che rimangano pubblicati anche commenti non desiderati, perché offensivi o non inerenti al tema, è necessario poterli gestire: per far questo, WebSite X5 mette a disposizione un apposito Pannello di Controllo online.

In pratica

Per creare un Blog è sufficiente impostare alcuni parametri generali e creare l'elenco delle notizie che si vogliono distribuire.

I comandi necessari per configurare il Blog e procedere alla creazione degli Articoli sono raccolti in tre sezioni:
- | Sezione Articoli
- | Sezione Struttura
- | Sezione Commenti

Una volta impostato, sarà necessario mantenere vivo l'interesse dei lettori proponendo con una certa regolarità e frequenza nuovi post. A tal proposito, in fase di esportazione sarà possibile pubblicare solo gli aggiornamenti relativi al Blog grazie all'opzione Esporta solo il Blog e il Feed RSS disponibile nella finestra Esportazione del Sito su Internet.

Argomenti correlati:
- | Impostazioni Avanzate
- | Blog: caratteristiche e funzionamento
- | Pannello di Controllo online


Blog | Sezione Articoli

Attraverso i comandi proposti nella Sezione Articoli della finestra Blog è possibile definire alcuni parametri generali e procedere alla composizione della lista degli Articoli (o Post) che dovranno essere pubblicati nel Blog.

Nel riquadro Impostazioni Generali sono incluse le seguenti opzioni:
- | Titolo: in questo campo si può digitare il titolo da dare al Blog. Questo titolo verrà visualizzato nella Barra del titolo del Browser ed è, ovviamente, un parametro importante per permettere a utenti e Motori di ricerca di individuare correttamente il Blog. Se non viene specificato alcun titolo per il Blog, viene automaticamente ripreso il titolo associato al Sito attraverso l'apposita opzione della finestra Impostazioni Generali | Sezione Base.
- | Descrizione: in questo campo si può digitare una breve descrizione del Blog. E' bene che il contenuto della descrizione sia conciso, efficace e significativo per il Blog a cui fa riferimento: questa descrizione, infatti, verrà utilizzata nel codice HTML come contenuto del metatag <description> e sarà analizzata dagli spider dei Motori di ricerca. Anche in questo caso, se non viene specificata alcuna descrizione per il Blog, viene automaticamente ripresa la descrizione associata al Sito attraverso l'apposita opzione della finestra Impostazioni Generali | Sezione Base.
- | Crea Feed RSS con i contenuti del Blog: questa opzione, attiva di default, fa in modo che venga creato in automatico un Feed RSS con tutti gli Articoli del Blog.

Nel riquadro Elenco Articoli sono disponibili, invece, una Tabella riassuntiva che riporta il Titolo, l'Autore, la Categoria di appartenenza e la Data di rilascio di tutti i Post già inseriti e i comandi necessari per creare l'elenco degli Articoli:
- | Aggiungi: permette di richiamare la finestra Impostazioni Articolo per procedere all'inserimento di un nuovo Articolo.
- | Rimuovi: permette di eliminare l'Articolo selezionato fra quelli presenti nell'Elenco Articoli.
- | Modifica: permette di richiamare la finestra Impostazioni Articolo per modificare l'Articolo selezionato fra quelli presenti nell'Elenco Articoli.

La finestra Impostazioni Articolo richiamata dal comando Aggiungi o dal comando Modifica si presenta come nell'immagine seguente e, come si vede, è articolata in due sezioni:
- | Sezione Base
- | Sezione Esperto

I comandi presenti nella sezione Base della finestra Impostazioni Articolo sono:
- | Titolo: permette di specificare il titolo dell'Articolo.
- | Data di pubblicazione: permette di impostare la data di pubblicazione dell'Articolo selezionandola attraverso un apposito calendario.
- | Autore: permette di specificare l'autore dell'Articolo. In questo campo è possibile digitare direttamente il nome dell'Autore, oppure aprire la lista a discesa e selezionare un nominativo fra quelli già inseriti in precedenza.
- | Categoria: permette di specificare la Categoria in cui rientra l'Articolo. Come per il campo Autore, è possibile digitare il nome di una nuova Categoria, o selezionare una delle Categorie già inserite in precedenza.
- | Tag: permette di specificare una lista di Tag, ovvero di brevi descrizioni dei concetti chiave associati all'Articolo. E' possibile associare più di un Tag per ciascun Articolo, scrivendoli uno dopo l'altro, separati da una virgola (per esempio: "tag1, tag2, tag3., ...").
- | Contenuto: permette di comporre l'Articolo attraverso un editor analogo a quello disponibile per l'Oggetto Testo.
- | Descrizione breve: permette di specificare una breve descrizione da associare all'Articolo.

Invece, i comandi presenti nella sezione Esperto della finestra Impostazioni Articolo sono:

-

Audio/Video collegato: permette di specificare un file audio (in formato .MP3, .WMA, .WAV, .MID, .AIF, .M4A) o un file video (in formato .MP4, .FLV, .AVI, .WMV, .MPG, .MOV) da associare all'Articolo. Utilizzando questa opzione, viene automaticamente creato un link al file audio/video visualizzato in calce all'Articolo.

Posso inserire un Video all'interno di un post in modo che sia immediatamente visibile?

E' possibile fare in modo che il video venga visualizzato direttamente all'interno di un Articolo, inserendo manualmente il codice HTML necessario nell'editor di testo durante la composizione del post stesso.
Per esempio, è possibile copiare il codice di un Video YouTube così come viene fornito dal portale e incollarlo all'interno del post.

-

Fonti Articolo: permette di comporre l'elenco delle fonti utilizzate per comporre l'articolo attraverso i seguenti comandi:
- | Aggiungi / Rimuovi: permettono, rispettivamente, di aggiungere una nuova fonte o di eliminarne una selezionata. E' sufficiente cliccare una seconda volta su una voce selezionata per poterla modificare.
- | Sposta Sopra / Sposta sotto: permettono di ordinare la lista, spostando verso l'alto o verso il basso la voce selezionata.
- | Modifica: permette di modificare la voce selezionata.
Per inserire correttamente una fonte occorre scrivere il nome del Sito seguito dalla URL inclusa tra i caratteri < > (per esempio: "WebSite X5 <http://www.websitex5.com>"): come fonte verrà visualizzato solo il testo e l'URL verrà utilizzata per creare il link associato ad esso.

-

Non abilitare i commenti per questo Articolo: attivando questa opzione si impedisce agli utenti di lasciare dei commenti per l'Articolo corrente.

Argomenti correlati:

-

Blog


Blog | Sezione Struttura

Attraverso i comandi proposti nella Sezione Struttura della finestra Blog è possibile procedere alla definizione di alcuni aspetti grafici del Blog.

Nel riquadro Generale sono disponibili le seguenti opzioni:

-

Mostra pulsante "AddThis" per la condivisione dei contenuti su Internet: attivando questa opzione, sotto ogni Post del Blog viene automaticamente inserito il pulsante "AddThis". Cliccando su questo pulsante, il lettore visualizza un sotto-menu con un elenco dei più noti Social Network: se dispone di un profilo su uno di questi circuiti potrà selezionarlo e condividere il link al Post con la sua cerchia di contatti.

-

Tipo pulsante: permette di definire l'aspetto del pulsante "AddThis" scegliendo fra le grafiche proposte dal menu a tendina.

-

Account AddThis: permette, se si dispone di un Account AddThis, di specificarlo. Avere un Account permette di visualizzare alcune statistiche sull'utilizzo fatto dai lettori del servizio AddThis.

Per maggiori informazioni sul servizio AddThis e per ottenere un Account, cliccare su pulsante [image] e accedere al Sito ufficiale: www.addthis.com.

Nel riquadro Blocchi laterali sono disponibili, invece, una Tabella riassuntiva che riporta il Titolo, il Tipo e la Larghezza di tutti i Blocchi di contenuto inseriti nella barra laterale e i comandi necessari per creare l'elenco di tali Blocchi:
- | Aggiungi: permette di richiamare la finestra Blocco laterale per procedere all'inserimento di un nuovo Blocco.
- | Duplica: permette di creare una copia del Blocco selezionato fra quelli già inseriti.
- | Rimuovi: permette di eliminare il Blocco selezionato fra quelli presenti nell'elenco Blocchi laterali.
- | Sposta Sopra / Sposta Sotto: permettono, rispettivamente, di spostare il Blocco selezionato prima o dopo del Blocco precedente o successivo fra quelli già inseriti nell'elenco Blocchi laterali.
- | Modifica: permette di richiamare la finestra Blocco laterale per modificare il Blocco selezionato fra quelli presenti nell'elenco Blocchi laterali.

La finestra Blocco laterale richiamata dal comando Aggiungi e dal comando Modifica consente di procedere effettivamente alla definizione dei Blocchi di contenuto che si vogliono rendere disponibili nella colonna laterale di tutte le Pagine del Blog. Questa finestra presenta due sezioni:
- | Sezione Generale
- | Sezione Stile

Argomenti correlati:

-

Blog


Blog | Sezione Struttura | Blocchi laterali | Generale

I comandi presenti nella sezione Generale della finestra Blocchi laterali (vedere, Blog | Sezione Struttura) permettono di creare la lista dei Blocchi che dovranno completare la Pagina del Blog.

I tipi di Blocco fra cui è possibile scegliere sono:

 Articoli recenti: Blocco in cui vengono visualizzati tutti i Post più recenti pubblicati sul Blog. Cliccando sul titolo si accede alla Pagina dove è possibile leggere l'Articolo.

Categorie: Blocco in cui viene visualizzato l'elenco di tutte le Categorie in cui sono organizzati i Post del Blog. Cliccando su una Categoria si visualizza l'elenco degli Articoli inseriti.

Articoli per mese: Blocco in cui è riportato l'elenco dei Post pubblicati, organizzati per mese.

Nuvole: Blocco in cui è riportato l'elenco di tutte le Categorie o di tutti i Tag associati agli Articoli pubblicati. In questo caso i nomi delle Categorie o i Tag vengono visualizzati con dimensioni diverse a seconda del numero di Post collegati: maggiore è il numero dei Post collegati, maggiori sono le dimensioni della scritta. Cliccando su una voce (Categoria o Tag) si visualizza l'elenco degli Articoli ad essa correlati.

Siti Amici: Blocco per la visualizzazione dell'elenco dei Siti Amici, ovvero di altri Siti Web o Blog che si desidera collegare per suggerirne la visita ai propri lettori.

Facebook: Blocco che sfrutta la Social Plug-in "Like Box" di Facebook per permettere agli utenti di:
- | vedere a quante persone e/o a quanti dei loro amici piace la Pagina Facebook proposta;
- | leggere i Post recenti pubblicati sulla Pagina Facebook proposta;
- | dire che la Pagina Facebook proposta piace senza doverla per forza visitare.

Pubblicità Google AdSense: Blocco per la visualizzazione dei messaggi pubblicitari forniti dal circuito Google AdSense.

Codice HTML: Blocco completamente personalizzabile che può essere utilizzato per inserire qualsiasi funzione non prevista in automatico dal Programma.

A seconda del tipo di Blocco selezionato, vengono presentate diverse opzioni sulle quali è possibile agire.

Le opzioni comuni a tutti i Blocchi sono:
- | Titolo: permette di inserire il titolo da associare e visualizzare per il Blocco.
- | Larghezza: permette di definire la larghezza in pixel del Blocco.

Oltre a quelle comuni, per ciascun tipo di Blocco si aggiungono le seguenti opzioni specifiche:
Articoli recenti / Categorie /
Articoli per mese:

-

Numero massimo di voci: permette di specificare il numero massimo di voci che deve essere visualizzato all'interno del Blocco.
Nuvole:

-

Mostra Nuvole con le Categorie / Mostra Nuvole con i Tag: permettono di scegliere se nel Blocco Nuvole devono essere riportate le Categorie oppure i Tag utilizzati per gli Articoli già pubblicati.
Siti Amici:

-

Elenco Siti Amici: permette di comporre l'elenco dei Siti Amici attraverso i seguenti comandi:
- | Aggiungi / Rimuovi: permettono, rispettivamente, di aggiungere un nuovo Sito Amico o di eliminarne uno selezionato. E' sufficiente cliccare una seconda volta su una voce selezionata per poterla modificare.
- | Sposta Sopra / Sposta sotto: permettono di ordinare la lista, spostando verso l'alto o verso il basso la voce selezionata.
- | Modifica: permette di modificare la voce selezionata.
Per inserire correttamente un Sito Amico occorre scrivere il nome del Sito seguito dalla URL inclusa tra i caratteri < > (per esempio: "WebSite X5 <http://www.websitex5.com>"): come Sito Amico verrà visualizzato solo il testo e l'URL verrà utilizzata per creare il link associato ad esso.
Facebook:

-

Facebook URL: permette di specificare la URL della Pagina Facebook che si vuole proporre .

-

Colore Sfondo: permette di impostare uno Sfondo Chiaro o Scuro per il Blocco.

-

Altezza: permette di definire l'altezza in pixel del Blocco.

-

Mostra Foto Amici: attivando questa opzione, nel Blocco vengono visualizzate anche le foto dei profili degli amici (ovvero delle connessioni).

-

Mostra ultimi post: attivando questa opzione, nel Blocco vengono automaticamente visualizzati gli ultimi Post pubblicati nella Bacheca della Pagina Facebook proposta.

-

Mostra intestazione Facebook: attivando questa opzione, nel Blocco viene visualizzata un'intestazione di Facebook.
Pubblicità Google AdSense:

-

Codice HTML Google AdSense: permette di immettere il codice HTML fornito da Google AdSense per la visualizzazione di un blocco di messaggi pubblicitari.
Codice HTML:

-

Codice HTML: permette di immettere del codice HTML in modo da creare un Blocco completamente personalizzato.

Argomenti correlati:

-

Blog | Sezione Struttura


Blog | Sezione Struttura | Blocchi laterali | Stile

I comandi presenti nella sezione Stile della finestra Blocchi laterali (vedere, Blog | Sezione Stile) permettono di definire l'aspetto grafico dei Blocchi di contenuto che dovranno completare la Pagina del Blog.

Le opzioni presenti nel riquadro Testo sono:
- | Tipo di Font: permette di specificare, attraverso la finestra richiamata, il Tipo di carattere, lo Stile e le dimensioni del testo.
- | Colore Testo: permette di definire, attraverso la finestra Colore richiamata, il colore per i testi del Blocco.
- | Margine orizzontale / Margine verticale: il margine è lo spazio tra il bordo del Blocco e il testo contenuto. Attraverso queste opzioni è possibile, dunque, definire quanto spazio deve esserci orizzontalmente e/o verticalmente attorno al testo all'interno del Blocco.

Nel riquadro Sfondo, invece, sono disponibili le seguenti opzioni:
- | Colore Sfondo / Colore Bordo: permettono di definire, attraverso la finestra Colore richiamata, il colore per lo sfondo e per il bordo del Blocco.
- | Spessore Bordo: permette di impostare lo spessore del bordo del Blocco.
- | File Immagine: permette di specificare un'immagine (.jpg, .gif o .png) da inserire come sfondo del Blocco.
- | Disposizione: permette di specificare se l'immagine inserita come sfondo del Blocco deve essere ripetuta o meno. L'immagine può essere ripetuta solo in senso orizzontale, solo in senso verticale o in entrambe i sensi, in modo da giungere ad occupare l'intero spazio a disposizione.
- | Allineamento: permette di specificare come deve essere allineata l'immagine inserita come sfondo rispetto al Blocco.

Argomenti correlati:

-

Blog | Sezione Stile


Blog | Sezione Commenti

Attraverso i comandi proposti nella Sezione Commenti della finestra Blog è possibile gestire l'inserimento dei commenti lasciati dai visitatori come feedback agli Articoli pubblicati nel Blog.

Le opzioni disponibili nella sezione Generale sono:

-

Consenti l'inserimento di Commenti per gli Articoli del Blog: attivando questa opzione si permette agli utenti di lasciare dei commenti agli Articoli pubblicati nel Blog.

-

Cartella su Server con accesso in scrittura: in questo campo è necessario specificare il percorso su Server della cartella con accesso in scrittura, ovvero della cartella all'interno della quale è abilitata la scrittura da parte del codice PHP.

Normalmente i Provider permettono l'accesso in scrittura per ogni cartella del Server: in questi casi non è necessario specificare alcun percorso per la cartella pubblica. Al contrario, per conoscere il percorso completo della cartella pubblica è necessario contattare il proprio Provider dello spazio Web.
Attraverso la sezione WebSite Test del Pannello di Controllo online è possibile verificare se la cartella con accesso in scrittura specificata esiste e, in caso positivo, se permette effettivamente la scrittura dei dati.

-

Attiva controllo anti-spam "Captcha": permette di aggiungere al termine della form per l'inserimento di un commento il controllo anti-spam del Captcha. In pratica, viene inserita l'immagine di alcune lettere visualizzate in maniera distorta su uno sfondo confuso: l'utente deve ricopiare correttamente le lettere in un apposito Campo al fine di poter inviare il commento.

Il riquadro Gestione Commenti mette a disposizione, invece, le seguenti opzioni:
- | E-mail per invio notifica ricezione Commenti: permette di specificare l'indirizzo e-mail sul quale si desidera ricevere la notifica di ricezione di commenti agli Articoli pubblicati nel Blog.
- | Visualizza subito Commenti inseriti / Visualizza Commenti dopo approvazione da Pannello di Controllo: permettono di scegliere se i commenti lasciati dai visitatori possono essere visualizzati subito sulle Pagine del Blog, oppure se devono prima essere approvati attraverso i comandi della sezione Blog del Pannello di Controllo online.

Argomenti correlati:
- | Blog
- | Pannello di Controllo online
- | Come gestire i commenti del Blog dal Pannello di Controllo


Feed RSS

Questa finestra propone gli strumenti e le opzioni necessarie per procedere alla creazione di un Feed RSS, uno dei formati più popolari per la distribuzione di contenuti Web.

Il Feed RSS è uno strumento molto versatile che si presta per divulgare notizie, immagini o video: può essere utilmente impiegato quando si hanno molte notizie da proporre con una certa frequenza, oppure quando si vogliono segnalare degli avvenimenti, gli aggiornamenti effettuati all'interno di un Sito, i nuovi post o i commenti pubblicati su un Blog.

Sottoscrivendo il Feed RSS associato al Sito Web, gli utenti potranno rimanere costantemente aggiornati e ricevere/leggere le notizie direttamente attraverso il loro programma news aggregator.

In pratica

Per creare un Feed RSS è sufficiente impostare alcuni parametri generali e creare l'elenco delle notizie che si vogliono distribuire.

Nel riquadro Elenco Articoli sono disponibili una Tabella riassuntiva che riporta il Titolo e la Data di rilascio di tutte le notizie già inserite e i comandi necessari per creare l'elenco degli Articoli:
- | Aggiungi: permette di richiamare la finestra Impostazioni Articolo per procedere all'inserimento di un nuovo Articolo.
- | Rimuovi: permette di eliminare l'Articolo selezionato fra quelli presenti nell'Elenco Articoli.
- | Modifica: permette di richiamare la finestra Impostazioni Articolo per modificare l'articolo selezionato fra quelli presenti nell'Elenco Articoli.

La finestra Impostazioni Articolo richiamata dal comando Aggiungi o dal comando Modifica si presenta come nell'immagine seguente.

- | Titolo: permette di specificare il titolo dell'Articolo.
- | Data di pubblicazione: permette di impostare la data di pubblicazione dell'Articolo selezionandola attraverso un calendario.
- | Contenuto: permette di comporre l'Articolo attraverso un editor analogo a quello disponibile per l'Oggetto Testo.
- | Pagina collegata: permette di accedere alla Mappa del Sito per definire quale Pagina deve essere collegata all'Articolo.

Oltre a creare la lista delle notizie, è necessario definire i seguenti parametri inclusi nel riquadro Impostazioni Generali per il Feed RSS:
- | Titolo: richiede di specificare il titolo del Feed RSS collegato al sito Web. Questo parametro è obbligatorio.
- | Immagine: permette di specificare un'Immagine (file in formato .JPG, .GIF, .PNG) da associare al Feed RSS; questa Immagine (tipicamente il logo dell'azienda o del Sito Web) verrà visualizzata dal programma news aggregator.
- | Descrizione: richiede di specificare una descrizione del Feed RSS collegato al sito Web. Anche questo parametro è obbligatorio.

 I Feed RSS funzioneranno solamente quando il Sito sarà pubblicato online.

Argomenti correlati:
- | Impostazioni Avanzate
- | Feed RSS: definizione ed usi
- | Come creare un Feed RSS associato al Sito


Gestione Accessi

Questa finestra presenta i comandi attraverso i quali è possibile procedere alla creazione e gestione dei profili Utente che possono avere accesso all'Area Riservata del Sito, ovvero alle Pagine che durante la fase di Creazione della Mappa sono state definite Protette.

In pratica

Nel riquadro Elenco Utenti e Gruppi con accesso alle Pagine Protette è disponibile una Tabella riassuntiva che riporta i Gruppi/Utenti già inseriti oltre che la Login e le Note assegnate a ciascun Utente.

A fianco della Tabella sono presenti i comandi utili per procedere alla creazione della lista dei Gruppi e degli Utenti ai quali si vuole consentire l'accesso alle Pagine Protette del Sito:

-

Nuovo Gruppo: permette di inserire un nuovo Gruppo, in modo da poter organizzare gli Utenti in categorie omogenee più semplici da gestire. I Gruppi non hanno impostazioni particolari: sono semplici "contenitori" e per questo vengono inseriti direttamente nella Tabella riassuntiva. E' sufficiente fare doppio click in corrispondenza di un Gruppo già inserito per poterlo rinominare.
Sempre al fine di organizzare al meglio gli accessi da parte degli Utenti, è anche possibile creare dei sotto-Gruppi: non ci sono limiti particolari al numero di Gruppi o di sotto-Gruppi utilizzabili.
Di default sono presenti due Gruppi: Amministratori e Utenti. Il Gruppo Amministratori è quello formato dagli amministratori del Sito che hanno automaticamente accesso a tutte le Pagine Protette del Sito.

Tramite la loro Login e Password, tutti gli Utenti del Gruppo Amministratori possono accedere al Pannello di Controllo online (disponibile all'URL www.miosito.it/admin dove www.miosito.it è l'URL del Sito) tramite il quale è possibile gestire i commenti ai Post del Blog, i messaggi del Guestbook (vedere Oggetto HTML e Widgets) e visualizzarre informazioni di diagnostica o sull'ottimizzazione del Sito per i Motori di Ricerca.

-

Nuovo Utente: permette di richiamare la finestra Nuovo Utente per procedere all'inserimento di un nuovo Utente, con le relative credenziali di accesso, all'interno del Gruppo selezionato.

-

Rimuovi: permette di eliminare il Gruppo o l'Utente selezionato fra quelli già inseriti. Non è possibile rimuovere il Gruppo Amministratori né l'Utente Admin in esso inserito, previsti di default.

-

Modifica: permette di richiamare la finestra Nuovo Utente per modificare le impostazioni dell'Utente selezionato.

-

Crea Alias: permette di creare un Alias per l'Utente selezionato. Questa opzione è utile quando uno stesso Utente deve essere inserito in Gruppi diversi per avere accesso a diverse Pagine Protette e, per questo motivo, non è attiva per gli Utenti del Gruppo Amministratori (che hanno automaticamente accesso a tutte le Pagine Protette). L'Alias rimane collegato all'Utente cosicché qualsiasi modifica apportata a uno viene automaticamente applicata anche all'altro. Un modo alternativo e veloce di creare un Alias è selezionare un Utente, trascinarlo e, prima di rilasciarlo all'interno di un secondo Gruppo, premere il tasto CTRL.

La finestra Nuovo Utente richiamata dal comando Nuovo Utente o dal comando Modifica si presenta come nell'immagine seguente.

Come si vede, i comandi disponibili per creare un nuovo Utente sono:

-

Nome e Cognome: permette di specificare il nome dell'Utente di cui si vogliono abilitare le credenziali per permettergli l'accesso a determinate Pagine Protette del Sito.

-

Username / Password: permettono di specificare la Username e la Password che l'Utente dovrà utilizzare per poter visualizzare le Pagine Protette per le quali gli viene abilitato l'accesso. In automatico viene proposta una Password composta da 8 caratteri (lettere e numeri) scelti con una procedura random: tale Password può, comunque, essere liberamente modificata.

-

Pagina di ingresso: permette di accedere alla Mappa del Sito per specificare quale Pagina deve essere visualizzata dopo che l'Utente ha inserito le proprie credenziali di accesso.

-

Note: permette di inserire alcune note facoltative sull'Utente.

-

Data di registrazione: permette di inserire, attraverso l'apposita finestra Calendario, la data in cui è avvenuta la registrazione dell'Utente.

Le informazioni relative alle opzioni Note e Data di registrazione non vengono incluse nel codice del Sito Web realizzato: servono unicamente per permettere una migliore gestione degli Utenti da parte dell'Amministratore del Sito.

Oltre alla Tabella riassuntiva, nel riquadro Impostazioni per la Pagina di Accesso dell'Area Riservata sono disponibili le seguenti opzioni:

-

Testo di benvenuto: permette di comporre il testo che deve essere visualizzato quanto un Utente cerca di accedere a una Pagina Protetta senza aver prima eseguito il login. In questi casi, l'Utente viene re-indirizzato a una Pagina, creata automaticamente dal Programma, che si compone dei seguenti elementi:
- | il testo di benvenuto qui specificato;
- | i campi in cui si richiede di inserire Username e Password;
- | nel caso venga specificata la Pagina per la richiesta di registrazione (vedere opzione successiva), il pulsante Registrati.

-

Pagina per la richiesta di registrazione: permette di accedere alla Mappa del Sito per specificare quale Pagina deve essere visualizzata quando l'Utente clicca sul collegamento Registrati per richiedere Username e Password necessarie per accedere alle Pagine Protette.

Dopo aver creato gli Utenti con le relative credenziali di accesso e averli organizzati in Gruppi è possibile tornare al Passo 2 - Creazione della Mappa per definire le Pagine che devono essere Protette e stabilire da quali Gruppi/Utenti ciascuna Pagina Protetta potrà essere visualizzata.

 Quando si testa in locale il funzionamento del Sito creato, una finestra d'avviso avverte che le Pagine Protette vengono visualizzate senza la richiesta di accesso. Le Pagine Protette vengono attivate solo con la pubblicazione del Sito su Server.

Per il corretto funzionamento dell'Area Riservata è necessario che il Server sul quale il Sito verrà pubblicato supporti il linguaggio di programmazione PHP e le sessioni. Attraverso la sezione WebSite Test del Pannello di Controllo online è possibile avere queste informazioni di diagnostica sul Server.

Argomenti correlati:
- | Impostazioni Avanzate
- | Pannello di Controllo
- | Creazione della Mappa
- | Come creare un'Area Riservata


Carrello e-commerce

Questa finestra propone gli strumenti e le opzioni necessarie per procedere alla creazione e gestione di un carrello di e-commerce attraverso il quale effettuare la vendita on-line dei Prodotti offerti sul Sito Web.

In pratica

Per creare un Carrello di e-commerce è necessario, innanzitutto, definire il catalogo dei Prodotti disponibili, organizzandoli in categorie e sotto-categorie omogenee. Ovviamente per ogni Prodotto occorre inserire una serie di informazioni indispensabili come il nome, la descrizione e il prezzo ma è anche possibile andare oltre, associando una o più immagini e prevedendo delle varianti (di taglia, di colore, di modello, ecc.). Creato il catalogo, occorre poi definire i metodi di spedizione e di pagamento che si vogliono attivare e impostare il modulo d'ordine configurando anche le e-mail che vengono inviate dal Carrello sia al gestore del Sito sia a chi fa l'ordine.

Nello specifico, le diverse opzioni per definire gli elementi e il funzionamento del Carrello e-commerce sono presentate nelle seguenti sezioni:
- | Sezione Prodotti
- | Sezione Pagamento
- | Sezione Dati Cliente
- | Sezione Opzioni

Una volta creato il Carrello di e-commerce occorre inserire nel Sito le informazioni e i collegamenti necessari affinché gli utenti possano visualizzare le informazioni sui Prodotti ed effettuare l'acquisto. Per far questo è possibile procedere in diversi modi:
1. | Creare delle Pagine specifiche in cui si presentano i Prodotti nel modo che si reputa più opportuno (con immagini, testi, tabelle, ecc.) e inserire in esse il pulsante "Acquista". In questo caso, il pulsante "Acquista" può essere creato attraverso il collegamento Aggiungi al Carrello (vedere, Collegamenti).
2. | Creare delle Pagine in cui si presentano i Prodotti attraverso apposite schede già complete del pulsante "Acquista". In questo caso occorre utilizzare l'Oggetto Elenco Prodotti.

 Quando si testa il funzionamento del Sito creato in locale, una finestra d'avviso avverte che l'ordine non verrà inviato e viene effettuato il redirect automatico alla Pagina di conferma dell'ordine. Il Carrello di e-commere funziona pienamente solo con la pubblicazione del Sito su Server.

Per il corretto funzionamento del Carrello di e-commerce è necessario che il Server sul quale il Sito verrà pubblicato supporti il linguaggio PHP e che sia attivo il comando MAIL. Attraverso la sezione WebSite Test del Pannello di Controllo online è possibile avere queste informazioni di diagnostica sul Server.

Se si verificano dei problemi nell'invio delle e-mail è probabile che il Server utilizzato non sia configurato in modo standard. In questi casi è consigliabile provare a modificare le impostazioni relative allo script utilizzato per l'invio delle e-mail attraverso l'apposita opzione presente nella finestra Preferenze. Per ulteriori informazioni in merito, contattare il proprio Provider di spazio Web.

Argomenti correlati:
- | Impostazioni Avanzate
- | Come creare un Carrello di e-commerce
- | Finestra Collegamento
- | Oggetto Elenco Prodotti


Carrello e-commerce | Sezione Prodotti

Attraverso le opzioni proposte nella Sezione Prodotti della finestra Carrello e-commerce è possibile procedere all'inserimento dei Prodotti nel Carrello, organizzandoli in Categorie.

Tutti i prodotti già inseriti vengono visualizzati nella Tabella riassuntiva che nello specifico riporta, per tutte le Categorie già previste, tutti i Prodotti inseriti con relativa Descrizione e Prezzo.

La Tabella riassuntiva presenta una Barra Strumenti superiore con i seguenti comandi:

 Taglia [CTRL+X] - Copia [CTRL+C] - Incolla [CTRL+V]
Permettono, rispettivamente, di tagliare, copiare e incollare i Prodotti selezionati. Questi comandi sono presenti anche nel menu contestuale richiamato attraverso il click del tasto destro del mouse sull'elenco dei Prodotti.

Oltre alla Barra Strumenti, per definire l'elenco ordinato dei Prodotti da gestire attraverso il Carrello online sono disponibili i seguenti comandi:
- | Nuova Categoria: permette di inserire una nuova Categoria in cui organizzare i Prodotti disponibili. Le Categorie non hanno impostazioni particolari: sono semplici "contenitori" e per questo vengono inseriti direttamente nella Tabella riassuntiva. E' sufficiente fare doppio click in corrispondenza di una Categoria già inserita per poterla rinominare. Sempre al fine di organizzare al meglio il catalogo dei Prodotti, è anche possibile creare delle sotto-Categorie: non ci sono limiti particolari al numero di Categorie o di sotto-Categorie utilizzabili.
- | Nuovo Prodotto: permette di richiamare la finestra Impostazioni Prodotto per procedere all'inserimento di un nuovo Prodotto all'interno della Categoria selezionata.
- | Rimuovi: permette di eliminare la Categoria selezionata, con tutti i Prodotti inserti, o i singoli Prodotti selezionati.
- | Modifica: permette di richiamare la finestra Impostazioni Prodotto per modificare le impostazioni del Prodotto selezionato.

 Per spostare un Prodotto da una Categoria all'altra è possibile agire direttamente sull'elenco dei Prodotti: è sufficiente selezionarlo, trascinarlo e rilasciarlo nella posizione che deve assumere (Drag&Drop). E' possibile selezionare più Prodotti utilizzando i tasti CTRL e SHIFT.

La finestra Impostazioni Prodotto richiamata dal comando Aggiungi o dal comando Modifica permette di procedere alla definizione e all'inserimento di un nuovo Prodotto ed è organizzata in tre sezioni:
- | Sezione Generale
- | Sezione Immagine
- | Sezione Opzioni

Solo dopo aver inserito le Categorie e i relativi Prodotti all'interno del Carrello e-commerce sarà possibile utilizzare l'Oggetto Elenco Prodotti per creare un vero e proprio catalogo online.

Argomenti correlati:
- | Carrello e-commerce
- | Oggetto Elenco Prodotti


Carrello e-commerce | Sezione Prodotti

Carrello e-commerce | Sezione Prodotti | Impostazioni Prodotto | Generale

Le opzioni presenti nella sezione Generale della finestra Impostazioni Prodotto permettono di inserire alcune informazioni di base su un nuovo Prodotto da proporre attraverso il Carrello e-commerce.

Le opzioni disponibili per definire il nuovo Prodotto da aggiungere all'elenco sono:

-

Nome/Codice: permette di inserire o di visualizzare il nome o il codice identificativo del Prodotto che si intende creare o modificare.

-

Descrizione: permette di inserire o di visualizzare una descrizione del Prodotto che si intende creare o modificare.

-

Pagina collegata al Prodotto: permette di accedere alla Mappa del Sito per specificare quale Pagina deve essere collegata al Prodotto corrente.

-

Prezzo: permette di specificare il prezzo del Prodotto corrente.

-

IVA (%): se attivo, permette di specificare l'IVA da applicare per il Prodotto corrente. Questa opzione è disponibile solo se nella Sezione Opzioni è stata attivata l'opzione Imposta IVA per ogni Prodotto.

Come si vede, a seconda di come si vuole impostare il Carrello, è possibile inserire per i Prodotti i prezzi già comprensivi di IVA, oppure, soprattutto nel caso di articoli che richiedono l'applicazione di un'IVA diversa, è possibile inserire i prezzi IVA esclusa e poi specificare a parte quale imposta applicare caso per caso.

-

Peso: permette di specificare il Peso del Prodotto corrente al fine di poter calcolare le spese di spedizione da applicare (vedere, Sezione Pagamento | Metodo di Spedizione).

In base alla tipologia di Prodotti trattati sul Carrello è possibile utilizzare l'opzione Peso per specificare un peso in chilogrammi o in grammi, piuttosto che per introdurre un volume espresso in litri o in metri cubi, o in qualsiasi altra unità di misura utile. Perché i costi di spedizione vengano calcolati correttamente è importante, quindi, scegliere un'unità di misura e mantenerla inalterata per tutti i Prodotti del Carrello.

Argomenti correlati:

-

Carrello E-commerce | Sezione Prodotti


Carrello e-commerce | Sezione Prodotti | Impostazioni Prodotto | Immagine

Le opzioni presenti nella sezione Immagine della finestra Impostazioni Prodotto permettono di associare al Prodotto da proporre attraverso il Carrello e-commerce una o più immagini attraverso le quali presentarlo.

Importando più immagini è possibile creare un vero e proprio SlideShow: cliccando sulle singole immagini sarà anche possibile visualizzare le stesse ingrandite attraverso l'apposita finestra ShowBox.
Occorre precisare che solo la prima delle immagini associate al Prodotto verrà visualizzata nel Carrello. Tutte le altre immagini eventualmente inserite vengono, invece, visualizzate nelle schede composte se si utilizza l'Oggetto Elenco Prodotti.

Le opzioni disponibili per creare la lista di immagini da associare al Prodotto sono:
- | Aggiungi / Rimuovi: permettono, rispettivamente, di aggiungere nuove immagini o di eliminare le immagini selezionate dalla lista di quelle che compongono lo SlideShow. La finestra di Selezione File richiamata consente di selezionare anche più file contemporaneamente.
- | Sposta sopra / Sposta sotto: permettono, rispettivamente, di spostare l'immagine selezionata prima o dopo a quella precedente/successiva.
- | Modifica: permette di richiamare l'Editor grafico per modificare l'immagine selezionata.

In più, nel riquadro Proprietà ShowBox sono disponibili le seguenti opzioni:

-

Larghezza massima / Altezza massima: permettono di definire i valori massimi che può assumere la finestra ShowBox in cui vengono visualizzate le immagini ingrandite.

Per maggiori informazioni su come personalizzare l'aspetto della finestra ShowBox vedere al Passo 4 - Impostazioni Avanzate la sezione Stili e Modelli | ShowBox.

Argomenti correlati:

-

Carrello E-commerce | Sezione Prodotti


Carrello e-commerce | Sezione Prodotti | Impostazioni Prodotto | Opzioni

Le opzioni presenti nella sezione Opzioni della finestra Impostazioni Prodotto permettono di inserire alcuni parametri aggiuntivi per la gestione del nuovo Prodotto da proporre attraverso il Carrello e-commerce.

Innanzi tutto, è possibile prevedere delle Varianti per il Prodotto. Possono essere introdotte come Varianti di Prodotto le taglie o i colori disponibili di un capo di abbigliamento piuttosto i modelli alternativi di un articolo. Tutte le Varianti introdotte vengono visualizzate nell'apposita lista del Carrello o della scheda creata se si utilizza l'Oggetto Elenco Prodotti.
I comandi disponibili per creare tale lista di Varianti sono:
- | Aggiungi / Rimuovi: permettono, rispettivamente, di aggiungere nuove Varianti di Prodotto o di eliminare le Varianti selezionate dalla lista.
- | Modifica: permette di modificare la Variante di Prodotto selezionata. E' possibile procedere a tale modifica anche cliccando due volte consecutive su una Variante.
- | Sposta sopra / Sposta sotto: permettono, rispettivamente, di spostare la Variante di Prodotto selezionata prima o dopo a quella precedente/successiva.

In più, spuntando l'opzione Attiva sconto quantità è possibile creare una lista con gli sconti da applicare in base alla quantità del Prodotto ordinata. Anche in questo caso, tutti gli sconti quantità introdotti vengono visualizzati in un'apposita lista e i comandi disponibili per crearli sono:
- | Aggiungi: permette di impostare e aggiungere, attraverso la finestra Sconto quantità richiamata, uno sconto quantità per il Prodotto corrente. In pratica consente di definire la Quantità di Prodotto che deve essere uguagliata o superata nell'ordine perché possa essere applicato lo Sconto (%) previsto.
- | Rimuovi: permette di eliminare lo sconto quantità selezionato dalla lista.
- | Modifica: permette di richiamare la finestra Sconto quantità in modo da poter modificare lo sconto quantità selezionato. E' possibile procedere a tale modifica anche tramite doppio click sullo sconto.

Argomenti correlati:

-

Carrello E-commerce | Sezione Prodotti


Carrello e-commerce | Sezione Pagamento

Attraverso le opzioni proposte nella Sezione Pagamento della finestra Carrello E-commerce è possibile definire i metodi di spedizione e di pagamento che si vogliono rendere disponibili per il Carrello.

Nel riquadro Elenco dei metodi di Spedizione viene proposta la lista di tutti i metodi di spedizione introdotti, riportando per ciascuno di essi il Nome, la Descrizione e il Prezzo associati.

I comandi disponibili per creare l'elenco dei metodi di spedizione attivi per il Carrello sono:
- | Aggiungi: permette di richiamare la finestra Metodo di Spedizione per procedere alla definizione di un nuovo metodo di spedizione.
- | Duplica: permette di creare una copia del metodo di spedizione selezionato in modo da poter procedere più velocemente alla definizione un altro metodo che si intende rendere disponibile.
- | Rimuovi: permette di eliminare il metodo di spedizione selezionato.
- | Modifica: permette di richiamare la finestra Metodo di Spedizione per modificare il metodo di spedizione selezionato. E' possibile procedere a tale modifica anche tramite doppio click sul metodo.
- | Sposta Sopra / Sposta Sotto: permettono, rispettivamente, di spostare il metodo di spedizione selezionato prima o dopo a quello precedente/successivo.

Analogamente, nel riquadro Elenco dei metodi di Pagamento viene riportata la lista di tutti metodi di pagamento messi a disposizione sul Carrello e per ciascuno di essi viene riportato il Nome, la Descrizione e il Prezzo associati.

I comandi disponibili per creare l'elenco dei metodi di pagamento sono gli stessi di quelli già visti per i metodi di spedizione ma i pulsanti Aggiungi e Modifica permettono di richiamare la finestra Metodo di Pagamento.

Argomenti correlati:
- | Carrello E-commerce
- | Finestra Metodo di Spedizione
- | Finestra Metodo di Pagamento


Carrello e-commerce | Sezione Pagamento | Metodo di Spedizione

La finestra Metodo di Spedizione, richiamata dal comando Aggiungi o dal comando Modifica presenti nel riquadro Elenco dei metodi di Spedizione della Sezione Pagamento, permette di definire e inserire i metodi di spedizione da attivare sul Carrello e-commerce.

La finestra Metodo di Spedizione è articolata in 3 sezioni:
- | Sezione Generale
- | Sezione Costo
- | Sezione Messaggio E-mail

Nella Sezione Generale sono disponibili le seguenti opzioni:
- | Nome: permette di attribuire un nome al metodo di spedizione in modo da poterlo identificare tramite una dicitura chiara e sintetica.
- | Descrizione: permette di introdurre una spiegazione completa del metodo di spedizione.

Nella Sezione Costo, invece, è possibile specificare l'ammontare delle spese aggiuntive applicate nel caso il Cliente scelga il metodo di spedizione corrente. Tale ammontare può essere impostato secondo una delle seguenti modalità:

-

Costo fisso: permette di specificare un unico costo fisso per il metodo di spedizione corrente. Tale costo rimarrà invariato, indipendentemente da qualsiasi parametro relativo all'Ordine.

-

Costo relativo al totale dell'Ordine: permette di creare una o più fasce di costo per il metodo di spedizione corrente, in base al totale dell'Ordine raggiunto. In pratica, attraverso i pulsanti Aggiungi e Modifica viene richiamata la finestra Costo della Spedizione attraverso la quale è possibile definire il Totale Ordine che deve essere uguagliato o superato perché possa essere applicato il Costo di spedizione specificato.

-

Costo relativo al totale del Peso: permette di creare una o più fasce di costo per il metodo di spedizione corrente, in base al totale del Peso raggiunto dai Prodotti inseriti nell'Ordine. Anche in questo caso, attraverso i pulsanti Aggiungi e Modifica viene richiamata la finestra Costo della Spedizione attraverso la quale è possibile definire il Peso Totale che deve essere uguagliato o superato perché possa essere applicato il Costo di spedizione specificato.

Perché i costi di spedizione vengano calcolati correttamente è importante, quindi, specificare il Peso di ogni Prodotto presente nel Carrello attraverso l'apposita opzione presente nella finestra Impostazioni Prodotto.

In più, è disponibile anche l'opzione:

-

IVA (%): se attiva, permette di specificare l'IVA da applicare sul costo associato al metodo di spedizione. Questa opzione è disponibile solo se nella Sezione Opzioni è stata attivata l'opzione Imposta IVA per ogni Prodotto.

Infine, nella Sezione Messaggio E-mail è presente un campo all'interno del quale è possibile inserire un testo che descrive e spiega il metodo di spedizione corrente. E' bene comporre con cura questo messaggio dal momento che verrà utilizzato all'interno dell'e-mail di conferma dell'Ordine che verrà inviata al Cliente.

Argomenti correlati:
- | Carrello E-commerce | Sezione Pagamento
- | Come definire i contenuti della e-mail di conferma Ordine


Carrello e-commerce | Sezione Pagamento | Metodo di Pagamento

La finestra Metodo di Pagamento, richiamata dal comando Aggiungi o dal comando Modifica presenti nel riquadro Elenco dei metodi di Pagamento della Sezione Pagamento, permette di definire e inserire i metodi di pagamento da attivare sul Carrello e-commerce.

La finestra Metodo di Pagamento è articolata in 3 sezioni:
- | Sezione Generale
- | Sezione Tipo
- | Sezione Messaggio E-mail

Nella Sezione Generale sono disponibili le seguenti opzioni:
- | Nome: permette di attribuire un nome al metodo di pagamento in modo da poterlo identificare tramite una dicitura chiara e sintetica.
- | Descrizione: permette di introdurre una spiegazione completa del metodo di pagamento.

Nella Sezione Tipo, invece, è possibile specificare il tipo di pagamento richiesto scegliendo tra:
- | Pagamento posticipato: in questo caso il Cliente potrà portare a termine l'Ordine ed effettuare il Pagamento in un secondo momento. E' indicato, per esempio, nel caso di pagamenti tramite Bonifico Bancario.
- | Pagamento immediato: in questo caso, invece, il Cliente potrà portare a termine l'Ordine ma gli verrà richiesto di effettuare subito il Pagamento. E' indicato nel caso di pagamenti tramite PayPal, o altri circuiti analoghi, oppure tramite Carta di Credito.

Attivando l'opzione Pagamento immediato occorre definire il Tipo di Pagamento richiesto; in base poi al tipo scelto è necessario impostare alcuni parametri:
PayPal/Carta di Credito:

-

Account PayPal: permette di immettere l'account ottenuto in qualità di utente registrato di PayPal.

-

Pagina visualizzata per l'Avvenuto Pagamento: permette di richiamare la Mappa del Sito e di selezionare la Pagina che deve essere visualizzata dopo che è stato portato a termine il Pagamento.

-

Pagina visualizzata per Errore Pagamento: permette di richiamare la Mappa del Sito e di selezionare la Pagina che deve essere visualizzata nel caso si verifichi un errore durante la procedura di Pagamento.
Codice personalizzato:

-

Codice HTML per il Pulsante 'Paga Adesso': se si decide di utilizzare un sistema di pagamento alternativo a PayPal, questa opzione permette di immettere il codice HTML fornito, in seguito all'iscrizione, dal gestore del servizio di transazione scelto.

Il codice HTML fornito dal gestore del servizio di transazione serve per creare il pulsante "Paga Adesso" e deve essere completato con l'indicazione di cosa viene acquistato e il relativo prezzo. Perché il carrello funzioni è necessario, dunque, inserire manualmente nel codice i seguenti tag:
- | [ORDER_NO] - permette di riprendere il numero dell'ordine;
- | [PRICE] - premette di riprendere il prezzo.

In più, sono disponibili anche le opzioni:
- | Costo: permette di specificare l'ammontare delle spese aggiuntive applicate nel caso il Cliente scelga il metodo di pagamento corrente.
- | IVA (%): se attiva, permette di specificare l'IVA da applicare sul costo associato al metodo di pagamento. Questa opzione è disponibile solo se nella Sezione Opzioni è stata attivata l'opzione Imposta IVA per ogni Prodotto.

Infine, nella Sezione Messaggio E-mail è presente un campo all'interno del quale è possibile inserire un testo che descrive e spiega il metodo di pagamento corrente. E' bene comporre con cura questo messaggio dal momento che verrà utilizzato all'interno dell'e-mail di conferma dell'Ordine che verrà inviata al Cliente.

Argomenti correlati:
- | Carrello E-commerce | Sezione Pagamento
- | Come definire i contenuti della e-mail di conferma Ordine


Carrello e-commerce | Sezione Dati Cliente

Attraverso le opzioni proposte nella Sezione Dati Cliente della finestra Carrello e-commerce è possibile definire la composizione del modulo che l'utente deve compilare per procedere all'ordine tramite il Carrello.

Nel riquadro Modulo d'Ordine viene proposto un Elenco Campi con la lista dei campi che possono essere utilizzati per comporre il modulo d'ordine.
Per inserire un campo nel modulo è sufficiente cliccare in modo da far comparire il segno di spunta nel check box corrispondente della colonna Visibile. Per fare in modo, invece, che il campo debba essere necessariamente compilato per procedere nell'ordine occorre spuntare anche il check box presente nella colonna Obbligatorio.

La lista proposta di default prevede già tutti i campi generalmente utilizzati in un modulo di registrazione.

L'ultimo campo proposto nella lista è quello relativo all'E-mail: non è possibile nascondere questo campo o renderlo non obbligatorio dal momento che per il corretto funzionamento del carrello è necessario conoscere l'e-mail dell'utente che invia l'ordine.

Oltre all'Elenco Campi sono disponibili anche le seguenti opzioni:
- | Mostra Condizioni di Accettazione: attivando questa opzione è possibile aggiungere in calce al modulo un campo dove vengono riportate le condizioni che l'utente deve accettare per procedere nell'invio dell'ordine. Tale campo può essere utilizzato, per esempio, per presentare le norme a cui ci si attiene per la tutela della privacy nel trattamento dei dati raccolti.
- | Testo delle Condizioni di Accettazione: permette di inserire il testo delle condizioni che l'utente deve accettare prima di procedere all'effettivo invio dell'ordine.

Nel riquadro Indirizzo e-mail di riepilogo Ordine sono presenti le seguenti opzioni:
- | Indirizzo e-mail dove ricevere gli Ordini: permette di specificare l'indirizzo e-mail su cui l'amministratore del Sito desidera ricevere gli ordini effettuati dagli utenti attraverso il carrello.
- | Allega Dati Ordine in formato CSV: attivando questa opzione è possibile fare in modo che i dati raccolti vengano salvati anche in un file di formato .CSV, incluso in coda alla e-mail. In un file .CSV i dati vengono riportati in forma testuale, come un lungo elenco di voci separate da un punto e virgola: tali file possono essere agevolmente importati nei programmi per la gestione dei fogli di calcolo (per es., Microsoft Excel).

Infine, nel riquadro E-mail di conferma Ordine per l'utente sono disponibili i campi attraverso i quali è possibile specificare il Testo di introduzione e il Testo di chiusura per l'e-mail di conferma Ordine che verrà automaticamente inviata all'utente. In questa e-mail di conferma d'ordine, oltre al testo di introduzione e al testo di chiusura vengono proposte anche le descrizioni relative ai metodi di spedizione e pagamento scelti.

Argomenti correlati:
- | Carrello e-commerce
- | Come definire i contenuti della e-mail di conferma Ordine


Carrello e-commerce | Sezione Opzioni

Attraverso le opzioni proposte nella Sezione Opzioni della finestra Carrello e-commerce è possibile definire alcuni parametri grafici, oltre che relativi a valuta e IVA, per il Carrello di e-commerce.

Nel riquadro Impostazioni valuta vengono presentate le seguenti opzioni:
- | Valuta: permette di definire la valuta da utilizzare nel carrello. Il menu a comparsa propone già alcune valute: per modificare la composizione di tale lista di valute è sufficiente cliccare sul pulsante [image] per richiamare la finestra Elenco Valute.
- | Raggruppamento cifre: permette di scegliere come devono essere scritti i prezzi dei Prodotti, scegliendo se le migliaia devono essere separate da un punto e i decimali da una virgola (1.000,00) o viceversa (1,000.00).
- | Mostra valuta a destra: attivando questa opzione, il simbolo della valuta viene riportato a destra dei prezzi.
- | Mostra cifre decimali: attivando questa opzione, i prezzi vengono riportati con due cifre dopo la virgola.

Nel riquadro Impostazioni IVA sono disponibili le seguenti opzioni:
- | L'IVA è inclusa nel prezzo dei Prodotti: attiva di default, imposta il Carrello in modo che i prezzi dei Prodotti siano già comprensivi di IVA.
- | Imposta l'IVA per ogni Prodotto: occorre attivare questa opzione se si desidera riportare i prezzi dei Prodotti al netto dell'IVA e avere la possibilità di specificare a quanto ammonta caso per caso.
- | Valore di default dell'IVA (%): disponibile solo se viene attivata l'opzione Imposta l'IVA per ogni Prodotto, permette di specificare un valore di default per l'IVA. Questo valore viene applicato quando non viene specificata l'IVA per un Prodotto attraverso l'apposita opzione della finestra Impostazioni Prodotto | Generale.

Nel riquadro Opzioni vengono presentati i seguenti comandi:
- | Consenti Ordine solo per importi minimi: permette di fare in modo che l'ordine non venga accettato a meno che non raggiunga l'importo minimo stabilito.
- | Importo minimo totale: disponibile solo se viene attivata l'opzione Consenti Ordine solo per importi minimi, permette di definire il valore dell'importo minimo che deve essere raggiunto dal totale dell'ordine perché questo venga accettato.

Infine, nel riquadro Grafica Tabella Prodotti vengono presentati i comandi necessari per definire l'aspetto delle tabelle attraverso le quali vengono presentati i prodotti disponibili e/o inseriti nel carrello:
- | Sfondo intestazione / Testo intestazione / Sfondo celle / Testo celle / Bordo tabella: permettono di definire, attraverso la finestra Colore richiamata, il colore per i diversi elementi della Tabella Prodotti.
- | Immagine 'Aggiungi al carrello' / Immagine 'Rimuovi dal carrello': permettono di specificare le immagini da utilizzare per creare i pulsanti 'Aggiungi al carrello' e 'Rimuovi dal carrello', ovvero i pulsanti che l'utente può utilizzare per inserire o rimuovere dal carrello un determinato prodotto.
- | Immagine 'Anteprima non disponibile': permette di specificare l'immagine da utilizzare quando per un prodotto non è stata specificata l'immagine associata e nella pagina Elenco prodotti è stata scelta la presentazione "Immagine e testo" o "Testo e immagine" per le schede.

Argomenti correlati:

-

Carrello e-commerce


Esportazione

Giunti al termine di una sessione di lavoro o della creazione del Sito intero, al Passo 5 WebSite X5 permette di scegliere la modalità di esportazione per il Progetto corrente. Innanzitutto, grazie al Motore FTP incluso, è possibile procedere direttamente alla pubblicazione dei file su Server: viene gestita anche la connessione sicura ed è possibile risparmiare tempo lavorando in multi-connessione e, in caso di aggiornamenti, pubblicando solo i file modificati. In alternativa, è possibile esportare il Sito su un disco del proprio PC in modo da poter disporre in locale di una copia dei file che verranno pubblicati su Server. Infine, tutti i file del Progetto possono essere raggruppati all'interno di un'unica cartella al fine di poter essere facilmente trasferiti su un altro computer per proseguire nel lavoro.

Dunque, nello specifico le opzioni di esportazione disponibili sono:

 Esporta il Sito su Internet

Esporta il Sito su disco

Esporta il Progetto


Esportazione del Sito su Internet

Questa finestra permette di effettuare la pubblicazione in rete del Sito creato.

WebSite X5 mette a disposizione un Motore FTP interno in modo da poter procedere direttamente alla pubblicazione online dei Siti realizzati. Infatti, tutti i file necessari perché un Sito possa essere correttamente visualizzato in Internet sono salvati sul computer sul quale si è svolto il lavoro. Per far sì che gli utenti che si connettono ad Internet possano vedere le nostre Pagine, quindi, è necessario copiare questi file su un Server, ovvero su un computer permanentemente connesso alla Rete.

Per procedere nell'esportazione di tutti i file relativi al Sito è necessario, per prima cosa, specificare i seguenti Parametri di connessione (dati forniti dal Provider gestore del servizio al quale ci si appoggia per avere lo Spazio Web):

-

Tipo di Server: permette di specificare il tipo di connessione da utilizzare per procedere alla pubblicazione dei file del Sito su Server. In relazioni a ciò che viene supportato dal proprio Server, è possibile scegliere tra:
- | FTP - File Transfer Protocol: previsto di default, è uno dei primi protocolli per la trasmissione dei dati che è stato introdotto ed è ampiamente diffuso. La specifica originale di FTP non prevede alcuna cifratura per i dati scambiati tra Client e Server.
- | SFTP - SSH File Transfer Protocol: è un protocollo di rete che prevede il trasferimento sicuro dei dati, grazie allo stabilimento di sessioni remote cifrate, oltre che funzionalità di manipolazione sui file remoti.
- | FTPS - FTP over explicit TLS/SSL: per risolvere i problemi di sicurezza, aggiunge al protocollo FTP originale un layer di cifratura SSL/TLS oltre che una serie di comandi e codici di risposta.

-

Indirizzo FTP: in questo campo si deve inserire il proprio indirizzo FTP. Un esempio di indirizzo FTP è: "ftp.websitex5.com", dove "websitex5.com" è il nome del dominio.

-

Username / Password: in questi campi è necessario inserire le proprie Username e Password.

-

Salva password: attivando questa opzione, la password specificata viene memorizzata in modo da non dover essere reimmessa in futuro.

In più, è possibile specificare alcuni Parametri opzionali, non indispensabili per stabilire la connessione al Server, quali:

-

Cartella di destinazione: in questo campo si può specificare la cartella di destinazione assegnata dal Provider per il proprio Spazio Web. Se non si inserisce un percorso, sarà comunque possibile impostarlo nella videata successiva di WebSite X5.

-

Porta: permette di specificare la porta del Server sulla quale viene stabilita la connessione (dato fornito dal Provider dello Spazio Web). Nella maggior parte dei casi non è necessario modificare il valore impostato di default.

-

Connessioni simultanee: permette di specificare il numero di connessioni al Server che il Motore FTP del Programma deve aprire simultaneamente per procedere alla pubblicazione dei file del Sito. Il numero di connessioni equivale al numero massimo di file che possono essere esportati in contemporanea.

La connessione simultanea è una funzionalità che deve essere supportata dal Server utilizzato. Se supportata, oltre un certo limite, aumentare il numero di connessioni simultanee non comporta un reale vantaggio in termini di tempo. Si consiglia di partire da 3 e provare a modificare tale parametro, incrementandolo progressivamente, in modo da identificare il numero di connessioni migliore in relazione alla dimensioni della banda gestita dal Server utilizzato. Indicativamente, non è consigliabile superare le 10 connessioni simultanee.

-

Utilizza FTP passivo: attiva di default, prevede l'utilizzo dell'FTP passivo come modalità di pubblicazione. Questa modalità è consigliabile per una maggior compatibilità di connessione con il Server.

-

Usa compressione gzip: attiva di default, prevede che i file relativi al Sito vengano compressi durante l'esportazione, in modo da portare a termine la pubblicazione in minor tempo.

Non tutti i Server supportano la compressione in gzip: in caso l'opzione sia attiva e il Server utilizzato non la supporti, i file non verranno compressi e la pubblicazione verrà portata ugualmente a termine. La compressione gzip funziona molto bene con file di grosse dimensioni (per esempio, perchè contenenti molte immagini o video) mentre non è consigliata nel caso di file di piccole dimensioni.

Impostati i Parametri necessari per effettuare la connessione al Server, è possibile specificare il Tipo di caricamento, ovvero ciò che si vuole effettivamente pubblicare:

-

Esporta tutti i file del Sito Internet: in questo caso viene pubblicato l'intero Sito. Questa modalità è indicata quando si procede per la prima volta alla pubblicazione di un Progetto o quando sono state fatte numerose e sostanziali modifiche al Sito.

-

Esporta solo i file modificati dall'ultima esportazione avvenuta in data...: in questo caso vengono pubblicati solo i file che sono stati modificati rispetto a quanto pubblicato con l'esportazione avvenuta nella data ricordata. Questa modalità è indicata per Siti che vengono mantenuti costantemente aggiornati e offre il vantaggio di richiedere un tempo inferiore rispetto alla pubblicazione completa del Sito.

La data di pubblicazione viene salvata all'interno del file di Progetto: per questo è importante, dopo aver pubblicato i file, salvare sempre le modifiche.
Anche se viene richiesta l'esportazione dei soli file modificati, le pagine HTML e i file di risorse (presenti nella sottocartella Res) vengono ripubblicati: è infatti molto probabile che abbiano comunque subito degli aggiornamenti.

-

Esporta solo il Blog e il Feed RSS: in questo caso vengono pubblicati solo i file .PHP e .XML del Blog e i file .XML del Feed RSS gestiti attraverso le apposite sezioni del Passo 4 - Impostazioni Avanzate. Questa modalità, attiva solo se il Blog e/o il Feed RSS è già stato pubblicato una prima volta, è indicata quando non sono stati apportati aggiornamenti al Sito ma solo aggiunte nuovi post nel Blog o nuove notizie nel Feed RSS.

In pratica

Dopo aver impostato i parametri richiesti è sufficiente cliccare sul pulsante Avanti per effettuare la connessione al Server. Stabilita la connessione al Server, in un'apposita finestra vengono visualizzate le cartelle in esso già presenti. A questo punto, utilizzando i comandi messi a disposizione, è necessario posizionarsi all'interno della cartella nella quale si desidera pubblicare i file relativi al Sito.

 La cartella all'interno della quale pubblicare il Sito dovrebbe contenere un file index.html. In qualsiasi caso, se non si è sicuri della cartella in cui pubblicare, occorre contattare il proprio Provider e chiederne conferma: non tutte le cartelle presenti su Server vanno bene per la pubblicazione.

Nello specifico, i comandi disponibili per agire sulle cartelle e i file presenti su Server sono:

 Cartella superiore
Permette di accedere alla cartella superiore.

Aggiorna
Permette di ricaricare il contenuto della cartella corrente.

Nuova cartella
Permette di creare una nuova cartella.

Elimina
Permette di eliminare il file o la cartella selezionata.

Rinomina
Permette di modificare il nome del file o della cartella selezionata.

Carica un file su Server / Scarica un file dal Server
Permettono, rispettivamente, di pubblicare su Server uno o più file che non fanno parte del Progetto e di scaricare su PC locale file già pubblicato sul Server.

Visualizzazione Lista / Visualizzazione Dettagli
Permettono di impostare come deve essere visualizzata la lista dei file.

Infine, è disponibile una sezione in cui è possibile scegliere se visualizzare:
- | Registro Messaggi: vengono riportati tutti i messaggi (ovvero i log) e i possibili errori generati durante la comunicazione con il Server.
- | Coda trasferimenti: visualizza i file (il numero massimo di tali file dipende dalle Connessioni simultanee impostate) di cui si sta procedendo alla pubblicazione. Per ogni file, una barra di progressione visualizza lo stato di avanzamento della pubblicazione. A pubblicazione avvenuta, il file viene rimosso dalla Coda dei trasferimenti.

 Durante l'esportazione, WebSite X5 procede a copiare sul Server tutti file contenuti nella cartella di registrazione. Se in questa cartella sono già presenti dei file che hanno lo stesso nome di quelli che vengono pubblicati, questi vengono sovrascritti.

Argomenti correlati:

-

Esportazione


Esportazione completata

Dopo aver portato a termine con successo la pubblicazione online (vedere, Esportazione del Sito su Internet), questa finestra suggerisce alcune azioni da compiere per pubblicizzare il Sito realizzato attraverso canali come la Gallery di WebSite X5, Google, Facebook e Twitter.

Nello specifico, le opzioni disponibili sono:

 Il tuo Sito è stato pubblicato!
Permette di avviare il Browser Internet predefinito per navigare subito sul Sito appena messo online e controllare che tutto funzioni correttamente.

WebSite X5 Gallery
Permette di collegarsi alla sezione dedicata alla Gallery di My.WebSiteX5.com per poter segnalare il Sito appena pubblicato. Ricordiamo che la Gallery è una raccolta di Siti realizzati con WebSite X5 e segnalati direttamente dai loro autori.

Aggiorna la SiteMap su Google
Permette di inviare a Google la segnalazione della SiteMap del Sito appena pubblicato, in modo da sollecitarne l'indicizzazione da parte dello spider del Motore.

Notifica la pubblicazione su Facebook
Permette di visualizzare una pagina di Facebook in cui, dopo essersi loggati, è possibile scrivere un commento per segnalare a tutti i propri contatti l'avvenuta pubblicazione del Sito. Il commento verrà visualizzato sulla bacheca del proprio profilo.

Notifica la pubblicazione su Twitter
Permette di visualizzare una pagina di Twitter in cui, dopo essersi loggati, è possibile scrivere un tweet per segnalare a tutti i propri contatti l'avvenuta pubblicazione del Sito. Il tweet verrà visualizzato sulla timeline del proprio profilo.

Argomenti correlati:

-

Esportazione


Esportazione su disco

Questa finestra permette di effettuare la pubblicazione del Sito creato su un altro disco del computer.

L'esportazione su disco serve per avere una copia su PC dei file che verranno pubblicati su Server, per poterla riversare su CD/DVD/USB o per poter effettuare eventuali modifiche sulle pagine HTML create prima dell'effettiva pubblicazione.

Per procedere nell'esportazione di tutti i file del Progetto è sufficiente specificare:

-

Cartella di destinazione: permette di specificare la cartella dove esportare il Sito creato. Se la cartella specificata non esiste, viene automaticamente creata.

Per creare una copia di backup del Progetto è necessario utilizzare la funzione Esporta il Progetto: in questo modo si può disporre, infatti, di una copia dei file originali del Progetto e non dei file creati dal programma per la pubblicazione.

Argomenti correlati:

-

Esportazione


Esportazione del Progetto

Questa finestra permette di esportare in un unico file compresso tutti i file collegati al Progetto, al fine di poterli trasferire su un altro computer o di creare una copia di backup.

Per procedere nell'esportazione del file di Progetto è sufficiente specificare:

-

Cartella di destinazione: in questo campo si deve specificare la cartella dove esportare il file di Progetto. Se la cartella specificata non esiste, viene creata automaticamente.

In seguito all'esportazione, dunque, nella cartella di destinazione specificata viene creato un unico file compresso che ha lo stesso nome del Progetto ed estensione .IWZIP: in questo modo, per il progetto "MioProgetto" verrà creato il file MioProgetto.iwzip. All'interno di questo file compresso vengono salvati sia il file di Progetto (file .IWP) che tutti i file ad esso collegati (per esempio, relativi a Immagini, Video o Animazioni importate).

Il file compresso .IWZIP potrà essere trasferito su un computer diverso da quello su cui è stato creato e aperto nel programma attraverso la funzione Importa, disponibile nella finestra Scelta del Progetto.

Argomenti correlati:
- | Esportazione
- | Scelta del Progetto | Importa Progetto


Come gestire le Lingue per i testi inseriti in automatico

Alcuni testi presenti nelle Pagine create con WebSite X5 vengono inseriti automaticamente dal Programma; sono testi come, per esempio, i link ad ancore interne, i Pulsanti dell'Oggetto Galleria, le etichette dell'Oggetto Modulo Invio E-mail, le etichette e i testi dei Carrello di e-commerce, i testi della Mappa del Sito.

Perchè questi testi inseriti in automatico siano nella Lingua corretta, è necessario specificare la Lingua principale del Sito attraverso l'opzione Lingua dei contenuti disponibile nella finestra Impostazioni Generali. Di default, WebSite X5 permette di scegliere fra un certo numero di Lingue, fra cui Italiano, Inglese e Tedesco, di cui dispone già di tutte le traduzioni necessarie. In qualsiasi caso, le traduzioni impostate possono essere modificate, così come è possibile aggiungere o importare nuove Lingue o rimuovere quelle che non servono. Per compiere questa serie di operazioni è necessario accedere alla finestra Gestione Contenuti in Lingua cliccando sul pulsante [image] Scegli... posto a fianco dell'opzione Lingua dei contenuti.

Come si vede la finestra Gestione Contenuti in Lingua presenta, sulla sinistra, l'elenco delle Lingue disponibili e, sulla destra, una Tabella con le traduzioni nelle diverse Lingue. La prima colonna della Tabella riporta una descrizione utile per identificare dove le diverse voci vengono utilizzate; seguono una colonna per ciascuna Lingua attiva. Per Lingua attiva si intende una Lingua sulla quale è stato apposto il segno di spunta fra quelle presenti nell'elenco delle Lingua disponibili. E', dunque, possibile lavorare direttamente su questa Tabella per modificare o aggiungere voci.

La finestra Gestione Contenuti in Lingua presenta, infine, i seguenti pulsanti:

 Aggiungi Lingua: permette di inserire, attraverso la finestra di dialogo richiamata, il nome della nuova Lingua da creare. Il nome della Lingua deve essere inserito rispettando il seguente formato: "ID - NomeLingua", per esempio "EN - English".

Rimuovi Lingua: permette di eliminare la Lingua selezionata dall'elenco.

In pratica - Modificare una voce già introdotta

Un esempio di testo inserito in automatico dal programma sono le etichette dei pulsanti "Invia" e "Reset" previsti al termine delle form di contatto.
Ipotizzando di voler modificare l'etichetta "Reset" in "Annulla", dopo aver impostato "Italiano" come Lingua dei contenuti, occorre procedere nel seguente modo:
- | Nella finestra Gestione Contenuti in Lingua, se non ancora attiva, cliccare sulla Lingua Italiano in modo da visualizzarne la colonna relativa nella Tabella dei contenuti.
- | Nella prima colonna della Tabella dei contenuti, identificare la voce "label_form" che è quella relativa all'etichetta da modificare: spostarsi lungo la riga per arrivare alla cella corrispondente nella colonna della Lingua Italiano. Fare doppio click nella cella in modo da far comparire il cursore: cancellare il testo "Reset" e digitare "Annulla".
- | Confermare e salvare.

In pratica - Aggiungere una nuova Lingua

Per creare un Sito in una Lingua non ancora prevista (per esempio, in Portoghese) evitando che i testi gestiti in automatico vengano inseriti nella versione Inglese (utilizzata di default), occorre predisporre una nuova Lingua e immettere le traduzioni richieste. Avendo le competenze linguistiche necessarie, è un'operazione molto semplice:
- | Nella finestra Gestione Contenuti in Lingua cliccare sul pulsante Aggiungi Lingua e, attraverso la finestra di dialogo richiamata, inserire la dicitura "PT - Português": in questo modo la nuova voce compare in coda all'elenco delle Lingue disponibili.
- | Cliccare sulla voce "PT - Português" in modo da visualizzare la colonna relativa a questa Lingua nella Tabella delle traduzioni.
- | Cliccare nelle diverse celle della colonna "PT - Português" per immettere le traduzioni necessarie.
- | Inserite le traduzione, confermare e salvare.

Argomenti correlati:
- | Impostazioni generali | Sezione Base
- | Impostazioni avanzate | Pagina di Benvenuto
- | Come creare un sito multi-lingua


Come creare un'immagine di sfondo che si adatta alle dimensioni della Cella

Attraverso la finestra Stile della Cella | Sezione Stile è possibile definire l'aspetto grafico della Cella corrente della Griglia di impaginazione.

Una delle possibilità disponibili è quella di importare un'immagine (file in formato .JPG, .GIF, .PNG) e di utilizzarla per comporre lo sfondo di tale Cella. A seconda del tipo di immagine importata sarà necessario scegliere l'opzione Cella con immagine di sfondo, definendo impostazioni diverse per le voci Disposizione e Allineamento, o utilizzare l'opzione Cella con immagine adattata, in modo da riuscire ad ottenere il risultato migliore.

Esempio 1
L'immagine importata è delle stesse dimensioni della Cella.
Sfondo: Cella con immagine di sfondo
Disposizione: Non ripetere
Allineamento: Alto-Sinistra

Esempio 2
L'immagine importata è un pattern, ovvero un'immagine creata in maniera tale che unendone due o più uguali, sia in orizzontale che in verticale, non si nota in punto di congiunzione.
Sfondo: Cella con immagine di sfondo
Disposizione: Ripeti in entrambe le direzioni
Allineamento: Alto-Sinistra

Esempio 3
L'immagine importata è quella di una cornice che si dovrà adattare a Celle di dimensioni diverse.
Sfondo: Cella con immagine adattata
Larghezza blocco / Altezza blocco: impostare le dimensioni dei blocchi più opportune.

Per meglio comprendere come opera l'opzione Cella con immagine adattata, cosa siano i blocchi e come impostarne correttamente le dimensioni, si considerino le seguenti immagini:

Immagine 1 | Immagine 2 | Immagine 3

L'immagine originale (Immagine 1) mostra una cornice molto elaborata ma che ben si presta ad essere tagliata in blocchi e ad adattarsi a qualsiasi dimensione la Cella assuma: gli elementi ornamentali aggiunti negli angoli occupano, infatti, un'area ben definita e facilmente delimitabile e tutte le sfumature possono essere ripetute come un pattern senza che si verifichino bruschi cambi di tonalità.

Nell'Immagine 2 si vedono i blocchi di cui occorre impostare le dimensioni (opzioni Larghezza blocco e Altezza blocco). I valori della larghezza e dell'altezza dei blocchi (tutti uguali fra loro) vengono definiti in percentuale rispetto alla larghezza e all'altezza dell'immagine originale e possono variare fra il 5% e il 45%. In questo caso, occorre impostare la dimensione del taglio al 35% per entrambe i lati dei blocchi perché comprendano completamente l'immagine posizionata sugli angoli.

Come di vede nell'Immagine 3, identificando i blocchi A, B, C, D è possibile ricavare altre 5 sezioni, a, b, c, d, e: questi sono i tagli che vengono effettuati dal Programma per ricavare dall'immagine originale tutte le immagini necessarie per comporre lo sfondo della Cella. Quindi, mentre le immagini corrispondenti ai blocchi A, B, C, D vengono mantenute così come sono e semplicemente posizionate agli angoli, le immagini corrispondenti alle sezioni, a, b, c, d, e vengono ripetute in modo da riempire tutto lo spazio necessario.
Come è facile da comprendere, questa procedura permette una notevole flessibilità: partendo da un'unica immagine adeguatamente realizzata, infatti, è possibile risolvere l'aspetto di Celle anche con dimensioni fra loro molto diverse.

Argomenti correlati:
- | Griglia di impaginazione
- | Aspetto Cella


Come creare un Modulo per l'invio di E-mail

Navigando in Internet, capita spesso di visualizzare pagine contenenti dei moduli di cui viene richiesta la compilazione e l'invio tramite e-mail. Tali moduli vengono utilizzati per richiedere la registrazione a particolari servizi o l'accesso ad aree riservate attraverso password o, più semplicemente, per realizzare sondaggi e ricerche.

Creare un modulo per la raccolta dei dati e il loro invio tramite e-mail può essere un compito non semplice da portare a termine: WebSite X5 consente di risolverlo in maniera brillante e senza particolari difficoltà grazie all'Oggetto Modulo Invio E-mail.

Come esempio, creaiamo un tipico modulo di iscrizione a un servizio online.

Composizione del modulo

Passo 1
Innanzi tutto, creiamo una Pagina inserendo un Oggetto Testo, utile per impostare un titolo e/o un invito ad effettuare la registrazione, e di seguito un Oggetto Modulo Invio E-mail.
Passo 2
Procediamo alla creazione del Modulo lavorando nella Sezione Elenco della finestra Oggetto Modulo Invio E-mail. Clicchiamo sul pulsante Aggiungi e nella finestra Inserimento Campo selezioniamo Campo Testo inserendo come Etichetta "Nome:", impostando la Larghezza al 50% e attivando l'opzione Imposta come campo obbligatorio. Confermando abbiamo creato il primo campo per richiedere il Nome dell'Utente che vuole effettuare la registrazione.

Ripetendo la stessa procedura possiamo inserire un secondo Campo Testo per il "Cognome". Perchè il campo "Cognome" si affianchi a quello del "Nome" dobbiamo verificare che la larghezza sia compatibile (nel nostro esempio, al 50%) e che sia attiva l'opzione Visualizza nella stessa riga del Campo precedente.

Passo 2
Per la domanda sul genere di appartenenza possiamo utilizzare il campo Lista: in alternativa avremmo potuto impiegare anche un campo Lista a discesa o un campo Scelta Singola.

Una volta digitata l'Etichetta ("Sesso"), dobbiamo creare l'Elenco delle possibili modalità di risposta: clicchiamo sul pulsante Aggiungi e, attraverso la finestra richiamata, inseriamo le opzioni "Maschio" e "Femmina".

Possiamo fare in modo che di default venga visualizzata solo la prima modalità di risposta impostando "1" per l'opzione Numero di righe.
Passo 3
Per la domanda relativa alla "Data di nascita" abbiamo la possibilità di usare un campo specifico: il campo Data.

Per impostare questo tipo di campo dobbiamo solo scegliere secondo quale formato deve essere scritta la data (opzione Formato Data) perchè sia accettata. Per facilitare il compito dell'Utente, in questi casi, possiamo attivare l'opzione Mostra icona "Calendario": posizionando il mouse sull'icona che verrà automaticamente affiancata al campo, l'Utente potrà visualizzare un calendario attraverso il quale impostare la data richiesta senza doverla digitare.
Passo 4
Anche per richiedere l'inserimento di un indirizzo E-mail, possiamo contare su un campo apposito, ovvero il campo Posta elettronica.

La particolarità di questo campo è che viene effettuato in automatico un controllo sulla correttezza del dato inserito: in pratica viene verificata la presenza del carattere @ e la presenza di un punto nel testo che segue.
Passo 5
Per permettere all'Utente di iscriversi dobbiamo prevedere che possa specificare quale password intende utilizzare. A questo proposito possiamo utilizzare l'apposito campo Password.

Per impostare questo campo dobbiamo solo specificarne l'Etichetta e attivarlo come obbligatorio.

Per maggiore sicurezza, possiamo richiedere all'Utente di digitare una seconda volta la password scelta. Perchè venga creato il campo dove re-immettere la password e venga verificata la corrispondenza tra le due password digitate, dobbiamo solo attivare l'opzione Richiedi conferma correttezza password.

Passo 6
A conclusione del modulo, possiamo inserire un campo Condizioni di Accettazione per presentare il testo delle condizioni che l'Utente deve accettare per potersi iscrivere al servizio proposto.

In questo caso dobbiamo specificare l'Etichetta e inserire il Testo della condizione: i pulsanti Accetto e Non Accetto verranno aggiunti automaticamente dal Programma.

Informazioni aggiuntive sui Campi
Se pensiamo che l'Etichetta associata a un campo non sia sufficiente per permettere all'Utente di compilarlo correttamente e senza incertezze, possiamo comporre una nota con la descrizione del campo o le spiegazioni che riteniamo utili. Ipotiziamo di voler associare una nota esplicativa al campo Password composto in precedenza.
Passo 7
Nella finestra Oggetto Modulo Invio E-mail, nella tabella che riassume tutti i campi inseriti, facciamo doppio click sul campo Password in modo da riaprirlo nella finestra richiamata Inserimento Campo.

Apriamo la sezione Opzioni e digitiamo la Descrizione del Campo. Questo testo verrà proposto in una nota visualizzata al passaggio del mouse sull'icona che verrà appositamente affancata al campo in questione.

Possiamo personalizzare l'icona che indica la disponibilità di una nota informativa sul campo attraverso l'opzione File Icona per Descrizione Campo presente nella Sezione Stile della finestra Oggetto Modulo Invio E-mail.

Possiamo anche agire su forma, colori e formattazioni del testo della nota esplicativa creata, attraverso le opzioni raccolte nella Sezione ToolTip della finestra Stili e Modelli.

A questo punto, la tabella riassuntiva proposta nella finestra Oggetto Modulo Invio E-mail | Sezione Elenco, si presenta come nell'immagine seguente:

I pulsanti Invia, per l'invio del Modulo compilato, e Reset, per cancellare tutti i dati eventualmente inseriti nel Modulo, vengono automaticamente creati dal Programma e posizionati al termine della Form.

Impostazioni per l'invio dei dati
Creato il modulo inserendo tutti i campi necessari, possiamo procedere specificando le impostazioni utili per definire la modalità di invio dei dati raccolti. Tutte le opzioni utili per questo scopo sono raccolte nella Sezione Invio della finestra Oggetto Modulo Invio E-mail.
Passo 8
Innanzi tutto, come Metodo di invio del messaggio impostiamo Invia i dati per e-mail. In alternativa, per gestioni più complesse, potremmo decidere di inviare i dati direttamente a un Database specificando tutti i parametri per il collegamento.

Passo 9
A questo punto dobbiamo definire le impostazioni per l'e-mail che ci deve essere inviata, in quanto gestori del Sito, con i dati dell'Utente che ha effettuato l'iscrizione attraverso il Modulo online.

Se vogliamo che come Mittente figuri direttamente l'Utente, dobbiamo attivare l'opzione E-mail mittente e indicare il campo da cui deve essere preso l'indirizzo e-mail. In questo modo potremmo utilizzare il comando "Rispondi" del nostro programma di Posta Elettronica in caso volessimo rispondere all'Utente.

Fatto questo dobbiamo specificare l'indirizzo e-mail sul quale vogliamo ricevere queste comunicazioni (E-mail destinatario), l'Oggetto e il Messaggio. Attraverso l'apposita opzione possiamo anche fare in modo che tutti i dati raccolti attraverso il modulo siano inclusi in coda in formato CSV (formato accettato da programmi come Microsoft Excel).

Passo 10
Compilato e inviato un modulo online, l'Utente si aspetta di ricevere un feedback sull'esito dell'operazione. Per questo possiamo attivare l'opzione Invia e-mail di conferma all'Utente e definire le impostazioni anche di questa e-mail.

In questo caso, siamo noi il Mittente e se vogliamo che l'indirizzo di posta elettronica che abbiamo indicato per ricevere le e-mail con i dati raccolti dal modulo non figuri, possiamo attivare l'opzione E-mail mittente e specificare quale vogliamo utilizzare. Possiamo, per esempio, pensare di usare un'e-mail tipo no-replay.

In più, ovviamente, dobbiamo specificare l'E-mail del destinatario, indicando da quale campo del Modulo ricavare il dato, l'Oggetto e il Messaggio, che potrebbero essere un ringraziamento per l'iscrizione appena effettuata. Anche in questo caso è possibile includere in cosa i dati raccolti in modo da permettere all'Utente di disporre di un promemoria.

Le e-mail con i dati raccolti dal Modulo online e inviate al Gestore del Sito e/o agli Utenti vengono create in automatico dal Programma. Per definirne l'aspetto grafico è possibile utilizzare le impostazioni raccolte in Stili e Modelli | Sezione E-mail.
Passo 11
Infine, possiamo attivare il controllo anti-spam inserendo il Captcha al termine del Modulo e specificare a quale Pagina del Sito l'Utente deve essere indirizzato dopo che ha cliccato per procedere all'invio dei dati.

Il Captcha consiste in un'immagine distorta di una sequenza di lettere e numeri che l'Utente deve riscrivere in un campo ed è uno dei metodi più diffusi per evitare di ricevere e-mail di spam.

Per quanto riguarda la Pagina di Conferma, è cosigliabile creare una Pagina di ringraziamento ad hoc, piuttosto che rimandare genericamente alla Home Page del Sito. Tale Pagina di ringraziamento può essere nascosta sul Menu di navigazione selezionandola nella Mappa e utilizzando il comando Pagina non visibile (vedere, La Barra Strumenti della Mappa del Sito).

Impostazioni grafiche del Modulo

Passo 11
Dopo aver definito la composizione del Modulo e i metodi di invio dei dati, possiamo ancora agire sull'impostazione grafica del Modulo stesso attraverso le opzioni presenti nella Sezione Stile della finestra Oggetto Modulo Invio E-mail.

Come si vede, dobbiamo selezionare l'Elemento del Modulo su cui vogliamo agire (dall'apposita lista a discesa o direttamente sull'Anteprima) e definirne formattazioni, immagini e colori. In più possiamo stabilire la posizione delle etichette rispetto ai Campi.

Quando si testa il funzionamento del Sito creato in locale, una finestra d'avviso avverte che le E-mail con i dati raccolti attraverso il Modulo non verranno inviate. Il Modulo E-mail funziona pienamente solo con la pubblicazione del Sito su Server.


Come WebSite X5 gestisce le Lingue

Internet permette di scavalcare i confini nazionali e, se si prevede che il Sito verrà consultato anche da persone di nazionalità diversa, è bene consentire la scelta fra più Lingue.

Gestire un Sito in Lingue diverse aggiunge un certo grado di complessità al Progetto ma, grazie alle funzioni messe a disposizione da WebSite X5 e potendo contare su un buon servizio di traduzione, tale compito può essere risolto brillantemente.

Innanzi tutto, è importante specificare che WebSite X5 genera tutti i file HTML relativi alle Pagine di un Sito utilizzando la Codifica UTF-8 (Unicode Transformation Format, 8 bit) dei caratteri. Grazie all'impiego dell'UTF-8 è possibile realizzare Siti in qualsiasi Lingua, incluse quelle che utilizzano alfabeti diversi da quello Latino come, per esempio, il Greco, il Cirillico, il Copto, l'Armeno, l'Ebraico e l'Arabo, senza trascurare il Cinese, il Giapponese e il Coreano. In più, non solo è possibile creare un Sito in qualsiasi Lingua ma è anche possibile prevedere testi in Lingue diverse all'interno dello stesso Sito, senza avere problemi di visualizzazione dei caratteri: per esempio, potremmo pensare tranquillamente a un testo in Russo con traduzione a fronte in Italiano.

Procedendo nella creazione di un Sito, WebSite X5 ci consente, in primo luogo, di associare una Lingua al Progetto (nella Impostazioni Generali | Sezione Base opzione Lingua dei contenuti): questo passaggio è essenziale per una corretta gestione dei testi che vengono inseriti automaticamente dal Programma. Oltre ad alcune Lingue pre-installate, possiamo accedere alla finestra Gestione Contenuti in Lingua cliccando sul pulsante [image] Scegli... per creare/importare altre Lingue o modificare le voci di quelle già presenti (vedere, Come gestire le Lingue per i testi inseriti in automatico).

Infine, possiamo creare un Sito multi-lingua dando all'Utente la facoltà di scegliere la Lingua di consultazione che preferisce fra quelle che mettiamo a disposizione. In questo caso, non dobbiamo fare altro che creare un Sito per ciascuna Lingua e collegarli fra loro come se fossero sezioni diverse di un unico Sito. I metodi per collegare fra loro Siti che differiscono solo per la Lingua di consultazione sono essenzialmente 2:
- | il primo sfrutta la Pagina di Benvenuto (vedere, Come creare un Sito multi-lingua tramite la Pagina di Benvenuto)
- | il secondo sfrutta la possibilità di inserire dei collegamenti direttamente dell'Intestazione del Modello (vedere, Come creare un Sito multi-lingua tramite Pulsanti nell'Intestazione del Modello)

Argomenti correlati:
- | Come gestire le Lingue per i testi inseriti in automatico
- | Come creare un Sito multi-lingua tramite la Pagina di Benvenuto
- | Come creare un Sito multi-lingua tramite Pulsanti nell'Intestazione del Modello


Come creare un Sito multi-lingua tramite la Pagina di Benvenuto

Ipotizziamo di voler creare un Sito consultabile in Italiano, Inglese e Portoghese: WebSite X5 ci consente di realizzarlo in maniera molto semplice sfruttando la Pagina di Benvenuto, ovvero la Pagina che, al momento dell'apertura, viene presentata ancora prima dell'Home Page e che funziona come una specie di copertina dell'intero Sito.

Creazione del Sito in Italiano
Passo 1
Innanzi tutto, creiamo il Sito in Italiano definendone struttura e contenuti. Per predisporlo per la scelta della Lingua, inseriamo una Pagina di Benvenuto dove visualizzare i Pulsanti con le bandiere per Italiano, Inglese e Portoghese.

Nel Passo 4 - Impostazioni Avanzate clicchiamo, quindi, sul pulsante Pagina di Benvenuto e, nella finestra a cui accediamo, attiviamo l'opzione Visualizza Pagina di Benvenuto specificando quale immagine/animazione visualizzare e settando tutte le impostazioni necessarie per dargli l'aspetto che desideriamo.

Passo 2
Impostata la grafica della Pagina di Benvenuto, è necessario fare in modo che in essa vengano inseriti i Pulsanti cliccando sui quali l'utente potrà scegliere se visualizzare il Sito in Lingua Italiana, Inglese o Portoghese.

Per ottenere questo risultato dobbiamo:
- | Attivare l'opzione Visualizza collegamento ad altre Lingue.
- | Creare l'Elenco Lingue. Dall'elenco proposto selezioniamo le voci "Deutsch", "Español" e "Français" relative a Lingue che non prevediamo di utilizzare e clicchiamo sul pulsante Rimuovi. Clicchiamo poi sul pulsante Aggiungi per richiamare la finestra Impostazioni Lingua e aggiungere la Lingua Portoghese: come Nome della Lingua da visualizzare digitiamo "Português", importiamo un file per l'immagine associata e digitiamo "PT" nel campo Cartella su Server o URL del Sito in questa Lingua. Analogamente, selezioniamo le voci "Italiano" e "English" e clicchiamo sul pulsante Modifica per richiamare la finestra Impostazioni Lingua e aggiungere le immagini mancanti delle bandiere. Non dimentichiamo di specificare anche per queste due Lingue la Cartella su Server: associamo la Cartella "IT" all'Italiano e la Cartella "EN" all'Inglese. Attraverso i pulsanti Sposta Sopra e Sposta Sotto possiamo modificare l'ordine di visualizzazione delle Lingue come meglio riteniamo.
- | Dal momento che il nostro Progetto corrente è quello in Italiano (l'unico a cui assoceremo la Pagina di Benvenuto), dall'Elenco Lingue selezioniamo "Italiano" e clicchiamo sul pulsante Predefinito.

A questo punto il Sito è predisposto per permettere la scelta della Lingua ma mancano ancora i contenuti relativi alla Lingua Inglese e alla Lingua Portoghese.

Creazione del Sito in Inglese e del Sito in Portoghese
Passo 3
Per procedere più rapidamente alla creazione del Sito in Lingua Inglese possiamo partire creando una copia del Sito in Italiano: nella finestra iniziale Scelta del Progetto selezioniamo il Progetto del Sito in Italiano e clicchiamo sul pulsante Duplica. Clicchiamo poi sul pulsante Rinomina per modificare adeguatamente il nome del nuovo Progetto che useremo per la versione in Lingua Inglese. A questo punto, apriamo la copia del Progetto e procediamo aggiornando tutti i testi e gli elementi eventualmente dipendenti dalla Lingua.

Nello stesso modo possiamo ottenere anche il Progetto in Lingua Portoghese.

L'unico accorgimento che dobbiamo avere è che nelle copie del Sito in Inglese e in Portoghese dobbiamo disabilitare la Pagina di Benvenuto che deve rimanere impostata solo nel Sito predefinito in Italiano.

Pubblicazione dei Siti
Passo 4
Per la pubblicazione dei Siti realizzati su Server dobbiamo procedere nel seguente modo:
- | Pubblicazione del Sito in Italiano: ricordiamo che il Sito in Italiano è quello a cui abbiamo associato la Pagina di Benvenuto e che abbiamo impostato come "predefinito". Procedendo alla pubblicazione verrà creato un file index.html, corrispondente alla Pagina di Benvenuto, e salvato nella cartella scelta (che di default era IT). Su Server verranno anche automaticamente create le sottocartelle relative alle altre Lingue previste e che noi abbiamo chiamato "EN" e "PT". Portato a termine questo passaggio il Sito Italiano sarà online e nella Pagina di Benvenuto saranno attivi i collegamenti sui pulsanti della Lingua che però non porteranno ancora a nulla.
- | Pubblicazione del Sito in Inglese: perchè il link presente nella Pagina di Benvenuto al Sito Inglese funzioni, dobbiamo pubblicare il Progetto nella sotto-cartella "EN".
- | Pubblicazione del Sito in Portoghese: analogamente, perchè il link presente nella Pagina di Benvenuto al Sito Portoghese funzioni, dobbiamo pubblicare il Progetto nella sotto-cartella "PT".
Una volta pubblicati tutti e tre i Siti nelle corrette sotto-cartelle, i pulsanti presenti nella Pagina di Benvenuto funzioneranno correttamente e permetteranno agli Utenti di accedere al Sito nella Lingua preferita.

Argomenti correlati:
- | Come WebSite X5 gestisce le Lingue
- | Impostazioni Avanzate | Pagina di Benvenuto


Come creare un Sito multi-lingua tramite Pulsanti nell'Intestazione del Modello

Ipotizziamo nuovamente di voler creare un Sito consultabile in Italiano, Inglese e Portoghese. Un modo alternativo o complementare alla Pagina di Benvenuto per presentare i Pulsanti per la scelta della Lingua è quello di inserirli nell'Intestazione del Modello del Sito. Questo metodo offre il vantaggio di dare all'Utente la possibilità di cambiare Lingua di consultazione in qualsiasi momento e da qualsiasi Pagina del Sito.

Creazione del Sito in Italiano
Passo 1
Occupiamoci in prima battuta del Sito in Italiano: passeremo poi a quello in Inglese e a quello in Portoghese.

Apriamo in Progetto relativo al Sito in Italiano e accediamo alla finestra Modifica del Modello per poter agire sull'Intestazione e creare i Pulsanti che permetteranno all'Utente di scegliere la Lingua di consultazione. Attraverso il pulsante [image] Inserisci Immagine, importiamo un file con l'immagine di una bandierina italiana: se vogliamo creare un pulsante con effetto di mouse-over, sfruttiamo l'opzione File Immagine su passaggio del mouse per importare una seconda immagine, leggermente diversa dalla prima.

Ripetiamo questa procedura per creare anche i Pulsanti con la bandiera Inglese e la bandiera Portoghese.

Dal momento che stiamo lavorando al Sito Italiano, selezioniamo il Pulsante con la bandiera Inglese e clicchiamo sul comando [image] Associa un Collegamento: nella finestra richiamata scegliamo l'azione File o URL e attiviamo l'opzione File su Internet digitando l'indirizzo a cui sarà raggiungibile la Home Page del Sito Inglese una volta che sarà online (per esempio: http://www.miosito.com/en/index.html).

Facciamo la stessa cosa anche con il Pulsante relativo alla Lingua Portoghese collegandolo all'URL relativa (per esempio: http://www.miosito.com/pt/index.html).

Ovviamente, dal momento che stiamo lavorando al Progetto del Sito Italiano non dobbiamo inserire alcun collegamento sul Pulsante con la bandiera Italiana.

Creazione del Sito in Inglese e del Sito in Portoghese
Passo 2
Per procedere più rapidamente alla creazione del Sito in Lingua Inglese possiamo partire creando una copia del Sito in Italiano: nella finestra iniziale Scelta del Progetto selezioniamo il Progetto del Sito in Italiano e clicchiamo sul pulsante Duplica. Clicchiamo poi sul pulsante Rinomina per modificare adeguatamente il nome del nuovo Progetto. A questo punto, apriamo il Progetto relativo alla Lingua Inglese e procediamo aggiornando tutti i testi e gli elementi eventualmente dipendenti dalla Lingua.

Nello stesso modo possiamo ottenere anche il Progetto in Lingua Portoghese.

A questo punto dobbiamo sistemare i collegamenti sui Pulsanti con le bandiere presenti nell'Intestazione dei Progetti in Lingua Inglese e Porteghese. Possiamo farlo lavorando nella finestra Modifica del Modello:
- | Sito in Inglese: selezionare il Pulsante con la bandiera Italiana e associare il collegamento con l'URL relativa (per esempio: http://www.miosito.com/index.html). Rimuovere il collegamento dal Pulsante con la bandiera Inglese.
- | Sito in Portoghese: selezionare il Pulsante con la bandiera Italiana e associare il collagamento con l'URLrelativa (per esempio: http://www.miosito.com/index.html). Rimuovere il collegamento dal Pulsante con la bandiera Portoghese.

Pubblicazione dei Siti
Passo 3
Perchè i Pulsanti creati per la scelta della Lingua funzionino correttamente è necessario che i Siti nelle 3 Lingue vengano pubblicati su Server rispettando i percorsi previsti. Per questo dobbiamo creare nella cartella di pubblicazione su Server due sotto-cartelle e chiamarle: EN e PT. Fatto questo, non ci rimane che pubblicare ciascun Progetto: il Progetto in Italiano, che assumiamo come il Progetto principale, nella cartella principale e i Progetti dei Siti in Inglese e in Portoghese rispettivamente nelle sotto-cartelle EN e PT.

Argomenti correlati:
- | Come WebSite X5 gestisce le Lingue
- | Modifica del Modello


Come creare un Feed RSS associato al Sito

WebSite X5 consente di creare e gestire un Feed RSS senza preoccuparsi dell'implementazione del codice: è sufficiente specificare alcuni parametri generali e preoccuparsi della redazione delle notizie, il Programma produrrà automaticamente i file XML relativi secondo il formato RSS 2.0.
Una volta aperto il Feed RSS, è possibile renderlo disponibile sul Sito prevedendo un apposito link testuale o un bottone, magari posizionato direttamente nell'Intestazione del Modello. WebSite X5 consente di ricreare tale bottone utilizzando l'azione Feed RSS presente nella finestra Collegamento.

Argomenti correlati:
- | Feed RSS
- | Feed RSS: definizione ed usi


Come gestire gli accessi alle Pagine Protette del Sito

E' esperienza comune imbattersi in Siti Web in cui non è possibile accedere liberamente a tutte le Sezioni o le Pagine di cui si compongono: in questi casi, prima di poter visualizzare determinati contenuti, è necessario registrarsi per ottenere le credenziali di accesso (ovvero una Login e una Password) indispensabili per poter procedere.
Esempi classici sono i Siti aziendali che prevedono Aree Riservate con materiali e listini solo per Rivenditori e Partners, oppure i Portali che richiedono l'iscrizione per accedere a contenuti magari in download.

WebSite X5 consente di prevedere all'interno di un Sito un'Area Riservata composta da una serie di Pagine Protette e di gestirne l'accesso attraverso la creazione di Gruppi Amministratori e Utenti.

Ipotiziamo di lavorare al Sito Web di un'Associazione di volontariato che gestisce diversi Progetti attraverso un Coordinamento Centrale e dei Comitati specifici. Oltre alla parte istituzionale aperta al pubblico, il Sito contiene delle Pagine, specifiche per ciascun Progetto, che devono poter essere consultate solo dai membri del Comitato che lo promuove oltre che dai referenti del Coordinamento Centrale. In totale i volontari dell'Associazione coinvolti sono 9 così organizzati:

Coordinamento Centrale | Comitato Progetto A | Comitato Progetto B | Comitato Progetto C
Membro 1 | Membro 1 | Membro 1 | Membro 1
Membro 2 | Membro 4 | Membro 6 | Membro 8
Membro 3 | Membro 5 | Membro 7 | Membro 9

Come si vede il Membro 1 non solo fa parte dei Coordinamento Centrale ma anche di tutti i Comitati responsabili dei Progetti in corso.

Dopo aver creato la Mappa del Sito e inserito i contenuti delle diverse Pagine, possiamo procedere alla definizione dell'Area Riservata del Sito e alla gestione dei profili degli Utenti che potranno avere accesso alle Pagine Protette: vediamo come.

Passo 1 - Definizione degli Utenti e dei Gruppi con accesso alle Pagine Protette

In base all'organigramma disegnato nella tabella precedente, dobbiamo creare gli Utenti con le relative credenziali di accesso e gestirli in Gruppi. Per far questo andiamo al Passo 4 - Impostazioni Avanzate e clicchiamo su Gestione Accessi.

Nella Tabella Elenco Utenti e Gruppi con accesso alle Pagine Protette, sono già inseriti di default il Gruppo Amminitratori con l'Utente Admin e il Gruppo Utenti con l'Utente Utente 1. Tralasciamo momentaneamente il Gruppo Amministratori e occupiamoci del Gruppo Utenti.

Selezioniamo Gruppo Utenti e utiliziamo il comando Nuovo Gruppo per creare i Gruppi che nomineremo "Coordinamento Centrale", "Comitato Progetto A", "Comitato Progetto B" e "Comitato Progetto C".

Selezioniamo il Gruppo "Coordinamento Centrale" e clicchiamo sul pulsante Nuovo Utente per richiamare l'omonima finestra e creare l'Utente "Membro 1". Digitiamo "Membro 1" come Nome Utente, associamo una Login e una Password e scegliamo la Pagina di ingresso più appropriata. Nello stesso modo possiamo creare gli Utenti per tutti gli altri Membri, posizionandoli direttamente nei Gruppi corretti.

L'Utente "Membro 1" fa parte di tutti i Gruppi: in questo caso ci conviene selezionarlo e cliccare 3 volte sul comando Crea Alias per creare altrettanti Alias dell'Utente. Selezionando ciascun Alias possiamo trascinarlo e posizionarne uno per ciascun Gruppo interessato.

Al termine di questo primo blocco di operazioni, la Tabella Elenco Utenti e Gruppi con accesso alle Pagine Protette si presenta come nell'immagine seguente:

Passo 2 - Creazione della Pagina di Accesso all'Area Riservata

La Pagina di Accesso è la Pagina a cui l'Utente viene re-indirizzato quando cerca di accedere a una Pagina Protetta senza aver prima eseguito il login. Questa Pagina di Accesso viene creata in automatico dal Programma e presenta: un messaggio di benvenuto; i campi in cui l'Utente, se ne dispone, può inserire la propria Login e Password; eventualmente, il pulsante Registrati che porta a una Pagina attraverso la quale può chiedere che gli vengano fornite le credenziali di accesso necessarie.

Sempre attraverso la finestra Gestione Accessi possiamo digitare, attraverso l'apposito campo, il Testo di benvenuto che verrà visualizzato nella Pagina di Accesso. Con questo testo dobbiamo accogliere l'Utente e spiegargli rapidamente che sta tentando di accedere a dei conteuti riservati: dobbiamo, quindi, invitarlo a inserire la propria Login e Password, se già ne possiede una, o a registrarsi per ottenere tali credenziali.

Per permettere all'Utente di effettuare la propria registrazione possiamo procedere in 2 diversi modi:
1. | Possiamo inserire nel testo introduttivo un indirizzo e-mail a cui scrivere per richiedere Login e Password. L'indirizzo immesso viene automaticamente riconosciuto da WebSite X5 che attiva il collegamento al programma di posta elettronica predefinito.
2. | Possiamo creare appositamente una Pagina con un modulo (vedere, Oggetto Modulo Invio E-mail) che l'Utente deve compilare con i suo i dati per effettuare la registrazione e ricevere in risposta Login e Password. In questo caso, dopo aver preparato la Pagina, dobbiamo tornare alla finestra Gestione Accessi e cliccare sul pulsante [image] relativo all'opzione Pagina per la richiesta di registrazione per selezionarla. In seguito a questa operazione, il Programma crea automaticamente il pulsante Registrati e lo inserisce nella Pagina di Accesso, a fianco del pulsante Login.

Passo 3 - Definizione delle Pagine Protette

A questo punto, possiamo tornare al Passo 2 - Creazione della Mappa e specificare quali Pagine devono essere protette e da quali Gruppi/Utenti ciascuna Pagina Protetta potrà essere visualizzata.

Sulla Mappa selezioniamo la prima Pagina su cui vogliamo agire e clicchiamo sul pulsante [image] per richiamare la finestra Pagina Protetta: attiviamo l'opzione Imposta questa Pagina come Protetta e, quindi, mettiamo un segno di spunta a fianco dei singoli Utenti o dei Gruppi a cui vogliamo permettere la visualizzazione. Ovviamente, ripetiamo tali operazioni per tutte le Pagine da proteggere.

Sulla Mappa le Pagine Protette vengono distinte attraverso l'icona [image]. Le Pagine Protette possono essere visualizzate o meno nei Menu attraverso l'opzione Non visibile sul Menu.

Passo 4 - Definizione dei parametri d'accesso per l'Amministratore
Come abbiamo accennato inizialmente, oltre agli Utenti è possibile agire anche sul Gruppo Amministratori in cui è già presente di default un Amministratore Admin. Oltre a poter modificare il nome e le credenziali dell'Amministratore Admin, possiamo creare altri profili Amministratore semplicemente selezionando il Gruppo Amministratori e utilizzando il comando Nuovo Utente.

Gli Amministratori, a differenza dei semplici Utenti, possono accedere a tutte le Pagine Protette presenti nel Sito e, in più, con le stesse credenziali possono accedere al Pannello di Controllo online per gestire la visualizzazione dei commenti ai Post del Blog, i messaggi del Guestbook (vedere Oggetto HTML e Widgets) e per visualizzarre informazioni di diagnostica o sull'ottimizzazione del Sito per i Motori di Ricerca.

Note
Pubblicato il Sito, ogni volta che un Utente tenterà di visualizzare una Pagina Protetta, gli verrà richiesto di inserire Login e Password. Se questi parametri verranno correttamente inseriti, la Pagina Protetta verrà visualizzata: di default, la durata della sessione (ovvero, l'intervallo di tempo che intercorre prima che venga nuovamente richiesto di inserire Login e Password) è di 5 minuti e viene resettato a ogni link a una Pagina Protetta.

Quando si testa in locale il funzionamento del Sito creato, una finestra d'avviso avverte che le Pagine Protette vengono visualizzate senza la richiesta di accesso. L'Area Riservata viene attivata solo con la pubblicazione del Sito su Server.


Creare un carrello di e-commerce

Come creare un carrello di e-commerce

Con WebSite X5 è possibile trasformare il proprio sito Web in un insostituibile strumento di lavoro: grazie alla possibilità di creare e gestire un Carrello di e-commerce, infatti, possiamo proporre i nostri Prodotti a un pubblico vastissimo, incrementando notevolmente le nostre possibilità di guadagno.

Come esempio, costruiamo un semplice Carrello di e-commerce attraverso il quale vendere dei capi di abbigliamento. Ai fini del nostro esempio, ci limiteremo ad inserire un numero limitato di Prodotti organizzandoli in poche Categorie. Attiveremo sia la spedizione per Posta che tramite Corriere espresso e permetteremo il pagamento sia in contrassegno che tramite carta di credito. Ovviamente con WebSite X5 è possibile andare ben oltre e gestire un Catalogo di Prodotti decisamente più corposo e articolato, con numerosi metodi di spedizione e pagamento alternativi.

Tutte le opzioni necessarie per configurare un carrello di e-commerce sono disponibili nella sezione Carrello E-commerce del Passo 4 - Impostazioni avanzate. Una volta impostato il carrello, potremo poi predisporre un vero e proprio catalogo online sfruttando l'apposito Oggetto Elenco Prodotti.

Composizione del database dei Prodotti
Innanzi tutto, dobbiamo creare l'elenco dei Prodotti che devono essere gestiti attraverso il Carrello di e-commere e che, quindi, potranno essere acquistati online sul Sito.
Passo 1
Nella Sezione Prodotti, utiliziamo il pulsante Nuova Categoria per creare tutte le Categorie e le sotto-Categorie che ci occorrono.

Le categorie vengono inserite direttamente nella tabella riassuntiva: sono dei semplici contenitori e non prevedono proprietà particolari. Per maggior chiarezza è consigliabile nominarle opportunamente utilizzando il comando Modifica o cliccando due volte in loro corrispondenza.

Passo 2
Creata una categoria o sotto-categoria è possibile selezionarla e inserire al suo interno i Prodotti. Per inserire un Prodotto dobbiamo semplicemente cliccare sul comando Nuovo Prodotto e utilizzare la finestra richiamata Impostazioni Prodotto per definirne tutte le impostazioni.

Nella Sezione Generale della finestra Impostazioni Prodotto possiamo specificare parametri come il Nome, la Descrizione e il Prezzo del Prodotto.

Nella Sezione Immagine, invece, attraverso il pulsante Aggiungi possiamo inserire una o più immagini del Prodotto.

Nella Sezione Opzioni, infine, possiamo impostare delle varianti di prodotto e degli sconti quantità.

Tutte queste informazioni verranno riprese sia nel carrello che nell'eventuale scheda creata attraverso l'Oggetto Elenco Prodotti.

Definizione dei metodi di pagamento e spedizione
A questo punto occorre definire quali sono i metodi di spedizione e pagamento fra cui l'Utente potrà scegliere: possiamo farlo attraverso le opzioni della Sezione Pagamento.

Passo 3
Nella tabella in cui vengono riportati i metodi di spedizioni già definiti, di default sono già presenti le voci "Posta" e "Corriere Espresso": possiamo verificare come sono state impostati questi metodi e personalizzarli cliccando sul pulsante Modifica. Possiamo anche aggiungere nuovi metodi di spedizione cliccando sul pulsante Aggiungi. In entrambe i casi viene richiamata la finestra Metodo di spedizione attraverso la quale è possibile impostare tutti i parametri necessari, fra cui: Nome, Descrizione, Costo (fisso o variabile in base al peso raggiunto), Descrizione del metodo da riportare nella e-mail di conferna d'ordine inviata al Cliente.
Passo 4
In maniera analoga, possiamo impostare anche i metodi di pagamento sfruttando la finestra richiamata Metodi di pagamento. Fra i tipi di pagamento previsti, ci sono anche quelli che prevodono l'impiego di PayPal o di Carta di Credito.
Per attivare PayPal, per esempio, dobbiamo cliccare sul pulsante Aggiungi e nella finestra richiamata Metodo di Pagamento agire come segue:
- | nella Sezione Generale: specificare un Nome e una Descrizione del metodo di pagamento;
- | nella Sezione Tipo: attivare l'opzione Pagamento immediato e impostare come Tipo di Pagamento "PayPal/Carta di Credito". Inserito il nostro Account PayPal nell'apposito campo, dobbiamo anche specificare quali Pagine del Sito dovranno essere visualizzate in caso di Avvenuto Pagamento o di Errore Pagamento.
- | nella Sezione Messaggio E-mail: inserire una descrizione del metodo di pagamento idonea per essere inserita nella e-mail di Conferma d'Ordine che il Cliente riceverà dopo aver inviato l'ordine.

Definizione del modulo di richiesta dati
Per definire la composizione del modulo che l'Utente dovrà compilare per effettuare l'ordine d'acquisto dobbiamo utilizzare le opzioni presenti nella Sezione Dati Cliente.
Passo 5
Il Programma propone un elenco di campi che possono essere utili per comporre il Modulo d'ordine. Ciascun campo può essere reso Visibile e Obbligatorio semplicemente attivando il check box corrispondente. Dobbiamo, dunque, verificare quali campi sono inseriti di default e, eventualmente, aggiungere o eliminare campi dal Modulo.

Infine, per trasparenza nei confronti di chi sta per effettuare l'ordine, possiamo attivare l'opzione e inserire il testo relativo alle Condizioni di Accettazione.

Definizione delle e-mail inviate dal carrello
In caso di ordine da parte di un Cliente, dal carrello e-commerce devono partire 2 e-mail: la prima è l'e-mail di Riepilogo Ordine ed è destinata all'amministratore del Sito; la seconda è l'e-mail di Conferma d'Ordine ed è destinata al Cliente.
Passo 6
Per impostare l'e-mail di Riepilogo Ordine che dobbiamo ricevere in qualità di amministratori del Sito, dobbiamo solo specificare un indirizzo e-mail valido ed, eventualmente, attivare l'opzione perchè i dati siano allegati in coda come file CSV (gestibile attraverso programmi come Microsoft Excel).

Passo 7
Per l'e-mail di Conferma d'Ordine, invece, possiamo specificare il Testo di introduzione e il Testo di chiusura per creare una comunicazione personalizzata.

Per maggiori informazioni su come viene composta l'e-mail di Conferma d'Ordine, vedere Come definire i contenuti della e-mail di conferma Ordine).

Impostazione della valuta

Passo 8
Infine, attraverso le voci della Sezione Opzioni possiamo impostare la valuta e l'IVA da utilizzare per il carrello di e-commerce oltre che definire alcune impostazioni di carattere grafico come, per esempio, le immagini da utilizzare per i pulsanti "Aggiungi al carrello" e "Rimuovi dal carrello".

In particolare, per quanto riguarda l'IVA, possiamo decidere di riportare tutti i prezzi dei prodotti IVA insclusa (in questo caso possiamo lasciare attiva l'opzione L'IVA è inclusa nel prezzo dei Prodotti) o di riportarli al netto avando cura di specificare di volta in volta l'IVA che verrà applicata (in questo caso dobbiamo attivare l'opzione Imposta l'IVA per ogni prodotto e specificare l'ammontare dell'IVA attraverso l'apposita opzione presente nella finestra Impostazioni Prodotto).

Da notare, che attraverso l'opzione Consenti Ordine solo per importi minimi possiamo fare in modo che vengano accettati solo gli ordini che raggiungono l'importo minimo specificato.

Inserimento dei collegamenti al carrello di e-commerce

Passo 9
Creato il motore del carrello di e-commerce, dobbiamo inserire nelle Pagine del Sito le schede di presentazione dei Prodotti e su queste inserire i pulsanti per permettere all'Utente di ordinare quelli di suo interesse.

Per creare un pulsante "Acquista" possiamo, per esempio, inserire un'immagine e su questa inserire un collegamento: per far questo, nella finestra Collegamenti dobbiamo scegliere la voce Aggiungi al carrello.

Il collegamento Aggiungi al carrello può essere impostato in due diversi modi:
- | se si vuole richiamare la tabella dei Prodotti, è sufficiente attivare l'opzione Visualizza l'elenco dei Prodotti della Categoria selezionata e selezionare la categoria opportuna nell'albero che ripropone la struttura del catalogo dell'e-commerce;
- | se si vuole aggiungere direttamente un Prodotto nel carrello, invece, occorre attivare l'opzione Aggiungi direttamente nel Carrello il Prodotto selezionato e selezionare il Prodotto in questione specificandone subito Variante, se disponibile, e Quantità.

In alternativa, i Prodotti possono essere presentati attraverso l'Oggetto Elenco Prodotti.

 Quando si testa il funzionamento del Sito creato in locale, una finestra d'avviso avverte che l'ordine non verrà inviato e viene effettuato il redirect automatico alla Pagina di conferma dell'ordine. Il carrello di e-commerce funziona pienamente solo con la pubblicazione del Sito su Server.

Argomenti correlati:
- | Carrello E-commerce
- | Oggetto Elenco Prodotti


Come definire i contenuti della e-mail di conferma Ordine

Una volta portato a termine un Ordine è importante che l'Utente riceva come feedback una e-mail di conferma grazie alla quale può accertarsi di aver fatto tutto correttamente e ricevere le indicazioni necessarie per effettuare il pagamento.

WebSite X5 compone automaticamente l'e-mail di conferma Ordine, riprendendo solo le informazioni utili, in base alle scelte effettuate dall'Utente durante la compilazione dell'Ordine stesso.

Nello specifico, l'e-mail di conferma ordine viene così composta:

 | Descrizione: | Esempio: | Dove impostarlo:
Testo di introduzione | E' il testo iniziale: dovrebbe contenere un ringraziamento per l'acquisto effettuato e anticipare i contenuti che seguiranno. | Gentile Cliente, Ringraziandola per il Suo acquisto le inviamo il riepilogo del suo Ordine. Qui di seguito può trovare l'elenco dei prodotti ordinati, i dati di fatturazione e le istruzioni per la spedizione ed il pagamento scelto. | Nella Sezione Dati Cliente attraverso l'opzione Testo di introduzione.
Dati Utente | E' la parte in cui vengono riportati i dati di fatturazione inseriti dall'Utente attraverso in Modulo d'Ordine. |  | Il Modulo d'Ordine può essere composto nella Sezione Dati Cliente .
Riepilogo Ordine | E' una tabella in cui vengono riepilogati tutti i Prodotti ordinati: viene riportata la quantità e il totale parziale per Prodotto oltre che il totale complessivo dell'Ordine. |  | Non deve essere impostato nulla in particolare: la tabella con il riepilogo viene creata in automatico in base all'Ordine.
Metodo di Pagamento | E' necessario che fornisca, in base al metodo scelto dall'Utente fra quelli disponibili, le istruzioni e le informazioni utili per permettergli di eseguire il pagamento. | Per il Metodo di Pagamento "Bonifico Bancario": Qui di seguito sono riportati i dati necessari per effettuare il pagamento tramite Bonifico Bancario: XXX YYY ZZZ Le ricordiamo che una volta effettuato il pagamento è necessario l'invio della copia contabile insieme al Numero di Ordine. | Nella sezione Messaggio E-mail della finestra Metodo di Pagamento.
Metodo di Spedizione | E' indicato che ricordi all'Utente il metodo di spedizione che ha scelto fornendogli, se possibile, delle informazioni sui tempi e i modi della consegna, oltre a qualsiasi altra informazione utile. | Per il Metodo di Spedizione "Corriere Espresso": Spedizione tramite Corriere Espresso. La merce verrà consegnata in 1-2 giorni lavorativi. | Nella sezione Messaggio E-mail della finestra Metodo di Spedizione.
Testo di chiusura | E' la formula di chiusura con cui si esplicita la propria disponibilità e si porgono i saluti, firmando. | Rimaniamo a Sua disposizione per ulteriori informazioni. Cordiali Saluti, Staff Commerciale. | Nella Sezione Dati Cliente attraverso l'opzione Testo di chiusura.

Come per tutte le e-mail composte e inviate automaticamente dal Programma, anche all'e-mail di conferma Ordine viene applicato lo stile grafico definito in Stili e Modelli | Sezione E-mail.

L'e-mail di conferma Ordine viene inviata anche in formato testo.

Argomenti correlati:
- | Carrello e-commerce | Sezione Dati Cliente
- | Finestra Metodo di Spedizione
- | Finestra Metodo di Pagamento
- | Stili e Modelli | Sezione E-mail


HTML, XHTML e CSS

HTML, XHTML & CSS

HTML

HTML (acronimo di Hyper Text Mark-Up Language) è un linguaggio di markup sviluppato alla fine degli anni '80 da Tim Berners-Lee al CERN di Ginevra e usato per descrivere i documenti ipertestuali disponibili nel Web.
HTML è un linguaggio di pubblico dominio la cui sintassi è stabilita dal World Wide Web Consortium (W3C): durante gli anni ha subito molte revisioni e attualmente l'ultima versione disponibile è la 4.01, resa pubblica nel 1999. Dopo un periodo di sospensione, in cui il W3C si è focalizzato soprattutto sulle definizioni di XHTML (applicazione a HTML di regole e sintassi in stile XML) e dei fogli di stile (Cascading Style Sheet, CSS), nel 2007 è ricominciata l'attività di specifica con la definizione di HTML5, attualmente ancora allo stato di bozza (draft) ma già ampiamente utilizzato.

Essendo un linguaggio di marcatura e non di programmazione, HTML non ha meccanismi per permette l'interazione: prevede, invece, l'uso di marcatori, detti "tag", che hanno la funzione di indicare come i diversi elementi che compongono una pagina devono essere visualizzati.

Le pagine HTML sono accomunate da un'identica struttura:
- | Dichiarazione della DTD (Document Type Definition, ovvero Definizione del tipo di documento) adottata. Con la DTD viene comunicato al browser l'URL delle specifiche html che si stanno utilizzando per il documento: lo scopo è quello di indicare quali elementi, attributi ed entità possono essere lecitamente utilizzati.
- | Apertura del tag <html>
- | Sezione HEAD Questa sezione contiene informazioni, non direttamente visualizzate dai Browser, che riguardano come il documento deve essere interpretato. In questa sezione devono essere collocati i meta-tag (fra cui quelli per i Motori di ricerca), script JavaScript, Fogli di stile, ecc.
- | Sezione BODY Questa sezione racchiude il contenuto vero e proprio del documento.
- | Chiusura del tag </hml>

L'HTML prevede tag specifici per far fronte a molte necessità di formattazione e per fornire molte funzionalità ma occorre ricordare che è stato concepito per definire il contenuto logico e non l'aspetto finale del documento. Pur essendo stato nel tempo piegato per far fronte a scopi presentazionali, l'HTML rimane un linguaggio che dovrebbe essere utilizzato solo per definire la struttura di un documento: per definire come i documento deve essere presentato occorre utilizzare, piuttosto, gli appositi Fogli di stile.

HTML5

HTML5 si propone come evolutione dell'HTML 4.01 e introduce molte novità finalizzate, principalmente, a separare in maniera sempre più netta la struttura delle pagine (definita dal markup) dall'aspetto grafico (definito dai CSS) e dai contenuti veri e propri. Fra gli obiettivi che si pone vi sono l'introduzione di nuovi comandi per funzioni fino ad ora ottenute in maniera non standard, garantire una buona compatibilità sui diversi Browser e consentire l'utilizzo di applicazioni basate sul Web anche in assenza di collegamento a Internet. Anche se già ampiamente utilizzato, HTML5 è ancora in fase di definizione (draft) e il W3C ha annunciato che sarà ufficialmente pronto nel luglio 2014.

CSS

I fogli di stile a cascata (dall'inglese CSS Cascading Style Sheets) sono una tecnica che permette di fissare gli stili (per es. tipo di carattere, colori e spaziature) da applicare ai documenti HTML e XHTML. L'introduzione di tale tecnica si è resa necessaria proprio per separare i contenuti dalla formattazione e permettere così una programmazione più chiara e facile da utilizzare, sia per gli autori delle pagine HTML che per gli utenti.
Le regole per comporre i fogli di stile sono contenute in un insieme di direttive (Reccomandations) emanate a partire dal 1996 dal W3C. Le specifiche CSS 2, naturale evoluzione dei CSS 1, sono state emanate nel 1998 e il CSS 2.1 nel 2004. Le specifiche CSS 3, invece, non sono ancora state pubblicate, anche se il W3C da costantemente informazioni circa lo stato di sviluppo.

In WebSite X5

WebSite X5 genera automaticamente codice HTML5 e utilizza i Fogli di stile (CSS 2.1 o CSS 3 a seconda del supporto garantito dai Browser) per definire come i contenuti devono essere visualizzati. La produzione di questo tipo di codice consente di ottenere una serie di rilevanti vantaggi, fra cui:
- | aderenza agli standard internazionali;
- | ampia compatibilità con i principali Browser;
- | maggiori possibilità di una corretta e completa indicizzazione da parte dei Motori di ricerca.

Per quanto concerne l'utilizzo dei Fogli di stile, è bene sottolineare che le Pagine vengono costruite in maniera da poter essere correttamente fruite anche se l'utente disattiva i CSS durante la navigazione. In questo caso, le Pagine vengono linearizzate: questo significa che si perdono le formattazioni e gli elementi grafici ma rimangono i contenuti presentati in maniera sequenziale e corredati da link interni (skip link altrimenti non visibili) che rendono più semplice la navigazione.

E' possibile verificare la navigazione con i Fogli di stile disabilitati utilizzando le apposite funzioni messe a disposizione dai Browser.

Maggiori informazioni su HTML, CSS, standard, procedure di validazione del codice e molti altri argomenti correlati sono disponibili direttamente sul sito del World Wide Web Consortium (W3C): www.w3.org.


Browser

Compatibilità crossbrowser

Un Browser è un'applicazione software che consente all'Utente di visualizzare e interagire con le informazione (testi, immagini, ecc.) presenti all'interno di una Pagina Web. Attualmente, sono disponibili numerosi Browser, fra cui i più noti e diffusi sono Microsoft Explorer, Firefox, Safari e Google Chrome.

Per procedere alla visualizzazione dei contenuti Web, i Browser sfruttano un motore di rendering, ovvero un software che, una volta scaricati i contenuti (per esempio una Pagina HTML) formatta le informazioni ad essi relative (per esempio, i CSS collegati) e li mostra sullo schermo. Browser diversi sfruttano motori di rendering diversi e questi ultimi si differenziano proprio per la qualità della renderizzazione, rispetto agli standard, e per la velocità della stessa. Ne consegue che una stessa Pagina Web può essere resa in maniera anche molto diversa in base al Browser utilizzato. In qualsiasi caso, dal momento che una Pagina Web non è una pagina stampata, un certo margine di variabilità è accettabile a patto che l'esperienza d'uso dell'Utente non ne risulti danneggiata.

Il modo migliore per ottenere Pagine Web compatibili con i principali Browser, nelle loro diverse versioni, è di creare un codice quanto più pulito e conforme agli standard.

WebSite X5, generando automaticamente codice HTML5 con CSS 2.1 o 3 collegati, è in grado di garantire piena compatibilità con tutti i principali Browser oltre che con dispositivi mobili come cellulari, palmari e smartphone.

Browser interno

Durante lo sviluppo di un Progetto è necessario poter verificare quale sarà il risultato finale e come verrà visualizzato il Sito una volta che sarà online. Per questo, WebSite X5 permette di richiamare, attraverso il pulsante Prova sempre disponibile (vedere, L'ambiente di lavoro), un'Anteprima del Sito in locale che viene mantenuta costantemente aggiornata (vedere, Salva ad ogni Anteprima in finestra Preferenze).

Per la visualizzazione dell'Anteprima, WebSite X5 utilizza un suo Browser interno che sfrutta lo stesso motore di Microsoft Internet Explorer. Tale Browser interno presenta i seguenti comandi:

 Indietro
Permette di tornare indietro alla Pagina precedentemente visitata.

Avanti
Permette di andare avanti e aprire nuovamente una Pagina già visitata.

Pagina iniziale
Permette di tornare alla Home Page del Sito.

Barra degli indirizzi
Riporta il percorso della Pagina visualizzata e/o permette di specificare il percorso della Pagina che si intende visualizzare.

Vai
Permette di avviare il caricamento della Pagina raggiungibile al percorso immesso nella barra degli indirizzi. In alternativa, è possibile confermare l'indirizzo immesso attraverso il tasto INVIO.

Modifica questa Pagina
Permette di tornare al Programma, aprendo la Pagina corrente al Passo 3 - Creazione della Pagina, in modo da poterla modificare. Nel caso di Pagine appartenenti al Blog, all'Area Riservata o al Carrello e-commerce, questo pulsate permette di tornare alla relativa sezione del Passo 4 - Impostazioni Avanzate.

Da segnalare che una volta aperta la finestra del Browser per avere l’anteprima in locale del Progetto a cui si sta lavorando, la Pagina visualizzata cambia automaticamente in base alla Pagina su cui si sta lavorando. Questo significa che se si passa a lavorare a una Pagina diversa, questa stessa Pagina viene aperta anche nell’Anteprima nel Browser.

L'impiego di un Browser interno per la visualizzazione dell'Anteprima del Sito in costruzione consente di ottenere i seguenti vantaggi:
- | l'Anteprima non si sostituisce al Sito visualizzato nella finestra del Browser predefinito eventualmente aperta;
- | l'Anteprima del Sito in costruzione viene aggiornata nella finestra del Browser interno e non porta all'apertura di finestre o schede diverse del Browser predefinito.


Motori di ricerca

Motori & Directory

Anche se si tende a parlare genericamente di "motori", in realtà è possibile distinguere tra 2 diversi sistemi di ricerca su Web:

-

Directory
Possono essere definite come cataloghi di siti: personale umano, sulla base di segnalazioni esterne, seleziona i siti e li cataloga secondo una classificazione per tipo.
L'inserimento nella categoria può essere sia a pagamento che gratuita. In genere, per incrementare le loro banche dati, le directory utilizzano come seconda sorgente dei motori con i quali stringono degli accordi: di conseguenza, l'inserimento in alcune directory può essere importante per migliorare il posizionamento sui motori che vi fanno riferimento (per esempio, essere in Dmoz aiuta il posizionamento su Google).
Directory famose sono Yahoo, Virgilio, Arianna, Dmoz.

-

Motori
Possono essere definiti come database di pagine di siti. Anche se su alcuni motori è possibile richiedere l'inserimento dei siti, nella maggior parte dei casi tale inserimento avviene grazie al passaggio di uno spider che scandaglia il Web seguendo le catene di link che partono dalle pagine già presenti nel database.
Dunque, il lavoro di un motore si divide in 3 fasi:
1. | Analisi del Web tramite l'impiego di spider (o crawler o robot). E' importante sapere che gli spider possono essere assimilati a un browser dalle capacità di lettura piuttosto limitate: dunque, un motore non legge tutte le parti grafiche di un sito, le animazioni Flash (anche se sono stati fatti dei passi avanti in merito), il codice JavaScript, le parti in ASP o in PHP.
2. | Catalogazione delle pagine ottenute, secondo criteri che possono variare da un motore all'altro.
3. | Risposta alle richieste dell'utente. Per fornire una risposta a una richiesta il motore deve poter valutare la rilevanza delle pagine rispetto alla richiesta: estrapolati dal database i documenti che contengono la parola chiave immessa dall'utente, ne viene stabilita la rilevanza attraverso algoritmi proprietari che vengono nel tempo sempre più affinati. Alla fine i risultati vengono forniti nelle SERP (Search Engine Result Pages, Pagine dei risultati dei motori di ricerca).
Fra i Motori di ricerca il più noto e utilizzato è sicuramente Google. I Motori di ricerca italiani più utilizzati sono Libero e Virgilio che, però, si limitano a riproporre i risultati di Google.

Come e perchè essere presenti nei Motori

Il Web rappresenta ormai un bacino immenso di informazioni e le statistiche confermano che gli utenti ricorrono soprattutto ai Motori di ricerca per orientarsi e individuare le pagine di interesse. Da questa semplice considerazione emerge quanto sia importante comparire nei risultati dei Motori di ricerca (SERP) per le parole chiave identificate.

Realisticamente, ottenere un buon posizionamento su chiavi significative presuppone una strategia a lungo termine, più o meno articolata e complessa in relazione a quanto si è disposti ad investire e agli obiettivi che si vogliono ottenere.

Le scelte e le attività che concorrono a rendere e a mantenere visibile un sito su un Motore sono numerose e molteplici ma fra queste occorre soffermarsi su:

-

La scelta delle chiavi
Per "chiave" si intende la parola o il gruppo di parole che il navigatore inserisce come stringa di ricerca sui motori. Per selezionare le chiavi su cui lavorare è possibile procedere nel seguente modo:
1. | Stendere un primo elenco di chiavi che risultano essere attinenti ai temi trattati nel sito. Un buon suggerimento per stendere tale elenco è di provare a immaginare quali parole gli utenti potrebbero utilizzare per cercare il sito in questione; un'altra strategia è di cercare di individuare per quali chiavi sono ottimizzati i siti dei diretti concorrenti.
2. | Effettuare un'analisi sulle statistiche fornite da alcuni motori per identificare e privilegiare le chiavi maggiormente ricercate e, quindi, in grado di generare un maggior traffico.
3. | Utilizzare i tool di suggerimenti di Google per ampliare la lista con le chiavi collegate.

-

L'ottimizzazione
Per ottimizzazione si intendono le attività intraprese per far sì che le pagine di un sito piacciano ai motori di ricerca e, di conseguenza, risultino ben posizionate su specifiche chiavi.

Innanzi tutto occorre ordinare le chiavi identificate in modo da ottenere una piramide con in cima la chiave più importante, al secondo livello un gruppo di 2 o 3 chiavi leggermente meno importanti e così a scendere fino alla base con tutte le chiavi rimanenti e in qualche modo collegate. Ogni pagina del sito dovrà essere ottimizzata per una sola parola chiave, la più importante, e dovrà avere una leggera ottimizzazione per le chiavi poste al secondo livello della piramide. Considerando l'intero sito è importante che vi siano molte pagine ottimizzate per la chiave al primo livello e un numero inferiore di pagine ottimizzate in modo da avere le chiavi di secondo livello come chiavi principali.

A questo punto occorre utilizzare le chiavi per la composizione di tag, meta-tag e contenuti.

-

Tag <Title>
Rappresenta uno degli elementi più importanti per il posizionamento di una pagina: basti pensare che, quando effettua una ricerca, Google guarda per prima cosa il contenuto del tag <Title> cercando di confrontare le parole in esso contenute con quelle presenti nel testo e nei link della pagina.
Dunque, un buon Title deve:
- | essere composto da 2/4 parole e non superare, comunque, i 60 caratteri;
- | contenere la chiave più importante senza essere esattamente uguale alla chiave;
- | essere coerente con la pagina e non essere uguale per tutto il sito.

-

Meta Tag <Description>
In molti casi, viene visualizzata assieme al Title nella pagina dei risultati (SERP) e le statistiche confermano che i click sulle prime posizioni sono influenzate proprio dalla descrizione e da quanto questa risulta in grado di attirare l'attenzione dell'utente, in relazione ai suoi interessi.
Una buona Description deve:
- | essere composta da una frase di senso compiuto;
- | contenere la chiave più importante e alcune di secondo livello;
- | essere coerente con la pagina e non essere uguale per tutto il sito;
- | essere in grado di attirare l'attenzione e dare informazioni rilevanti.

-

Attributo ALT
L'attributo ALT del TAG <IMG> serve per prevedere un'alternativa testuale che possa essere utilizzata in tutte le situazioni in cui l'elemento <IMG> stesso non può essere visualizzato: per esempio, a causa di un errato caricamento, oppure perchè si sta navigando attraverso browser testuali o screen reader.
Mentre le immagini non vengono prese in considerazione dai Motori, le alternative testuali ad esse collegate vengono considerate a tutti gli effetti come parti integranti del testo.
Ai fini dell'accessibilità del sito, l'alternativa testuale non deve essere una semplice descrizione dell'immagine ma avere la stessa funzione che l'immagine stessa ha nel contesto della pagina.
Ai fini dell'ottimizzazione, l'attributo ALT deve:
- | essere composta da una frase di senso compiuto;
- | avere lo stesso tema della pagina;
- | devono essere tutte diverse;
- | se possibile, deve essere attinente all'immagine ed al nome del file dell'immagine;
- | almeno una nella pagina, deve contenere la chiave principale;
- | buona parte delle chiavi principali dovrebbe trovare posto in un ALT.

-

Attributo Title
L'attributo Title del TAG <A> serve per prevedere un testo che viene visualizzato nella tooltip che compare quando si posiziona il mouse sul collegamento. Lo scopo di questa nota è di rendere chiaro all'utente cosa accade attivando il collegamento: si apre una nuova finestra, viene proposto un file .PDF, ecc.
Ai fini dell'ottimizzazione del sito, l'attributo Title dei link dovrebbe:
- | essere composto da una frase di senso compiuto;
- | essere attinente alla pagina puntata dal link;
- | se possibile, devono avere lo stesso tema della pagina;
- | devono essere tutti diversi;
- | almeno uno nella pagina, deve contenere la chiave principale;
- | buona parte delle chiavi principali dovrebbe avere un attributo Title che le contenga.

-

Meta Tag <Keywords>
Originariamente importante, visto l'abuso che ne è stato fatto, non è più così considerato dai Motori.
Un buon Meta Tag <Keywords> dovrebbe:
- | contenere la chiave principale della pagina;
- | contenere alcune delle chiavi di secondo livello;
- | contenere solo parole presenti nel testo visibile della pagina o negli ALT delle immagini;
- | essere di tre, quattro frasi chiave al massimo, separate da virgola.

-

Immagini
Le immagini concorrono a definire l'argomento di una pagina e, in qualsiasi caso, possono essere loro stesse il risultato di una ricerca.
Per le immagini si dovrebbe:
- | scegliere un nome attinente sia all'immagine che alla pagina;
- | se possibile, il nome dell'immagine dovrebbe contenere la chiave principale;
- | ogni immagine dovrebbe avere un nome diverso e contenere chiavi diverse;
- | seguire quanto indicato sopra per la clausola ALT;
- | inserire l'immagine in una parte di testo che tratti lo stesso argomento;

-

Link out-bound
Si definiscono link out-bound i collegamenti che dalla pagina di un sito puntano a pagine di altri siti: sono molto importanti per il posizionamento dal momento che consentono di aumentare l'attinenza a un tema. E' presumibile, infatti, che i link leghino pagine fra loro in relazione consentendo a chi naviga di estendere le proprie ricerche in maniera pertinente.
Nel creare link out-bound ci si dovrebbe attenere alle seguenti regole generali:
- | ogni pagina dovrebbe contenere un paio di link in uscita dal sito, al massimo 5 o 6;
- | è opportuno linkare pagine a tema;
- | i link devono avere un testo alternativo a tema con la pagina puntata e, se possibile, con quella da cui parte il link;
- | del gruppo di link in uscita, almeno uno dovrebbe contenere la chiave principale della pagina;
- | i title del link deve essere a tema con la pagina puntata e, se possibile, con la pagina di partenza;
- | i link devono essere periodicamente controllati, per rimuovere quelli che puntano a pagine non più esistenti;
- | se possibile, qualche link dovrebbe essere nel testo della pagina, in una parte attinente allo stesso;
- | mai puntare siti penalizzati o spam-engine.

-

I testi
I testi delle pagine sono il fattore più importante in relazione al posizionamento. Ogni pagina dovrebbe trattare un unico argomento in modo da incrementare l'attinenza al tema. Il testo della pagina deve essere ovviamente significativo e, anche per quanto riguarda le dimensioni, consistente: almeno 250 parole, ma ancor meglio 400 o 500 parole. Le chiavi identificate devono essere riprese all'interno dei testi ma occorre prestare attenzione al numero delle loro ripetizioni (key density): chiavi di una singola parola dovrebbero avere una densità del 10%, chiavi di due parole, invece, di circa il 15-20%. E' importante che soprattutto la chiave più importante abbia un buon numero di ripetizioni ma è altrettanto fondamentale non eccedere nel ripetere la stessa chiave (key stuffing). Nel sito, nel complesso, ci deve essere un numero di pagine dedicate alla chiave più importante superiore di quelle dedicate a chiavi meno importanti.

In WebSite X5

Il primo fattore da sottolineare per spiegare come WebSite X5 favorisca l'indicizzazione e il posizionamento dei siti creati sui Motori di ricerca riguarda il tipo di codice generato: WebSite X5 genera, del tutto automaticamente, pagine in HTML5 e gestisce la presentazione dei contenuti attraverso fogli di stile (CSS) collegati. Il codice "standard compliance" generato piace ai Motori di ricerca perché può essere facilmente interpretato dagli spider, ovvero dai software impiegati per scandagliare la rete alla ricerca di nuove pagine da inserire nei database.
Detto questo, occorre poi evidenziare come WebSite X5 consenta di intervenire su Tag, Meta Tag e attributi sopra citati, al fine di consentire l'ottimizzazione delle pagine sulle chiavi identificate. In più, WebSite X5 crea e collega in automatico la mappa del sito, con collegamenti testuali a tutte le pagine presenti: la SiteMap rappresenta uno strumento prezioso per i Motori dal momento che la possono utilizzare per raggiungere tutte le pagine presenti e indicizzarle.


Come funzione il Motore di Ricerca interno di WebSite X5

Come funziona il Motore di Ricerca interno di WebSite X5

WebSite X5 permette di inserire nei Siti creati un Campo per la Ricerca all'interno dei Titoli e dei Contenuti delle Pagine. I risultati della ricerca, ordinati in base alla loro pertinenza, vengono poi restituiti in Pagine che create automaticamente dal Programma.

Per sfruttare al meglio il Motore di ricerca interno di WebSite X5 occorre sapere che:
- | Pagine Gli elementi della Pagina presi in considerazioni dal Motore sono: Titolo, Descrizione e Parole chiave (vedere, finestra Proprietà Pagina | Generale) oltre che, ovviamente, i Contenuti testuali. Le occorrenze identificate nei Titoli delle Pagine hanno grande importanza e, per questo, vengono automaticamente moltiplicate per un fattore di correzione prima di essere associate alle altre occorrenze. In base poi al numero di occorrenze così calcolato viene definita la rilevanza, e quindi la posizione, di ciascun risultato presentato all'interno della Pagina che restituisce i risultati della ricerca.
- | Area riservata Le Pagine Protette attraverso Login e Password (all'interno di un'Area riservata) non vengono prese in considerazione dal Motore di Ricerca interno se prima non è stato effettuato il Login da parte dell'Utente.
- | Pagine non visibili Le Pagine impostate come Non visibili sul Menu di navigazione rientrano normalmente fra quelle considerate dal Motore di Ricerca interno.
- | Per escludere una Pagina dalla ricerca Per fare in modo che una Pagina non venga presa in considerazione dal Motore di ricerca interno è sufficiente selezionarla all'interno della Mappa, richiamare la finestra Proprietà Pagina e, nella Sezione Esperto deselezionare l'opzione Inserisci questa Pagina nella Sitemap.
- | Maiuscole/Minuscole Il Motore di ricerca non è case-sensitive: questo significa che considera uguali le lettere maiuscole e le lettere minuscole.
- | Pagine con risultati della ricerca Le Pagine con i risultati della ricerca vengono create in automatico dal Programma: l'aspetto grafico di tali Pagine è stabilito dalle impostazioni definite al Passo 4 - Impostazioni Avanzate, nella sezione Stili e Modelli.

Argomenti correlati:
- | Modifica del modello | Riquadro Campo di Ricerca
- | Impostazioni Avanzate: Stili e Modelli


Il Box Model in WebSite X5

In WebSite X5 le Pagine vengono create attraverso l'ausilio di una Griglia e l'impaginazione può essere perfezionata agendo sui margini attraverso la finestra Margine Cella richiamata dal pulsante [image] disponibile al Passo 3 - Creazione della Pagina.

Per meglio comprendere cosa si intende per Margine e riuscire ad agire con precisione sull'impaginazione dei contenuti è necessario comprendere il Box Model utilizzato.

Quando si scrive il codice di una Pagina Web, tutti gli elementi HTML vengono considerati come dei blocchi (o box) e tutto l'insieme di regole che gestisce l'aspetto visuale di tali elementi blocco viene indicato come Box Model. Ogni box comprende un certo numero di componenti di base, ciascuno modificabile con proprietà dei CSS: margini, bordi, padding e contenuto.

L'immagine seguente illustra le parti del Box Model:

In WebSite X5 la Griglia di impaginazione proposta identifica una serie di Celle in cui è possibile inserire i diversi contenuti: per ciascuna di tali Celle si applica il Box Model illustrato.

Pertanto gli elementi sono:
- | Contenuto (area in verde): è il contenuto inserito attraverso il trascinamento di uno degli Oggetti disponibili.
- | Margine interno (area in fucsia): è lo spazio tra il contenuto attuale e il bordo.
- | Bordo: è il bordo disegnato attorno al contenuto; l'aspetto di tale bordo può essere definito attraverso le opzioni della finestra Stile della Cella.
- | Margine esterno (area in arancio): è lo spazio tra il bordo e le linee che definiscono la Griglia di impaginazione.
Date queste definizioni, lo spazio tra due Oggetti affiancati (in orizzontale o in verticale) è pari alla somma dei Margini Esterni impostati per le Celle che li contengono.

Argomenti correlati:
- | Griglia di impaginazione
- | Stile della Cella


Navigazione

Struttura di navigazione

Dopo aver progettato la struttura di un sito e averne stabilito l'architettura informativa, si dovrebbero avere le idee sufficientemente chiare per procedere alla definizione della navigazione. Innanzi tutto occorre individuare la navigazione fissa, ovvero le voci di menu che devono essere presenti in tutte le pagine, quindi si deve articolare la navigazione locale, ovvero i menu contestuali interni alle aree principali del sito. Alla navigazione fissa e locale si possono aggiungere menu con link di servizio che devono trovare una collocazione fissa ma distinta da quelle delle macro-aree del sito.

Generalmente alla navigazione fissa viene dedicata una banda orizzontale, posta nella parte superiore della pagina, mentre i menu contestuali vengono sviluppati verticalmente, sulla colonna a sinistra della pagina. Comunque, nel caso in cui le aree principali del sito siano troppo numerose o si desideri dare una sensazione di maggiore dinamicità, è possibile presentare anche la navigazione fissa tramite un menu verticale.

In WebSite X5 la definizione della navigazione avviene in due passaggi:
- | nella finestra Scelta del Modello o nella finestra Modello Personalizzato: occorre selezionare l'opzione Menu verticale per avere la navigazione fissa posta sulla colonna sinistra della pagina o, in alternativa, l'opzione Menu orizzontale per avere la navigazione fissa in orizzontale.
- | nella finestra Creazione della mappa: occorre creare la struttura ad albero del sito, inserendo opportunamente livelli e pagine. La struttura ad albero del sito può prevedere più livelli di indentazione: le voci di primo livello corrispondono alle voci della navigazione fissa; le voci degli altri livelli corrispondono, invece, alle voci della navigazione locale.

In base alla scelta del tipo di menu e alla mappa, WebSite X5 genera automaticamente il menu di navigazione del sito.
E' importante sottolineare che tutte le voci del menu di navigazione vengono create come semplici collegamenti testuali presenti all'interno del codice HTML della pagina e poi gestite attraverso un foglio di stile (CSS) appositamente collegato. Questo tipo di codice, che richiede l'impiego di un JavaScript solo per Internet Explorer, consente di ottenere i seguenti vantaggi:
- | corretto funzionamento sui principali Browser, anche durante la navigazione con JavaScript disabilitato;
- | corretta indicizzazione da parte dei Motori di ricerca che, grazie ai link testuali nelle pagine, riescono a ripercorrere agevolmente la struttura del sito.

Opzionalmente, con WebSite X5 è poi possibile ottenere:
- | la visualizzazione dei menu contestuali in un'apposita colonna a sinistra o a destra del contenuto della pagina, attivando l'opzione Visualizza un sotto menu con l'elenco delle pagine del livello corrente presente nella finestra Scelta del tipo di menu e agendo sul parametro Allineamento nella finestra Stile del sotto menu delle Impostazioni avanzate.
- | la ripetizione delle voci di navigazione fissa in un apposito menu a fondo pagina, attivando l'opzione Visualizza a fondo pagina le voci del menu di primo livello presente nella finestra Scelta del tipo di menu.
- | un menu di servizio posizionato nel banner superiore, sfruttando la possibilità di inserire immagini e collegamenti con l'editor messo a disposizione nella finestra Modifica del modello.
- | la visualizzazione del menu a briciole di pane, attivando l'opzione Visualizza per il Percorso della pagina nella finestra Stile testi delle Impostazioni avanzate.

Oltre alla navigazione fissa e contestuale, in genere i siti Web prevedono link interni che, rendendo più completa e complessa l'originaria struttura ad albero, creano percorsi di consultazione alternativi: in WebSite X5 è possibile impostare questo tipo di collegamenti sia su testi che immagini utilizzando l'apposito comando Inserisci collegamento.

Labeling dei pulsanti

Un fattore cruciale nel determinare la qualità della struttura di navigazione di un sito è il "labeling", ovvero la definizione dei nomi dei pulsanti. I nomi scelti devono essere chiari e comprensibili: è meglio non tentare la strada dell'originalità e riccorrere a espressioni diffuse e largamente utilizzate anche sugli altri siti.

In WebSite X5 le label dei pulsanti corrispondono ai nomi dati a livelli e pagine durante la costruzione della mappa del sito (vedi finestra Creazione della mappa). Questi nomi vengono automaticamente ripresi anche per definire i titoli delle pagine e i nomi dei file HTML corrispondenti alle pagine stesse. Attraverso le apposite opzioni presenti nella finestra richiamata dal comando Proprietà pagina è però possibile impostare un titolo e un nome del file diverso per ciascuna pagina. In questo modo, è possibile diversificare i testi in modo da definire un adeguato labeling dei pulsanti del menu e un sistema di titolazione opportuno non solo ai fini della comprensione del testo ma anche dell'indicizzazione da parte dei Motori di ricerca.

Il testo dei collegamenti ipertestuali

Test di usabilità sottolineano che i menu non sono la strada principale per accedere alle informazioni di un sito: vengono solitamente impiegati da utenti abituali o che hanno le idee molto chiare su cosa stanno cercando. La navigazione su siti sconosciuti avviene, invece, partendo soprattutto dai link testuali presenti nel contenuto delle pagine: da questo deriva l'importanza di questo tipo di link.
Sintetizzando, il testo di un collegamento deve essere conciso, esplicativo rispetto alla risorsa a cui porta e significativo anche se estrapolato dal contesto.
- | Testi privi di significato E' importante che i link mantengano significato anche quando estratti dal loro contesto: espressioni come "clicca qui", "maggiori informazioni", "info", che risultano superflue anche quando inserite all'inizio di una frase, vanno evitate accuratamente. "Clicca qui" va evitato perché non contiene alcuna informazione su ciò che verrà visualizzato seguendo il collegamento stesso. Inoltre, "clicca qui" non è un collegamento apprezzato dai Motori di ricerca, molti dei quali usano proprio i testi dei collegamenti per stimarne la rilevanza.
- | Lunghezza dei link E' difficile stabilire a priori quanto può essere lungo al massimo il testo di un collegamento. In linea generale il testo di un link deve essere lungo a sufficienza per esprimerne lo scopo: in altre parole, i testi dei collegamenti devono essere quanto più concisi possibile senza però che questo si traduca in perdita di significato.
- | Gli URL nei collegamenti In alcuni casi può essere opportuno immettere come testo di un link direttamente un URL. Bisogna considerare, però, che non sempre gli URL sono significativi e che possono essere molto lunghi. Se si verificano queste condizioni, è meglio modificare il testo del link in modo da renderlo più comprensibile.
- | Testi alternativi per le immagini utilizzate come link Quando un'immagine viene impiegata come link, il testo alternativo ad essa associato assume la stessa funzione del testo di un collegamento testuale. Nel comporre il testo alternativo di queste immagini occorre ricordare che non è necessario specificare che si tratta di un link e che lo scopo del testo ALT non è quello di descrivere un'immagine ma di fornire un contenuto che ne svolga la stessa funzione. Così, per l'immagine di un pulsante su cui compare la scritta "Prodotti", come testo alternativo potrebbe essere inserito semplicemente "Prodotti".

Aspetto dei collegamenti

Un altro fattore che incide sulla qualità della struttura di navigazione, oltre che sull'accessibilità dei collegamenti, è l'aspetto, ovvero come vengono resi graficamente.
- | Sottolineatura E' fondamentale che l'utente possa riconoscere e individuare con sicurezza i link presenti in una pagina: è un'esperienza frustrante cliccare su testi scambiati per collegamenti o spostare il mouse a caso attendendo che il puntatore si trasformi quando passa su un'area attiva o che appaia una tooltip. Di default i Browser impostano la sottolineatura su tutti i link: è possibile rimuoverla ma, nella maggior parte dei casi, è meglio non farlo. La sottolineatura dei collegamenti è, infatti, diventato uno standard abbastanza consolidato e non viene rispettata solo nelle voci dei menu principali. Inoltre, distinguere i link solo in base al colore è una tecnica contraria all'accessibilità: è difficile o impossibile, infatti, distinguere un link solo in base al colore se si usa un monitor in scala di grigi, se si legge la pagina stampata in bianco e nero o se si è daltonici.
- | Colori Tipicamente, i Browser rendono in blu i link non ancora visitati e in rosso quelli già visitati: rispettare questa convenzione permette di mantenere una significativa differenza fra i link già visitati e ancora da visitare (evitando l'errore di tornare a pagine già viste) e consente all'utente di muoversi con familiarità senza dover soffermarsi a ragionare sul funzionamento degli strumenti di navigazione che gli vengono messi a disposizione. E' comunque possibile, e in casi specifici consigliabile, suggerire al Browser un set di colori diverso per i link: in questi casi è importante, però, rispettare il contrasto con il colore di sfondo della pagina e mantenere una differenza significativa fra i colori scelti per ciascuno stato del collegamento.
- | Effetti Hover e Focus In molti siti, per motivi puramente estetici, vengono implementati effetti grazie al quale l'aspetto dei collegamenti (sia voci di menu che link nel testo) varia a seconda dello stato. L'utilizzo di questi effetti ha un risvolto positivo in termini di accessibilità in quanto aiuta l'utente a capire su quale collegamento è posto il focus.

WebSite X5 permette di personalizzare l'aspetto sia dei pulsanti che compongono i menu di navigazione sia dei link ipertestuali inseriti nelle pagine:
- | nella sezione Impostazioni Avanzate vengono presentate le finestre per agire sulla grafica dei menu di navigazione (vedi Stile menu di primo livello, Stile menu a comparsa e Stile sotto menu) e, grazie a un editor integrato, è possibile ottenere pulsanti 3D con effetti di mouseover.
- | sempre nella sezione Impostazioni Avanzate, nella finestra Stile dei testi, vengono presentate le opzioni per modificare l'aspetto dei link ipertestuali.

Destinazione dei collegamenti

Nel determinare la qualità dell'esperienza d'uso di un sito è importante che l'attivazione di un collegamento non sia vissuta come un salto nel buio: l'utente deve sapere subito cosa accadrà nel momento in cui cliccherà su un pulsante, un link o un'immagine.

- | Collegamenti a risorse non HTML Gli utenti dovrebbero essere avvisati quando un collegamento apre una risorsa diversa da una pagina HTML come, per esempio, file PDF, Word, PowerPoint, ecc. In questi casi, attualmente i Browser non danno alcuna informazione in merito e, quindi, viene lasciata all'autore la scelta di indicare nel testo dei link il tipo di file, magari riportandolo in parentesi.
- | Collegamenti con nuove finestre, finestre di PopUp o altri siti Web L'utente deve essere avvertito se seguendo un link abbandona la finestra corrente per aprire una nuova finestra o una finestra di PopUp: tale cambio potrebbe, infatti, confonderlo rendendo inutilizzabile in pulsante per tornare indietro del Browser. Anche in questi casi, spetta a chi crea il sito prevedere per i link un'indicazione del tipo "apre in una nuova finestra".

WebSite X5 consente di impostare collegamenti ipertestuali sia su porzioni di testo che su immagini, dando la possibilità di prevedere per ogni collegamento una descrizione. Tale descrizione viene utilizzata come valore dell'attributo <TITLE> dell'elemento <A> nel codice XHTL delle pagine e visualizzata in un riquadro (tooltip) che compare a fianco del puntatore del mouse quando questo viene posizionato in corrispondenza del collegamento stesso.
Per definire il contenuto e l'aspetto della tooltip è sufficiente accedere alla sezione Descrizione della finestra Collegamento.

Collegamenti interni

Oltre ai collegamenti relativi ai menu di navigazione e a quelli inseriti direttamente nel contenuto delle pagine, WebSite X5 crea e inserisce automaticamente dei collegamenti ad ancore interne che, durante la navigazione normale con il Browser, possono rimanere completamente invisibili.
Si tratta di skip link inseriti in punti strategici della pagina per permettere di arrivare agevolmente ai contenuti, saltando i link di navigazione, o di andare ai link saltando i contenuti. Tali skip link non sono visualizzati dai browser visuali: sono visibili, invece, quando si naviga disabilitando i fogli di stile.
In questa modalità di navigazione si vede anche che dopo i titoli del sito, vengono presentate solo le voci di primo livello del menu di navigazione: seguono i contenuti principali della pagina, i sottomenu e le note e i link a piè di pagina. Questo tipo di organizzazione della pagina è pensata per meglio mettere in evidenza i contenuti, ai fini di una miglior indicizzazione delle pagine da parte dei Motori di ricerca e di una più agevole fruizione su dispositivi mobili.

Infine, partendo dalla struttura definita nella Creazione della mappa, WebSite X5 crea e collega nel codice delle pagine la mappa linkata dell'intero sito: anche questa viene utilizzata dai Motori di ricerca per procedere all'indicizzazione. Tale mappa può essere anche messa a disposizione dell'utente come ulteriore strumento di navigazione: il collegamento per richiamarla è automaticamente inserito nel menu visualizzato a fondo pagina (vedi Scelta del tipo di menu) e/o può essere creato attraverso l'apposito comando presente nella finestra Collegamenti.


Feed RSS: definizione ed usi

Definizioni

In linea generale, RSS (acronimo di RDF Site Summary ed anche di Really Simple Syndication) può essere definito come uno dei più popolari formati per la distribuzione di contenuti Web. Da un punto di vista più tecnico, invece, un Feed RSS non è altro che un file XML che contiene in forma strutturata informazioni sulla Pagina al quale è legato e sui contenuti della stessa.

Il principio di funzionamento è semplice: molti Siti, soprattutto Blog, Forum, testate giornalistiche e Portali, presentano un Feed RSS sulle proprie Pagine attraverso il quale offrono notizie costantemente aggiornate. L'utente interessato può indicare al proprio programma news aggregator (sono disponibili anche servizi on-line e funzioni integrate direttamente nel Browser) i feed di suo interesse: il news aggregator li controlla con frequenza specificabile e riporta le novità individuate consentendo di leggere le news in modo del tutto identico a quanto consentono di fare i programmi di posta elettronica con le e-mail.

Derivano alcuni importanti vantaggi:
- | utilizzando un news aggregator l'utente risparmia il tempo che dovrebbe dedicare a controllare su tutti i Siti di suo interesse se sono state pubblicate delle news;
- | alcuni news aggregator consentono di produrre le news in formato solo testo rendendole facilmente fruibili anche da cellulare;
- | grazie al meccanismo dei Feed RSS l'utente può confezionarsi un Web su misura.

Un po' di storia

Il formato RSS fu lanciato da Netscape che nel 1999 produsse la versione 0.90 per gestire i contenuti del portale My Netscape Network. Seguì una versione più semplificata, la 0.91, ma poi Netscape ne abbandonò lo sviluppo.
Il formato venne quindi ripreso da Dave Winer come base dei sistemi di content management di Userland e, nel contempo, un gruppo di sviluppatori iniziò a lavorare su un altro formato di syndication basato su RDF, uno dei linguaggi standard del W3C, rilasciando la specifica RSS 1.0.
Non condividendo certi aspetti di complessità di RSS 1.0, Dave Winer proseguì per la propria strada, dando nuova vita al vecchio formato e rilasciando le versioni RSS 0.92, 0.93, 0.94, fino all'ultima: RSS 2.0. Per evidenziare la distanza da RSS 1.0 e sottolineare il carattere di semplicità della sua proposta, Winer ha dato al suo formato il nome di "Really Simple Syndication".
La situazione, dunque, è che ci sono due formati concorrenti per fare essenzialmente la stessa cosa: RSS 2.0 punta alla semplicità mentre RSS 1.0 guarda alla ricchezza semantica e all'estendibilità con moduli esterni. In più, i feed in formato RSS 0.91 o 0.92 sono ancora molto utilizzati, principalmente per la loro semplicità e per il fatto di essere più che sufficienti per una syndication di base.
Chi utilizza RSS non si deve preoccupare, comunque, dell'esistenza di tali formati: i news aggregator sono in grado di leggere tranquillamente tutti i formati. Il problema si pone soltanto per chi deve produrre un feed che, quindi, deve valutare cosa offrono i due formati.

I news aggregator

I news aggregator sono "lettori" di feed RSS: sono programmi attraverso i quali è possibile aggregare, interpretare e visualizzare dati scritti e distribuiti in questo dialetto di XML.
Per molti aspetti, gli aggregatori sono simili ai programmi di posta elettronica, riproponendone l'interfaccia che prevede il classico layout a tre pannelli. In genere, nel pannello a sinistra trova posto la lista dei feed sottoscritti. Selezionandone uno, nel pannello superiore destro viene visualizzato l'elenco dei titoli, mentre in quello inferiore viene proposto il testo degli articoli o un loro riassunto. Tutti i principali news aggregator prevedono poi meccanismi per evidenziare gli articoli non letti e il loro numero o per contrassegnare gli stessi come letti o non letti.
Oltre all'interfaccia, anche il metodo di funzionamento è simile a quello dei client di posta elettronica: una volta sottoscritti i feed, si apre il news aggregator, si scaricano gli aggiornamenti e si leggono i contenuti.
Oltre ai news aggregator che si possono scaricare direttamente da Internet, è possibile sfruttare direttamente i Browser solitamente impiegati per navigare sul Web. Per venire incontro ai propri utenti, infatti, sia Microsoft che Mozilla hanno deciso di integrare nelle nuove versioni dei loro Browser (da Internet Explorer 7 e Mozilla Firefox 2.0) la funzionalità grazie alla quale, attraverso un foglio di stile, il contenuto grezzo di un feed viene formattato in modo da poter essere visualizzato in modo decisamente più user friendly (come succedeva già con Safari di Apple). Entrambe i Browser hanno lavorato molto su diverse funzioni orientate a questa tecnologia: fra queste, anche sull'individuazione dei feed associati ad una pagina attraverso l'autodiscovery link grazie al quale, ogni qualvolta si sta navigando su un sito che offre un feed RSS o Atom, il Browser avverte l'utente della sua presenza offrendo una lista di funzioni correlate.

Come e dove trovare feed da sottoscrivere

Un primo indicatore della disponibilità di feed da sottoscrivere, specie sui Blog, è la presenza di alcune piccole icone:

O, in alternativa, si può trovare la parola "Syndication".
In genere sono semplici link che puntano al documento RSS. Per sottoscrivere il feed sarà sufficiente ricavare l'URL del documento (Click destro sull'immagine > Copia collegamento) e incollarlo nella casella che ogni programma ha in dotazione per aggiungere un nuovo feed.

In WebSite X5

WebSite X5 consente di creare e gestire un Feed RSS senza preoccuparsi dell'implementazione del codice: è sufficiente specificare alcuni parametri generali e preoccuparsi della redazione delle notizie, il programma produrrà automaticamente i file XML relativi secondo il formato RSS 2.0.
Una volta aperto il Feed RSS, è possibile renderlo disponibile sul Sito prevedendo un apposito link testuale o un bottone (analoghi a quelli sopra presentati), magari posizionato direttamente nell'Intestazione del Modello. WebSite X5 consente di ricreare tale bottone utilizzando l'apposito link presente nella finestra Collegamento.

Argomenti correlati:
- | Feed RSS
- | Come creare un Feed RSS associato al Sito


Blog: caratteristiche e funzionamento

Definizione

Wikipedia definisce il Blog come un diario in rete.

La parola "blog" nasce dalla contrazione di "web log", ovvero "traccia su rete". Precisamente, il termine "weblog" è stato introdotto nel 1997 da Jorn Barger che lo utilizzò nel suo sito personale; la versione tronca "blog" è stata invece creata da Peter Merholz che nel 1999 ha usato la frase "we blog" nel suo sito dando così origine al verbo "to blog" (ovvero: bloggare, scrivere un blog).

I weblog sono nati come un fenomeno dal basso, configurandosi come l'espressione di persone che semplicemente avevano qualcosa da dire e che hanno trovato nel Web uno strumento per poterlo fare agevolamente. Il fenomeno ha incominciato a prendere piede in America nel 2001 ed ha poi conosciuto una crescita esplosiva, divenentando una moda anche in Italia grazie alla nascita dei primi servizi gratuiti dedicati.

I Blog si caratterizzano per la struttura che assumono, per i contenuti che presentano e per la forma in cui tali contenuti sono scritti.

Struttura

Dunque un Blog è un Sito Web dove chi scrive (blogger) può pubblicare storie, informazioni, opinioni o, più in generale, ciò che vuole comunicare e condividere in completa autonomia, componendo in questo modo una sorta di diario personale.
I Blog attualmente presentano una struttura abbastanza standardizzata dove ogni articolo (o post) è numerato ed è contenuto in una pagina dedicata che, oltre al messaggio, presenta alcuni strumenti accessori come i commenti lasciati dai lettori. I post sono generalmente associati a delle categorie tematiche (thread) che costituiscono, di conseguenza, il primo dei due archivi più comuni. Il secondo è l'archivio per data, dove è possibile navigare i messaggi inseriti in un periodo temporale stabilito: generalmente un mese. Gli articoli vengono proposti in ordine inverso rispetto a quello di inserimento, dal più recente al più vecchio, e possono essere completati con immagini, contributi audio e video e link ad altri siti di interesse. Ogni post può essere individuato univocamente attraverso un permalink, ovvero un link che punta direttamente a quall'articolo. La sezione che contiene i link ad altri blog è definita blogrol.
A seconda delle necessità il blog può offrire anche altri strumenti accessori, come ad esempio un motore di ricerca interno e i Feed RSS: dal momento che un Blog prevede aggiornamenti frequenti e non organizzati, tali strumenti sono molto utili per per agevolare gli utenti nella consultazione dei contenuti.

Contenuti

La vera essenza di un Blog sta nei contenuti: i messaggi sono generalmente una via di mezzo tra una notizia ed un articolo e spesso presentano una descrizione breve che ne riepiloga il senso, anche nell'ottica della struttura del Feed RSS.
I contenuti generalmente sono riconducibili ad una o più categorie del blog e, come detto, sono pubblicati in ordine cronologico. Gli argomenti dei post possono essere i più disparati a seconda del tipo di Blog. Sicuramente, la maggior parte dei blogger usa il Blog come diario personale, per far conoscere i propri sentimenti e le proprie opinioni ai lettori che, passando di link in link, si muovono per la blogsfera. Sono molto diffusi anche i blog tenuti da giornalisti, o aspiranti tali, e da scrittori; i blog umoristici, ironici o satirici; i blog mono-tematici dedicati ad un hobby o una passione dell'autore; i Blog Politici o di attualità; i Blog aziendali.
Fatta eccezione per quelli istituzionali o aziendali, i Blog normalmente non prevedono tempistiche o scadenze per la pubblicazione: è l'autore ad organizzarsi e spesso il Blog diventa il diario dove raccogliere i propri pensieri più o meno di getto, senza porsi particolari ordini o schemi.

Forma

Strettamente legata ai contenuti è la forma: tipicamente i Blog sono scritti in prima persona dal momento che i contenuti sono normalmente il frutto di commenti, riflessioni e rielaborazioni personali. Non a caso, molti definiscono il Blog come un monologo scritto o, se si preferisce, la trascrizione dei propri pensieri.
Anche nel caso di Blog aziendali o commerciali i post mantengono quasi sempre la prima persona volendo rappresentare una voce più informale rispetto al sito Internet ufficiale.

In WebSite X5

WebSite X5 consente di creare e gestire un Blog in maniera molto semplice. Permette di procedere rapidamente nella composizione e pubblicazione dei post; di arricchire gli articoli con contributi multimediali quali immagini, audio e video; di attivare la ricezione di commenti e di sfruttare un apposito pannello di controllo on-line per gestirne la visualizzazione.
Il Blog realizzato presenterà tutti gli strumenti di ricerca e navigazione tipici: motore di ricerca interno, elenco degli articoli recenti, archivio per categorie e per mese, nuvole. I post inseriti verranno pubblicati uno di seguito all'altro nella pagina principale e verranno presentati in maniera completa ciascuno in una pagina dedicata.

Dato che WebSite X5 risolve tutti gli aspetti tecnici, occorre occuparsi unicamente degli aspetti redazionali ricordando che per creare un Blog di successo è consigliabile:
- | Scegliere che tipo di Blog si vuole creare. E' bene scegliere un'identità e un titolo che catturi l'essenza del Blog.
- | Scrivere almeno un post ogni giorno o, perlomeno, aggiornarlo con una certa regolarità. Nel caso di Blog istituzionali sarebbe bene stabilire un calendario per la pubblicazione degli interventi.
- | Scrivere e inserire materiale per almeno un mese prima di pubblicizzare il Blog. In questo modo si ha la possibilità di fare delle valutazioni ed eventualmente delle correzioni, al fine di orientare il Blog nella direzione desiderata.
- | Quando il Blog ha preso forma per contenuti e stile, pubblicizzarlo parlandone ad amici e conoscenti o, nel caso di enti e aziende, utilizzando i canali più consoni (comunicati stampa, newsletter, ecc.).
- | Per aumentare la popolarità del Blog in Internet, cercare altri Blog correlati per gli argomenti trattati e utilizzarli per far conoscere il proprio. In pratica, occorre leggere i post pubblicati sui Blog identificati e lasciare dei commenti, possibilmente pertinenti e costruttivi, ricordando di riportare al fondo un link al proprio Blog. Attenzione a non violare le regole editoriali dei Blog visitati!
- | Costruire una rete di contatti con le altre persone nella blogosfera e incontrare degli amici online: questo è il modo migliore per far leggere il proprio Blog.
Se si riesce a rendere il proprio Blog popolare, per il numero di visite che riceve, e autorevole, per la qualità dei contenuti che offre, si potrà anche valutare la possibilità di trasformarlo in uno strumento di guadagno grazie all'inserimento della pubblicità.


Cosa fare per poter usare Google Webmaster Central

Google Webmaster Central è una suite di strumenti messa gratuitamente a disposizione da Google per permettere ai Webmaster di rendere i siti conformi alle sue indicazioni. Questi strumenti servono per scoprire come Google vede un Sito e sono di aiuto per diagnosticare eventuali problemi: se correttamente impiegati possono concorrere a migliorare la visibilità del Sito sul Motore.

Per poter utilizzare Google Webmaster Central occorre innanzi tutto avere un proprio Account Google, quindi dimostrare di essere realmente il proprietario del Sito che si intende analizzare. Uno dei metodi per dimostrare di essere il proprietario di un Sito è quello di copiare un metatag fornito da Google e incollarlo nella Home Page del Sito nella prima sezione <head> della Pagina, prima della sezione <body>.

Riassumendo, i passi da seguire sono:

-

Avere un account su Google.

-

Accedere alla pagina di presentazione di Google Webmaster Central e fare il login.

-

Nella pagina Home cliccare sul pulsante Aggiungi un sito, digitare l'URL del Sito che si intende monitorare, e confermare cliccando su Continua.

-

Nella pagina Verifica Proprietà a cui si accede, scegliere come metodo di verifica Aggiungi un metatag alla home page del tuo sito.

-

Copiare il metatag fornito da Google e incollarlo nel campo Metatag di verifica per Google Webmaster Central della finestra Impostazioni Generali | Sezione Esperto di WebSite X5: il Programma si preoccuperà di inserire il metatag nella posizione corretta all'interno del codice HTML della Home Page.

Il metatag di controllo fornito da Google si presenta come nell'esempio seguente:
<meta name="verify-v1" content="VOPYsjbR4uw/YqV+MWLB0lVmJt0niwdkv9PQTsTREHQ=" />

-

Dopo aver pubblicato il Sito online, tornare in questa stessa pagina di Google Webmaster Central e portare a termine la procedura cliccando su Verifica.

Argomenti correlati:

-

Impostazioni Generali | Sezione Esperto


Come attivare un servizio di statistiche come, per esempio, Google Analytics

In rete sono numerosi i servizi di statistiche disponibili e fra questi uno dei più conosciuti è quello fornito da Google: Google Analytics. Grazie a questo strumento, completamente gratuito, è possibile disporre di numerosi report per monitorare e analizzare, anche approfonditamente, gli accessi al sito. Google Analytics può essere utilizzato a diversi livelli: si può partire con il rilevare semplicemente il numero di visite o spingersi oltre arrivando ad esplorare gli andamenti di campagne pubblicitarie portate avanti con il programma Google Adsense.

Per poter sfruttare Google Analytics occorre dire al Motore quale Sito intendiamo analizzare e, nello specifico, quali Pagine devono essere tenute sotto controllo: per far questo occorre inserire un codice di monitoraggio all'interno del codice delle Pagine del Sito.

Riassumendo, i passi da seguire sono:

-

Avere un account su Google.

-

Accedere alla pagina di presentazione di Google Analytics e fare il login.

-

Nella pagina Impostazioni Analytics inserire il sito che si intende monitorare utilizzando il comando Aggiungi nuovo profilo.

-

Creato il profilo, nella pagina Panoramica cliccare sul pulsante Modifica presente nella colonna Azioni per il Sito Web su cui si vuole agire.

-

Nella pagina Impostazioni profilo a cui si accede compare la dicitura "Monitoraggio sconosciuto": cliccare su Verifica stato per visualizzare il codice da utilizzare per il monitoraggio delle pagine.

-

Copiare il codice per il monitoraggio fornito da Google e incollarlo nel campo Codice per l'attivazione della statistiche della finestra Impostazioni Generali | Sezione Esperto di WebSite X5: il Programma si preoccuperà di inserire il metatag nella posizione corretta all'interno del codice HTML delle Pagine del Sito.

Il codice per il monitoraggio fornito da Google si presenta come nell'esempio seguente:
<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-110367-1");
pageTracker._trackPageview();
} catch(err) {}</script>

Argomenti correlati:

-

Impostazioni Generali | Sezione Esperto


Come creare e collegare la SiteMap del Sito

WebSite X5 è in grado di generare la SiteMap XML del Sito e di collegarla al codice HTML delle Pagine attraverso il metatag <sitemap>.

Una SiteMap non è altro che un file XML contenente l'elenco delle Pagine di un Sito: è stata introdotta da Google (e ora viene utilizzata anche da Yahoo! e MSN) per effettuare una migliore e più rapida scansione dei Siti Web. In altre parole, creando e inviando la SiteMap, i Webmaster possono accertarsi che un Motore di ricerca, nello specifico Google, venga a conoscenza di tutte le Pagine presenti in un Sito, comprese quelle che rischierebbero di non essere individuate attraverso la normale procedura di scansione.

Attraverso la SiteMap è possibile veicolare ai Motori di ricerca anche informazioni relative ai contenuti del Sito quali video, immagini, notizie, ecc. In più, la SiteMap può contenere informazioni aggiuntive come: la frequenza con la quale viene aggiornata ciascuna Pagina; la data dell'ultima modifica delle Pagine; l'importanza di ciascuna Pagina nell'economia del Sito (tale priorità non influisce in alcun modo posizionamento delle Pagine nei risultati delle ricerche).

In pratica - Attivare la SiteMap

Per generare e collegare la SiteMap a un Sito è sufficiente lasciare attiva, come di default, l'opzione Crea automaticamente la SiteMap presente in Impostazioni generali | Sezione Esperto.

Fatto questo è possibile fare in modo che nella SiteMap vengano inserite alcune informazioni aggiuntive, specifiche per ciascuna Pagina, nel seguente modo:

- | Al Passo 2 - Creazione della Mappa selezionare la Pagina su cui lavorare.
- | Cliccare sul pulsante [image] per richiamare la finestra Proprietà della Pagina e aprire la sezione Esperto.
- | Impostare la Frequenza di aggiornamento e la Priorità dei contenuti.
- | Ripetere queste operazioni per le diverse Pagine del Sito.

In pratica - Aggiungere le Immagini nella SiteMap

La SiteMap può essere utilizzata per passare a Google anche informazioni aggiuntive sulle immagini presenti in un Sito, aiutandolo così a trovare immagini che diversamente potrebbe non rilevare (per es., perché incluse in moduli JavaScript) e a comprendere quali sono più importanti di altre. Non inserendo nella SiteMap le immagini che fanno parte del modello grafico o che hanno un puro valore ornamentale, per esempio, si indica a Google che sono meno importanti delle altre.

Google specifica che all'interno di una SiteMap è possibile inserire un massimo di 1000 immagini per ogni Pagina e che comunque non viene garantita l'indicizzazione di tutte le immagini o l'utilizzo di tutte le informazioni inserite.

Una volta attivata la creazione della la SiteMap, è possibile aggiungere le informazioni su un'immagine in modo molto semplice:

- | Fare doppio click sull'Oggetto Immagine relativo all'Immagine su cui si vuole lavorare in modo da accedere alla finestra Oggetto Immagine.
- | Aprire la Sezione SiteMap e attivare l'opzione Aggiungi immagine alla SiteMap.
- | Facoltativamente, compilare i campi Titolo, Descrizione breve, Posizione geografica e URL del file di licenza.
- | Ripetere le operazioni descritte per tutte le Immagini importanti contenute nel Sito.

Per maggiori informazioni, vedere Oggetto Immagine | Sezione SiteMap.

In pratica - Aggiungere le informazioni sui Video nella SiteMap

La SiteMap può essere utilizzata per passare a Google anche informazioni sui video presenti in un Sito. Anche in questo caso, Google non da garanzie ma l'inserimento dei video nella SiteMap può fare in modo che questi contenuti possano essere più facilmente rilevati e, di conseguenza, inclusi nella ricerca su Google Video.

Attraverso la SiteMap è possibile specificare una serie di informazioni aggiuntive, quali per esempio titolo, descrizione e durata del video, che possono semplificare la ricerca. Queste e altre informazioni vengono quindi riproposte nelle Pagine con i risultati delle ricerche (SERP). E' giusto sottolineare, però, che in caso di differenze, Google potrebbe decidere di utilizzare nelle SERP il testo disponibile nella pagine del video anziché i contenuti predisposti attraverso la SiteMap.

Per completare la SiteMap del Sito aggiungendo le informazioni sui video presenti è sufficiente procedere nel seguente modo:
- | Fare doppio click sull'Oggetto Video relativo al Video su cui si vuole lavorare per accedere alla finestra Oggetto Video/Suono.
- | Aprire la Sezione SiteMap e attivare l'opzione Aggiungi video alla SiteMap.
- | Impostare le informazioni che devono essere obbligatoriamente presenti all'interno della SiteMap: Titolo, Descrizione breve e Immagine di anteprima.
- | Facoltativamente, definire anche i seguenti parametri: Categoria, Parole chiave, Data di pubblicazione, Durata e Contenuto adatto a minorenni.
- | Ripetere le operazioni descritte per tutti i Video importanti contenuti nel Sito.

 Per maggiori informazioni, vedere Oggetto Video/Suono | Sezione SiteMap.

In pratica - Eliminare una Pagina dalla SiteMap

Di default, una volta attivata la creazione della SiteMap, tutte le Pagine di un Sito vengono incluse in essa. In qualsiasi caso, se si desidera che i Motori di Ricerca non prendano in considerazione una o più Pagine, è sufficiente rimuoverle dalla SiteMap. Per fare questo è sufficiente:
- | Nella finestra Creazione della Mappa (Passo 2), selezionare la Pagina che si vuole rimuovere dalla SiteMap.
- | Cliccare sul pulsante [image] per richiamare la finestra Proprietà della Pagina e aprire la sezione Esperto.
- | Togliere il segno di spunta dall'opzione Inserisci questa Pagina nella SiteMap.
- | Confermare e salvare.

Argomenti correlati:
- | Impostazioni Generali | Sezione Esperto
- | Creazione della Mappa | Proprietà pagina | Sezione Avanzato
- | Oggetto Immagine | Sezione SiteMap
- | Oggetto Video | Sezione SiteMap

Fonti:
- | SiteMap (Wikipedia.it)
- | Informazioni sulle Sitemap (Centro WebMaster di Google)
- | Aggiunta di informazioni sulle immagini a una Sitemap (Centro WebMaster di Google)
- | Informazioni sui contenuti video delle Sitemap (Centro WebMaster di Google)


Blog | Pannello di Controllo

Pannello di Controllo

Per ogni Sito realizzato, WebSite X5 predispone automaticamente un Pannello di Controllo online utile per permettere all'Amministratore di compiere operazioni come: gestire i commenti lasciati dagli utenti ai post del Blog o i messaggi inseriti sul Guestbook, avere alcune informazioni di diagnostica sul Sito, visualizzare informazioni circa l'ottimizzazione per i Motori di Ricerca.

Al Pannello di Controllo possono accedere tutti gli Utenti inseriti nel Gruppo Amministratori nella sezione Gestione Accessi disponibile al Passo 4 - Impostazioni Avanzate.

Per accedere al Pannello di Controllo è sufficiente:
- | Collegarsi all'URL www.miosito.it/admin dove www.miosito.it è l'URL del Sito.
- | Fare il login utilizzando le proprie credenziali di accesso (Login e Password).

Fatto il login, il Pannello di Controllo presenta alcune sezioni:

-

Blog: permette di gestire i commenti lasciati dagli utenti in risposta ai Post del Blog collegato al Sito Web. (vedere Come gestire i commenti ai Post del Blog attraverso il Pannello di Controllo online)

-

Guestbook: permette di gestire i messaggi lasciati dagli utenti sul Guestbook inserito nel Sito Web attraverso l'apposita Widget disponbile nell'Oggetto HTML e Widgets.

-

WebSite Test: permette di visualizzare alcune informazioni di diagnostica relative al Sito Web e al Server sul quale questo è stato pubblicato. Nello specifico i controlli effettuati riguardano:
- | Versione di PHP installata - Perché funzioni correttamente l'invio delle e-mail previsto per l'Oggetto Modulo Invio E-mail e per il Carrello e-commerce, oltre che l'accesso alle Pagine Protette tramite login e Password è necessario che il Server supporti il linguaggio PHP. Viene, dunque, verificato se il Server offre tale supporto e, in caso affermativo, viene specificata quale versione di PHP è supportata.
- | Supporto sessioni - Oltre al supporto per il PHP, affinché l'accesso alle Pagine Protette venga consentito solo dopo l'inserimento delle corrette credenziali di accesso, è necessario che il Server supporti anche le sessioni.
- | Cartella con accesso in scrittura - Per poter archiviare e gestire i commenti ai Post del Blog e, più in generale, per il funzionamento delle Widget (vedere Oggetto HTML e Widgets) che richiedono la raccolta di dati, è necessario indicare una cartella su Server per la quale è consentita la scrittura attraverso l'apposita opzione disponibile in Blog | Sezione Commenti. Viene prima verificato che la cartella con accesso in scrittura indicata esista realmente e, in caso affermativo, che nella cartella indicata sia permessa la scrittura di dati.
- | Supporto MySQL ed impostazioni database - Nell'impostare un Oggetto Modulo Invio E-mail è possibile specificare come metodo di invio dei dati "Invia i dati ad un Database" (vedere Oggetto Modulo Invio E-mail | Sezione Invio): in questo caso occorre fornire i parametri per potersi collegare al Database su Server da utilizzare. Viene, quindi, verificato che il Server supporti MySQL e, in caso affermativo, che i parametri specificati consentano realmente di accedere ed operare sul Database.

-

SEO: permette di visualizzare alcuni risultati relativi all'indicizzazione del Sito da parte dei Motori di Ricerca. Nello specifico, vengono riportati lo stato della Sitemap, le Chiavi di ricerca indicizzate e i Messaggi restituiti da GoogleBot (lo spider Web di Google che scansiona il Web al fine di aggiornare gli indici).

Argomenti correlati:
- | Blog
- | Come gestire i commenti ai Post del Blog attraverso il Pannello di Controllo online
- | Oggetto HTML e Widgets


Come gestire i commenti del Blog dal Pannello di Controllo

Un Blog è una sorta di diario in rete attraverso il quale è possibile pubblicare articoli di varia natura e dare la possibilità ai lettori di lasciare dei commenti. Se la comunità dei lettori è attiva e adeguatamente stimolata dalla qualità dei post, è così possibile che si sviluppino delle interessanti discussioni a tema.

Per dare la possibilità ai lettori di lasciare dei commenti ai post pubblicati è necessario innanzi tutto configurare il Blog agendo sulle opzioni presenti nella Sezione Commenti della finestra Blog. In particolare, occorre:
- | Attivare l'opzione Consenti l'inserimento Commenti per gli Articoli del Blog.
- | Specificare il percorso della Cartella su Server con accesso in scrittura, ovvero della cartella all'interno della quale è abilitata la scrittura dei file da parte del codice PHP.
- | Decidere se attivare il controllo anti-spam "Captcha" per l'inserimento del Commenti.
- | Specificare l'E-mail per invio notifica ricezione Commenti, ovvero l'indirizzo e-mail sul quale si vogliono ricevere le e-mail che vengono inviate in automatico per avvisare che un lettore ha lasciato un nuovo commento.
- | Specificare se i commenti possono essere pubblicati on-line subito o se devono prima essere approvati.

Fatto questo è possibile procedere all'inserimento dei post e alla pubblicazione del Blog. In calce ai post del Blog verrà automaticamente inserita una form attraverso la quale i lettori potranno comporre e inviare i loro commenti. Attraverso tale form vengono richiesti: Nome, E-mail, Sito Internet e Messaggio. Fatta eccezione per quello relativo al Sito Internet, tutti i campi sono obbligatori.

A questo punto, non appena un lettore lascerà un commento, verrà automaticamente creata una e-mail di notifica che sarà inviata all'indirizzo e-mail specificato. Se è stata attivata l'opzione Visualizza Commenti dopo approvazione da Pannello di Controllo, perché il commento venga visualizzato on-line in calce al post a cui fa riferimento è necessario che venga approvato mediante l'apposito comando del Pannello di Controllo che viene automaticamente creato da WebSite X5.

 Il Pannello di Controllo è disponibile all'URL www.miosito.it/admin, dove www.miosito.it è l'URL del Sito a cui il Blog è collegato, ed è a disposizione di tutti gli Utenti inseriti nel Gruppo Amministratori nella sezione Gestione Accessi disponibile al Passo 4 - Impostazioni Avanzate.

Nella sezione Blog del Pannello di Controllo sono disponibili due menu a discesa che propongono l'elenco delle categorie e le liste di articoli ad esse collegate. Tramite questi menu, è possibile identificare il post di cui si vogliono visualizzare i commenti ricevuti. Di seguito, viene presentata la lista dei commenti: per ogni commento è riportato l'autore, il suo indirizzo e-mail, il testo del commento, la data e l'ora in cui è stato inviato. Se l'informazione è disponibile, sul nome dell'autore viene automaticamente impostato il link al suo Sito Internet.

Al contrario di quanto accade nel Blog, dove i commenti vengono visualizzati in base all'ordine di inserimento (l'ultimo inserito rimane in fondo alla lista), nel Pannello di Controllo i commenti vengono visualizzati in ordine cronologico, partendo dal più recente.

Per procedere alla gestione dei commenti è dunque necessario:

-

Accedere al Pannello di Controllo online e fare il login, quindi, aprire la sezione Blog.

-

Identificare il post di cui si vogliono visualizzare i commenti attraverso i menu a discesa che propongono l'elenco delle categorie previste e dei relativi post inseriti.

-

Scorrere la lista dei commenti ricevuti per il post selezionato e gestire la visualizzazione dei commenti sul Blog attraverso i comandi:
- | Elimina: per rimuovere il commento lasciato che, oltre a non essere pubblicato sul Blog, viene cancellato anche dall'elenco dei commenti nel Pannello di controllo.
- | Approva/Disapprova: per approvare un commento, e quindi permettere che venga visualizzato sul Blog, o disapprovarlo, e quindi rimuoverlo dall'elenco dei post visualizzati sul Blog. Un commento disapprovato non viene cancellato dalle liste presentate nel Pannello di controllo.
Avere la possibilità di gestire la visualizzazione dei commenti sul Blog è fondamentale per tutelarsi da azioni di spam e per moderare le discussioni eliminando messaggi ritenuti offensivi, non a tema o non in linea con lo stile che si vuole mantenere.

Argomenti correlati:
- | Blog | Sezione Commenti
- | Pannello di Controllo


Informazioni e Supporto

è un prodotto Incomedia
 www.websitex5.com
 www.incomedia.eu

Copyright 2011 Incomedia. All rights reserved.

WebSite X5 utilizza DotNetZip che è coperto da Licenza Ms-PL (Microsoft Public License)

Per maggiori informazioni e per supporto tecnico visita il sito: www.websitex5.com/help


Microsoft Public License (Ms-PL)

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

1. Definitions

The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.

A "contribution" is the original software, or any additions or changes to the software.

A "contributor" is any person that distributes its contribution under this license.

"Licensed patents" are a contributor's patent claims that read directly on its contribution.

2. Grant of Rights

(A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.

(B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.

3. Conditions and Limitations

(A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.

(B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.

(C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.

(D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.

(E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.